/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return res_str;
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return res_str;
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return result;
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CARDINALITY = 262,
    SQL_CONNECT = 263,
    SQL_COUNT = 264,
    SQL_DATETIME_INTERVAL_CODE = 265,
    SQL_DATETIME_INTERVAL_PRECISION = 266,
    SQL_DESCRIBE = 267,
    SQL_DESCRIPTOR = 268,
    SQL_DISCONNECT = 269,
    SQL_FOUND = 270,
    SQL_FREE = 271,
    SQL_GET = 272,
    SQL_GO = 273,
    SQL_GOTO = 274,
    SQL_IDENTIFIED = 275,
    SQL_INDICATOR = 276,
    SQL_KEY_MEMBER = 277,
    SQL_LENGTH = 278,
    SQL_LONG = 279,
    SQL_NULLABLE = 280,
    SQL_OCTET_LENGTH = 281,
    SQL_OPEN = 282,
    SQL_OUTPUT = 283,
    SQL_REFERENCE = 284,
    SQL_RETURNED_LENGTH = 285,
    SQL_RETURNED_OCTET_LENGTH = 286,
    SQL_SCALE = 287,
    SQL_SECTION = 288,
    SQL_SHORT = 289,
    SQL_SIGNED = 290,
    SQL_SQLERROR = 291,
    SQL_SQLPRINT = 292,
    SQL_SQLWARNING = 293,
    SQL_START = 294,
    SQL_STOP = 295,
    SQL_STRUCT = 296,
    SQL_UNSIGNED = 297,
    SQL_VAR = 298,
    SQL_WHENEVER = 299,
    S_ADD = 300,
    S_AND = 301,
    S_ANYTHING = 302,
    S_AUTO = 303,
    S_CONST = 304,
    S_DEC = 305,
    S_DIV = 306,
    S_DOTPOINT = 307,
    S_EQUAL = 308,
    S_EXTERN = 309,
    S_INC = 310,
    S_LSHIFT = 311,
    S_MEMPOINT = 312,
    S_MEMBER = 313,
    S_MOD = 314,
    S_MUL = 315,
    S_NEQUAL = 316,
    S_OR = 317,
    S_REGISTER = 318,
    S_RSHIFT = 319,
    S_STATIC = 320,
    S_SUB = 321,
    S_VOLATILE = 322,
    S_TYPEDEF = 323,
    CSTRING = 324,
    CVARIABLE = 325,
    CPP_LINE = 326,
    IP = 327,
    DOLCONST = 328,
    ECONST = 329,
    NCONST = 330,
    UCONST = 331,
    UIDENT = 332,
    IDENT = 333,
    FCONST = 334,
    SCONST = 335,
    BCONST = 336,
    XCONST = 337,
    Op = 338,
    ICONST = 339,
    PARAM = 340,
    TYPECAST = 341,
    DOT_DOT = 342,
    COLON_EQUALS = 343,
    EQUALS_GREATER = 344,
    LESS_EQUALS = 345,
    GREATER_EQUALS = 346,
    NOT_EQUALS = 347,
    ABORT_P = 348,
    ABSOLUTE_P = 349,
    ACCESS = 350,
    ACTION = 351,
    ADD_P = 352,
    ADMIN = 353,
    AFTER = 354,
    AGGREGATE = 355,
    ALL = 356,
    ALSO = 357,
    ALTER = 358,
    ALWAYS = 359,
    ANALYSE = 360,
    ANALYZE = 361,
    AND = 362,
    ANY = 363,
    ARRAY = 364,
    AS = 365,
    ASC = 366,
    ASSERTION = 367,
    ASSIGNMENT = 368,
    ASYMMETRIC = 369,
    AT = 370,
    ATTACH = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BY = 383,
    CACHE = 384,
    CALL = 385,
    CALLED = 386,
    CASCADE = 387,
    CASCADED = 388,
    CASE = 389,
    CAST = 390,
    CATALOG_P = 391,
    CHAIN = 392,
    CHAR_P = 393,
    CHARACTER = 394,
    CHARACTERISTICS = 395,
    CHECK = 396,
    CHECKPOINT = 397,
    CLASS = 398,
    CLOSE = 399,
    CLUSTER = 400,
    COALESCE = 401,
    COLLATE = 402,
    COLLATION = 403,
    COLUMN = 404,
    COLUMNS = 405,
    COMMENT = 406,
    COMMENTS = 407,
    COMMIT = 408,
    COMMITTED = 409,
    CONCURRENTLY = 410,
    CONFIGURATION = 411,
    CONFLICT = 412,
    CONNECTION = 413,
    CONSTRAINT = 414,
    CONSTRAINTS = 415,
    CONTENT_P = 416,
    CONTINUE_P = 417,
    CONVERSION_P = 418,
    COPY = 419,
    COST = 420,
    CREATE = 421,
    CROSS = 422,
    CSV = 423,
    CUBE = 424,
    CURRENT_P = 425,
    CURRENT_CATALOG = 426,
    CURRENT_DATE = 427,
    CURRENT_ROLE = 428,
    CURRENT_SCHEMA = 429,
    CURRENT_TIME = 430,
    CURRENT_TIMESTAMP = 431,
    CURRENT_USER = 432,
    CURSOR = 433,
    CYCLE = 434,
    DATA_P = 435,
    DATABASE = 436,
    DAY_P = 437,
    DEALLOCATE = 438,
    DEC = 439,
    DECIMAL_P = 440,
    DECLARE = 441,
    DEFAULT = 442,
    DEFAULTS = 443,
    DEFERRABLE = 444,
    DEFERRED = 445,
    DEFINER = 446,
    DELETE_P = 447,
    DELIMITER = 448,
    DELIMITERS = 449,
    DEPENDS = 450,
    DESC = 451,
    DETACH = 452,
    DICTIONARY = 453,
    DISABLE_P = 454,
    DISCARD = 455,
    DISTINCT = 456,
    DO = 457,
    DOCUMENT_P = 458,
    DOMAIN_P = 459,
    DOUBLE_P = 460,
    DROP = 461,
    EACH = 462,
    ELSE = 463,
    ENABLE_P = 464,
    ENCODING = 465,
    ENCRYPTED = 466,
    END_P = 467,
    ENUM_P = 468,
    ESCAPE = 469,
    EVENT = 470,
    EXCEPT = 471,
    EXCLUDE = 472,
    EXCLUDING = 473,
    EXCLUSIVE = 474,
    EXECUTE = 475,
    EXISTS = 476,
    EXPLAIN = 477,
    EXTENSION = 478,
    EXTERNAL = 479,
    EXTRACT = 480,
    FALSE_P = 481,
    FAMILY = 482,
    FETCH = 483,
    FILTER = 484,
    FIRST_P = 485,
    FLOAT_P = 486,
    FOLLOWING = 487,
    FOR = 488,
    FORCE = 489,
    FOREIGN = 490,
    FORWARD = 491,
    FREEZE = 492,
    FROM = 493,
    FULL = 494,
    FUNCTION = 495,
    FUNCTIONS = 496,
    GENERATED = 497,
    GLOBAL = 498,
    GRANT = 499,
    GRANTED = 500,
    GREATEST = 501,
    GROUP_P = 502,
    GROUPING = 503,
    GROUPS = 504,
    HANDLER = 505,
    HAVING = 506,
    HEADER_P = 507,
    HOLD = 508,
    HOUR_P = 509,
    IDENTITY_P = 510,
    IF_P = 511,
    ILIKE = 512,
    IMMEDIATE = 513,
    IMMUTABLE = 514,
    IMPLICIT_P = 515,
    IMPORT_P = 516,
    IN_P = 517,
    INCLUDE = 518,
    INCLUDING = 519,
    INCREMENT = 520,
    INDEX = 521,
    INDEXES = 522,
    INHERIT = 523,
    INHERITS = 524,
    INITIALLY = 525,
    INLINE_P = 526,
    INNER_P = 527,
    INOUT = 528,
    INPUT_P = 529,
    INSENSITIVE = 530,
    INSERT = 531,
    INSTEAD = 532,
    INT_P = 533,
    INTEGER = 534,
    INTERSECT = 535,
    INTERVAL = 536,
    INTO = 537,
    INVOKER = 538,
    IS = 539,
    ISNULL = 540,
    ISOLATION = 541,
    JOIN = 542,
    KEY = 543,
    LABEL = 544,
    LANGUAGE = 545,
    LARGE_P = 546,
    LAST_P = 547,
    LATERAL_P = 548,
    LEADING = 549,
    LEAKPROOF = 550,
    LEAST = 551,
    LEFT = 552,
    LEVEL = 553,
    LIKE = 554,
    LIMIT = 555,
    LISTEN = 556,
    LOAD = 557,
    LOCAL = 558,
    LOCALTIME = 559,
    LOCALTIMESTAMP = 560,
    LOCATION = 561,
    LOCK_P = 562,
    LOCKED = 563,
    LOGGED = 564,
    MAPPING = 565,
    MATCH = 566,
    MATERIALIZED = 567,
    MAXVALUE = 568,
    METHOD = 569,
    MINUTE_P = 570,
    MINVALUE = 571,
    MODE = 572,
    MONTH_P = 573,
    MOVE = 574,
    NAME_P = 575,
    NAMES = 576,
    NATIONAL = 577,
    NATURAL = 578,
    NCHAR = 579,
    NEW = 580,
    NEXT = 581,
    NO = 582,
    NONE = 583,
    NOT = 584,
    NOTHING = 585,
    NOTIFY = 586,
    NOTNULL = 587,
    NOWAIT = 588,
    NULL_P = 589,
    NULLIF = 590,
    NULLS_P = 591,
    NUMERIC = 592,
    OBJECT_P = 593,
    OF = 594,
    OFF = 595,
    OFFSET = 596,
    OIDS = 597,
    OLD = 598,
    ON = 599,
    ONLY = 600,
    OPERATOR = 601,
    OPTION = 602,
    OPTIONS = 603,
    OR = 604,
    ORDER = 605,
    ORDINALITY = 606,
    OTHERS = 607,
    OUT_P = 608,
    OUTER_P = 609,
    OVER = 610,
    OVERLAPS = 611,
    OVERLAY = 612,
    OVERRIDING = 613,
    OWNED = 614,
    OWNER = 615,
    PARALLEL = 616,
    PARSER = 617,
    PARTIAL = 618,
    PARTITION = 619,
    PASSING = 620,
    PASSWORD = 621,
    PLACING = 622,
    PLANS = 623,
    POLICY = 624,
    POSITION = 625,
    PRECEDING = 626,
    PRECISION = 627,
    PRESERVE = 628,
    PREPARE = 629,
    PREPARED = 630,
    PRIMARY = 631,
    PRIOR = 632,
    PRIVILEGES = 633,
    PROCEDURAL = 634,
    PROCEDURE = 635,
    PROCEDURES = 636,
    PROGRAM = 637,
    PUBLICATION = 638,
    QUOTE = 639,
    RANGE = 640,
    READ = 641,
    REAL = 642,
    REASSIGN = 643,
    RECHECK = 644,
    RECURSIVE = 645,
    REF = 646,
    REFERENCES = 647,
    REFERENCING = 648,
    REFRESH = 649,
    REINDEX = 650,
    RELATIVE_P = 651,
    RELEASE = 652,
    RENAME = 653,
    REPEATABLE = 654,
    REPLACE = 655,
    REPLICA = 656,
    RESET = 657,
    RESTART = 658,
    RESTRICT = 659,
    RETURNING = 660,
    RETURNS = 661,
    REVOKE = 662,
    RIGHT = 663,
    ROLE = 664,
    ROLLBACK = 665,
    ROLLUP = 666,
    ROUTINE = 667,
    ROUTINES = 668,
    ROW = 669,
    ROWS = 670,
    RULE = 671,
    SAVEPOINT = 672,
    SCHEMA = 673,
    SCHEMAS = 674,
    SCROLL = 675,
    SEARCH = 676,
    SECOND_P = 677,
    SECURITY = 678,
    SELECT = 679,
    SEQUENCE = 680,
    SEQUENCES = 681,
    SERIALIZABLE = 682,
    SERVER = 683,
    SESSION = 684,
    SESSION_USER = 685,
    SET = 686,
    SETS = 687,
    SETOF = 688,
    SHARE = 689,
    SHOW = 690,
    SIMILAR = 691,
    SIMPLE = 692,
    SKIP = 693,
    SMALLINT = 694,
    SNAPSHOT = 695,
    SOME = 696,
    SQL_P = 697,
    STABLE = 698,
    STANDALONE_P = 699,
    START = 700,
    STATEMENT = 701,
    STATISTICS = 702,
    STDIN = 703,
    STDOUT = 704,
    STORAGE = 705,
    STRICT_P = 706,
    STRIP_P = 707,
    SUBSCRIPTION = 708,
    SUBSTRING = 709,
    SYMMETRIC = 710,
    SYSID = 711,
    SYSTEM_P = 712,
    TABLE = 713,
    TABLES = 714,
    TABLESAMPLE = 715,
    TABLESPACE = 716,
    TEMP = 717,
    TEMPLATE = 718,
    TEMPORARY = 719,
    TEXT_P = 720,
    THEN = 721,
    TIES = 722,
    TIME = 723,
    TIMESTAMP = 724,
    TO = 725,
    TRAILING = 726,
    TRANSACTION = 727,
    TRANSFORM = 728,
    TREAT = 729,
    TRIGGER = 730,
    TRIM = 731,
    TRUE_P = 732,
    TRUNCATE = 733,
    TRUSTED = 734,
    TYPE_P = 735,
    TYPES_P = 736,
    UNBOUNDED = 737,
    UNCOMMITTED = 738,
    UNENCRYPTED = 739,
    UNION = 740,
    UNIQUE = 741,
    UNKNOWN = 742,
    UNLISTEN = 743,
    UNLOGGED = 744,
    UNTIL = 745,
    UPDATE = 746,
    USER = 747,
    USING = 748,
    VACUUM = 749,
    VALID = 750,
    VALIDATE = 751,
    VALIDATOR = 752,
    VALUE_P = 753,
    VALUES = 754,
    VARCHAR = 755,
    VARIADIC = 756,
    VARYING = 757,
    VERBOSE = 758,
    VERSION_P = 759,
    VIEW = 760,
    VIEWS = 761,
    VOLATILE = 762,
    WHEN = 763,
    WHERE = 764,
    WHITESPACE_P = 765,
    WINDOW = 766,
    WITH = 767,
    WITHIN = 768,
    WITHOUT = 769,
    WORK = 770,
    WRAPPER = 771,
    WRITE = 772,
    XML_P = 773,
    XMLATTRIBUTES = 774,
    XMLCONCAT = 775,
    XMLELEMENT = 776,
    XMLEXISTS = 777,
    XMLFOREST = 778,
    XMLNAMESPACES = 779,
    XMLPARSE = 780,
    XMLPI = 781,
    XMLROOT = 782,
    XMLSERIALIZE = 783,
    XMLTABLE = 784,
    YEAR_P = 785,
    YES_P = 786,
    ZONE = 787,
    NOT_LA = 788,
    NULLS_LA = 789,
    WITH_LA = 790,
    POSTFIXOP = 791,
    UMINUS = 792
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1240 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1271 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   140569

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  557
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  811
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3202
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6117

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   792

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   544,     2,     2,
     549,   550,   542,   540,   552,   541,   551,   543,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   554,   553,
     536,   538,   537,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   547,     2,   548,   545,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   555,     2,   556,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   539,   546
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1616,  1616,  1619,  1621,  1623,  1625,  1627,  1629,  1631,
    1633,  1635,  1637,  1639,  1641,  1643,  1645,  1647,  1649,  1651,
    1653,  1655,  1657,  1659,  1661,  1663,  1665,  1667,  1669,  1671,
    1673,  1675,  1677,  1679,  1681,  1683,  1685,  1687,  1705,  1707,
    1709,  1711,  1713,  1715,  1717,  1719,  1721,  1723,  1725,  1727,
    1729,  1731,  1733,  1735,  1737,  1739,  1741,  1743,  1745,  1747,
    1749,  1751,  1753,  1755,  1757,  1759,  1761,  1763,  1765,  1767,
    1769,  1771,  1773,  1775,  1777,  1781,  1783,  1785,  1787,  1789,
    1791,  1793,  1795,  1797,  1799,  1801,  1803,  1805,  1807,  1809,
    1811,  1813,  1815,  1817,  1819,  1821,  1823,  1825,  1827,  1829,
    1831,  1833,  1835,  1837,  1839,  1841,  1843,  1850,  1852,  1854,
    1856,  1858,  1860,  1862,  1864,  1866,  1868,  1870,  1872,  1878,
    1880,  1882,  1884,  1886,  1888,  1890,  1892,  1894,  1900,  1910,
    1914,  1920,  1924,  1934,  1944,  1945,  1959,  1966,  1972,  1983,
    1989,  1998,  2005,  2011,  2020,  2027,  2035,  2040,  2048,  2056,
    2060,  2065,  2071,  2076,  2082,  2087,  2093,  2097,  2101,  2105,
    2110,  2114,  2118,  2122,  2126,  2134,  2138,  2142,  2146,  2150,
    2154,  2162,  2170,  2174,  2183,  2185,  2193,  2197,  2201,  2205,
    2213,  2217,  2221,  2225,  2229,  2233,  2241,  2249,  2257,  2261,
    2269,  2273,  2277,  2282,  2291,  2296,  2302,  2307,  2313,  2317,
    2321,  2325,  2329,  2333,  2341,  2345,  2349,  2357,  2361,  2365,
    2373,  2377,  2381,  2385,  2386,  2390,  2394,  2398,  2403,  2407,
    2411,  2415,  2419,  2423,  2427,  2435,  2439,  2447,  2451,  2459,
    2463,  2477,  2481,  2485,  2489,  2497,  2501,  2505,  2509,  2517,
    2521,  2525,  2529,  2533,  2537,  2541,  2549,  2553,  2558,  2564,
    2568,  2576,  2584,  2588,  2592,  2596,  2604,  2608,  2616,  2620,
    2628,  2632,  2640,  2644,  2648,  2652,  2656,  2665,  2673,  2677,
    2685,  2689,  2697,  2705,  2709,  2713,  2717,  2721,  2729,  2733,
    2737,  2741,  2745,  2749,  2753,  2757,  2761,  2765,  2769,  2773,
    2777,  2781,  2785,  2789,  2793,  2797,  2801,  2809,  2813,  2821,
    2825,  2833,  2841,  2845,  2849,  2853,  2857,  2861,  2865,  2869,
    2873,  2877,  2881,  2885,  2889,  2893,  2897,  2901,  2905,  2909,
    2913,  2917,  2921,  2925,  2929,  2933,  2937,  2941,  2945,  2949,
    2953,  2957,  2961,  2965,  2969,  2973,  2977,  2981,  2985,  2989,
    2993,  2997,  3001,  3005,  3009,  3013,  3017,  3021,  3025,  3029,
    3033,  3037,  3041,  3045,  3049,  3053,  3057,  3061,  3065,  3073,
    3077,  3085,  3089,  3094,  3100,  3105,  3111,  3116,  3122,  3126,
    3130,  3134,  3142,  3150,  3155,  3161,  3165,  3173,  3177,  3181,
    3185,  3193,  3197,  3205,  3209,  3213,  3217,  3225,  3229,  3233,
    3237,  3245,  3253,  3257,  3265,  3269,  3273,  3277,  3281,  3289,
    3293,  3301,  3305,  3313,  3317,  3321,  3329,  3337,  3341,  3349,
    3353,  3357,  3361,  3369,  3374,  3382,  3390,  3398,  3402,  3410,
    3415,  3421,  3425,  3429,  3437,  3441,  3449,  3454,  3460,  3464,
    3468,  3472,  3476,  3480,  3484,  3488,  3492,  3496,  3500,  3504,
    3508,  3512,  3520,  3525,  3531,  3536,  3542,  3547,  3553,  3558,
    3564,  3568,  3576,  3584,  3588,  3592,  3596,  3601,  3607,  3611,
    3619,  3627,  3631,  3635,  3639,  3643,  3647,  3655,  3659,  3663,
    3667,  3671,  3675,  3679,  3684,  3690,  3695,  3701,  3706,  3712,
    3716,  3724,  3728,  3736,  3740,  3744,  3752,  3756,  3764,  3772,
    3776,  3784,  3789,  3795,  3799,  3803,  3807,  3815,  3819,  3823,
    3827,  3831,  3835,  3839,  3843,  3851,  3855,  3863,  3867,  3871,
    3875,  3883,  3891,  3895,  3900,  3906,  3910,  3914,  3918,  3922,
    3926,  3930,  3934,  3942,  3946,  3954,  3958,  3962,  3966,  3970,
    3974,  3978,  3986,  3991,  3997,  4002,  4008,  4012,  4020,  4028,
    4033,  4039,  4043,  4048,  4053,  4059,  4063,  4071,  4075,  4083,
    4088,  4094,  4098,  4102,  4106,  4111,  4117,  4125,  4133,  4137,
    4141,  4145,  4149,  4157,  4162,  4168,  4173,  4179,  4187,  4191,
    4199,  4203,  4211,  4215,  4219,  4227,  4231,  4235,  4240,  4246,
    4250,  4254,  4259,  4265,  4270,  4276,  4281,  4287,  4295,  4299,
    4307,  4315,  4319,  4324,  4330,  4334,  4342,  4350,  4355,  4361,
    4369,  4373,  4381,  4385,  4393,  4398,  4404,  4409,  4415,  4419,
    4427,  4431,  4435,  4439,  4443,  4447,  4451,  4455,  4459,  4463,
    4467,  4471,  4475,  4479,  4487,  4492,  4498,  4502,  4506,  4510,
    4518,  4522,  4530,  4534,  4542,  4547,  4553,  4557,  4565,  4570,
    4576,  4580,  4588,  4593,  4599,  4603,  4611,  4616,  4622,  4630,
    4635,  4641,  4645,  4653,  4657,  4665,  4670,  4676,  4680,  4684,
    4688,  4696,  4704,  4709,  4715,  4723,  4727,  4731,  4735,  4739,
    4743,  4747,  4751,  4755,  4759,  4763,  4767,  4771,  4775,  4779,
    4783,  4787,  4791,  4795,  4799,  4803,  4807,  4811,  4815,  4819,
    4823,  4827,  4831,  4839,  4847,  4851,  4855,  4859,  4867,  4871,
    4879,  4884,  4890,  4894,  4902,  4907,  4913,  4917,  4925,  4933,
    4937,  4945,  4949,  4953,  4957,  4965,  4973,  4981,  4989,  4993,
    5001,  5006,  5012,  5016,  5024,  5029,  5035,  5039,  5043,  5051,
    5055,  5059,  5063,  5071,  5075,  5083,  5091,  5095,  5103,  5108,
    5114,  5118,  5126,  5130,  5138,  5142,  5150,  5158,  5166,  5174,
    5179,  5185,  5190,  5196,  5201,  5207,  5212,  5218,  5223,  5229,
    5234,  5240,  5244,  5248,  5252,  5256,  5264,  5272,  5276,  5284,
    5288,  5292,  5300,  5304,  5312,  5316,  5320,  5324,  5328,  5336,
    5341,  5347,  5351,  5359,  5367,  5371,  5379,  5383,  5391,  5399,
    5404,  5410,  5415,  5421,  5425,  5433,  5438,  5444,  5448,  5456,
    5460,  5465,  5471,  5475,  5479,  5483,  5491,  5496,  5503,  5505,
    5513,  5517,  5521,  5525,  5529,  5533,  5541,  5545,  5553,  5557,
    5565,  5573,  5577,  5585,  5593,  5597,  5601,  5605,  5613,  5622,
    5631,  5635,  5639,  5643,  5647,  5651,  5655,  5659,  5663,  5667,
    5671,  5675,  5679,  5683,  5687,  5691,  5699,  5707,  5711,  5719,
    5723,  5731,  5735,  5739,  5743,  5747,  5751,  5759,  5767,  5771,
    5779,  5787,  5792,  5798,  5802,  5810,  5814,  5818,  5822,  5830,
    5835,  5841,  5849,  5853,  5861,  5865,  5869,  5873,  5877,  5885,
    5890,  5896,  5901,  5907,  5911,  5916,  5922,  5928,  5934,  5942,
    5946,  5954,  5958,  5966,  5970,  5978,  5982,  5990,  5994,  6002,
    6010,  6018,  6022,  6026,  6030,  6034,  6038,  6042,  6046,  6050,
    6054,  6058,  6062,  6070,  6074,  6078,  6082,  6086,  6090,  6094,
    6098,  6102,  6106,  6110,  6114,  6118,  6126,  6130,  6134,  6138,
    6142,  6146,  6150,  6158,  6162,  6166,  6174,  6178,  6186,  6190,
    6198,  6202,  6210,  6214,  6215,  6223,  6227,  6232,  6238,  6242,
    6246,  6250,  6254,  6258,  6262,  6266,  6270,  6274,  6278,  6282,
    6286,  6290,  6294,  6298,  6302,  6306,  6310,  6318,  6322,  6326,
    6330,  6334,  6338,  6342,  6346,  6350,  6354,  6358,  6362,  6366,
    6370,  6378,  6382,  6386,  6390,  6394,  6398,  6402,  6406,  6410,
    6414,  6418,  6422,  6430,  6434,  6442,  6446,  6450,  6454,  6458,
    6462,  6466,  6470,  6474,  6482,  6487,  6493,  6497,  6501,  6505,
    6509,  6513,  6521,  6525,  6529,  6533,  6537,  6541,  6545,  6549,
    6557,  6561,  6569,  6573,  6577,  6581,  6587,  6593,  6599,  6605,
    6611,  6617,  6623,  6633,  6644,  6655,  6666,  6677,  6688,  6699,
    6715,  6731,  6747,  6758,  6774,  6785,  6801,  6816,  6820,  6828,
    6833,  6839,  6847,  6851,  6859,  6863,  6867,  6871,  6875,  6883,
    6887,  6895,  6899,  6903,  6907,  6915,  6919,  6923,  6927,  6931,
    6935,  6939,  6943,  6947,  6951,  6955,  6959,  6963,  6967,  6971,
    6975,  6979,  6983,  6987,  6991,  6999,  7003,  7011,  7015,  7023,
    7028,  7034,  7042,  7046,  7054,  7059,  7065,  7070,  7076,  7084,
    7089,  7095,  7099,  7103,  7111,  7115,  7119,  7127,  7131,  7135,
    7139,  7143,  7147,  7155,  7159,  7167,  7172,  7178,  7183,  7189,
    7194,  7200,  7205,  7211,  7215,  7223,  7227,  7231,  7239,  7244,
    7250,  7254,  7262,  7267,  7273,  7278,  7284,  7288,  7293,  7299,
    7303,  7308,  7314,  7318,  7322,  7326,  7334,  7339,  7345,  7349,
    7357,  7361,  7369,  7373,  7381,  7385,  7389,  7393,  7401,  7405,
    7413,  7417,  7425,  7429,  7433,  7437,  7441,  7449,  7453,  7457,
    7461,  7465,  7473,  7481,  7489,  7493,  7497,  7505,  7509,  7513,
    7521,  7530,  7534,  7538,  7542,  7550,  7554,  7562,  7570,  7574,
    7582,  7586,  7594,  7598,  7602,  7606,  7610,  7614,  7618,  7622,
    7626,  7630,  7634,  7638,  7642,  7646,  7650,  7654,  7662,  7666,
    7670,  7674,  7678,  7686,  7690,  7698,  7702,  7710,  7715,  7721,
    7729,  7733,  7741,  7745,  7749,  7757,  7761,  7769,  7774,  7780,
    7784,  7788,  7792,  7796,  7800,  7808,  7812,  7820,  7824,  7832,
    7836,  7840,  7844,  7852,  7856,  7864,  7868,  7876,  7884,  7892,
    7896,  7904,  7908,  7916,  7920,  7924,  7932,  7936,  7941,  7947,
    7955,  7960,  7966,  7974,  7978,  7982,  7986,  7994,  8002,  8006,
    8010,  8014,  8022,  8026,  8034,  8038,  8042,  8050,  8054,  8062,
    8070,  8074,  8082,  8086,  8090,  8094,  8098,  8102,  8106,  8110,
    8114,  8118,  8122,  8126,  8130,  8134,  8138,  8142,  8146,  8150,
    8154,  8158,  8162,  8166,  8170,  8174,  8178,  8182,  8186,  8190,
    8194,  8198,  8202,  8206,  8210,  8214,  8218,  8222,  8226,  8230,
    8234,  8238,  8242,  8246,  8250,  8254,  8258,  8262,  8266,  8270,
    8274,  8278,  8282,  8286,  8290,  8298,  8303,  8309,  8314,  8320,
    8324,  8328,  8332,  8336,  8340,  8348,  8352,  8356,  8360,  8364,
    8368,  8372,  8376,  8380,  8384,  8388,  8392,  8396,  8400,  8404,
    8408,  8412,  8416,  8420,  8424,  8428,  8432,  8436,  8440,  8444,
    8448,  8452,  8460,  8468,  8472,  8480,  8484,  8492,  8496,  8500,
    8504,  8508,  8516,  8520,  8524,  8528,  8532,  8536,  8540,  8544,
    8548,  8552,  8556,  8560,  8564,  8568,  8572,  8576,  8580,  8584,
    8588,  8592,  8596,  8600,  8604,  8608,  8616,  8624,  8629,  8635,
    8639,  8647,  8651,  8655,  8659,  8667,  8675,  8679,  8687,  8695,
    8699,  8703,  8707,  8711,  8715,  8723,  8727,  8735,  8743,  8747,
    8751,  8759,  8763,  8771,  8775,  8779,  8783,  8787,  8795,  8800,
    8806,  8810,  8814,  8818,  8826,  8830,  8835,  8841,  8849,  8854,
    8860,  8868,  8872,  8880,  8884,  8888,  8892,  8896,  8900,  8904,
    8908,  8912,  8916,  8920,  8924,  8928,  8932,  8940,  8944,  8949,
    8955,  8959,  8963,  8967,  8971,  8979,  8983,  8987,  8995,  9000,
    9006,  9010,  9014,  9019,  9028,  9032,  9036,  9041,  9047,  9055,
    9063,  9068,  9074,  9078,  9086,  9090,  9094,  9102,  9106,  9110,
    9114,  9118,  9122,  9126,  9134,  9139,  9145,  9149,  9153,  9161,
    9169,  9173,  9181,  9189,  9193,  9201,  9209,  9213,  9217,  9221,
    9225,  9229,  9233,  9241,  9246,  9252,  9260,  9264,  9268,  9272,
    9276,  9280,  9288,  9292,  9300,  9308,  9312,  9316,  9324,  9329,
    9335,  9339,  9347,  9351,  9359,  9363,  9367,  9371,  9375,  9383,
    9387,  9395,  9399,  9407,  9415,  9419,  9427,  9432,  9438,  9443,
    9449,  9454,  9460,  9465,  9471,  9476,  9482,  9490,  9494,  9502,
    9507,  9513,  9517,  9521,  9525,  9533,  9537,  9541,  9545,  9549,
    9553,  9557,  9561,  9565,  9573,  9577,  9585,  9593,  9597,  9605,
    9609,  9614,  9620,  9626,  9636,  9641,  9647,  9651,  9655,  9659,
    9667,  9669,  9677,  9682,  9688,  9696,  9700,  9708,  9712,  9716,
    9720,  9724,  9732,  9736,  9744,  9748,  9756,  9764,  9768,  9773,
    9779,  9783,  9788,  9794,  9799,  9805,  9813,  9818,  9824,  9832,
    9837,  9843,  9847,  9851,  9855,  9859,  9863,  9867,  9871,  9879,
    9884,  9890,  9894,  9899,  9905,  9913,  9917,  9925,  9929,  9937,
    9945,  9949,  9957, 10010, 10014, 10027, 10029, 10033, 10037, 10041,
   10050, 10056, 10060, 10068, 10072, 10080, 10084, 10092, 10096, 10100,
   10104, 10108, 10112, 10116, 10120, 10128, 10132, 10140, 10144, 10148,
   10152, 10156, 10160, 10164, 10172, 10176, 10180, 10188, 10192, 10200,
   10208, 10213, 10219, 10224, 10226, 10232, 10236, 10240, 10244, 10248,
   10252, 10256, 10260, 10264, 10272, 10277, 10283, 10287, 10292, 10298,
   10302, 10310, 10315, 10321, 10326, 10332, 10340, 10344, 10352, 10356,
   10364, 10368, 10372, 10376, 10384, 10389, 10395, 10399, 10404, 10408,
   10416, 10420, 10428, 10432, 10440, 10448, 10452, 10456, 10464, 10468,
   10476, 10480, 10488, 10492, 10500, 10505, 10511, 10515, 10523, 10527,
   10531, 10535, 10539, 10547, 10555, 10563, 10571, 10579, 10584, 10590,
   10594, 10602, 10607, 10613, 10617, 10625, 10633, 10637, 10641, 10645,
   10653, 10658, 10664, 10668, 10676, 10681, 10687, 10691, 10699, 10703,
   10707, 10711, 10715, 10719, 10723, 10730, 10737, 10741, 10749, 10753,
   10757, 10761, 10765, 10769, 10777, 10781, 10785, 10789, 10797, 10802,
   10808, 10812, 10816, 10820, 10825, 10831, 10835, 10839, 10843, 10851,
   10856, 10862, 10866, 10874, 10878, 10882, 10886, 10894, 10898, 10906,
   10910, 10914, 10922, 10930, 10935, 10941, 10945, 10953, 10961, 10965,
   10973, 10978, 10984, 10989, 10995, 11000, 11006, 11010, 11016, 11022,
   11027, 11033, 11037, 11045, 11053, 11057, 11065, 11069, 11077, 11081,
   11085, 11093, 11097, 11105, 11109, 11113, 11117, 11125, 11129, 11137,
   11141, 11149, 11151, 11153, 11157, 11161, 11165, 11173, 11183, 11194,
   11203, 11207, 11211, 11215, 11219, 11223, 11227, 11235, 11239, 11243,
   11247, 11255, 11259, 11267, 11272, 11278, 11282, 11286, 11290, 11294,
   11298, 11302, 11306, 11310, 11314, 11318, 11326, 11331, 11337, 11341,
   11349, 11353, 11361, 11369, 11377, 11381, 11389, 11393, 11401, 11409,
   11417, 11421, 11425, 11429, 11433, 11437, 11445, 11450, 11456, 11460,
   11464, 11468, 11476, 11484, 11488, 11493, 11499, 11503, 11507, 11511,
   11515, 11519, 11523, 11527, 11531, 11535, 11539, 11543, 11547, 11552,
   11558, 11562, 11570, 11574, 11578, 11582, 11586, 11590, 11594, 11598,
   11602, 11606, 11610, 11614, 11618, 11622, 11626, 11630, 11634, 11638,
   11642, 11646, 11650, 11654, 11658, 11662, 11666, 11670, 11674, 11678,
   11682, 11686, 11690, 11694, 11698, 11702, 11706, 11710, 11714, 11718,
   11722, 11726, 11730, 11734, 11738, 11742, 11746, 11750, 11754, 11758,
   11762, 11766, 11770, 11774, 11778, 11782, 11786, 11790, 11794, 11798,
   11802, 11806, 11810, 11815, 11819, 11823, 11831, 11835, 11839, 11843,
   11847, 11851, 11855, 11859, 11863, 11867, 11871, 11875, 11879, 11883,
   11887, 11891, 11895, 11899, 11903, 11907, 11911, 11915, 11919, 11923,
   11927, 11935, 11939, 11943, 11947, 11951, 11955, 11959, 11963, 11967,
   11971, 11975, 11979, 11983, 11987, 11995, 11999, 12003, 12007, 12011,
   12015, 12019, 12027, 12031, 12039, 12043, 12051, 12055, 12059, 12063,
   12067, 12071, 12075, 12079, 12083, 12087, 12091, 12095, 12099, 12103,
   12107, 12111, 12115, 12119, 12123, 12127, 12131, 12135, 12139, 12143,
   12147, 12151, 12155, 12159, 12163, 12167, 12171, 12175, 12179, 12183,
   12187, 12191, 12195, 12199, 12203, 12207, 12211, 12215, 12223, 12227,
   12235, 12239, 12243, 12248, 12254, 12262, 12266, 12274, 12278, 12286,
   12290, 12298, 12302, 12307, 12313, 12317, 12321, 12325, 12333, 12338,
   12344, 12349, 12355, 12360, 12366, 12370, 12378, 12386, 12390, 12395,
   12401, 12409, 12413, 12420, 12425, 12431, 12435, 12439, 12444, 12450,
   12454, 12462, 12466, 12470, 12474, 12478, 12486, 12490, 12494, 12498,
   12503, 12509, 12513, 12517, 12525, 12529, 12537, 12545, 12549, 12553,
   12561, 12565, 12573, 12577, 12581, 12585, 12589, 12593, 12597, 12601,
   12605, 12609, 12613, 12617, 12625, 12629, 12637, 12641, 12649, 12653,
   12657, 12661, 12665, 12669, 12677, 12681, 12689, 12693, 12701, 12705,
   12709, 12717, 12721, 12729, 12733, 12737, 12745, 12749, 12757, 12762,
   12768, 12772, 12776, 12780, 12784, 12788, 12792, 12796, 12804, 12808,
   12816, 12824, 12829, 12835, 12839, 12843, 12847, 12851, 12856, 12862,
   12870, 12878, 12882, 12886, 12894, 12898, 12906, 12914, 12918, 12926,
   12934, 12939, 12945, 12950, 12956, 12960, 12968, 12972, 12976, 12980,
   12988, 12993, 12999, 13003, 13012, 13014, 13022, 13027, 13033, 13038,
   13044, 13048, 13056, 13060, 13064, 13068, 13076, 13080, 13088, 13092,
   13100, 13104, 13112, 13120, 13128, 13136, 13144, 13152, 13160, 13164,
   13172, 13176, 13180, 13184, 13188, 13192, 13196, 13200, 13204, 13208,
   13212, 13216, 13220, 13224, 13225, 13230, 13236, 13240, 13241, 13245,
   13253, 13261, 13265, 13269, 13277, 13281, 13289, 13293, 13297, 13301,
   13309, 13313, 13317, 13321, 13325, 13329, 13333, 13337, 13341, 13345,
   13349, 13353, 13357, 13361, 13365, 13369, 13373, 13377, 13381, 13385,
   13389, 13393, 13397, 13401, 13405, 13409, 13413, 13417, 13421, 13425,
   13429, 13433, 13437, 13441, 13445, 13449, 13453, 13457, 13461, 13465,
   13469, 13473, 13477, 13481, 13485, 13489, 13493, 13497, 13501, 13505,
   13509, 13513, 13517, 13521, 13525, 13529, 13533, 13537, 13541, 13545,
   13549, 13553, 13557, 13561, 13565, 13569, 13573, 13577, 13581, 13585,
   13589, 13593, 13597, 13601, 13605, 13609, 13613, 13617, 13621, 13625,
   13629, 13633, 13637, 13641, 13645, 13649, 13653, 13657, 13661, 13665,
   13669, 13673, 13677, 13681, 13685, 13689, 13693, 13697, 13701, 13705,
   13709, 13713, 13717, 13721, 13725, 13729, 13733, 13737, 13741, 13745,
   13749, 13753, 13757, 13761, 13765, 13769, 13773, 13777, 13781, 13785,
   13789, 13793, 13797, 13801, 13805, 13809, 13813, 13817, 13821, 13825,
   13829, 13833, 13837, 13841, 13845, 13849, 13853, 13857, 13861, 13865,
   13869, 13873, 13877, 13881, 13885, 13889, 13893, 13897, 13901, 13905,
   13909, 13913, 13917, 13921, 13925, 13929, 13933, 13937, 13941, 13945,
   13949, 13953, 13957, 13961, 13965, 13969, 13973, 13977, 13981, 13985,
   13989, 13993, 13997, 14001, 14005, 14009, 14013, 14017, 14021, 14025,
   14029, 14033, 14037, 14041, 14045, 14049, 14053, 14057, 14061, 14065,
   14069, 14073, 14077, 14081, 14085, 14089, 14093, 14097, 14101, 14105,
   14109, 14113, 14117, 14121, 14125, 14129, 14133, 14137, 14141, 14145,
   14149, 14153, 14157, 14161, 14165, 14169, 14173, 14177, 14181, 14185,
   14189, 14193, 14197, 14201, 14205, 14209, 14213, 14217, 14221, 14225,
   14229, 14233, 14237, 14241, 14245, 14249, 14253, 14257, 14261, 14265,
   14269, 14273, 14277, 14281, 14285, 14289, 14293, 14297, 14301, 14305,
   14309, 14313, 14317, 14321, 14325, 14329, 14333, 14337, 14341, 14345,
   14349, 14353, 14357, 14361, 14365, 14369, 14373, 14377, 14381, 14385,
   14389, 14393, 14397, 14401, 14405, 14409, 14413, 14417, 14421, 14425,
   14429, 14437, 14441, 14445, 14449, 14453, 14457, 14461, 14465, 14469,
   14473, 14477, 14481, 14485, 14489, 14493, 14497, 14501, 14505, 14509,
   14513, 14517, 14521, 14525, 14529, 14533, 14537, 14541, 14545, 14549,
   14553, 14557, 14561, 14565, 14569, 14573, 14577, 14581, 14585, 14589,
   14593, 14597, 14601, 14605, 14609, 14613, 14617, 14621, 14629, 14633,
   14637, 14641, 14645, 14649, 14653, 14657, 14661, 14665, 14669, 14673,
   14677, 14681, 14685, 14689, 14693, 14697, 14701, 14705, 14709, 14713,
   14717, 14725, 14729, 14733, 14737, 14741, 14745, 14749, 14753, 14757,
   14761, 14765, 14769, 14773, 14777, 14781, 14785, 14789, 14793, 14797,
   14801, 14805, 14809, 14813, 14817, 14821, 14825, 14829, 14833, 14837,
   14841, 14845, 14849, 14853, 14857, 14861, 14865, 14869, 14873, 14877,
   14881, 14885, 14889, 14893, 14897, 14901, 14905, 14909, 14913, 14917,
   14921, 14925, 14929, 14933, 14937, 14941, 14945, 14949, 14953, 14957,
   14961, 14965, 14969, 14973, 14977, 14981, 14985, 14989, 14993, 14997,
   15001, 15005, 15009, 15013, 15017, 15021, 15031, 15032, 15035, 15036,
   15037, 15043, 15044, 15045, 15046, 15047, 15060, 15060, 15069, 15084,
   15086, 15089, 15091, 15095, 15107, 15123, 15127, 15138, 15139, 15142,
   15154, 15163, 15164, 15167, 15168, 15169, 15172, 15173, 15176, 15177,
   15180, 15181, 15184, 15186, 15188, 15190, 15194, 15201, 15208, 15224,
   15258, 15268, 15271, 15275, 15288, 15289, 15291, 15293, 15297, 15311,
   15318, 15379, 15388, 15390, 15391, 15394, 15396, 15397, 15400, 15401,
   15402, 15403, 15404, 15411, 15410, 15420, 15422, 15424, 15425, 15428,
   15429, 15430, 15431, 15434, 15435, 15439, 15438, 15455, 15453, 15469,
   15468, 15482, 15488, 15489, 15492, 15494, 15495, 15498, 15499, 15500,
   15501, 15504, 15505, 15508, 15516, 15533, 15541, 15564, 15670, 15704,
   15706, 15708, 15712, 15716, 15715, 15766, 15768, 15767, 15782, 15788,
   15795, 15800, 15806, 15807, 15810, 15811, 15812, 15813, 15814, 15815,
   15816, 15824, 15832, 15835, 15836, 15837, 15838, 15839, 15840, 15848,
   15856, 15857, 15858, 15861, 15862, 15865, 15867, 15876, 15964, 15965,
   15972, 15973, 15974, 15980, 15989, 15992, 15993, 15994, 15995, 15998,
   15999, 16000, 16003, 16005, 16013, 16014, 16020, 16028, 16029, 16032,
   16033, 16036, 16041, 16048, 16053, 16060, 16067, 16067, 16069, 16076,
   16077, 16080, 16081, 16082, 16083, 16084, 16085, 16086, 16087, 16088,
   16094, 16101, 16113, 16119, 16126, 16134, 16135, 16147, 16158, 16169,
   16173, 16174, 16177, 16182, 16186, 16187, 16190, 16196, 16204, 16210,
   16217, 16221, 16222, 16225, 16228, 16232, 16233, 16236, 16242, 16251,
   16256, 16266, 16276, 16288, 16289, 16290, 16291, 16292, 16293, 16294,
   16295, 16296, 16297, 16298, 16299, 16300, 16301, 16302, 16309, 16310,
   16313, 16314, 16321, 16322, 16323, 16330, 16329, 16346, 16347, 16354,
   16353, 16423, 16429, 16435, 16443, 16449, 16455, 16461, 16467, 16473,
   16479, 16485, 16491, 16497, 16508, 16509, 16512, 16513, 16514, 16515,
   16516, 16517, 16518, 16519, 16520, 16521, 16522, 16523, 16524, 16525,
   16526, 16527, 16528, 16529, 16530, 16531, 16532, 16533, 16536, 16537,
   16538, 16539, 16540, 16541, 16545, 16546, 16547, 16548, 16549, 16550,
   16551, 16554, 16557, 16558, 16559, 16560, 16561, 16562, 16563, 16564,
   16577, 16578, 16579, 16580, 16581, 16582, 16583, 16588, 16589, 16590,
   16591, 16592, 16593, 16599, 16600, 16601, 16602, 16603, 16604, 16605,
   16606, 16607, 16608, 16609, 16612, 16613, 16614, 16615, 16616, 16619,
   16620, 16621, 16622, 16625, 16626, 16627, 16628, 16629, 16630, 16631,
   16648, 16649, 16650, 16653, 16654, 16655, 16656, 16657, 16658, 16662,
   16662, 16665, 16671, 16672, 16675, 16677, 16682, 16692, 16703, 16710,
   16711, 16712, 16715, 16748, 16750, 16752, 16755, 16765, 16775, 16785,
   16786, 16789, 16791, 16792, 16793, 16796, 16798, 16806, 16807, 16808,
   16812, 16813, 16817, 16818, 16821, 16822, 16825, 16826, 16827, 16828,
   16829, 16832, 16833, 16834, 16835, 16836, 16837, 16838, 16839, 16840,
   16841, 16842, 16843, 16844, 16845, 16846, 16847, 16848, 16849, 16850,
   16851, 16852, 16853, 16854, 16855, 16856, 16857, 16858, 16859, 16860,
   16861, 16862, 16863, 16864, 16865, 16866, 16867, 16868, 16869, 16870,
   16871, 16872, 16873, 16874, 16875, 16876, 16877, 16878, 16879, 16880,
   16881, 16882, 16883, 16884, 16885, 16886, 16887, 16890, 16891, 16892,
   16893, 16896, 16897, 16898, 16899, 16900, 16901, 16902, 16903, 16904,
   16905, 16912, 16913, 16914, 16915, 16918, 16919, 16922, 16923, 16926,
   16927, 16938, 16939
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CARDINALITY", "SQL_CONNECT", "SQL_COUNT",
  "SQL_DATETIME_INTERVAL_CODE", "SQL_DATETIME_INTERVAL_PRECISION",
  "SQL_DESCRIBE", "SQL_DESCRIPTOR", "SQL_DISCONNECT", "SQL_FOUND",
  "SQL_FREE", "SQL_GET", "SQL_GO", "SQL_GOTO", "SQL_IDENTIFIED",
  "SQL_INDICATOR", "SQL_KEY_MEMBER", "SQL_LENGTH", "SQL_LONG",
  "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN", "SQL_OUTPUT",
  "SQL_REFERENCE", "SQL_RETURNED_LENGTH", "SQL_RETURNED_OCTET_LENGTH",
  "SQL_SCALE", "SQL_SECTION", "SQL_SHORT", "SQL_SIGNED", "SQL_SQLERROR",
  "SQL_SQLPRINT", "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT",
  "SQL_UNSIGNED", "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND",
  "S_ANYTHING", "S_AUTO", "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT",
  "S_EQUAL", "S_EXTERN", "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER",
  "S_MOD", "S_MUL", "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT",
  "S_STATIC", "S_SUB", "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE",
  "CPP_LINE", "IP", "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT",
  "IDENT", "FCONST", "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM",
  "TYPECAST", "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS",
  "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER",
  "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC",
  "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE",
  "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT",
  "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALL", "CALLED",
  "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P",
  "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE",
  "CLUSTER", "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS",
  "COMMENT", "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DESC", "DETACH", "DICTIONARY", "DISABLE_P",
  "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P",
  "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P",
  "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS", "HANDLER",
  "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE",
  "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE",
  "INCLUDING", "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS",
  "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE",
  "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED",
  "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P",
  "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL",
  "NATURAL", "NCHAR", "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED",
  "OWNER", "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH",
  "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO",
  "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='", "POSTFIXOP", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'",
  "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept", "prog", "stmt",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type_any_name", "drop_type_name", "drop_type_name_on_any_name",
  "any_name_list", "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type_any_name",
  "comment_type_name", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type_any_name", "security_label_type_name",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "GrantRoleStmt", "RevokeRoleStmt", "opt_grant_admin_option",
  "opt_granted_by", "AlterDefaultPrivilegesStmt", "DefACLOptionList",
  "DefACLOption", "DefACLAction", "defacl_privilege_target", "IndexStmt",
  "opt_unique", "opt_concurrently", "opt_index_name",
  "access_method_clause", "index_params", "index_elem", "opt_include",
  "index_including_params", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "function_with_argtypes_list",
  "function_with_argtypes", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "aggregate_with_argtypes",
  "aggregate_with_argtypes_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_option_list", "analyze_option_elem", "analyze_keyword",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "type_list", "array_expr", "array_expr_list", "extract_list",
  "extract_arg", "overlay_list", "overlay_placing", "position_list",
  "substr_list", "substr_from", "substr_for", "trim_list", "in_expr",
  "case_expr", "when_clause_list", "when_clause", "case_default",
  "case_arg", "columnref", "indirection_el", "opt_slice_bound",
  "indirection", "opt_indirection", "opt_asymmetric", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,    60,    62,    61,   791,
      43,    45,    42,    47,    37,    94,   792,    91,    93,    40,
      41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5277

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5277)))

#define YYTABLE_NINF -3042

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-3042)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5277,   445, 12394, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, 37526, -5277,
   -5277, -5277, -5277, -5277,127363,   440, -5277, -5277,132197, -5277,
   -5277, -5277,   874, 88892, -5277, 92054,   871, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, 95743, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, 74118,  1046, -5277,   585, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277,   551, 19670, -5277, -5277,
   92581, -5277,   337, -5277, -5277, -5277, -5277, -5277, 75702, -5277,
   -5277, 93108,   -39, -5277, -5277,   709,  1381, -5277,   120, 19213,
   -5277, -5277, 85203, 89946, -5277, -5277, 96270,   365,  2207, 18673,
     551, 36995, 96797, -5277,  3127, -5277, 70385, -5277, -5277, -5277,
   89419, -5277, -5277, -5277,   347, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277,103121,  3017,   764, 70921, -5277,
   -5277, -5277, -5277,103121, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, 97324, -5277,   973,  1130,  1015,103648,104175,
   86784, -5277,  1482, -5277,103121,  1172,  1157, 73062, -5277,104702,
   -5277, -5277,  1108, -5277, 97851, -5277, -5277, -5277, -5277, -5277,
     764, -5277, 74118, 69327,   229,  1075, -5277, -5277,105229, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
  103121,  2845,  1129, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277,   -54, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277,   850, -5277,   954,   854,
    2162,   766,  1184, -5277, -5277, -5277, 14980, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277,128935,   403, -5277, -5277, -5277,  1192,
   -5277,  1220, -5277, -5277, -5277,  1261, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277,   938, -5277, -5277, -5277, -5277,  1989,127887,
   95743, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, 84676, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277,   219, -5277, -5277, -5277, -5277, -5277, 95743,
   95743, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, 95743,  1543, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,   509,
    1863, -5277, -5277, 74118,  2620,  2620,  2151,128935, -5277, -5277,
   -5277, 75702,103121,103121,103121,  1800,103121,  1796,103121,   384,
   75702,136810, 98378,  1878,  1699, 64488,105756, -5277, 75702,103121,
  134966, 75702,103121,103121,106283,103121,103121,103121,  1723, 93635,
  103121,  1857,103121,103121,135427,106810,  2030, -5277,  2333,  2259,
   -5277,  1917, -5277,   277, -5277,  1254, -5277,   320,   344,   355,
   -5277, -5277, -5277,103121, 19181,  3017, -5277, -5277,  2845,103121,
    2203, 75702,103121,  1987,107337,  2099,103121, -5277,103121,  2102,
  107864,   419,  1866,136810,  2281, 65028,  2167,103121,103121,136810,
  108391,108918,109445,103121,103121, -5277, -5277,  2172,103121,103121,
   -5277,  2306,137271,  2189,  2317,  2437,  2377,  1701, -5277, -5277,
    2523,  2095, -5277, -5277,  2588, 95743, -5277, 94162, -5277, -5277,
   -5277,  2512, -5277, -5277, -5277, -5277, -5277, -5277,134044,  2207,
   -5277, -5277,  2357, 76230,103121,  2421, -5277, -5277,109972, 80982,
    2224, -5277,   466, 76758,137732,  2549,  2210, 65568,  2604, -5277,
   77286, -5277,138193, 77814, -5277, -5277, -5277, -5277, -5277,110499,
   -5277,111026,  2301,  2421, -5277, 81510,138654, -5277,  2472,111553,
  112080,112607, -5277, 10595, -5277,  2212,  2342,  2255,  1928, 95743,
   95743,  3165,129857, -5277, -5277,   -39, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277,   176,  2074, 71457,   680, 71993, -5277,
   -5277,  1164,  1283,  1467,   176,  2686,  2686,   635, 95743, -5277,
   -5277,  2074, -5277,   671,   724,  2260,  2260,  2260,  2475,  1310,
   -5277,  2260,  2376, -5277, -5277, -5277, -5277, 97851, 71457, 71993,
   -5277,  2272,  3017,   188,  2713,  2343, -5277, -5277, -5277, -5277,
   -5277,  2375,103121,103121,103121, -5277, -5277, -5277,  2739,  2349,
    2613, -5277,  2338, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277,  2558,  2563,  2583,   144,  3017,  2461, -5277,  2701,
   -5277,  2608, 44020, 44020,   897, 95743,  3017, 72529, 98905,123147,
     216,134044,  3017,113134,  2413,  1806,  2602, -5277, -5277, -5277,
     609, -5277,  2839,  2429,  2691,    76,  2259, 61279, -5277,  2425,
    1254, 97851, 33638, -5277, -5277, -5277, -5277,   379,  2743, 47835,
  103121,  2439, -5277,  2451,  2439,  2463,  2490,  2162, -5277,  2545,
  103121,  1264,  1264,  2934,  1264,  2116,  2251, -5277,  1903, -5277,
    2871,  2795, 97851,  2580,   551,  2571, -5277, -5277, -5277,  2596,
   -5277,  2593,  2606, -5277,   522,  2888, -5277, -5277, -5277, -5277,
    2700,  2703,  2712,  2715,  2643,  2728,   218, -5277, -5277, -5277,
   -5277,  2939, -5277, -5277, -5277, -5277, -5277, -5277,  3109,  3095,
  132661,132661,   674,   803,   186,   257, -5277, -5277, -5277,  2951,
   -5277, -5277,  2955,  2772,103121, -5277, -5277,103121, -5277,113661,
   -5277, -5277,  2620,  2596,  1681,  2714,  2294,  2711,  1777,  2495,
   -5277,   723,103121,   305,  2751, 99432,  4238,  2721,  2727,  1254,
    2886,   971,  3025,  3067,  6774,   218, 99959, -5277, -5277, -5277,
   -5277,103121,103121, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277,  2742,  1718, -5277, -5277,  2746,  3071,  2956,  5706,
     843,  3039,  2907,  1503,  7274,  2986,  1761,  3108,  6190,  1431,
    1838,  2024,114188,123674,  3076,  3125,  7223,  1741,  1074,  3032,
    1237,  3039,  3122,  2983,  1503,  3169,  6093,103121,  2833, -5277,
    3099,  3213,   641, -5277,   664, -5277, 38589, 47835, 68269, -5277,
    1254,  2915,  3061,   763,  3110, 75702,  2866, -5277, -5277,103121,
   -5277, -5277, 82038,  2941, -5277,   467, 75702, -5277,  3091,  2940,
   66108,103121, 75702, -5277, -5277, 75702,103121, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277,  3012,  3204,103121, 82038, -5277,  3156,
  103121,103121, -5277,  2908, -5277, -5277, -5277, -5277,  2260,103121,
    2922,  3338, 82038,  3153,   270,103121,  1843,  3373,103121,  3158,
    1843,  2976,114715, -5277, -5277,  1843, -5277, -5277,103121,103121,
    2963,  2066,  3163,  3282,  1843,  3190,  3421,  3430,  3196,  3069,
    3224,  2451,  3399,  3202,  1234,  1302,   138,  2187,  1843,  3068,
  115242,115769,103121,  3082,103121,  3411, 75702, 75702,103121,  3343,
   -5277,  3219,100486, -5277,  3047,  2523, -5277, -5277, -5277, -5277,
   -5277,  1228, -5277, -5277, -5277, -5277, -5277,  3371, -5277,   139,
     398,  3381,  3062,  3389, -5277, -5277,  3117, -5277,  3117,  3117,
    3079,  3079,  3252,  3111,  3415, -5277, -5277, -5277,  2498,  3117,
    3079, -5277, 83094, -5277,  1892,  2217, -5277,   145, -5277,  3531,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,  3112, -5277,
    1096, -5277,  2229, -5277, -5277, -5277, -5277,  3150, -5277,  3447,
     162, -5277,  3448, -5277,  3118,116296, -5277,116823,117350,  3450,
     163, -5277,136810,  3452,   162,  3453,  3118,  3457,   162,  3464,
     398,  3465, -5277,  1249,  3455,  3469,   145,  3473,  2293,  3118,
  134505,  3474,   168, -5277,  3475,   169, -5277,  3476,  3354, 12714,
   10595, -5277, 15815,  2092, -5277, -5277, -5277, -5277, -5277, -5277,
   47835,   809,  3241, -5277, -5277, -5277,  2238, -5277,131259, -5277,
    3165,  2074, -5277, 95743,  2074, 95743,   635,  2074, 95743,  2074,
   95743,   635,  2074, 95743, 95743, 95743,  2074, -5277, -5277,   286,
     236, -5277, -5277, -5277, -5277, -5277, 95743,  3152,103121,103121,
   -5277, -5277, -5277, 90473,136810, 91000, -5277,103121, -5277,    82,
   95743, -5277, 95743, -5277,  3017, -5277, -5277,  2342, 82038,  3592,
  136810,  3411, -5277,  2247, -5277, -5277, -5277, -5277, -5277, -5277,
    3405,103121,  3477,  3478, 90473,136810, -5277,117877,134044,  3362,
    3159, -5277, -5277, -5277, -5277,  2258,  3104,   233,  3259, 47835,
    3160,   233,   233,  3167,  3479, -5277, -5277, -5277,   387,  3168,
    3172, -5277,   441,   441, -5277,  3180,  3183, -5277,   452,  3184,
    3186,  3290,   528,  3187,  3188,  3189,  2498,   233, 47835, -5277,
    3191,   441,  3192,  3193,  3194,  3299,  3199, -5277,  3368,  3201,
     416,   461,  3203,  3205, -5277,  3180, -5277,   537,  3210,  3211,
    3214,  3215,  3216,  3217,  3218,  3221, 47835, 47835, 47835, -5277,
   42385,  1254,  3017, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277,   556,  6392, -5277,  3226, -5277, -5277,  3375, -5277, -5277,
   47835, -5277, -5277,   318, -5277,   569, -5277, -5277,  1254, -5277,
   -5277,  1885, -5277, -5277, -5277, -5277,  3480,  3220,  2324,  2324,
     232, -5277, 92581, 92581, -5277, -5277,  1640,  3222, -5277,  2206,
   -5277, -5277, -5277, -5277, -5277, -5277,133583,  3641, -5277,  2020,
    3017,   664,  1782,  3605,130321,130790,  3495,  3495,  3481, -5277,
   -5277,103121, -5277, -5277,  1254,   106,  3494, -5277, -5277, -5277,
    2263, -5277, -5277, -5277, -5277,   -39, 18357,  2278,  2439,103121,
  103121,  3670, -5277, -5277, -5277,  2299, -5277, -5277,  3230, -5277,
    2451, -5277, -5277,  2162,  2162, 47835,  2162,  1429,  1636, 44565,
   48380,  3550,  3443,  1113,  1694,  3552, -5277,  3449,  2116,  2251,
   97851,103121,118404,  3358, 47835, -5277,  2596,  3248,  2133, -5277,
   84149,128411,128411,  3513, -5277, -5277,  1155,    75,  3370,  3482,
    2686,  1696,  2329,  2329, -5277, -5277,  3242, -5277,  3607, 92581,
    3304,132661, -5277, -5277,103121, -5277, -5277,101013, -5277, -5277,
   -5277,  2245,  3245, -5277,  3260,103121, -5277,  3789,  2329,  2329,
   -5277, -5277,  3251, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277,128935,103121, -5277,  3255,  3256,  3253,  3258, -5277, 33638,
    3339,  3341,  3390, 68798, -5277,  3342,  3309,  3344,  3400, 74118,
    3266,  3349,  3350,  3406,  3523, -5277, -5277,  3355,  3361,124201,
   -5277, -5277,  1778, -5277, -5277, -5277,  1778, -5277,  3294, -5277,
    1641,   238,  1272,  3365,   224,  1040,  3679, -5277,  1088, -5277,
   -5277,  3423, -5277,  5804,103121,  3618,  7982,  3498,   218,  3499,
    3425, -5277, -5277,  3549,  3376,103121,  3382,  3519,   218,  1092,
  124728, -5277, -5277, -5277, -5277, -5277, -5277,  5531, 41319, -5277,
    2244,  3384,  3366,  3396,103121, 85730,  1174,  3496,  3520,  3521,
    1858,  1875,   893,  3456,103121,  1988,  3524,103121,  3317,  3401,
    3402,  3619,  3326,  1745,  3717,  3325, -5277, -5277, -5277,  3518,
    3620,  3659,  6342,  3388,  3391, 79398, -5277,  3416,  1003, 66648,
  103121,103121,  3544,  3419,  3428,125255,  5531,  3433,  3437,  3431,
    3436,   927,  3719,  1833,  3439, -5277, -5277, -5277,  1833,  3559,
    3440,  3441,125782,  5531,103121,  3446,  3458,103121, 83094,   218,
   -5277,  3779,   218,   218,  2271,  3784,  3460,   634,  3593,  2228,
    1843,  3325,  3442, -5277,  3466,  3468,  1916, -5277,  3570,  3472,
    3483,  3501,  3017, -5277, -5277,  3484,  3542,  3485,   713, -5277,
   -5277,  1374,  3503, 97851,  3575,  3582,   322,  2269,  3325, -5277,
    3486,  3487,  3326,  3326,103121,103121,103121,103121,103121,   228,
    3845,  3848,  3497,   225,  3551,  3418, -5277,  1833,135888,  3502,
   -5277,  1833,103121,  3504,  2450,  3325,  1762, -5277,  1729, -5277,
   -5277, -5277,  2259, -5277, 47835, 47835, 47835,  3427, -5277,  2667,
   18357,    26, -5277,  2748, 15082,  3414, -5277, -5277, -5277, -5277,
  103121, -5277,103121, -5277,  3687, 82038,  3629,  3694, -5277,  3471,
   -5277,  3696,   218, -5277,103121,103121,  3697,  3638,  3700,  3701,
    3644,  1315, 82038,  3646,  3707, -5277,  3709,  3713,  3528,  3490,
    3526, 68798, -5277,  2963,  3454,  3897,  3790,103121, 74118, -5277,
    3911,  1778, -5277, 82038,  3669,  3794, -5277,103121,  3688,   812,
   -5277,  3831,  3527, -5277, -5277,  1070,103121,   197,  3507, -5277,
   -5277,  3800,136810,   280,  3801,  3017,  3522,  3802,  3680,  3017,
  136810,  3721,103121,103121,103121,103121, -5277, -5277,  3686,  1053,
     342, -5277,135888,  3703, -5277,103121,  3704,  3442,  3705,  3919,
     989,  2260,118931,  3803, -5277,119458,  3491,  3491,  3925, 82038,
    3749, -5277, -5277,  3500,  2686, -5277,  3047, -5277,  2340, -5277,
    3621, -5277, 75702, -5277, -5277, 75702, -5277, -5277, -5277, 82038,
  103121, -5277,  3508, -5277, -5277, 47835, -5277, -5277, -5277,  2686,
   -5277, 82038,  3117,  3117, -5277, -5277,  3938,  3581,  3590,  2686,
   -5277,  2686, -5277, 82038, -5277,  3529,  3532,  2686,  3580, -5277,
    3599,  2686, -5277,  2309, -5277, -5277, 75702, 75702, -5277,136810,
  136810,  3849,   168,  3853,  3585,  3854,  3587, 66648, 66648, -5277,
     179, 75702, -5277,136810, 75702, -5277,103121, -5277,103121, -5277,
   -5277, -5277, -5277, 82038, 82038, -5277,136810,135888,  3860,  3862,
     398,103121,103121, -5277,103121,103121, -5277,103121,103121, -5277,
   14337,  2124, -5277, 10595, -5277,  2312,  3495, -5277,  1543,103121,
    1611,  3165,139115, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, 95743, -5277, 95743,   635, -5277, -5277, 95743, -5277, 95743,
     635, -5277, 95743, -5277, -5277, -5277, 95743,103121,  4072,  3535,
   -5277,  1885, -5277,103121,  2315, -5277, -5277,  2323,  1094,103121,
  103121,   410, 75702,103121,  3751, 75702, 75702,103121,103121,103121,
  103121,103121,  3622,  3222,   451, -5277,   220,   326, 97851,  3758,
   -5277, -5277, -5277, -5277, -5277,  2334,  2845,  1324,103121,  1471,
    2375, -5277, -5277, 91000, 89419,  3856,   306,103121, -5277, -5277,
    6317, 47835, 43475, -5277, -5277, 18357,  3588, 47835, 47835,  3546,
    2686,  2686, -5277,  1162, 47835, 47835, 47835,  2686,  2686,  6041,
   47835, 66648, 47835, 51650, 39681, 47835, 47835, 42930, -5277, 47835,
    3777, 53285, 47835,  1782,  3780, 47835,  1782,  6041,  4016,  4016,
    1075,  1433,  7150,  3553,  1254, -5277,  2686,  1097,   259, 82038,
   47835, 47835, 47835, 47835, 74118,  3636,   235,103121, 47835,  3557,
    1829, -5277, 47835, -5277,  3560, 47835,  3640,  1363, 47835, 47835,
   47835, 47835, 47835, 47835, 47835, 47835, 47835, -5277, 54881,   261,
   -5277,  3861,  3884,    -1,   748, 91527, 44020,  3876, -5277, 38589,
   -5277,   297, 95743, -5277, -5277,  1254,  3876, -5277, -5277, -5277,
   -5277, -5277,  2245,  3565, -5277,  3591, -5277, -5277, -5277, -5277,
   -5277,103121,  3641, -5277, -5277,  3647, -5277, -5277, -5277, -5277,
     586, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,  3571,
   -5277, -5277, -5277, -5277,  3571, -5277, -5277,  3495,  3576,  3873,
    3877,   398,128935,103121,   379,  2790, -5277, 47835, -5277,  2350,
    3586,103121,  2545,103121, -5277,  3858, -5277,  3584, -5277, 15451,
    3858, -5277, -5277, 52195,  3708,  3851,  3796, -5277, -5277, -5277,
    3595, 18357, 47835, 47835, -5277,  2605, 18357,  2615, -5277, -5277,
   -5277, -5277, -5277, -5277,   852, -5277,103121,  1343,  3550,  1694,
    3650,  1159,  4034,103121, -5277, 61811,  2354,  2483, -5277,  2596,
   -5277, -5277, 36167, -5277, 38062, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277,  3598, -5277, -5277, -5277, -5277, -5277,
     218,  3600,  4112, -5277,132661, -5277, -5277, -5277,  4072, -5277,
    2588, -5277,  2588,  4140, -5277, 95743, -5277, -5277, -5277, -5277,
     601, -5277, -5277, 10595, 10595, -5277,136810,103121,103121,  3798,
   -5277,  4025, -5277, 83094, -5277,  3606, -5277, 82566, 78342, -5277,
   -5277,   977, -5277,  1022,136810, -5277,103121,103121, -5277, 74118,
  136810,103121,103121, -5277,136810,103121,103121, -5277, -5277, -5277,
   -5277, -5277,131728,  1270, 89419,  3737, 87311, -5277, -5277,  3608,
  103121,  3665,  3871,  3872,  1500, -5277, -5277,119985, -5277,  3828,
  136810,103121,103121, 47835,  3829,103121,103121, -5277,   473,  3695,
    3699, -5277,103121,  3702,  3850, 75702,  3625,103121,103121, 82038,
    3692,   549, 75702,  3666, 67188, 75702, 75702,103121,103121,103121,
  103121,  3754,  3937, 82038,103121,  3887,  1501, 97851,   252,  2520,
    3325,  3846, -5277,  3956,  1258, -5277,136810, -5277,103121,  3837,
   -5277, -5277, -5277, 87838,  4064,  3744, -5277, -5277,126309, -5277,
   -5277, -5277,  2364, -5277,136810,136810,103121,  8154,120512,  1520,
    3859, -5277, -5277, 82038, -5277,103121,101540,103121,103121,  3964,
    3891,103121, 94689,121039,121566,    43,  1415,  3892,103121, 95216,
    3893, -5277,  3778,103121, -5277, -5277, 74646,136810,103121,   832,
   74118, -5277, -5277,103121, -5277,  3852,   243, -5277,103121,  7770,
    3725,  3735,103121,  3865,   274,  2537,  3325,103121,103121,  3648,
    2371,136810,103121, 74118, -5277,  3866,  1312,  3975,136810,103121,
   87838, -5277, 97851, 97851,136810,103121, 97851, -5277,103121,123147,
   -5277,136810,  1473, -5277,  3979,136810,103121, 87838, -5277,  3806,
  136810,103121,  7807, -5277, -5277, -5277,   218, -5277, -5277, -5277,
   -5277, -5277,103121,103121,   218,103121,103121,   218,  1653, -5277,
  136810,103121, -5277, -5277, -5277,136810,103121,103121, -5277,136810,
    3507,103121, 74118, -5277,103121,  7558,103121,103121,103121,103121,
  103121,103121,136810,103121, -5277, -5277,  1239,  1627,  1956,  1967,
     173,103121,  3949,103121,122093,136810,103121,103121,  3017,103121,
    1879, -5277, -5277,  3786, -5277,136810,  1473, -5277,  8220,103121,
  103121,  3742,  3745,   226,  3833, -5277, -5277, -5277,   695,   695,
    3870, -5277, 47835, 47835, 45110,  3671, -5277, -5277, 47835, -5277,
   -5277, -5277,  1932,  4114,122620,  1932, -5277,  1932,  3941,  3729,
    3733,  1932,103121,  1932,  1932,103121, -5277, -5277, -5277, -5277,
    3940,103121,  1932,  1932,  1932,  3857,  3885,   645,  3966,  2372,
   -5277,  3706, -5277, 47835, 82038,103121, -5277,  2392, -5277,  3710,
    1053, -5277, -5277, 74118,103121,   275,   806,  4012,  3896, 86257,
    4159,  4005,103121,  3740,103121,  4132,  3787, 97851,  2963, -5277,
    4159,103121, -5277,  1921, 89419, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277,103121, -5277, -5277,  4014,103121, 47835,  3864, -5277,
    3017,  2963,  2963,  2963,  2963, -5277, -5277, -5277, -5277,  3912,
    2098, -5277,  3712,  2963,103121,  3822,  4031,  4159,  3714,  4035,
   -5277,  3442,  4037,  4042,103121,  3926, 86257,  2378,  3752,  3939,
    4157,  2260,  3017,  3942,  3929, -5277, 41852,  3016,  6589,  3930,
    3980,134044,100486, -5277,  3726,  4022,  4026,  4045, -5277,   139,
   -5277,  4172, -5277, 47835,  2398,  3736,   145, -5277, -5277,  3738,
    3532,  3761,  3762,  3748,  3760, -5277,  2686, 59151,  3764,  1251,
    3977,  3765, -5277,   162, -5277,  3118, -5277,103121, -5277,103121,
  103121,103121,103121,   163, -5277, -5277,   162,  3118,   162,   398,
   -5277,  4007,   145,  3118,  3890,  4066,134044, -5277,   168, -5277,
     169, -5277,  3968,   398, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277,  2260,  2340, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, 95743,  2588, -5277,  2423, -5277,103121,
   -5277,  4057,  4058,  4059,  4060,  4063,  3774,  3788,  3815,103121,
    3791,  3774,   218,  3791,  3791,  3774,  3222,  3222,  3774,  3788,
  136349,  4234,  4091, -5277,  3869,  3792,  4104,   794, -5277,   829,
      -8,  4027, -5277, -5277, -5277, -5277, 82038, -5277,136810,  3835,
  103121,103121, -5277,   201,  4001,  3799,136349,  4222,   398, -5277,
   75702, -5277, -5277, 82038,  3881,  3899, 75702,  4017,  3855, 75702,
   -5277, -5277, 75702, -5277, -5277, -5277, -5277, -5277, 82038, -5277,
    4068,103121,103121,  2453, -5277,  2161, -5277,  2221, 47835,   230,
   -5277, 16220,  2464, 47835,  3809,  3812, -5277, -5277, -5277, -5277,
   -5277, -5277,  3813,  4126, -5277, -5277,  2511,  2533,  2551,  3817,
    3818,  2932,  3825, 16439,  3826,  3816, 51650, 51650, 42385,  2452,
   -5277, 51650,  3830,  4028,  2555, 15398,  3834,  3832, 16393, 45655,
   47835, 45655, 45655, 17164,  3834,  3838,  2568, 74118,  4013, 17574,
    2575, -5277, 47835, 74118,  7105, 47835, -5277, 47835,  3839, -5277,
   -5277,  3105,  3105,  3105,  6041, -5277,  3863, -5277, 51650, 51650,
   -5277,  3139, 42385, -5277, -5277,  4143, -5277, -5277,  1904, -5277,
    3842, -5277, -5277,  3747, 66648,  5018, 47835,   250, 47835,  3557,
   47835,  3923,  3105,  3105,  3105,   646,   646,   165,   165,   165,
    2114,   748, -5277, -5277, -5277,  3847,  3868,  3874,  4044,  3875,
   47835, -5277,  2668,  2681,103121, 11500, 11782, 12980, -5277, -5277,
   -5277, 55958,  3888,    26, -5277, -5277, -5277,  3888,  1366,  4140,
    2245, -5277,  2259,  2686,  1097,131259, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277,103121, 18357, -5277,  2845, -5277,
   -5277, -5277, 47835, -5277, -5277,  1178,  3867,   575,  4049,  2329,
    2329,  2605,  4055, -5277, -5277,  3913, -5277, 47835, -5277,  2651,
    2657, -5277, -5277, -5277, -5277,  3222, -5277,  4098, -5277, -5277,
   -5277, 55958,  3900,  3914,  1186, 60747,  4071, -5277,103121, -5277,
  103121,   255, -5277,  3894, -5277, -5277, -5277, -5277,  1402, -5277,
   -5277, -5277, -5277, -5277, -5277,  3878, -5277,  3903, -5277,  3901,
   -5277, -5277, -5277, -5277,   196,  3906,  3907,  3908,  1667, -5277,
   -5277, -5277, -5277, 78342,  2229, -5277, 82566, -5277, 82566, -5277,
    2229,  4280, -5277, 78342,  2149, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,136810,136810,
    4074,103121,  4065,  4075, 47835,   263,103121,  3879,  3895,  1554,
    4144,103121, -5277,  4204,   398, -5277, -5277,  3960, -5277, 18357,
   -5277, -5277, -5277, -5277, -5277,136810,103121, -5277,134044, -5277,
  103121, -5277, 82038, -5277, -5277, -5277,103121,  3910,103121, -5277,
  103121,103121,103121, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
    1456, 82038, -5277, -5277,103121,103121,   630,  3967,  3972,103121,
   -5277,   755,  3570,  8959,103121,103121,103121,  4186,103121, -5277,
   -5277, -5277, -5277,  4127, -5277, -5277, 78342, -5277,  3118,  1375,
    3993,  3325,  4135, -5277,  4245,  4119, -5277,  4038,  1187, -5277,
   -5277,103121,  4047, -5277, -5277, -5277, -5277,  4247,   398,  4250,
     398,103121,103121,103121,103121,  4050, -5277, -5277, -5277, -5277,
    4051,  4178, -5277, 74118, 74118, 74118,  2594, -5277, -5277,  3017,
   -5277, -5277, -5277, -5277, -5277, -5277,  4211, -5277,  2603, -5277,
    1739, -5277, -5277, -5277, -5277, -5277, -5277,136810,103121,  9224,
    4255,103121,103121,103121,  1853, -5277,   869, 82038, -5277, 79926,
   -5277, -5277,  2610, -5277,  3943,103121,  4009,136810,  3987,103121,
   -5277, -5277, -5277,  3933,  3933, -5277, -5277,  3933, -5277, -5277,
    4188,  4124, -5277,  2071,  4125,136810,  4004, -5277, -5277,103121,
   -5277, -5277, -5277,  4030, -5277, -5277,  4040,  2592,  3325,  3442,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277,   643, -5277, -5277,  1414,   329,
    2609,  3325, -5277,  1680, -5277,  4053, -5277,  4054, -5277, -5277,
   -5277,  4195,  4199,  4202,  4056,  4061,  4078,  4062,  4070,  4080,
   -5277,  4073,  4096,  4081,  4097,  4173,  4082,   398, 82038,  4190,
    3017,  4090,  4309,   398, -5277,  4087, -5277,  4088, -5277,  4417,
   -5277,103121, -5277,  4089,  2619,  3325, -5277, -5277,136810,103121,
   -5277, -5277, -5277, 47835,  3988,  3991,  3992, 18357, 18357, 47835,
   -5277, -5277, 18357,  3996, -5277, -5277, -5277, 82038,103121,  4264,
   -5277, -5277,  1932,103121,103121, -5277,  4276, -5277, -5277,  4277,
  103121,  4278, -5277, -5277, -5277, -5277,  1063, -5277, -5277, -5277,
    3857,  4315, -5277,  2512, 63407,  7196,  4019,   301, -5277, 74118,
   63407,  2275,  5014,   309,  1843, -5277,134044,103121,134044, -5277,
     806,  4119,103121,103121,103121,  4021,  4023, -5277, -5277, -5277,
   -5277,136810,   672,136810,  2686, -5277, -5277,  4086, -5277,103121,
    2260,  2512,  4340, -5277,  3933, -5277,  4456,  3430,   280,  4177,
    2201,  3069,  4398,  2451,   264, 74118,  3752, -5277, -5277, -5277,
   -5277,103121,103121,  1053,  3017, -5277,  4036,  4041, -5277,103121,
    4354,103121,103121,103121,103121,  2845,  4043,103121,  4046, 82038,
     568,  4246,  4256,  3326,  4479,  4369,  2845,  3752,  4131,  4373,
   97851, -5277,  2617,    97, -5277,  3017,134044, 78870,  4362, -5277,
    6589, -5277, -5277,  6589,  1454,103121,  4352, -5277,103121, -5277,
   -5277, 60215, -5277, 82038,  2649, -5277, -5277, -5277,  2686, -5277,
   -5277,  1966,  1966,  4069, -5277, 59683, -5277,  4077, -5277,  2670,
   -5277, -5277, -5277,   168,  4111,   398,  4115,   398, -5277, -5277,
   -5277, -5277,103121, -5277,103121,135888,   398, -5277, -5277,103121,
   -5277,  4372, -5277, -5277, -5277, -5277,  4189,  4191,  4192,  4193,
    4194,103121,  3774, -5277,  4067,136810,  1559, -5277, -5277,  4266,
   -5277, -5277, 97851,  4196, -5277, -5277, -5277, -5277,  4399,  4401,
   -5277, -5277, -5277,  1126, -5277, -5277, -5277,136810, 90473,   194,
  136810, -5277,  4337,  4338, -5277, -5277,  4339,   218, -5277,  4343,
    4344,  4345, -5277,  4346,  4347, -5277, -5277, -5277,  4085, 17719,
   47835, -5277,  4421, 82038, -5277,  8429, -5277, -5277, -5277, 47835,
   -5277, -5277, -5277, -5277, -5277, 47835, -5277, 47835,  4396, -5277,
   40227,  4551,  4551,  4093, 82038, 51650, 51650, 51650, 51650,  1690,
    3192, 51650, 51650, 51650, 51650, 51650, 51650, 51650, 51650, 51650,
   52740,   775, -5277,  4282, 47835, 47835,  4406,  4396, -5277, 82038,
    4100,  3834,  4102,  4106, 47835, -5277, -5277,  2655, 53817,  4107,
   74118, -5277, 47835, 15148,  2685,  4137, 17804,  1254,  8967,  3017,
   47835,  3182,  3909, 47835,  2693, 47835,  4408, -5277, -5277, -5277,
    4099, -5277, -5277, 82038, 47835,  4108,  4039, 51650, 51650,  4520,
   -5277,  4666, 47835, 42385, -5277,  3870,  4138, 62343, -5277, 40773,
    4110,   764,   764,   764,   764, -5277,103121,103121,103121, 56490,
    4422,  4121, 55426,102067,  4122,  2431, -5277,102067,102594,102067,
   -5277,  4129, -5277,  1254, 47835,  4412,  4130,  4412, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277,  4123, -5277,  4133, -5277, -5277,   664,  4134,
   -5277, -5277,   196, -5277,  4141, -5277,  4145, -5277,  3867,  1417,
   -5277, -5277, -5277,  4331, -5277, -5277, -5277, -5277,  4122, 46200,
    4274, -5277, -5277, -5277,  4185,  2696, -5277, -5277,  4535,  4274,
   -5277, -5277,  2699, 61811,  3900, 47835,  1254,  2686,  4160, -5277,
    2588,  1366, -5277, -5277, -5277, -5277, -5277,  2707,  2195, -5277,
   -5277, 78342, -5277,  4219,  3118,  3118,  1836,  3774,  4467,  1836,
    9295, -5277, -5277, 57022,103121,103121, -5277,103121,  2708,  1813,
  103121, -5277,103121, -5277, -5277, -5277, -5277,  4591, -5277,103121,
   -5277, -5277,  4209,  4210,103121,103121,103121,103121,  4414, -5277,
   -5277,  2711, -5277, -5277,136810,103121, -5277, -5277, -5277,   302,
    2623,  3325, -5277,  4235, -5277, -5277, -5277,  4432, -5277,  4579,
    4248,103121,  4490,103121,  4164, -5277,  1813,  4267,  4473,  1197,
    3326,  1790,  2877, -5277,  1990, -5277, -5277,  4237, -5277, -5277,
  103121, -5277,103121, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
    4295, -5277, -5277, -5277, -5277, 74646, -5277, -5277,103121, -5277,
   74118, 63407, 74118, -5277,  1437,   338,  2741,  3325,103121, -5277,
    4249, -5277,  4252,  4254,  4303,  1420,  1138,  4257,  4260,  4307,
    4176,  4181,  4182, -5277, 74118, 63948,  4335,103121,  3118,  4197,
    4223, -5277,   176,  3017, -5277, -5277,  3017,  3118,  3017, -5277,
  103121,103121,103121, 74118, -5277,  4609,  4279,103121,103121,103121,
  103121, -5277,  4239, -5277,103121,103121,  4506,   153,  2314,136810,
  103121,103121,136810,103121,103121,103121,103121,103121,103121,  4518,
  103121, -5277,  4595,  4522,  2399,  4564,  4268,103121, -5277,103121,
    3017,  3570,103121,103121, -5277, -5277, -5277, -5277, -5277,  3870,
   -5277,  4200,  4472,  1932, -5277,  4480,  4482,  1932,  1932,  4483,
    1932, -5277, -5277,  1843, -5277,  1063,103121, -5277,  3706, -5277,
    4145,  2329,  2329, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
    2765,103121, -5277, -5277, -5277,103121,  4214,103121,103121, 51650,
   -5277,  2291,  1704,   872, -5277,  4484,103121,  3507, -5277, -5277,
   -5277,   736,103121, -5277, -5277, -5277, -5277, -5277,   985,  4043,
   -5277,  4499, 86257,  3118,136810,136810,  3118, -5277, 82038,  4221,
    3752, -5277,   339,  4304,136810,   280,  1338,115769,  3522,  4259,
    4429, 55958,   643, -5277,  4224,  4385, -5277,  4229,  4228, -5277,
   -5277,103121,  4119,135888,  2733,  3442,  1125,  2255,  3835, 88365,
    4423,  4043,  4499, -5277, -5277, -5277,  4632,  4325, -5277,  2845,
  103121,  3835,  4325,  3017,103121,  3665, -5277, 78342, 47835, 47835,
   -5277,  4263, -5277,  4240,  6589, -5277,  4310,  4270, -5277, -5277,
   -5277, -5277, -5277,  4328,  4253,103121,  4716, -5277, -5277,  4261,
   -5277,  4272, -5277, -5277, -5277,  2502,128935, 59683, 59683, 59683,
   59683, 59683, -5277, -5277,103121, -5277,103121, -5277,   398, -5277,
    4375, -5277,   398,  2845,103121,103121,103121,103121,103121,  3774,
     218, -5277,  4556,136349, -5277, -5277,  2762,103121, -5277, -5277,
   -5277,  4624,   306,  4569, -5277, -5277,  2265,  2265,  2265,  4528,
    2265,  2265,  2265,  2265,  2265, -5277, 47835, 18357, -5277,  4281,
   -5277, 18357,  9599, 18357,  4406, -5277,  2766, 47835, -5277,  4966,
    4966,  4966,  1523,  4586, -5277,  1587,  4283,  4966,  4966,  4966,
     269,   269,   156,   156,   156,  4551,   775, 18357, 18357, -5277,
   -5277,  4286, -5277, -5277, -5277,  3834, -5277, 48925,  4438,  4702,
   -5277, -5277, -5277,  4327,  4329,  4288, -5277, 47835, 49470,  4289,
   83094,  4487, -5277,  1533, 47835, 47835,  4251, -5277,  8315, 47835,
   82038,  2767,  4251,   304, 47835,  4217,  4463, 47835, 47835,  5185,
    9967,  4294, 47835,126836, -5277, -5277, -5277,  2776, 47835,103121,
  103121,103121,103121, -5277, -5277, -5277,102067,102594,102067,  4296,
   54349, 58618,  2431,  4298,103121, -5277, -5277,  4297, 55958,  4562,
    4497, -5277, 55958,  4497,  1945,  4497,  4565,  4393, 62875, -5277,
   -5277,  4305, -5277,  4508, -5277,  2244, 18357,  4729,  4611,  3017,
    4611,  1366,   245,  3017, -5277, -5277, 66648, -5277, -5277, -5277,
   -5277,  4521, 18357, 44020, -5277,  2845,  2601,103121,  1254,    47,
   -5277,  4326,103121, -5277,  4274, 18357, -5277, 10595, -5277, -5277,
   -5277, -5277,  4383,  2791, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277,  4395, 89419,  4631, -5277, 47835,  2800, -5277,  4359,  4725,
     105,  2809,  2819,  1813, -5277,  4610, -5277,  1714,  4613,   323,
   -5277,   398, -5277, 82038, -5277,103121,103121, -5277, -5277, -5277,
   -5277,103121,  3266, -5277, -5277,103121,103121,103121,103121, -5277,
  136810,103121, -5277,103121, -5277, 74118,  5014,   176,  2291,  4622,
    4545, -5277,   218, -5277,  2291,  4548,   176,103121, -5277, -5277,
    3989, -5277, 82038,   398,   398, -5277, -5277, -5277, -5277, -5277,
    4348,  4757,  4426,103121,103121,103121, -5277,103121,136810,103121,
  103121,  2686,  2686, 82038,  4336, -5277,  2686,  2686,  4341, -5277,
  136810,103121,103121, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277,  4419, -5277, 47835,  4749, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277,136810,103121,  4427,
   -5277,  4430, -5277,   116, -5277, -5277,103121,103121,103121,103121,
    4671, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277,103121, -5277,103121, -5277, -5277,  3017,  3017, 82038,   398,
     398, -5277, -5277, -5277, -5277,  4351,  4612,  1932, -5277,  1932,
    1932, -5277, -5277,  1932, -5277,  4353,   248, -5277,  1813,  2086,
    4664, -5277,  4668, 47835, -5277,  1710,  1523, -5277,  4720,  4798,
   -5277, -5277, -5277, -5277,  3507,  2260,  4416, -5277, -5277, 75702,
    1334, -5277,  4648,   275,  4572, 86257,  1680,  1715,  4363,  4485,
   -5277,  3118,  3118,  4424,103121,  4804, -5277, -5277, -5277, -5277,
   -5277, -5277,136810,  3987, -5277,  1193,  4681,103121, 47835,  4122,
   -5277,  2225,  4685, -5277,  3017, -5277, -5277,  4491,  3752, -5277,
  103121,  4581, 86257,  3835, -5277,  2832, -5277, -5277, -5277,  4410,
    4797,  2378, -5277,  1680,  4423,   192,103121, -5277,  4418,  4819,
   -5277, -5277,  4693,  4588,  4384, -5277, 18357, 18357,  3017, 83622,
    6589, 82038,  4701,103121,   730,  4667,103121, -5277,   398, -5277,
   -5277,  4387,  2327,  2327, -5277, -5277, -5277,   398,   398, -5277,
  103121, -5277,  3774,  3774,  3774,  3774,  3774, -5277,  4592, -5277,
   -5277,  4653, -5277,   398,136349, -5277, -5277, -5277, -5277, -5277,
    2265, -5277, -5277, -5277, -5277, -5277, 18357, -5277, -5277, -5277,
   -5277, 10442, 51650,  4705, -5277,  4391, 82038, -5277,  4403,  2848,
    2862, 53285,  4557, -5277, -5277, -5277, 11075,  4449, 18357,  4509,
    4404,  4405,  4251,  4251,  8315,  2869, -5277,  4251, 47835, 47835,
    4251,  4251, 47835, -5277, -5277, 11147,  4593, -5277, -5277, 11295,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, 75174,  4409,  4013,
  102067,  4411,103121,  2431, 55958, -5277, -5277,  1765, -5277, 55958,
    4674, -5277, 55958, 75702, -5277,103121,  4413,103121, -5277, 50015,
   47835,  4452, -5277,  4452, -5277,  2329, -5277, -5277, -5277, -5277,
   -5277,  4420, 95743,   486, -5277,  1186, -5277, -5277,  4805, 57022,
    4764, 47835, -5277, -5277, -5277, -5277, -5277,136349,  4625,136349,
    1813, 11564,  4610, 57022, 67728,103121,103121,103121,  4576,  4610,
    4425,  3507, -5277, -5277, -5277, -5277, -5277, -5277,  4428, -5277,
   -5277, -5277, -5277,  4501, -5277, -5277,  1252,  3758, -5277,  2873,
   -5277, -5277,  4862,  4752, -5277, -5277, -5277, -5277, -5277, -5277,
    4595, -5277, -5277, 63407,136810,103121, -5277,  4505, -5277, -5277,
   -5277, -5277, -5277, 58086, 66648, -5277,  1420,  4431,  4433,  1138,
   -5277, -5277, -5277,103121, 11610,  4434,  1256,  3758,103121,103121,
    4436,  4437,  4439,  1713,  1465,  2041,  3774,  4743, -5277, -5277,
   -5277, -5277,  4595, -5277, -5277, -5277,  1932, -5277, -5277, -5277,
   -5277, 74118, -5277,  2726, -5277,  1843,  4783, 75702,  4871,  4871,
  103121, -5277, 11676,  4655, -5277, -5277,  4732,  4416,  4680,  4726,
   -5277,  4444,103121,   736,  4445,103121,  4447,  4567,  1373,  1373,
  103121,103121,103121,  2880,  2845,  3118,  4223,   280, 86257,  4818,
    4119,   281, -5277, -5277,  2225, -5277,   600,  4795,  4502, -5277,
  103121,  4899,  4043,103121,  4465, -5277, -5277, 88365,  4665,  5014,
  140037,  4256,  4423,  2378,  4601, -5277,  4602, -5277,  1613, -5277,
    2845,103121, 97851, 57022, -5277, 82566, -5277,  2900, -5277, -5277,
    4539,  3888,  4578,  4582,  4471,103121,   774, -5277,  4488, -5277,
   -5277, -5277, -5277, -5277, -5277,103121, -5277,   194, -5277, -5277,
    3407, 51650, 82038,  2903, 47835, -5277, 47835, -5277,  4897, -5277,
   -5277, -5277,   650, -5277, -5277, -5277,  4251,  4251,  4251, -5277,
    4900,  3870, -5277, -5277,  2904,  4917, 51105,  4879, -5277,103121,
    2911, -5277, 47835,  4481, -5277, -5277, 55958,  1765,  4486,  2912,
  103121,  2928, 82038,  4489,    -7,  4492, 39135,  4493, -5277, -5277,
   -5277, -5277, -5277, 18357, 18357,103121, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277,  4533,103121,  2936, -5277,   602, 18357,  1559,
    1836,   194,  4725,  3507, -5277,  4498, -5277, -5277, -5277,  1271,
    1271,103121,  3507,103121,  4416, -5277,103121,  4585, -5277, -5277,
   74118,  4778, -5277,  4547, -5277,  1267,  3758,103121, 82038, -5277,
     101,  4815, -5277, 82038, 82038, -5277, -5277, -5277, 47835,  4589,
   -5277, -5277, -5277,  2599,  1418,139576, -5277, -5277,103121,103121,
  103121,103121,103121,   398, -5277,  2950, -5277,129396, -5277, -5277,
    3373,  3017,  3373,  2115, -5277, -5277,  3373, -5277,  3373, -5277,
    4353,  3017,  4871,  1246, -5277, -5277, -5277,  2288,  4727,  4510,
   -5277,  1099,  4711,  4608,  4523, -5277, 75702,  4990,  4043,  4499,
  103121, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277,  2953,  4119,  4844,  3752,  4418, -5277,  4558, -5277, 55958,
   -5277, -5277, -5277,  3373, -5277,  1069,  4526,  4856,  4119,  2845,
    4423,  4043,  4499, -5277, -5277,  4529, -5277, -5277,  4325,  2378,
    4256, -5277, -5277,  4938,  4734,  4939,  3835, -5277,  3665,  2954,
   -5277,  6589, 83622, 82038,  4880,  4571,  4573, -5277, -5277,  4587,
  103121, -5277, -5277,  3087,  5003,  4119, -5277,  3407,  2958, -5277,
    2961,  2968,  4696,  4590, -5277, 47835,  1439,  4129, 75174,  4540,
   -5277, 51650,  2974, -5277,  4784,103121,  2979, -5277, 18357,103121,
   -5277, -5277, 47835, -5277,  2980, -5277, 47835,  4542, 47835, -5277,
   50015,  4543, -5277,  4982,  2845, -5277,  3888, 57022, -5277,  4669,
   -5277,  4858, -5277,103121,  4416, 66648,  3867,  3867,  2260,  4416,
    2984, -5277, -5277,103121, -5277,  4510, 47835, -5277,  4636, -5277,
   -5277,  2985,  1756,  4709,  4709,  2988,  2992, 11977,103121, -5277,
   -5277, -5277, -5277, -5277, -5277,  2995, -5277, -5277, -5277, -5277,
    3004, -5277,  3008,  2686,  3788,  2041,  3788, -5277,  3774, -5277,
   -5277, 74118, -5277,133122, -5277, -5277, -5277,  3017, -5277,  3017,
    4769,103121, 69856,  3017,  3017, -5277, -5277, -5277, -5277, -5277,
    4898,  4838, -5277,  3442, -5277, -5277, -5277, -5277,   315, -5277,
    4763,  4767,103121, -5277,  4563, -5277,  3011,  1680,  4687,  4119,
   -5277, -5277,103121,  5008,  5009, -5277,103121,  4122,103121, -5277,
   -5277, -5277, 47835,   736, -5277,  4418,  2378,  1680,  4423,  5014,
   57554, -5277,  4256,  4325,  4766, -5277,  4774, -5277,  4574,  4859,
    6589, -5277, -5277,   916,  4884,  4886, -5277, -5277, -5277, -5277,
   -5277,103121, -5277, -5277, -5277, -5277, -5277, -5277,  3834, 46745,
   46745, 46745,  4577, -5277, -5277,103121,  1523,  4580, 51105, 74118,
    3015, -5277, 80454, -5277,  3018,  3022, -5277,  3027, 50015,  3030,
   -5277,103121,  4594, -5277, -5277, -5277, 61811,136349,  1271,  4619,
    4584, -5277, -5277,  4680, -5277, -5277,  1813,  3758, -5277, 18357,
  103121, 75702,  5001, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
    3758,  4675,  2599, -5277,  1418, -5277,139576, -5277,103121, -5277,
   -5277,  3031, -5277, -5277, -5277,103121,  4224, -5277,  4224, -5277,
   -5277,  4722, -5277,  3534,   725,   725,  4945, -5277,  4647, -5277,
   -5277,  4596, -5277,  5059,  4713,103121, -5277, -5277,  1420,  2845,
    4119, -5277, -5277, 12768, 75702, -5277,  4256,  4423,  2378, 47835,
    3034, -5277,  4725,   105,  4325, -5277, -5277, -5277, 57022,  4599,
    3752, -5277, -5277,  2277, 75702, 75702, -5277, 50560,  4730,   167,
   16081,  4932, -5277,  4932,  4932, -5277,  3038, 53285, -5277, -5277,
   -5277,103121,  4801,  1573, -5277,  4754, -5277,  3041, -5277, -5277,
   -5277,  1464,   194,  3867,  4605, -5277, -5277,  4711,  1813, -5277,
    3758, -5277,103121, -5277,  4607, -5277, -5277, -5277, -5277, -5277,
  133122,  4224,  4502, -5277, -5277,  5063, -5277,  1398, -5277, -5277,
   -5277, -5277,103121,  4119,  4336,  4418, -5277, -5277,  4614,  4325,
    2378,  4256, 13079, -5277, 57554,103121,103121, -5277,  3045, 57022,
    4325, -5277,  2198, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
    4616,  4617,  5053, -5277, -5277, -5277, -5277, -5277,   745, -5277,
   -5277, -5277, -5277,  4013, -5277, -5277, 51650,  4828, -5277,  1573,
   -5277, 51650,  4615, -5277, -5277, -5277, -5277, -5277, 47835,  1813,
   -5277, -5277, -5277,  2599, -5277,  4946, -5277, -5277, -5277,  4119,
   -5277, -5277, 73590, -5277,  4256,  4325,  4725, -5277, -5277, -5277,
    4859, -5277,  3070,  3888,  1576, -5277, -5277,  2222,  2490,  4700,
    4933, 47290,  4760, -5277,  4823, -5277,  5026,  1523, -5277, -5277,
    1523, 47835, 13356,  1813,  3075,   736, -5277,  3085, -5277, -5277,
   -5277, -5277, -5277,  4325, -5277,103121,  3752, -5277, 57022, -5277,
   -5277,  2198,  4736,  4738, -5277, -5277, -5277,103121, 13698, -5277,
   -5277, 75702, -5277, 73590, -5277, -5277,  4325, -5277, -5277,  4670,
    4672,  3101, -5277,  4634, -5277,  3888,  4941,  4948, -5277, 73590,
   -5277, 75702, 75702,  3102, -5277, -5277, -5277
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2726,     0,     2,     1,  3155,  3159,  3163,  3164,  3081,  3165,
    3166,  3131,  3132,  3133,  3134,  3135,  3136,  3137,  3138,  3139,
    3140,  3141,  3142,  3144,  3143,  3145,  3146,  3147,  3148,  3149,
    3150,  3151,  3152,  3154,  3153,  3103,  2733,  3100,  3097,  3098,
    3099,  3104,  3102,  3095,  3096,  2285,  3168,  3156,  3169,  3157,
    3158,  3160,  3161,  3130,  3162,  3170,  3171,  3172,  3167,  3175,
    3126,  3127,  3125,  3128,  3129,  3173,  3174,  3117,  3118,  3119,
    3120,  3176,  2734,  2735,  3122,  2727,  2731,  2793,  2864,  3123,
    3124,  3121,  2732,  3116,  2864,     0,  2986,  2987,     0,  2988,
    2989,  2990,  2916,  2878,  2991,     0,     0,  2992,  2993,  2994,
    2995,  2996,  2997,  2998,  2999,     0,  3000,  3001,  3002,  3003,
    2863,  3004,  3005,  3006,  3007,  2840,  2846,  2969,     0,  2820,
    2821,  2817,  2819,  2818,  2822,  2805,  1469,   647,  1555,  1554,
       0,  2628,  1469,  2581,  2582,  2629,  2583,  2584,     0,  2585,
     272,     0,  1559,  2586,  2630,     0,  1469,  2631,   443,  1147,
    2632,  2633,  2748,     0,  2587,  2588,     0,     0,     0,   647,
    1469,     0,     0,  2589,  1691,  2590,     0,  2591,  2634,  2635,
       0,  2592,  2593,  2636,     0,  2637,  2594,  2595,  2596,  2638,
    2639,  2640,  2597,  2641,  2642,     0,     0,  1705,     0,  2598,
    2643,  2599,  2600,     0,  2644,  2601,  2602,  2603,  2645,  2646,
    2604,  2605,  2606,     0,  2607,     0,     0,     0,     0,     0,
       0,  2647,  1469,  2608,     0,     0,  1712,     0,  2609,     0,
    2648,  2610,     0,  2611,     0,  2649,  2612,  2613,  2614,  2615,
    1705,  2965,  2841,     0,  1561,     0,  2616,  2650,     0,  2617,
    2618,  2619,  2620,  2621,  2622,  2623,  2624,  2625,  2626,  2627,
       0,     0,     0,    35,    70,    71,    29,    28,    90,    53,
      16,    61,   124,   123,   125,    40,    36,    78,    24,    26,
      37,    41,    63,    65,    54,   102,    62,    22,    60,    85,
      66,    88,    48,    10,    11,    49,    12,    50,    13,    51,
      14,    98,    72,    91,    33,    59,    21,    42,    68,    69,
       3,    44,    80,    76,     9,    55,    56,    58,    82,    83,
      84,   107,    86,   119,    39,   116,    95,    96,   113,    97,
     114,     7,    99,    52,    15,   110,   109,   111,    79,    45,
      81,    67,    89,   108,    25,   112,    17,    18,    20,    19,
      57,    27,    64,    30,    87,   115,   105,   101,   120,   118,
     126,   103,    73,     5,     6,    92,     4,    23,    47,     8,
      32,    31,    46,    38,   122,    34,  1559,    94,   106,    93,
     100,    77,   104,   121,    75,   117,  1676,  1663,  1714,  1675,
    1690,     0,  1679,  3060,  3061,    43,  1691,   128,   129,   134,
    2730,  2782,  2783,  2784,  2864,  2815,  2816,  2809,  2825,  2835,
    2824,  2828,  2836,  2823,  2842,     0,   131,   133,   135,   138,
     132,   127,   130,   137,   142,   136,   141,   139,   140,   143,
     144,   145,  3062,  1939,  3059,    74,  2800,  2799,     0,  2864,
       0,  3092,  2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,
    2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,
    2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,
    2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,
    2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,  2346,  2292,
    2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,
    2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,  2376,
    2377,  2378,  2379,  2380,  2381,  2382,  2383,  2384,  2385,  2386,
    2387,  2388,  2389,  2390,  2391,  2392,  2393,  2394,  2395,  2396,
    2397,  2398,  2399,  2400,  2401,  2402,  2403,  2404,  2405,  2406,
    2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,
    2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,
    2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,
    2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,
    2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,  2456,
    2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,
    2467,  2468,  2469,  2472,  2470,  2471,  2473,  2474,  2475,  2476,
    2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,
    2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,
    2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,
    2507,  2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,
    2517,  2518,  2293,  2519,  2520,  2521,  2522,  2523,  2524,  2525,
    2526,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
    2536,  2537,  2538,  2539,  2540,  2541,  2542,  2543,  2544,  2545,
    2546,  2748,  2547,  2548,  2549,  2550,  2551,  2552,  2553,  2554,
    2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,  2564,
    2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,  2578,  2579,  2580,  2766,  2290,  2291,  2297,
    2298,  2299,  2741,  2762,  2768,  3088,  2767,  2296,  2915,     0,
       0,  3008,  3009,  3010,  3011,  3012,  3013,  3063,  3064,  3065,
    3066,  3067,  3069,  3068,  2877,  3035,  3072,  2876,  3073,  2880,
    3074,  3075,  3076,  3077,  3036,  3078,  2879,  3070,  3032,  2881,
    2874,  2875,  3033,  2984,  2985,  2263,  3034,  3031,  3071,  2769,
    3030,  2885,  2884,  1653,  3087,  2262,  1654,     0,  2887,  3014,
    3015,  3016,  3017,  3019,  3018,  3020,  2651,  2652,  2653,  2654,
    2655,  2656,  2657,  2658,  2659,  2660,  2661,  2662,  3045,  2663,
    2664,  2665,  3058,  2666,  2667,  3046,  2668,  2669,  2670,  2671,
    2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,  2680,  2681,
    2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,  2690,  2691,
    3047,  3048,  2692,  2693,  2694,  2695,  2696,  2697,  2698,  2699,
    2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,
    2710,  2711,  2712,  2713,  2714,  2715,  3049,  2716,  2717,  3050,
    2718,  2719,  2720,  3051,  2721,  2722,  2723,  2724,  2725,  3055,
    3056,  3057,  3044,  2838,  3021,  3043,  3054,  3052,  3053,  2848,
    2844,  2852,  2847,     0,     0,     0,     0,  2864,  1468,  1467,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   646,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2738,     0,  1479,
     147,     0,  3039,  3033,  3042,     0,  2268,  3034,  3031,  3030,
     414,   413,  1558,  1536,   647,     0,  1456,   442,  1691,     0,
       0,     0,     0,     0,     0,     0,     0,   879,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     195,     0,     0,     0,     0,   468,   467,     0,     0,     0,
    1115,   473,     0,     0,     0,     0,     0,   635,  2747,  2742,
    2752,     0,  2745,  2746,  3030,     0,  3179,  2470,  2778,  2779,
    3177,  2530,  1655,   273,   276,   277,   274,   275,     0,  1248,
    1249,  1251,     0,     0,     0,  1261,   919,   920,     0,     0,
       0,   928,     0,     0,     0,   917,     0,     0,     0,   933,
       0,   930,     0,     0,   934,   931,   914,   932,   921,     0,
     913,     0,     0,  1261,   935,     0,     0,   915,     0,     0,
       0,     0,  1457,     0,  2830,  2831,  2399,  1603,   474,     0,
       0,  1691,     0,  1581,  1582,  1559,  1571,  1583,  1576,  1578,
    1577,  1579,  1575,  1580,  2301,  1050,  2316,  1050,  2387,  1047,
    1048,  1050,  1050,  1050,  2490,     0,     0,  1022,     0,  1033,
    2286,  1050,  2287,  3088,  1055,   535,   535,   535,     0,  1054,
    1059,   535,     0,  1450,  1488,  2267,  1704,     0,  2316,  2387,
    1023,  1449,  2547,  1595,     0,     0,  1276,  1272,  1274,  1275,
    1273,     0,     0,     0,  2508,  1461,   257,  3028,  2518,  2612,
    2547,  3029,   256,   251,   252,  3023,  3024,  3026,   225,  3027,
    3025,  3022,  2305,     0,     0,  1054,     0,  1458,  1459,  1005,
    1711,  1709,     0,  2249,     0,     0,  2325,     0,  2339,  2425,
     248,  2501,  2509,  2518,  2612,  2547,  2578,   204,   214,   209,
       0,   266,  2518,  2612,  2547,     0,  1479,     0,  1680,  1813,
    2258,     0,     0,  2839,  1452,  1451,  1560,     0,  1563,     0,
    2485,  1684,  1687,  1565,  1685,  1676,     0,     0,  2729,     0,
    1570,  1708,  1708,     0,  1708,     0,  1668,  1676,  1671,  1675,
       0,     0,     0,     0,  1469,     0,  2807,  2835,  2814,  2870,
    2811,     0,     0,  2860,  2856,  2853,  2861,  2862,  2855,  2843,
    1928,  1929,  1930,  1927,  1940,  1926,     0,  2788,  1931,  2827,
    2794,     0,  2802,  2801,  3105,  3106,  2917,  2740,  2759,     0,
       0,     0,     0,     0,     0,     0,  2886,  2888,  2890,  2850,
    2849,  2845,     0,     0,     0,  2975,  2976,     0,  2974,     0,
    2971,  2973,     0,  2870,     0,     0,     0,   938,     0,  1491,
    1100,     0,     0,     0,     0,     0,     0,     0,  1155,  1156,
       0,  2290,     0,  2398,     0,     0,     0,  2160,  2171,  2172,
    2173,  2329,  2382,  2168,  2169,  2170,  2162,  2163,  2164,  2165,
    2166,  2167,     0,     0,  1243,  2161,     0,  2398,     0,     0,
       0,   174,     0,   151,     0,     0,     0,  2398,     0,     0,
       0,     0,     0,     0,     0,  2398,     0,     0,     0,     0,
       0,   174,  2430,     0,   151,  2398,     0,     0,     0,  1473,
       0,     0,     0,  1475,  1478,  1454,     0,  2241,     0,  2242,
    2269,  1539,     0,  2258,     0,     0,     0,   974,   967,     0,
     975,   982,     0,     0,   984,     0,     0,   968,     0,     0,
       0,     0,     0,   987,   988,     0,     0,   989,   969,   990,
     970,   991,   971,   992,     0,     0,     0,     0,   972,     0,
       0,     0,  1465,     0,  1597,  1599,  1598,  1596,   535,     0,
       0,     0,     0,  2398,     0,     0,   151,  1524,     0,  2398,
     151,     0,     0,   472,   471,   151,   470,   469,  2329,  2382,
       0,  1146,     0,  1408,   151,  2398,     0,   197,  2398,   721,
    2398,  1565,     0,   650,     0,     0,   834,  2430,   151,     0,
       0,     0,     0,     0,     0,  1118,     0,     0,     0,     0,
     634,   647,     0,  2751,  2757,     0,  2749,  2918,  3180,  3178,
    2873,     0,  1252,   249,   250,  1250,   926,  2398,  1188,   363,
     363,     0,     0,  2398,  1510,  1888,  1917,  1895,  1917,  1917,
    1884,  1884,  2366,  1897,  2398,  1885,  1886,  1922,     0,  1917,
    1884,  1889,     0,  1887,  1925,  1925,  1912,   363,   942,  1869,
    1870,  1871,  1872,  1898,  1899,  1873,  1904,  1905,  1909,  1874,
    1939,  3040,  1884,  3041,  3038,  3037,   927,     0,   918,  2398,
     363,  1152,  2398,  2294,   184,     0,   916,  2329,  2382,  2398,
     363,  1245,     0,  2398,   363,  2398,   180,  2398,   363,  2398,
     363,  2398,   651,     0,     0,  2398,   363,  2398,  2430,   182,
       0,  2398,   363,   936,  2398,   363,  2260,  2398,     0,     0,
       0,  3110,  3114,     0,  3112,  3107,  2829,  2883,  2882,  2781,
       0,  3191,     0,  1655,  1573,  1588,     0,  1584,  1591,  1587,
    1691,  1050,  1049,     0,  1050,     0,  3201,  1050,     0,  1050,
       0,  3201,  1050,     0,     0,     0,  1050,  2288,  2289,     0,
       0,  3200,  3196,  3199,  1024,  1034,     0,  1056,     0,     0,
    1063,  1062,  1061,     0,     0,     0,  1064,     0,  1817,  1630,
       0,  1031,     0,  1029,     0,  1447,  1464,     0,     0,     0,
       0,  1118,  1279,     0,  1277,  1268,  1269,  1460,   255,   253,
       0,     0,     0,     0,     0,     0,  1466,     0,     0,     0,
       0,  3094,  2274,  2174,  3093,     0,  2582,  2583,  2584,  2233,
       0,  3035,  2585,  2586,  2630,  2070,  2057,  2066,  2071,  2058,
    2060,  2067,  2587,  2588,  2005,  2589,  2590,  2281,  2591,  2592,
    2593,  2595,  2596,  2597,  2062,  2064,  2598,  2599,     0,  2282,
    2601,  2602,  2452,  2604,  2605,  2607,  2608,  2068,  2610,  2611,
    2612,  2613,  2614,  2615,  2280,     0,  2069,  2616,  2618,  2619,
    2620,  2621,  2623,  2624,  2625,  2626,     0,     0,     0,  2255,
       0,  2037,     0,  1877,  1878,  1900,  1901,  1879,  1906,  1907,
    1880,     0,  2254,  1942,  2119,  2036,  2053,     0,  2042,  2043,
       0,  2035,  2031,  1694,  2250,     0,  2032,  2270,  2234,  2284,
    2283,  3088,  2244,  2273,  2271,  2272,  1694,  2248,     0,     0,
       0,   217,     0,     0,  2964,   268,     0,   269,  2256,  2518,
     205,   247,   219,   246,   220,   218,     0,  2327,   206,     0,
       0,   207,     0,     0,     0,     0,     0,     0,     0,   262,
    1455,     0,  1815,  1814,  2259,   947,     0,  1546,  1547,  1545,
       0,  1542,  1544,  1548,  1562,  1559,  2184,     0,  1686,     0,
       0,     0,  1666,  1665,  1553,     0,  1551,  1567,  1569,  1549,
    1565,  1706,  1707,     0,     0,     0,     0,     0,     0,     0,
       0,  1762,  1722,  1723,  1725,  1759,  1763,  1771,     0,  1672,
       0,     0,  1819,     0,     0,  2728,  2870,  2871,     0,  2865,
       0,  2864,  2864,  2858,  2857,  2854,     0,     0,     0,     0,
       0,     0,     0,     0,  2785,   629,  2787,   626,     0,     0,
    2761,     0,  2765,  2763,     0,  2910,  2913,     0,  2911,  2912,
    2914,     0,  2919,  2920,     0,     0,  3101,     0,     0,     0,
    2901,  2889,  2896,  2898,  2900,  2899,  2908,  2904,  2907,  2909,
    2851,  2864,     0,  2977,  2983,  2980,  2341,     0,  2972,     0,
       0,     0,     0,     0,  1187,     0,     0,     0,     0,     0,
     939,     0,     0,     0,     0,  1499,  1500,  1501,     0,     0,
    1502,  1503,  1491,   259,  1509,  1507,  1490,  1492,  1505,  1497,
       0,     0,     0,     0,     0,     0,     0,  1516,     0,   188,
     189,     0,   663,   647,     0,  2398,     0,     0,     0,     0,
       0,  1195,  1202,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,  1194,  1197,   261,  1206,  1225,  1228,     0,  1154,
    1157,     0,     0,     0,     0,     0,  1336,     0,     0,     0,
       0,  1336,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   284,   286,   297,   358,     0,
       0,  2398,     0,     0,     0,     0,  1247,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,   149,   150,   155,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
     612,   625,     0,     0,     0,     0,     0,   622,     0,     0,
     151,   289,   602,   608,     0,     0,     0,   728,   727,     0,
       0,     0,     0,  1424,  1423,     0,     0,     0,     0,  1514,
    1513,     0,     0,     0,     0,     0,  1336,     0,   278,   280,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   406,   407,     0,     0,     0,
     155,     0,     0,     0,     0,   291,     0,  2795,     0,  1474,
    1471,  1472,     0,  1477,     0,     0,     0,     0,  2045,     0,
    2188,  1714,  2186,  2268,  2240,     0,  2237,  2236,  2265,  2243,
       0,  1535,     0,   981,     0,     0,     0,     0,   983,     0,
     976,     0,     0,   973,  2329,  2382,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   986,     0,     0,     0,   445,
       0,     0,   831,     0,     0,     0,     0,     0,     0,   842,
       0,  1491,  1523,     0,     0,     0,   656,     0,  2398,     0,
     153,   880,     0,   832,   473,     0,     0,     0,  1218,  1407,
     153,     0,     0,   191,     0,     0,   725,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   770,   769,     0,     0,
       0,   833,     0,     0,   153,     0,  2398,   605,  2398,     0,
     535,   535,     0,     0,  1117,  1120,     0,     0,     0,     0,
       0,  2755,  2750,  2753,     0,  2743,  2757,  1658,  1660,  1659,
       0,  1657,     0,   361,   362,     0,  1235,   829,  1260,     0,
       0,  1916,  1903,  1911,  1910,     0,  1893,  1892,  1891,     0,
    1890,     0,  1917,  1917,  1915,  1894,  1869,     0,     0,     0,
    1921,     0,  1919,     0,   909,  1865,  1861,     0,  1928,  1927,
    1926,     0,  1875,  1884,  1881,   929,     0,     0,  1229,     0,
       0,  2398,   363,  2398,     0,  2398,     0,     0,     0,  1237,
     363,     0,  1231,     0,     0,  1233,     0,  1425,     0,   925,
     923,   922,   924,     0,     0,   907,     0,     0,     0,  2398,
     363,     0,     0,   902,     0,     0,   904,     0,     0,  3108,
       0,     0,  3111,     0,  2832,     0,  3197,  1600,  3194,     0,
       0,  1691,     0,   236,   237,   235,  1589,   238,  1590,  1586,
    1572,     0,  1042,     0,  3201,  3202,  1027,     0,  1037,     0,
    3201,  1025,     0,  1038,  1035,  1036,     0,     0,     0,  3195,
    3079,  3085,  1041,     0,     0,   536,   538,     0,     0,  2350,
    2365,     0,  2388,  2418,  2419,  2476,  2504,  2509,  2514,     0,
    2541,  2552,     0,  1065,  1095,  1060,   739,     0,     0,  1640,
    1032,  1030,  1448,  1593,  2191,     0,  1691,     0,     0,     0,
       0,   254,   226,     0,     0,     0,  1097,  2508,  1463,  1004,
     647,     0,     0,  2040,  2041,  2232,     0,     0,     0,     0,
       0,     0,  2039,  2199,     0,     0,     0,     0,     0,  1965,
       0,     0,     0,  2212,     0,  2218,     0,     0,  2002,     0,
       0,     0,     0,     0,     0,     0,     0,  1966,  1946,  1947,
    3036,  2037,  2184,     0,  2038,  2277,     0,  1939,  2174,     0,
    2171,  2172,  2173,     0,     0,     0,  2247,     0,  2182,     0,
       0,  1980,  2180,  1982,     0,     0,     0,     0,  2168,  2169,
    2170,  2162,  2163,  2164,  2165,  2166,  2167,  2178,  1962,     0,
    2253,     0,  2121,     0,  1961,     0,     0,  1775,  1693,     0,
    2275,  2235,     0,  3086,  3089,  2033,  1775,  2961,  2960,  2959,
    2958,  2929,     0,  2923,  2924,     0,  2962,  2963,   270,   271,
     267,     0,     0,   222,   221,     0,   244,   245,   216,   243,
       0,   239,   240,   224,  2110,  2109,   223,   215,   212,   210,
     227,   229,   230,   213,   211,   265,   263,     0,     0,     0,
       0,   363,  2864,  1570,     0,  1557,  1772,     0,  1688,     0,
       0,  1570,     0,     0,  1566,  1683,  1682,  1715,  1716,  1138,
    1681,  1742,  1743,     0,     0,     0,     0,  1768,  1766,  1733,
    1726,  1732,     0,     0,  1730,     0,  1734,  1942,  1761,  1670,
    1720,  1721,  1724,  1669,     0,  1764,     0,  1643,  1762,  1725,
    1627,     0,  1605,     0,  1820,     0,     0,     0,  2872,  2870,
    2810,  1869,  2864,  2803,  2864,  2859,  2791,  1933,  1934,  1935,
    1936,  1937,  1938,  2792,     0,  2789,  1932,  2790,   627,   628,
       0,     0,     0,  2758,     0,  2739,  2764,  2895,  2526,  2927,
       0,  2928,     0,     0,  2892,     0,  2902,  2905,  2903,  2906,
       0,  1869,  2978,  3082,  3082,  1869,     0,     0,     0,  1167,
    1169,     0,  1168,     0,  1171,     0,  1180,     0,     0,  1166,
    1185,     0,  1174,  1172,     0,  1512,     0,     0,   940,     0,
       0,     0,     0,  1498,     0,     0,  2541,   258,  1501,  1506,
    1493,  1504,     0,     0,     0,     0,     0,  1099,  1098,     0,
       0,  1122,     0,     0,     0,  1519,   524,     0,   360,     0,
       0,     0,     0,     0,     0,     0,     0,   827,   824,     0,
       0,   823,     0,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   701,     0,  1336,     0,
     733,     0,  1204,     0,     0,  1203,     0,  1207,     0,     0,
    1205,  1200,  1201,  2509,  2518,  2547,   260,  1227,     0,  1226,
    1222,  1149,     0,  1150,     0,     0,     0,     0,     0,  2375,
    2398,   302,   322,     0,  1335,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   345,     0,     0,   348,   347,     0,     0,     0,     0,
       0,   352,   331,     0,   332,     0,     0,   351,     0,     0,
       0,     0,     0,     0,  1336,     0,   293,     0,     0,     0,
       0,     0,     0,     0,  1244,     0,   756,     0,     0,     0,
    2509,  1223,     0,     0,     0,     0,     0,  1411,     0,     0,
     177,     0,   172,   176,     0,     0,     0,  2509,  1224,     0,
       0,     0,     0,   610,   611,   624,     0,   615,   616,   613,
     617,   618,     0,     0,     0,     0,     0,     0,     0,   609,
       0,     0,   723,   722,   726,     0,     0,     0,  1420,     0,
    1218,     0,     0,  1419,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1281,  1280,     0,     0,     0,     0,
       0,     0,   870,     0,     0,     0,     0,     0,     0,     0,
       0,   179,   743,     0,   742,     0,   173,   178,     0,     0,
       0,     0,     0,     0,     0,   234,  1470,  1476,  1714,  1714,
    1714,  2051,     0,     0,     0,     0,  1713,  2238,  2241,  1538,
    2266,  1537,     0,     0,     0,     0,   985,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   977,   978,   979,   980,
       0,     0,     0,     0,     0,   420,     0,     0,     0,     0,
     858,  3037,   830,     0,     0,     0,   844,     0,   847,   850,
       0,  1489,   492,     0,     0,   653,   701,     0,     0,   476,
     186,     0,     0,     0,     0,   758,     0,     0,     0,  1406,
     148,   195,   197,   474,     0,   196,   198,   200,   201,   202,
     199,   203,     0,   720,   724,     0,     0,     0,     0,   649,
       0,     0,     0,     0,     0,   771,   775,   774,   778,   776,
       0,   772,     0,     0,  1840,     0,     0,   171,     0,     0,
     600,   604,     0,  2736,     0,     0,   476,   578,   374,  2398,
       0,   535,     0,  2398,     0,  1119,     0,     0,     0,     0,
       0,     0,     0,  2756,     0,     0,     0,     0,  1656,   363,
    1189,     0,  1511,     0,     0,     0,   363,  1914,  1913,  1866,
    1862,     0,     0,     0,     0,   943,     0,     0,     0,     0,
       0,     0,  1882,   363,  1153,   185,  2295,     0,   911,     0,
       0,     0,     0,   363,  1246,   899,   363,   181,   363,   363,
     652,     0,   363,   183,     0,     0,     0,   644,   363,   937,
     363,  2261,     0,   363,  3109,  3115,  3113,  1602,  3198,  3192,
    3193,   535,  1660,  1574,  1585,  1039,  1046,  1028,  1045,  1044,
    1026,  1043,  1040,  2894,     0,     0,  3084,     0,  1057,     0,
     534,     0,     0,     0,     0,     0,  1073,  1074,     0,     0,
    1070,  1075,     0,  1071,  1072,  1077,  1067,  1066,  1078,  1079,
       0,     0,  1097,   737,     0,     0,     0,     0,  1637,     0,
    1635,     0,  1818,  1639,  1628,  1594,     0,  1592,     0,   593,
       0,     0,  1278,     0,     0,  1054,     0,     0,   363,  1462,
       0,  1006,  1012,     0,     0,     0,     0,     0,     0,     0,
    1015,  1016,     0,  1017,  1008,  1018,  1009,  1019,     0,  1010,
       0,     0,     0,     0,  2195,     0,  2196,     0,     0,  2231,
    2227,     0,     0,     0,     0,     0,  2203,  2204,  2205,  2202,
    2206,  2201,     0,     0,  2207,  2200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2608,     0,     0,     0,     0,
    2006,     0,     0,  2155,     0,  2184,  2217,     0,     0,     0,
       0,     0,     0,  2184,  2223,     0,     0,     0,     0,  2108,
       0,  2105,     0,     0,     0,     0,  2244,     0,     0,  2278,
    1943,  1957,  1958,  1959,  1963,  2252,     0,  2246,     0,     0,
    1944,  1971,     0,  2224,  1998,     0,  2003,  1986,     0,  1979,
       0,  1984,  1988,  1967,     0,  1964,     0,  2247,  2183,     0,
    2181,     0,  1954,  1955,  1956,  1948,  1949,  1950,  1951,  1952,
    1953,  1960,  2159,  2157,  2158,     0,     0,     0,  2129,     0,
       0,  1983,  2391,  2425,     0,  1705,  1705,  1705,  1692,  1703,
    2251,     0,  1835,  1714,  3091,  3090,  2245,  1835,     0,     0,
       0,  2257,     0,     0,  1939,     0,   264,  1816,   945,   946,
     944,  1869,  1541,  1543,  1556,  1570,  2185,  1564,  1691,  1550,
    1552,  1568,     0,  1136,  1137,     0,  1141,  2608,  2506,     0,
       0,     0,     0,  1735,  1769,     0,  1760,     0,  1736,  2270,
    2271,  1737,  1740,  1741,  1731,  1770,  1641,     0,  1765,  1674,
    1673,     0,  1838,     0,     0,     0,  1619,  1607,     0,  1821,
       0,  1775,  1645,     0,  2244,  1773,  2808,  2866,  2813,  2834,
    2804,  2837,  1941,  2786,  2826,     0,  2760,  2930,  2931,     0,
    2921,  2922,  2891,  2897,  2968,     0,  3083,     0,     0,  1382,
    1282,  1345,  1170,     0,  1884,  1181,     0,  1165,     0,  1164,
    1884,     0,  1182,     0,  1884,  1383,  1283,  1346,   941,  1384,
    1284,  1347,  1385,  1285,  1508,  1496,  1495,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   808,  2398,   363,  1517,  1386,     0,  1286,   359,
    1518,  1348,  1522,   826,   825,     0,     0,  1349,     0,   662,
       0,   666,     0,   668,   669,   670,     0,     0,     0,   671,
       0,  2329,  2382,   673,   676,   677,   678,   685,   690,   680,
       0,     0,   692,   686,     0,     0,     0,     0,     0,     0,
     698,   700,     0,     0,     0,     0,     0,     0,     0,  1198,
    1199,  1387,  1289,     0,  1350,  1148,     0,  1290,   187,     0,
       0,   285,  2398,   304,     0,   705,   808,     0,  1338,   301,
     329,     0,     0,   344,   339,   340,   338,  2398,   363,  2398,
     363,     0,     0,     0,     0,     0,   341,   336,   337,   333,
       0,     0,   346,  2304,  2367,  2519,     0,   709,   711,     0,
     716,   349,  1310,   370,   369,   368,     0,   353,     0,   375,
     378,   350,   327,   330,   328,   324,   298,     0,     0,     0,
       0,     0,     0,     0,     0,  2264,     0,     0,  1239,     0,
    1390,  1351,     0,  1373,     0,     0,     0,     0,   750,     0,
    1393,  1296,  1354,  1412,  1414,  1404,  1297,  1413,   175,  1325,
       0,     0,   160,     0,     0,     0,     0,   154,   164,     0,
    1394,  1298,  1355,     0,  1395,  1299,     0,     0,   290,   603,
     614,   619,  1304,   623,   620,  1363,   621,  1402,  1300,  1398,
    1328,  1358,  1405,  1421,  1301,  1218,  1416,  1418,     0,  1336,
       0,   279,   281,     0,   300,     0,  1302,     0,  1356,  1397,
    1327,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1525,     0,     0,     0,     0,     0,     0,   363,     0,     0,
       0,  1338,  2398,   363,  1396,     0,  1333,     0,  1371,     0,
     408,     0,  1326,     0,     0,   292,  1306,  1365,     0,     0,
     232,   231,   233,     0,     0,     0,     0,  2189,  2190,     0,
    2187,  2046,  2240,     0,   994,   952,   993,     0,  2365,     0,
     951,   953,     0,     0,     0,   954,     0,   958,   959,     0,
       0,     0,   950,   948,   949,   419,     0,   444,   417,   418,
     420,     0,   857,     0,     0,     0,     0,     0,   846,     0,
       0,     0,  1515,     0,   151,   660,     0,     0,     0,   655,
     700,   705,     0,     0,     0,     0,   475,   479,   483,   484,
     485,     0,     0,     0,     0,   165,   152,     0,   888,     0,
     535,     0,   760,  1410,  1409,  1217,     0,   197,   190,     0,
       0,   721,     0,  1565,     0,     0,   374,   841,   839,   838,
     840,     0,     0,     0,   862,   837,     0,  1839,  1841,     0,
       0,     0,     0,     0,     0,     0,   478,     0,     0,   538,
       0,     0,   582,     0,     0,     0,     0,   374,     0,     0,
       0,  1159,     0,  1177,  1160,     0,     0,     0,     0,  1211,
    1144,  1212,  1190,  1145,     0,     0,   632,  2754,  2748,  1661,
    1662,     0,  1236,     0,     0,  1883,  1896,   910,     0,  1924,
    1923,  1925,  1925,     0,  1867,     0,  3181,  3189,  3188,     0,
    1908,  1876,  1230,   363,     0,   363,     0,   363,  1238,  1232,
    1234,  1426,     0,   908,     0,     0,   363,   901,   903,     0,
     905,     0,  2893,  3080,  1058,   537,     0,     0,     0,     0,
       0,     0,  1069,   630,  1076,     0,  1090,  1085,  1087,     0,
    1091,   736,     0,     0,  1638,  1631,  1633,  1632,     0,     0,
    1629,  2192,   900,     0,   599,  1270,  1271,     0,     0,   363,
       0,  1092,     0,     0,  1013,  1007,     0,     0,  1011,     0,
       0,     0,  1014,     0,     0,  1710,  2193,  2194,     0,     0,
       0,  2228,     0,     0,  2083,     0,  2059,  2061,  2073,     0,
    2084,  2044,  2085,  2063,  2065,     0,  2175,     0,     0,  2074,
       0,  2008,  2009,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2024,  2023,  2075,  2154,     0,     0,  2215,  2216,  2076,     0,
       0,  2222,     0,     0,     0,  2081,  2086,     0,     0,     0,
       0,  2092,     0,  2113,     0,     0,     0,  2034,  2185,     0,
       0,     0,     0,     0,     0,     0,     0,  2004,  1987,  1981,
       0,  1985,  1989,     0,     0,     0,  1975,     0,     0,  1973,
    1999,  1969,     0,     0,  2000,     0,     0,     0,  2052,     0,
       0,  1705,  1705,  1705,  1705,  1702,     0,     0,     0,     0,
    2506,  2627,     0,  1799,  1774,  1776,  1786,  1799,  1804,  1799,
    2054,  1833,  2055,  2258,     0,  1745,     0,  1745,  2943,  2945,
    2946,  2947,  2948,  2949,  2951,  2952,  2954,  2955,  2956,  2944,
    2950,  2953,  2957,  2934,  2935,     0,  2925,  2926,   208,     0,
     241,   228,  2968,  1540,     0,  1717,     0,  2176,  1141,     0,
    1719,  1738,  1739,     0,  1729,  1767,  1727,  1642,  1626,     0,
    1624,  1611,  1613,  1612,     0,     0,  1614,  2244,     0,  1624,
    1606,  1650,     0,     0,  1838,     0,  1649,     0,  2868,  2796,
       0,     0,  2967,  2970,  2982,  2979,  2806,     0,  1884,  1162,
    1163,     0,  1186,     0,  1102,  1103,     0,  1101,     0,     0,
       0,   523,  1121,     0,     0,     0,   808,     0,     0,   527,
       0,  1520,     0,  1403,  1324,   664,   665,     0,   679,     0,
     688,   687,     0,     0,     0,     0,     0,     0,     0,   672,
     694,   636,   695,   697,     0,     0,   696,   699,   702,  1336,
       0,   734,  1312,     0,  1369,  1192,  1339,     0,  1151,     0,
       0,     0,     0,     0,     0,   492,   323,     0,     0,     0,
       0,   151,     0,   306,   315,   381,   321,     0,  1344,   355,
       0,   326,     0,   319,   342,   334,   343,   335,   354,   356,
       0,   713,   714,   712,   708,     0,   715,   717,     0,   372,
       0,     0,     0,  1389,     0,  1336,     0,   294,     0,  1308,
       0,  1367,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1372,     0,     0,     0,     0,   755,     0,
     752,  1340,     0,     0,   157,   156,     0,   163,     0,  1341,
       0,     0,     0,     0,  1422,     0,     0,     0,     0,     0,
       0,   390,     0,   299,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   409,   365,     0,   865,     0,     0,     0,   411,     0,
       0,     0,     0,     0,  1388,  1291,  2049,  2050,  2047,  1714,
    2239,     0,     0,     0,   965,     0,     0,     0,     0,     0,
       0,   422,   423,   151,   421,     0,     0,   859,     0,   856,
    2452,  2162,  2163,   854,   860,   851,   853,   852,   855,   808,
       0,     0,   843,   848,   849,     0,     0,     0,     0,     0,
     507,     0,     0,     0,   498,     0,     0,  1218,   491,   494,
     495,     0,     0,   656,   659,   657,   658,   693,     0,   478,
     514,   564,     0,   167,     0,     0,   168,   166,     0,     0,
     374,   757,     0,   754,     0,   193,   474,     0,   725,     0,
       0,     0,  1218,   648,   777,   780,   773,     0,   861,   863,
     835,     0,   705,     0,     0,   605,     0,  1603,   593,     0,
     566,   478,   564,   576,   575,   577,     0,   584,   373,     0,
       0,   593,   584,     0,     0,  1122,  1158,     0,     0,     0,
    1208,  1213,  1209,     0,     0,  1173,     0,  1210,  1191,  1442,
    1443,  1440,  1441,     0,     0,     0,  2771,  1652,  2780,     0,
    1902,     0,  1920,  1918,  1863,     0,  2864,     0,     0,     0,
       0,     0,  1868,   912,     0,   895,     0,   897,   363,   744,
       0,   645,   363,     0,     0,     0,     0,     0,     0,  1068,
       0,  1088,     0,     0,  1051,  1094,     0,     0,  1636,  1634,
     591,     0,  1097,     0,  1052,  1096,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2197,     0,  2230,  2226,     0,
    2056,  2198,     0,  2210,  2209,  2155,     0,     0,  2007,  2019,
    2020,  2021,  2211,     0,  2029,     0,     0,  2016,  2017,  2018,
    2010,  2011,  2012,  2013,  2014,  2015,  2022,  2220,  2219,  2213,
    2214,     0,  2078,  2079,  2080,  2221,  2087,     0,  2319,  2114,
    2091,  2107,  2106,     0,     0,     0,  2094,     0,     0,  2103,
       0,  2156,  2279,  1945,     0,     0,  1972,  2225,  1990,     0,
       0,     0,  1968,  2175,     0,     0,     0,     0,     0,  1977,
       0,     0,     0,  2132,  2127,  2128,  2152,     0,     0,     0,
       0,     0,     0,  1696,  1695,  1701,  1799,  1804,  1799,     0,
       0,  1676,     0,  1786,     0,  1798,  1784,  1797,     0,     0,
    1810,  1808,     0,  1810,     0,  1810,     0,  1778,     0,  1800,
    1780,  1797,  1782,     0,  1825,  2259,  1834,     0,  1758,  2046,
    1758,     0,     0,     0,  2966,  1689,     0,  1718,  1139,  1140,
    1728,     0,  1836,     0,  1625,     0,     0,     0,  1616,  1622,
    1604,     0,     0,  1646,  1624,  1647,  2812,     0,  2867,  2932,
    2933,  1183,     0,     0,  1175,  1108,  1109,  1112,  1110,  1107,
    1111,     0,     0,     0,   808,     0,     0,   545,     0,  1133,
    1133,     0,     0,   529,   587,   540,   811,     0,     0,     0,
     809,   363,  1287,     0,   689,     0,     0,   684,   682,   681,
     683,     0,   637,  1401,  1288,     0,     0,     0,     0,  1193,
       0,     0,  1311,     0,   303,     0,   488,     0,     0,   316,
       0,   312,     0,  1337,     0,     0,     0,     0,   311,   385,
       0,   382,     0,   363,   363,   357,   710,   371,   376,   377,
     380,     0,     0,     0,     0,     0,  1343,     0,     0,     0,
       0,     0,     0,     0,   889,   872,     0,     0,   890,   891,
       0,     0,     0,  1241,  1242,  1240,  1374,  1375,  1380,  1377,
    1376,  1379,  1378,  1381,     0,  1294,     0,     0,   748,   161,
     158,   159,   162,  1322,  1305,  1364,  1417,     0,     0,     0,
    1303,     0,  1357,     0,  1318,  1314,     0,     0,     0,     0,
       0,  1400,  1332,  1362,  1399,  1330,  1360,  1329,  1359,  1331,
    1361,     0,  1323,     0,  1843,   869,     0,     0,     0,   363,
     363,   868,   746,  1307,  1366,     0,     0,     0,   955,     0,
       0,   957,   960,     0,   962,   427,   447,   766,   828,     0,
       0,   845,   807,     0,   496,     0,   502,   505,     0,     0,
     509,   510,   508,   497,  1218,   535,   586,   797,   798,     0,
       0,   818,     0,   654,     0,   476,     0,   511,     0,     0,
     480,   170,   169,     0,     0,     0,   761,   765,   763,   762,
     764,   759,     0,   750,   197,     0,     0,     0,     0,   588,
    1415,     0,   790,   836,     0,  1842,   740,     0,   374,   601,
       0,     0,   476,   593,  2737,     0,   481,   486,   487,   492,
       0,   578,   565,     0,   566,     0,     0,   590,  1487,     0,
     594,   596,     0,     0,     0,  1161,  1178,  1179,     0,     0,
    1142,     0,     0,     0,     0,   639,     0,  2744,   363,  1864,
    3182,     0,  3183,  3184,  3185,  3186,  3187,   363,   363,  1267,
       0,   906,  1082,  1083,  1084,  1081,  1080,   631,     0,  1086,
     738,     0,   592,   363,     0,  1021,   999,  1020,   998,  1000,
       0,  1002,  1003,   997,   995,   996,  2229,  2072,  2082,  2208,
    2154,  2185,     0,     0,  2030,     0,     0,  2077,  2617,     0,
       0,     0,     0,  2111,  2112,  2093,     0,  2442,  2098,     0,
       0,     0,  1996,  1994,  1991,     0,  1992,  1976,     0,     0,
    1974,  1970,     0,  2001,  2118,     0,  2134,  2131,  2151,  2185,
    1700,  1699,  1698,  1697,  1785,  1781,  1783,     0,  2622,     0,
    1788,  1795,     0,  1777,     0,  1809,  1805,     0,  1806,     0,
       0,  1807,     0,     0,  1779,     0,  1795,     0,  1832,     0,
       0,  2123,  2276,  2123,  2936,     0,  2939,  2937,  2938,  2942,
     242,     0,     0,  3197,  1608,     0,  1609,  1615,     0,     0,
       0,     0,  1651,  1644,  2869,  1176,  1184,     0,     0,     0,
     525,     0,   540,     0,     0,     0,  1135,  1135,     0,   540,
       0,  1218,   813,   812,   815,   810,   814,  1521,     0,   674,
     675,   691,  1313,     0,  1370,  1320,     0,  1640,   305,     0,
     706,   310,     0,     0,   307,   384,   386,   308,   309,   313,
     365,   325,   318,     0,     0,     0,  1309,     0,  1368,  1316,
    1391,  1292,  1352,     0,     0,   878,     0,     0,     0,     0,
    1392,  1293,  1353,     0,     0,     0,     0,  1640,     0,     0,
       0,     0,     0,     0,     0,     0,  1530,     0,  1342,   364,
     867,   866,   365,   410,  1334,  2048,     0,   956,   963,   964,
     961,     0,   416,   424,   448,   151,     0,     0,  1258,  1258,
       0,   808,     0,     0,   493,   506,     0,   586,   544,     0,
     499,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   753,   752,   192,   476,     0,
     705,     0,   784,   785,   779,   781,     0,   792,   796,   864,
       0,     0,   478,     0,     0,  1601,   477,     0,     0,   489,
       0,   582,   566,   578,     0,   579,     0,   583,     0,  1480,
       0,     0,     0,     0,  1214,     0,  1220,     0,  1172,  1215,
       0,  1835,     0,     0,     0,     0,   643,  2770,  2774,  1259,
    3190,   896,   898,   745,  1089,     0,  1093,   363,  1001,  2156,
    2025,     0,     0,     0,     0,  2088,     0,  2089,  2116,  2115,
    2095,  2099,     0,  2096,  2097,  1993,  1997,  1995,  1978,  2120,
       0,  1714,  2153,  1828,     0,  1831,     0,     0,  1787,     0,
       0,  1789,     0,     0,  1791,  1793,     0,     0,     0,     0,
       0,     0,  2262,  2346,  2593,  2503,     0,  1744,  1746,  1749,
    1751,  1750,  1752,  1748,  1757,     0,  1678,  1677,  2941,  2940,
    2177,  1837,  1623,     0,     0,     0,  1123,     0,  1648,  1090,
       0,   363,  1133,  1218,   546,  2452,   547,  1132,  1134,  1138,
    1138,     0,  1218,     0,   586,   667,     0,     0,   287,   704,
       0,     0,   317,   367,   379,     0,  1640,     0,     0,   876,
     885,   885,   873,     0,     0,   892,  1295,   749,     0,     0,
     282,  1319,  1315,     0,     0,     0,  1532,  1533,     0,     0,
       0,     0,     0,   363,   966,     0,   450,   457,   428,   433,
    1524,     0,  1524,     0,   430,   434,  1524,   429,  1524,   426,
     427,     0,  1258,     0,  1255,  1254,   806,     0,   533,   607,
     500,     0,   555,     0,     0,   819,     0,     0,   478,   564,
       0,   522,   515,   516,   517,   518,   519,   520,   521,   513,
     512,     0,   705,   882,   374,  1487,   747,     0,   718,     0,
     782,   787,   786,  1524,   791,     0,     0,     0,   705,     0,
     566,   478,   564,   482,   492,     0,   569,   568,   584,   578,
     582,   580,   581,     0,     0,     0,   593,  1534,  1122,     0,
    1219,     0,     0,     0,     0,     0,     0,  1262,   638,     0,
       0,   642,   633,     0,  2772,   705,  1053,  2026,     0,  2027,
       0,     0,     0,  2101,  2100,     0,  2138,  1833,     0,     0,
    1827,     0,     0,  1857,     0,     0,     0,  1796,  1812,     0,
    1792,  1790,     0,  1801,     0,  1803,     0,     0,     0,  1753,
       0,  2122,  2124,     0,     0,  1621,  1835,     0,  1618,     0,
    1104,     0,  1105,  1135,   586,     0,  1141,  1141,   535,   586,
       0,   808,  1321,     0,   707,   607,     0,   320,     0,   295,
    1317,     0,     0,   887,   887,     0,     0,     0,     0,   397,
     404,   403,   398,   396,   405,     0,   401,   395,   394,   399,
       0,   392,     0,     0,  1526,     0,  1527,  1528,  1531,   412,
     425,     0,   455,     0,   453,   452,   454,     0,   441,     0,
       0,     0,     0,     0,     0,   415,   446,  1253,  1257,  1256,
       0,     0,   501,     0,   503,   541,   542,   543,     0,   504,
     551,   552,     0,   816,     0,   821,     0,     0,     0,   705,
     563,   729,     0,     0,     0,  1481,     0,   589,     0,   793,
     794,   789,     0,     0,   741,  1487,   578,     0,   566,   490,
       0,   463,   582,   584,     0,  1484,     0,   595,     0,  1129,
    1143,  1221,  1216,  1446,     0,     0,   641,   640,  2775,  2777,
    2776,     0,   735,  2028,  2104,  2090,  2117,  2102,  2133,     0,
       0,     0,     0,  1826,  1829,     0,  1860,     0,     0,     0,
       0,  1846,     0,  1794,     0,     0,  1802,     0,     0,     0,
    1747,     0,     0,  1610,  1620,  1124,     0,     0,  1138,   550,
       0,  1126,  1125,   544,   808,   539,   526,  1640,   314,   366,
       0,     0,     0,   883,   886,   874,   875,   894,   893,   751,
    1640,     0,     0,   388,     0,   387,     0,   391,     0,   451,
     460,     0,   458,   431,   436,     0,   440,   438,   437,   432,
     435,     0,   532,     0,     0,     0,     0,   553,     0,   554,
     585,     0,   820,     0,     0,     0,   731,   881,     0,     0,
     705,   783,   788,     0,     0,  1482,   582,   566,   578,     0,
       0,   570,  1133,  1133,   584,   461,  1485,  1486,     0,     0,
     374,  1445,  1444,  1691,     0,     0,  2773,  2581,     0,  2554,
       0,  2150,  2139,  2150,  2150,  2130,     0,     0,  1858,  1859,
    1844,     0,     0,  1848,  1811,  1824,  1755,     0,  1754,  2125,
    2126,  1835,   363,  1141,     0,   808,   548,   555,   528,   288,
    1640,   877,     0,   283,     0,   402,   400,   393,  1529,   456,
       0,   439,   796,   606,   560,     0,   559,     0,   557,   556,
     817,   822,     0,   705,   871,  1487,   719,   795,     0,   584,
     578,   582,     0,   567,     0,  1135,  1135,   465,     0,     0,
     584,  1428,  1691,  1427,  1429,  1437,  1434,  1436,  1435,  1433,
    1265,  1266,     0,  2143,  2142,  2141,  2145,  2144,     0,  2137,
    2135,  2136,  1830,     0,  1847,  1850,     0,     0,  1856,  1849,
    1851,     0,     0,  1822,  1756,  1617,  1106,  1127,     0,   530,
     808,   296,   884,     0,   459,     0,   558,   562,   561,   705,
     730,  1483,   801,   464,   582,   584,  1133,   571,   573,   572,
    1129,  1130,     0,  1835,     0,  1438,  1432,  1676,  1663,     0,
       0,     0,     0,  2147,     0,  2148,     0,  1854,  1855,  1852,
    1853,     0,     0,   531,     0,     0,   732,     0,   799,   802,
     805,   803,   804,   584,   462,  1135,   374,  1128,     0,  1113,
    1430,  1691,     0,     0,  2140,  2146,  2149,     0,     0,   549,
     389,     0,   767,     0,   466,   574,   584,  1131,  1431,     0,
       0,     0,  1823,     0,   800,  1835,     0,     0,  1845,   801,
    1114,     0,     0,     0,  1263,  1264,   768
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5277, -5277,  4803, -5277, -5277, -1319,   249,  3072, -1079, -5277,
   -5277, -5277,  1393, -5277, -5277, -5277, -5277,  3902, -5277,  2154,
   -2951, -5277, -5277,   -40,  3882, -1766,   -57,  3395,  1791, -5277,
   -1573, -5277, -5277,  -951,     3, -5277,  3886,   511, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -1043,  2273, -5277,  2348,
    1592,  5521, -3082, -5277, -5277, -1939, -3787, -5277,   875, -5277,
     898, -4773,  -642, -5277, -5180, -5277,  -811,  -628, -5277, -5277,
    2266, -5277, -5277, -5277,  1397,   785,  -299, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277,  -479, -5277, -5277,  -727,   203,  -106,
   -2930, -4328, -5277, -5277,   743,  -110, -1941, -5277, -4146, -5277,
     278, -2303, -5277, -5277, -5277,   -75, -1910,  1711, -5277, -1073,
   -1578,  2046, -4727,  -586, -5277,    45, -5277,  -698,  -491,  -488,
    -622, -4357, -4820, -5277, -5277, -5277,  -730, -4799, -5122, -4346,
   -4883,  1717, -5277, -5277, -4360,   262,   717, -5277,   391,   469,
   -5277,   734,  -415, -1316, -2034, -5277, -1203, -5277, -5277, -5277,
   -3492, -5277, -5277, -5277, -5277,   -82, -5277, -5277, -5277, -5277,
     778, -5277, -5277, -5277, -5277, -5277, -5277, -3207,  2226,  2232,
   -5277, -3718, -5277, -1294, -5277,   929, -3524,  1621, -5277, -5277,
    1388,  3931,   765, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
   -2139, -5277, -5277, -5277, -5277,   268,   -52, -5277, -5277, -5277,
   -5277, -5277, -5277,   501, -5277,  2246,  1382, -5277, -5277,   -55,
   -5277, -5277, -5277, -5277, -5277, -5277,  -680, -5083,  -836,  -819,
   -5277, -3538, -5277, -5277, -5277,   -26, -5277, -5277, -5277, -5277,
   -5277, -5277, -1252, -5277,  1448, -3705, -5277, -5277,  1455, -5277,
   -5277, -5277, -5277, -5277,  -597,    37,  3081, -5277,  -195,  -386,
   -5277, -5277, -5277,    40, -5277, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -1504, 21764, -1240,  -900, -5277, -5277, -5277, -5277,
   -5277, -2728, -5277, -5277, -5277, -5277, -4051, -5277,  5102,    36,
    -507,   502, -5277,  -206,   -96,  3667, -1599, -3186,   698,  -156,
   -5277, -5277, -5277, -3080, -5277, -5277, -5277, -5277, -4093,   515,
   -5277,  3653, -5277, -4363, -5132, -4131,  -745, -5277, -4642, -5002,
   -5155, -4069, -5277, -5277, -5277, -5277,  -843,  -882,  3049, -5277,
   -1924,  2600, -1311, -5277, -2570,   760,  1798,  3889, -3277,  -825,
    3042, -3045, -1041, -3820, -5277, -5277, -2812,  -287, -5277, -5277,
    1311,   516, -5277, -5277, -5277, -5277,  -960,  2989,  -898, -5277,
   -5277,  4299, -5277, -4902, -5277,  4271, -5277, -5277, -5277, -5277,
    2881,  2882, -5277,  2879, -5277, -5277, -1907,  1552, -5277, -5277,
   -5277, -5277,   961, -5277, -5277, -5277, -5277, -5277, -5277, -5277,
    1443,   946, -5277, -5277, -5277, -5277, -5277,  -573,  -750, -5277,
   -5277,   541, -5277, -5277, -5277, -5277,  2150, -1287, -1109,  4158,
     816, -5276, -5277, -5277, -1390, -5277,  3387, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277, -2789, -5277, -5277, -5003,
   -5277, -5277, -5277, -5277, -5277,  2753, -5277, -5277,  2747,   -62,
   -5277,  -233, -5277, -5277, -1380,  2754, -5277, -2400, -5277,  -917,
   -5277,  2978, -5277, -5277, -5277, -5277, -2253,   819,   824,   -70,
   -5277, -5277,   174, -5277,   587, -5277, -5277, -3981,   -69, -5277,
   -5277, -5277, -5277, -4999, -5277,   -58,  -464,  1141, -3325, -5277,
     822,     0,  3772,  2184,   -27,  3880,  -240,  -242,  -226,   -76,
     -93,  3538, -5277,  3594, -5277,  -211,  2454, -5277, -5277, -1198,
    -357, -5277,  1936,  -994,  2732,  3525,  3530, -5277,  1925,  2760,
   -2428, -2423, -5277,  1208,  -442,  -271, -5277, -5277, -5277, -5277,
     636,  -982,  2749, -5277,  3533, -5277, -5277, -5277, -2355, -3371,
   -3966,  1232, -3988, -3918,   663,   651, -1066,   -36,  -221, -1129,
    3536, -5277, -5277,  1244,  -231, -5277, -5277,  -232, -3319,  1175,
   -5277, -4919, -2820,  1255,  -699,  -530, -5277,  -616, -5277,  -403,
    6014, -2131, -1470, -5277, -5277, -1428, 27286, -5277, -5277, -5277,
   27782, 28013, -5277, -5277, 29201, 29475, -5277, -1256, 30102, 27071,
   -1447, -1430, -1700, 26135, -1632,  2896,   296, -5277, -4139,  -302,
   -5277, -5277, -5277,    12,  1305,  -525, -5277, -4957, -5277, -5277,
     237, -5277,  -410, -5277,  -409, -5277, -5277, -5277, -2703, -4703,
   -2818,  2884, -5277, -5277, -5277,  -822, -5277, 30988, -3245, -5277,
   -1143, -1787, -2026, -3974, -2325, -5277, -5277, -5277, -5277, -5277,
   -5277, -5277, -1730, -3839,  -469,  2043, -5277, -5277,  2136, -5277,
   -5277, -5277, -1318,  2430, -1136, -3142,  2052, -5277, -1119,  2885,
   -1144, 30711,  -980, 26092,  -113, -2779, -1721, -2066, -5277,  5891,
   -5277,  3958,  -139,  -794,  6456,  -885,  -991,  8654,  7083,  5258,
   -3690, -5277, -5277,   825, -5277, -5277, -5277,  4731,  1485, -5277,
    3950, -5277,  2316,  3161, -5277, -5277,  2752, -1016,    44, -5277,
    -360, -5277,  -105, -5277, -5277, -5277,   239, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277, -5277, -5277,  3561, -5277, -5277, -1661,
   -5277, -5277, -5277, -5277, -5277,  5027,  -388, -5277,  4370,  -381,
   -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277, -5277,  3572,
    2787, -5277,  4154, -5277, -5277, -5277,    -4,  3793, -5277, -5277,
   -5277, -1369,  -647,  4179,  4183,  2755, -5277, -5277, -5277, -5277,
   -5277, -5277, -5277, -5277,  2757, -5277, -5277,  2032, -2467,  2761,
   -5277, -5277,  1217, -5277, -5277,   697, -5277,  1218, -5277,  3672,
   -5277, -5277, -5277,  1262, -5277, -5277, -5277,  -618, 19856,   -19,
     111,   573,  1953, -5277, 11704, 15257,  -114,  3583,   -48, 15909,
   22662,   894, -5277,  5021,  2768,  2261, -1133, -5277,  4733,  3059,
   16941, -5277, -1131,   503,  1823, -5277,    -2,  -708, -1363,  3898,
    -813, -2293, -5277,  5451, -5277, -3534, -5277, -1159,   282,  4374,
   -1402
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   252,   253,   254,  2047,  3030,  2882,  3855,  3856,
     255,   256,  2043,   257,   258,   259,   260,  1963,   261,  1436,
    2213,  3045,   262,  2717,  1168,  1169,  1170,  2569,  2570,  2966,
    2571,  2558,  1782,  2367,  1984,  1133,  1134,  1944,  1985,   264,
     265,  1776,  2550,   266,   267,   268,  2015,  2099,  2016,  2017,
    1957,  2266,  4924,  5667,  3647,  2847,  3904,  3648,  3649,  4304,
    4305,  4383,  5691,  5692,  5684,  5690,  5685,  5686,   269,  2115,
    2116,   270,   271,  3820,  3816,  4433,  5282,  5283,  5519,   949,
    3007,  5285,  5286,  5505,  5506,  5705,  5851,  5852,  3046,  2205,
    3898,  4520,  3846,  5015,  3847,  5016,  3848,  5017,  3832,  4468,
    4469,  4959,  4470,  3849,  4977,  5549,  3850,  2736,  5722,  3087,
    2397,  2395,  5201,  5532,  4786,  4787,  5935,  5729,  5730,  5731,
    5958,  4979,  5021,  5022,  5575,  5890,  5891,  3902,  4527,  5027,
    5300,  3532,   273,  2239,  4004,  1063,  3090,   984,  1064,  3047,
     277,  3080,  5724,  3081,  2073,  2896,  5687,  3984,   278,  1461,
    4270,  5366,  5601,  5602,   279,   926,   280,  2221,   281,   282,
    3025,  3839,   283,  2753,  3549,   284,   285,  3580,  3581,  3582,
     286,  4295,  5219,  2018,  3636,  3637,  3638,  3639,  4326,   287,
    2216,  3054,  3055,   288,   289,   290,   291,  3215,  3216,   292,
    2953,   293,   294,   295,   296,  4360,  4888,  4993,  3678,  3862,
    4493,  4991,   297,  3048,  2229,  3070,  3071,  5002,  5324,  5325,
    5326,  5563,  5881,  5328,  5565,  5751,  5567,  4969,  6067,  6068,
    5291,  4249,  4800,   299,  4970,  4971,  5736,   300,  2751,   301,
     302,   303,  2189,  3017,  3018,  4444,  2182,  3009,  3010,  4507,
    4508,   304,  3760,   305,  4864,  4865,   985,  5743,  5673,  5835,
     306,   307,  4868,  4869,   308,   309,   310,   311,   312,  1049,
    1050,  1051,  1562,  1563,  3504,  1507,   313,  2581,   314,  1400,
    1401,  3795,   315,  1659,  3261,  3262,  5076,   316,  1087,  1592,
    1593,  3049,   318,  1098,  3235,  1100,  2412,  3986,  3987,  4594,
     319,   320,  3212,  3238,   321,  1950,  2727,  2728,  4781,  3050,
     986,  2245,  3094,  3527,  5445,  5446,  5900,  6042,  5196,  5459,
    3426,  4190,   323,   987,  1989,  2802,  1530,  1531,  3097,  3912,
    2696,  2697,  2698,  4544,  2699,  3914,  2700,  1924,  2701,  1478,
    1479,  3920,  3921,  3922,  4540,  4547,  3039,  5356,  5357,   324,
    1987,  2800,   325,   326,   327,  2026,  1312,  1540,  1541,   328,
    1009,  1010,   329,  5524,   330,  1482,   331,  5364,   332,   333,
    1122,  1123,  1643,  1644,   334,   335,  2816,  4307,   336,   337,
     338,  3672,  3673,  4880,   339,   340,  2208,  2209,   341,   342,
    3725,  3726,   343,   344,   345,  5983,  6044,  6045,  6046,  4553,
    5903,  5985,  1635,   347,   348,   349,   929,  1353,  1354,  1355,
    3051,  5349,   351,   352,  1945,  1946,  1947,  1948,  2722,   353,
     354,   355,   356,   357,   358,   359,  2193,   360,   361,  5498,
     362,   363,  2151,   364,  1810,  1811,   365,  1825,  1826,   366,
    3415,   943,  1188,  1815,  1821,  1827,  1828,  1829,   367,  1066,
    1586,  1587,  1588,  2369,   368,  1639,  1403,  1067,  1581,  1068,
    2631,  3456,  4204,  4205,  4206,  4209,  5180,  4754,  1069,  3452,
     372,  2419,  3221,  3224,  3448,  1070,  3461,  3462,  3463,  4212,
    1071,  1089,  1471,  3107,  1072,  1731,   377,   378,   379,  1197,
    1191,  1192,   381,  2527,  3388,  1107,  1833,  1152,  1153,  1205,
    2976,  2597,  2598,  2622,  2623,  1842,  1843,  2610,  2614,  2615,
    3438,  3432,  2603,  4738,  5427,  5428,  5429,  5430,  5431,  5432,
    5161,  2618,  2619,  1845,  1846,  1847,  2627,   382,  3392,  4144,
    4145,  4146,  4715,  4716,  4730,  4726,  5146,  5414,  4147,  1629,
    1853,  5154,  6013,  4148,  5403,  5404,  5620,  4734,  4155,  4200,
    3886,  3887,  3888,  4149,  5800,  5801,  6009,  6010,  5622,  5623,
    2702,  2296,  1509,  1732,  1510,  2304,  1733,  2280,  1512,  1734,
    1735,  1736,  1515,  1737,  1738,  1739,  1518,  2272,  1740,  1741,
    2290,  1237,  1238,  1816,  5624,  1743,  1744,  1745,  4151,  1746,
    4669,  5110,  5099,  3320,  3321,  2566,  4665,  4089,  2522,  3378,
    5436,  5641,  5642,  4128,  4694,  5126,  5401,  5792,  5911,  5912,
    5999,  1747,  1748,  1749,  3375,  2517,  1315,  1750,  4446,  2519,
    3314,  2141,  2142,  2425,  2444,  3267,  3282,  3283,  3294,  4048,
    3302,  3307,  4076,  4077,  3315,  3344,  1751,  3269,  3270,  4032,
    2446,  1752,  1359,  2145,  1360,  2535,  3339,  1766,  1753,  1754,
    2413,  1179,  5410,   773,   756,  3664,  2147,  1362,  1104,  1755,
    1756,  1757,  1875,   716,  1533,  1534,   718,   757,   758,   932,
     870,     2,    75,  1073,  3895,   386,   387,   989,   990,   991,
    1463,  1464,  2252,  2255,  1880,  2665,   722,   723,   774,  5047,
    5367,  5604,  1057,   388,   389,   390,   391,  1876,  2661,  1239,
      76,    84,    77,  1240,   428,   429,  2642,   392,   887,   393,
    1856,  1219,  4218,   394,   395,   396,   397,   398,  1054,   399,
    1221,   400,  1222,   401,   402,   403,   404,  1229,   405,  1858,
    1859,  4768,  1860,   406,   407,   760,   761,  1579,   408,   409,
    1256,  1257,  1611,  1612,  1886,  1901,  1902,  1903,   410,   730,
     411,   412,   413,  1892,  1893,   414,  2543,  2544,  2670,  2545,
     415,  3477,  3478,   416,  4173,  4174,  5167,  4175,   417,  2539,
     418,   419,  1182,  4223,   420,   883,   421,  1270,   762,   763,
     764,   934,   873,  1138,   775,   936,  3640,   875,   876,   766,
     767,   768,  2389,    78,  3485,  2390,  1759,   776,  1760,  2533,
    1761,  1762,  1763,  1764,  1765,  1909,   770,  1246,  1571,  1572,
    3486,  1574,    82,  1575,   425,  3949,  2357,  1613,  3169,  2375,
    2376
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   874,   380,  1178,  1144,  1430,  1216,  1313,   370,   371,
    1848,  1196,  2072,  1217,  1777,  2366,  1799,  1473,  1286,  1181,
     373,  1206,  1620,  1621,  1622,  2120,  1319,  1091,  1626,  1324,
     423,  2312,  2286,  1874,  1767,  2077,   423,  1930,  2909,   988,
    2394,  2735,  2149,   983,  1804,  2139,  1817,   874,  1000,  1091,
    4009,   375,  1805,  3923,  2811,  2435,  1791,  1472,  2292,   422,
    3166,  2218,  2276,  2277,  2803,   422,  1274,  2133,  4296,  1254,
    1565,  1589,  2285,  2841,  1099,  3398,   424,  1048,  4157,  3666,
    4198,   263,   424,  1314,  2979,  2812,   727,  4276,   380,  4503,
    2302,  3868,  2019,  3075,  2824,   772,   422,  2191,  1113,  3845,
    4548,  2196,  1065,  4548,  4789,   778,  2200,  1290,  3723,  4321,
    2970,  4323,  4788,   424,  1145,  2210,  1322,  3266,   874,  4747,
    4532,  3757,  1904,  4477,  1906,  4454,   927,  3497,  3499,  2234,
    1343,  1258,  3990,  1200,  4447,  4211,   939,   759,  1208,  4681,
    4447,   941,   422,  1314,  1584,  1556,  4783,  1546,  5197,  4826,
     994,  4976,  1132,  1990,  1209,  3120,  1002,  1194,  5014,   424,
    4729,  1559,  1175,  2934,  2935,  5024,  2649,  2651,  2652,  1425,
    1473,  5030,  5034,  3227,   759,  1434,  4712,  1167,  2203,  3095,
    4188,  3397,  5407,  3412,  4097,  3441,  5031,  1544,  1448,  2930,
    1548,  3419,  3444,  5023,  2231,  5460,   992,   999,  3154,  2381,
    2643,  2643,  1088,  5307,  5343,  1314,   999,  1141,  2708,  2352,
    1784,  1841,  2356,   422,  2796,  1141,  4227,  1141,  5468,  5578,
    5536,  5589,  5341,  1844,  1088,  4222,   871,  1804,  4760,  4727,
     424,  4732,  2273,  2274,  1882,  1883,  5419,  4649,  5421,  1249,
    1573,  2541,  4054,  2284,   947,  1986,   431,   999,  2230,  1895,
    5342,  2489,  5195,  3858,  2276,  2277,   431,  3800,  5490,  3801,
      45,  5500,  5501,  3805,  2292,  3807,  3808,  1271,  2579,  2796,
    1895,  2263,   871,  2285,  3812,  3813,  3814,  2263,  1986,  5745,
    2495,   272,  2303,  1986,  4538,  2071,  2796,  1467,   431,    37,
      38,    39,    40,  2098,  2263,  2263,    44,    43,  3036,  2387,
    2263,  2263,    45,  2125,  5656,  5657, -1917, -1917, -1917, -1917,
     380,  2263,  2497, -1917,  5689,   431,   370,   371,    37,    38,
      39,    40,  4216,   427,    43,    44,  2263,   431,   373,    45,
      37,    38,    39,    40,  5672,  2179,    43,    44,  1661,  1896,
     274,    45,  2946,   871,  2417,  2941,   423,  2968,  2969,  3337,
   -3040, -3040, -3040, -3040,  5260,  4054,   431, -3040,  1609,   375,
   -2160,  3955,  3372,  3957,  3337, -3040, -3040, -2160,  3755,  3373,
   -2269, -2269, -2269, -2269,  4277,   422,  1203, -2269,  5261,  2729,
    3780,   423,  1655,  2741,  5344,  2368,  4907,  5525,  3653,   263,
    2650,  5178,   424, -3041, -3041, -3041, -3041,  2730,  5345,  5994,
   -3041,  2814,  1959,  1781,  2729, -2179,  3998,  3835, -3041, -3041,
     422,  4565, -2179,  3379,  5530,  2273,  2274, -3038, -3038, -3038,
   -3038,  3217,  2358,  2814, -3038,  5637,  1637,   424, -3037, -3037,
   -3037, -3037, -3038, -3038,   930, -3037,  3213,  2355,  4030,  4007,
    4986,  2284,  -449, -3037, -3037,     3,  3043,  1770,    35,   942,
    2594,  2814,   120,   430, -2439,  2731,    41,    42,  5763,  3621,
   -2633, -2633, -2633, -2633,   942,  5453,  1003, -2633,  1186,   275,
     124,  2814,  5462,  2732,  1245, -2633, -2633,  5669,  2814,  5885,
    2731,  2928,  2166,  3999,   128,   129,  2149,  2814,  4377, -1925,
   -1925, -1925, -1925,  3391,  2161,  1199, -1925,  1234,  2732,  1273,
    2168,  5634,  4501,  2169,  2133,    79,  1217,  5864,  2187,  2580,
    3468,  1960,  5205,  3836, -1884, -1884, -1884, -1884,  3622,  5559,
    3214, -1884,  5579,   928,  3044, -1897, -1897, -1897, -1897,  4471,
    2263,  4987, -1897,  1259, -1925, -1925, -1925, -1925,  5995,  4451,
    2154, -1925,  2455,  2264,  5580,  3218,  1863,   276,  3380,  2264,
    3484,  3237,  2719,  4908,  3488,  3072,  5078,  5079,  1314,  5081,
    5082,  5083,  5084,  5085,  1284,  5346,  2264,  2264,   988,  1473,
    1598,  3756,  2264,  2264,  1603,  1604,  1605,  3543,  2974,   298,
     317,  5661,  1102,  2264,  1616,  3654,  2559,  2483,  2893,   272,
    3198,  2572,  2572,   322,  2528,  2484,  5179,  1473,  2264,  1421,
    2525, -1922, -1922, -1922, -1922,  1885,  1888,  2528, -1922,  2340,
   -1912, -1912, -1912, -1912,  2733,  4988,  1807, -1912,  1808,   346,
    5717,   884,  2531,   885,  1252,  1253,  4849,  1651,  5262,    37,
      38,    39,    40,  4277,  2418,  4539,    44,  2575,  2576,  2733,
    5894,  4447,    37,    38,    39,    40,  1527,  2159,   274,    44,
    2025,  5818,  1357,  5335,  1918,  3037,  1358,  2320,  2418,    37,
      38,    39,    40,  5933,  5946,  4882,    44,  1473,  1243,   948,
    5884,   431,  2149,  2370,    37,    38,    39,    40,  1897,   994,
      43,    44,  1661,  1896,  1891,    45, -2439,  2188,   872,  6031,
    3338,  2265,  5848,  3837,  2742,  2947,  1625,  2293,  1336,  1897,
   -2160,  4069,  3374,  4985,  -151,  4117,  5115,  2439,  4793,  3781,
    2516,  2636,  1250,  -151,  2307,  2318,  1085,  1086,  -151,  4729,
    2342,  2345,  3584,  2948,  2734,   992,  2942,  3073,  2388,  3557,
    2542,  2310,  2489,  1004,   872,  2271,  1961,  1638,  3268,  2414,
    3219,  5284,  3393,  3127,  3661, -2179,  4593,  4242,  2904,  2734,
    5756,  2907,  5143,  1625, -2439,  2427,  5147,  2351,  1872,  1873,
    3220,  2495,  1251,  4989,  5969,  2782,  5978, -2439,  1609,  1262,
    2436,  5819,  4815,   999,   999,  2790,  5824,   275,  1187,  3838,
    5762,  1279, -1917,  5183,  2914,  5089,  5165,  1260,  5134,  2877,
    5136,  1005,  2929,  2497,  5006,  1473,  1962,  1898,  1899,  4378,
    1864,  3021,  2264,  1473,  1473,   872,  5865,  4213,  4853,   888,
    5653,  4066,  4067,  4068,  4069,  3187,  2587,  4472,  5206,  2188,
    1951,  1245,  1196,  2139,  2139,  2139, -3040,  1006,  5939,  1007,
    4990,  3299,  1590,  2587,  2489,  2554,  2923,  3158,  3199,   423,
    2589,  5943,  1285,  1416,  1357,  2967, -2269,  1793,  1358,  6035,
    2188,  1849,   889,  1349,  2628,   276,  2894,  5954,  2310,  2897,
    2898,  4054,  1399,  2495,   422,  2666,  2629,  3603,   422, -3041,
    2526,  3585,   380,  5339,  3544,  3132,  5916,  1422,  1404,  1405,
    4272,   424,  1809,  3818,   777,   424,  1628,   298,   317,   939,
    1406,  3074,  1469, -3038,   350,  2497,  3197,   369,   939,   727,
     374,   322,   728,   385, -3037,  1484,   939,  3209,   727,   939,
    4523,  4948,  6073,  4374,   886,  6052,  4495,  1609,  1079,  4484,
   -1740,  1407,   727,  2780,  1528,  2160,  4229,   346,  4230,  1952,
    2287,  3012,  5648,  4177,  1258,  1591, -2633,  1597,  5888,  1602,
    2037,  6021,  1080,  2975,  4947,  1606,  2799,  3662,  3790,   939,
    1350,  2288,  1582, -2769,  4773,  1208,  1884,  5886,  1210,  2988,
    1628,   727, -2384,  3211,  5874,  2289,  4345,   727,  5362,  1597,
    1602,  1209,  3177,  6038,  6039,  2287,  4967,  5613,  3180,  2856,
     727,  3470,  6091,  3470,  5887,   380,  2130,  2352,  3508,  3170,
    2275,  1852,  6053,  1351,   871,  2799,  2288,  2825,  5405,  1470,
    1585,  2279,  3441,  2310,  5570,  3575,   727,  3558,  4193,   878,
    2291,   939,  2799,  3994,  5561,  4183, -1664,  1525,  5901,  3643,
   -1667,   939,   727,   888,  4425,  4426,  3117,  3118,   939,  5378,
     727,   939,  2796,  5052,  5053,  5054,  5055,  5056,  2526,  1245,
    4789,   999,  1211,  1525,   727,  1203,  6056,  2909,  3996,  2038,
    1352,    81,  5955,   944,  4789,   878,  3575,  3329,  5562,  1583,
     727,  4962,  4788,  5045,  1966,  4758,   889,  5970,  1959,  2864,
     879,  3644,  6054,  6095,  4424,  4346,  1596, -1922,  1601,  1794,
     880,  4485,  3576,  1953,  2371,  1887, -1912,  2373,  1615,  5971,
    2377,  1609,  2379,  5649, -1664,  2382,  2922,  1818, -1667,  2386,
    1578,  5599,  1617,  1140,   999,  2486,  4214, -2266,  1631,  1633,
    4881,  1140,  1595,  1140,  1600,  3819,  4968,  2840,  2529,  1780,
    1230,  1954,  5383,  1788,  4050,  1812,   878,  4273,  1610,  5956,
    4999, -1884,  3114,  3576,  1806,  3403,    37,    38,    39,    40,
    2604,  1898,  1899,    44,  1630,  1632,  2045,  1795,   729,  3516,
     939,   939,  5408,  1774,  1955,  3038,  5957,  1141,  2131,   727,
    1651,  1141,  3645,   422, -2769,  4184,  2149,  1610,  3088,  2046,
    1201,  6034,  3913, -2384,  -151,  -151,  3028,  1960,  5411,  2605,
     424,  5614,  5738,  5415,   881,  1813,  5417,   939,  2513,  2514,
    2515,  2516,  1231,  5902, -1664,  4373,  1116,  3168, -1667,  1245,
    5363,   759,   350,  2039,  5992,   369,  4963,  1314,   374, -1884,
    5737,   385,  6055,  2149,  4789,  5758,  2132,  3396,  2139,  1956,
    4548,  5331,  1106,  2286, -2769,  5768,  5767,  2743,  3995,  4347,
    2104,    35,  5761, -2384,  1202,    37,    38,    39,    40,    41,
      42,  2040,    44,  5757,  2148,  3066,  5190,  3783,   727,   727,
    5975,  5976,  3579,  1232,  4445, -1664,  1233,  1212,  1150, -1667,
    4445,  1297,  2188,  3997,  3206,  3207,  1223,  4348,  1298,  1299,
    1300,  5600,  2105,  1618,  2041,  1132,  2091,  1949,  2298,  2298,
    4182,  1117,  1943,  2791,  4298,  1224,  2607,  2747,  2511,  2512,
    2513,  2514,  2515,  2516,  2826,  1225,  1610,  2748,  3263,  3265,
    4349,  5220,  1255,  3579,  1203,  3272,  4600,  2827,  -703,  2828,
    1357,  3286,  3287,  3288,  1358,  4064,  4065,  4066,  4067,  4068,
    4069,  3304,  3306,  2814,   882,  3646,  3316,  3501,  3084,  3067,
    1141,  1141,  1114,  2815,  2109,  3191,  3741,  2646,  5725,   422,
    2110,  1837,  3742,  2608,  3276,  2484,  3453,  4545,  6084,  4974,
    1231,  1231,  2257,  3085,   939,   939,   424,  5651,  1151,  5718,
    1234,  3029, -1664,   939,  3160,  1831, -1667,  1768,  2829,  2744,
    1525,  1589, -1884,  4158,   939,  2792,  4159,  4160,  4866,  2250,
     939,  3116,  3423,   939,  2738,  2876,  3496,  4161,  4162,  4163,
    2222,  4164,  4165,  4299,  6075,  1525,  4166,  4167,  4168,  1226,
   -1664,  2226,  1079, -1664, -1667,  2329,  2258, -1667,  5608,  2647,
    1525,  1232,  1232,  1839,  2299,  2299,  3277,  5895,  3406,  3196,
    3144,  2862,  2227,  3201,  3135,  3134,  1080,  3205,  5759,  2649,
    3208,  2737,  2223,  1118,  3152,  1769,  2106,  5182,  3147,  1204,
    3110,  5302,  1115,  2111,  3173,  3743, -2420,  2330,  2749,  3589,
    5630,  3153,  4829,  4601,   939,   939,   872,  3473,  2745,  2738,
    3033,  1149,  5726,  3133,  5010,  1832,  1227,  3424,  1235,   871,
    2648,  2996,  1119,  1120,  5541,  3192,  2188,  3278,  3146,  5405,
    3279,  3148,  3445,  5749,  4867,  3357,  2750,  1236,   431,  5011,
    1196,    37,    38,    39,    40,  1314,  1314,    43,    44,  5040,
    1525,  3292,    45,  2259,  5671,  2647,  5719,  3193,  4789,  5675,
    5676,  4431,  4432,  2997,   380,  5750,  5815,  3454,  1234,  1234,
    3194,  1079,  5073,  2681,  4186,  5542,  4830,  3502,  5474,  3503,
    1217,  3068,  3084,  5543,  4975,  2008,  5727,  2107,  3086,  1228,
     727,  3590,    35,  4447,  3069,  1080,  4169,  1904,  5977,  1906,
      41,    42,  2863,  3195,  5303,  2260,    79,  3085,   727,  3200,
   -1884,  5544,  3203,  3204,  1121, -2441,  2648,    81,    81, -1884,
      81,  2275, -1884,  1929, -1884,  3034,  3709,  1234,   939,  2228,
    1176,   962,  2585,   216,  3280,  6027,   727,  5821,  5822,  4300,
    4301,  2595,  2596,  2372,  2600,  2374,  2224,  2112,  2378,  3744,
    2380,  2739,  5558,  2383,  2384,  2385,  1663,  1209,  1209,  4054,
    1209,  2331,  4264,  4055,  4056,  4057,  2392,   224,  4302,  2489,
    3358,  5892,   727,  6033,  1189,  3359,  2300,  2300,  5545,  1852,
    2420,  3690,  2421,  3953,  6043,  2113,  1525,  3745,   727,  1314,
    5546,   964,    35,  4202,  5679,  2301,  4549,  4748,  2261, -1676,
      41,    42,  1116,   727,  4265,  4966,   727, -2420,   235,  2601,
    4861, -1676,  3360,  2139,  4051,  4052, -1676,   939,  2114,  4071,
    3746,   238,  4288,  1234,  5012,  2909,  3446,  2998,  4203,  3518,
    2497,  1578,  1198,  5467,  3691,  3750,  4170,  5489,  5789,  6074,
    5000,  5005,  3281,  3710,   250,  4938,   939,  2225,  5668,  4941,
    4942,  3713,  4944,  4615,  3716,  1079,  4101,  4102,  3455,  4749,
    3676,  1258,  2332, -1676,  1303,  1304,  1305, -2420,  1306,  1307,
    1308,  1309,  1310,  1311,   939,   939,   939,  6094,   939,  1080,
    4550,  1473,  6028, -1676,  4289,  2257,  1213,  1117,  4171,  1877,
    2520,  3692,  5318,  3683,  3684,  1220,  5583,  3687,   939, -2473,
    6105,  3575,  5682,  5527,  5584,  2602,   945,  3790,  1907,  4789,
    6006,  4445,  3519,  4419,  3601,  2042,  4862,  5744,  2546,  2547,
    3784,  3785,  3786,  4375, -1676, -2833, -2441,   878,  2999,  2008,
    1624,  3447,  3677, -1676,   727,  4879,  3865,  2562,  5093,  3172,
    5094,  2074,   727,   727,  3228,  5057,  4851,  5058,  1877,  3361,
     975,  1357,   976,  3697,  2310,  1358,  4290,  4059,  2310,  3877,
    3878,  3879,  3880,   423,   423,  2148,   759,   759,  4266,  2310,
    5547,  3885,  4379,  5548,  5790,    80,  4580,  2204,  3576,  2075,
    2548,  3623,  2899,   939,  5741,  5892, -2441,   939,   939,  3693,
    4789,   422,   422,   422,  1794,  4376,  4172,    35,  6041,  3708,
    5754,  4456,   939,   888,  5791,    41,    42,  1146,   424,   424,
     424,  3577,  1625,   423,  6017,  5499,  3563,  4381,  4852,  4060,
    4863,  2685,  2925,  5598,  2723,  2663,  2310,  3697,  4551,   727,
    3559,  2775,  3731,  3564,  3565,  2724,  2259,  5782,  5377,  1118,
    3624,  4633,   422,  4634,  4960,  5683,   889,  4459,  2549,  3578,
     422, -2290,  6007,  2725,  5202,  -174,  2532,  6008,  3864,   424,
     422,   726,  1795,  4382,  3874,  3775,  5585,   424, -1676,  4267,
    3598,  1525,  1837,   759,  2604,  1651,  5095,   424,  1119,  1120,
    3551,   872,  4719,  5308,  -174,  2076,  1934,  1141,  2260,  4789,
    1949,  1456,  1314,  2564,  1949,  4552,  5664,  6097,  3322,  3127,
    4548,  3325,  4461,  4248,   888,   431,  4217,  3694,  1872,  1873,
   -2473,  4524,  4961,  2605,  4528,  3695,  2900,  3482,  3696,  2901,
    3934,   871,  5203,  4154,  4180,   993,  3769,  5496,  1141,  5309,
    1357,  1011,  2110,  1822,  1358,  2565,  1525,  3747,  1935,    37,
      38,    39,    40,  3530,  1839,  1349,    44,   889,  3579,  3983,
    5497,  5449,  4796,  5451,  4720,    37,    38,    39,    40,  1105,
    3597,  2655,    44,  3526,  2656,  2045,  4213,  2345,  3907,  4635,
   -2473,  5876,  2606,  1525,  2814,  3748,  5209,  5210,     8,  4636,
    3345,  2261,  3346,  1141,  2823,  1840,  1255,  4721,  2046,  5293,
     871,  1920,  5594,  5317,  4464,  5306,  1943,  3530,  2726,  3531,
    1141,  1943,  4722,  1140,  2842,  3347,  1525,  1140,  3749,  4061,
    4062,  4063,  4723,  4064,  4065,  4066,  4067,  4068,  4069, -1122,
    2607,  4592,    79,    79,  3019,    79,  3132,  4775,  2027,  1921,
     955,  1457,  5334,  4797,  1936,  2111,  4465,  3689,  4724,    35,
     431,  1877,  1350,    37,    38,    39,    40,    41,    42,    43,
      44,  2100,  4466,  4245,    45,  4106,  5832,  4107,  5777,  5412,
    1473,  4593,  1922,  5980,  1055,  2963,   727,  1458,  2657,  1201,
    1943,  2055,  2961,  5826,  1943,  1332,  6080,  2608,  2964,  6081,
    4108, -1714,   939,   939,   939,  1351, -1714,  1931,  2718,  2101,
    4798,  1261,  4799,  2102,    37,    38,    39,    40,  5473,  2028,
    3926,    44,  5297,  1525,  1333,  4053,  2965,  3112,  3348,  2056,
    2962,  3772,  5966,  3349,   962,  1473,  1272,  4081,  3350,   422,
    1525,   962,  2103,  4725,  1459,  1932,  2188,  5833,  1280,  3011,
    1460,  4794,  2082,  1202,  4720,  1183,   424, -1116,  5747,  1949,
    5503,  1525,  1352,  -383,  3411,  4156,  4467,  3222,  2079,  4104,
    2489,  1217,  2572, -1714,  1296,  3966,  2843,  2556,  1933,  5277,
     727,  5278,  5279,  4342,  3127,  5280,  1295,  4721,   727,  3982,
    4226,  -383,  2832,  2083,   964,  5496,  1140,  1140,  3234,  2495,
     727,   964,  5149,  2084,  2844,   209,  2080,  4130,  4109,  1940,
    -598,  1941,  4723,  4110, -1714,  6030,  1790,  1525,  5497,  4776,
    2912,  4343,   878,  1203,  4228,  4777,  2833,  2845,  5413,  2846,
     939,  2497,  4778,   939,  2879,  2345,  3794,  1525,  4839,  2081,
    3869,  1282,  2820,   939,  2821,  5166,   890,  4331,  1338,  1525,
      37,    38,    39,    40,  4344,   380,  5938,    44,  4278,  6096,
    4332,  1525,  1877,  4178,  2840,  4779,   946,  1877,  1877,   871,
    1585,  1497,  2045,  4504,   939,   939,  3351,   727,   727,   962,
    1052,  6066,  1079,  4514,  4306,   431,  3352,  4780,  4624,   939,
    1347,   727,   939,  2557,  1786,  2046,  5287,  5814,  1423,    45,
    1424,  1525,  1525,  2822,   727,   727,  1080,  3233,    37,    38,
      39,    40,  -383,  -383,  1837,    44,  2552,  4650,    81,  1838,
     380,    81,  4824,  4725,  3751,  2045,  1404,  1405,  3260,  5288,
     727,  4831,  1147,  4838,  4016,  3753,  1348,  4019,  1406,   964,
    4020,  3175,  4816,  3176,  5007,  2658,  2659,  3178,  2046,  3179,
    3335,  4111,  3181,   975,  2085,   976,  3182,  3752,  1204,  5464,
     975,  4112,   976,  4301,  4115,  4957,   978,  6019,  3754,  1407,
     939,  2677,  2679,   939,   939,  4364,  2287,   980,    43,  4603,
    2204,  1577,   431,    45,  1473,  4012,  1839,   981,  2086,  4958,
    2232,  4840,  2087,  4629,  4630,  4631,  4632,  2288,  4854,  4637,
    4638,  4639,  4640,  4641,  4642,  4643,  4644,  4645,  4646,   939,
     939,  2289,  3882,  2233,  5710,   939,   939,  3883,  1349,  5711,
    2899,  3285,   939,   939,   939,  2088,  -474,  1840,   939,  3040,
     939,   939,   939,   939,   939,   939,  1356,   939,  5033,   939,
     939,  1877,  2139,   939,  5184,   422,  3972,  4796,  2139, -1713,
    2287,  1877,  6063,  3077, -1713,  4685,  4686,  1525,   939,   939,
     939,   939,   424,  4500,  4562,  4563,   939,  1008,  4926,  5712,
     939,  2288,   872,   939,   993,  2832,   939,   939,   939,   939,
     939,   939,   939,   939,   939,  4473,   939,  1409,  3520,  4927,
    3523,  5720,  1812,  3414,   939,  5222,  2337,   939,   975,   193,
     976,  5226,  1314,  5553,   423,  1663,  1412,  2842,  4054,  2833,
    4281,  4237,  4055,  4056,  4057,  1350,  5770,  4909,  5504,  2338,
    5322, -1713,  2871,  5496,  2880,  2204,  3583,  1473,  4797,  2883,
    1872,  1873,  1877,   422,    35,  1877,  1877,  1431,  5323,  2888,
    4910,  -474,    41,    42,  1415,  4452,  5497,  1418,  2842,  1449,
     424,    35,  1813,  3517,  2900,   939,   216,  2901,  1351,    41,
      42,  1449, -1713,  1444,   423,  2148,   423,  4255,  4719,  5075,
    1454,   939,  3513,  4187,  3457,   871,  1462,  5981,   193,  5018,
     939,   939,  6015,  3913,  1450,  4798,  4337,  4799,  -597,  4455,
     224,  4443,   216,   422,  3883,   422,  1450,  4443,  2951,  1453,
    2036,  5932,  2957,  4234,  4235,  2053,  2282,  2283,  1263,  1264,
     424,  5654,   424,  1455,  2353,  1352,  2906,  1451,  2354,  1465,
    5659,  1628,  1628,  1934,  1925,  1628,   224,  1265,   431,  4497,
    1266,   235,   727,  4445,  2537,  1877,  4791,  4792,  2538,   431,
    4720,  1476,    37,    38,    39,    40,  2353,  1481,    43,    44,
    3165,    81,    81,    45,   727,  2639,  2640,  2931,  1926,  2843,
     422,  1525,  1927,  4233,  1452,  1525,  1525,   235,  2275,  1526,
    2709,   216,   727,  4721,  1535,  1935,  1452,   424,   727,  4026,
     238,   251,   727,  2587,  4058,  1536,  2048,  2844,  4722,  1245,
     727,  5707,  1553,  5709,  6079,  1928,  3650,  5713,  4723,  5714,
    2843,  2287,  1542,   250,  2117,   224,  4059,  2121,   727,  4772,
    2845,   939,  2846,  1426,  2275,  1427,  2709,   251, -1439,  3674,
    1267, -1439,  2288,   939,  4724,  2972,  2973,  1525,  2844,  2842,
     939,   872,  1560,   939,   939,  3688,  2291,  1053,  1402,  4027,
      45,  1525,  1822,  4028,  5748, -1664,   235,  2840,  2275,  3396,
    1929,  2845,  1268,  2846,   727,  5590,  6110,  4490,  2361,   238,
    2362,  1357,  4358, -2269,  1627,  1358,  1141,  2429,  4060,  2430,
    3132,  1936,   727,   727,  1580,  2442,  4839,   251,  3727,  1619,
    4367,  1525,   250,  2583,  4609,  2584,  1628,   422,  2840,  1623,
     871,   422,  1269,   878,  1634,  5679,  5982,  4956,  2586,  2842,
    2587,  1474,  1011,  1140,   424,   727, -1172, -1172,   424,  4725,
    4080,  1640,  4082,  4083,   422,  1473,  2842,  1473,  1641,  2591,
    5508,  2592,  3105,    79,  3106,  1937,    79,  1648,  2275,   727,
    2709,   424,  3167,  4596,  2587,  3188,   727,  3189,  2960,  4569,
    4570,  4571,   727,  3190,  1140,  3189,    80,  1141,  1642,   727,
    3698,  1649,  5218,   727,  3225,  4474,  3226,  4476,   727,  1651,
    3900,  2133,  3901,  1938,  5509,   128,   129,   209,  3396,  1650,
    3417,  2842,  2345,   422,  3465,  1652,  2587,  4626,   727,  3833,
    1653,  2843,  5680,   727,  3595,  5681,  3596,   727,  2842,  5510,
     424,  3668,  3822,  3669,  3823,  1473,  1939,  1654,  2842,  1140,
     727,  1657,  2842,  5682,  1658,  1636,  5511,  3870,  3586,  2844,
    5512,  4655,  3828,   727,  3829,  1789,  1140,   871,  3935,  1792,
    2587,   871,  1660,   727,  3698,  3663,  1940,  1796,  1941,  5175,
    5513,  1797,  2845,  5514,  2846,  4542,  4483,  1803,  4486,  1656,
     939,   939,   939,  3974,   871,  3189,   939,  1798,  5515,  1771,
    1814,  2843,  4832,  1783,  1474,  1785,  4697,  2058,  4061,  4062,
    4063,  1819,  4064,  4065,  4066,  4067,  4068,  4069,  2843,  2840,
    1820,  4589,  4187,  4025,   422,  2587,  2059,  1942,  4187,  2844,
    4372,   939,  1525,  1822,  4034,  2488,  2587,  4735,  2489,  3442,
    3443,   424,  2490,  2491,  2492,   216,  2844,  4380,  3698, -1735,
   -1735,  4812,  2845,   871,  2846,  2639,  3466,  4413,  3698,  2493,
    1823,  4817,  4567,  4568,  4569,  4570,  4571,  2495,  1824,  2845,
    2842,  2846,  5050,  2843,  2496,   939,  2060,  4833,  1196,   224,
    5516,  4040,  1835,  2587,  2743, -1738, -1738,   872,  5517,  2840,
    2843, -1739, -1739,   726,   726,  3698,  5683,  1851,  1908,  2497,
    2843,  2844,   878,  4041,  2843,  2587,  2840,  5913,  5914,  4152,
      37,    38,    39,    40,  1525,  6000,  6001,    44,  2844,   727,
     235,  4042,  1196,  2587,  2845,  4073,  2846,  2587,  2844,  1850,
    5518,   939,  2844,   238,  4945,  3440,  3440,  4932,  4086,  4834,
    2587,  2845,  4602,  2846,  1855,  4091,  3915,  4092,  4443,  1854,
    4131,  2845,  4132,  2846,   871,  2845,   250,  2846,  1857,  1872,
    1873,  2840,  2061,  4133,  4324,  4134,  4325,  1967,  1861,  4152,
     251,  1878,  4878,  4329,   727,  4330,    35,   431,  2840,  4855,
    4353,  1862,  4354,  1877,    41,    42,  1865,  4536,  2840,  4537,
    1866,    45,  2840,  1867,  4136,  4137,  4138, -1888, -1888, -1888,
   -1888,  1968,  1868,  1907, -1888,  1869,    79,    79,  2488,  2498,
    2062,  2489,  1870,  2063,  2499, -3042, -3042, -3042,  1871,  4560,
    5111,  2587,  2843,  4087,  2908,  4656,  4835,  4657,   727,  4094,
    4567,  4568,  4569,  4570,  4571,  1196,  2500,  2501,  4572,  1879,
    2495,  4935,  2488,  1881,  1525,  2489,   727,  2496,  1245,  1910,
    2844,  2502,   128,   129,   727,  4666,  2065,  4667,   939,  1911,
    1970,  1525,  1912,  4677,   939,  2587,  4756,   939,  4757,  4761,
     939,  4762,  2497,  2845,  2495,  2846,  1525,  4771,  4795,  3503,
    3189, -3042,  1929,  1923,  2503,  1663,   939,  1964,  4054,   216,
    1988,   939,  4055,  4056,  4057,  1971, -3039,  4949,  2504,  4950,
    2067,  2505,   872,  5008,  1991,  3189,  2497,  1993,  1994,  4674,
    2840,  2025,  2030,  1058,   939,   939,   939,  2029,   422,   939,
    2031,  2042,  2068,   224,   422,  2044,  3916,   939,   939,   939,
     939,  1972,  5070,  1059,  2418,   424,  5090,  5116,  2587,  3226,
     939,   424,  2070,   939,  4836,   939,  5128,  4837,  2587,  2057,
    2054,  1058, -1895, -1895, -1895, -1895,   939,   939,  2092, -1895,
     939,  5186,   380,  3503,   235,  1973,  2093,  1060,  1404,  1405,
    5192,  1059,  5193,  4103,   939,  2118,   939,   238,   939,  5198,
    1406,  3189,  2498, -1886, -1886, -1886, -1886,  2499,  2506,  5199,
   -1886,  3189, -1889, -1889, -1889, -1889,  2108,  1975,   939, -1889,
     250,  2119,  5336,  1474,  5337,  1060,  2127,  5067,   878,   939,
    2122,  1407,    80,    80,   251,    80, -3042,  2128,  5385,  1877,
    5386, -3042,  2129,   727,  2502,  2152,  5313,  1877,  2150,   872,
    1877,  1474,  5387,   872,  2587,  2155,  2158,  2149,   209,  5395,
     939,  3226,  3917,  5469,  2153,  5470,  2840,  5018,   871,  2162,
    5554,  1978,  3189,  2171,   871,   939,   872,  2172, -3042,  1979,
    3396, -1887, -1887, -1887, -1887,  2163,  2175,  2798, -1887,   939,
    5591,  2504,  5592,  5609,  5617,  3226,  5618,  2422,  2178,  1981,
    5380,  5627,  5633,  2345,  4511,  2507,  4059,  1982,  2508,  2509,
    2510,  2181,  2511,  2512,  2513,  2514,  2515,  2516,  5635,  2184,
    4511,  1474,  2186,  2192,  4045,  2504,  5646,  2195,  5647,  3918,
    1663,  1525,  2197,  4054,  1525,   872,  1525,  4055,  4056,  4057,
    5700,  1525,  5701,  5740,  5769,  2551,  5647,  2206,  5783,  4187,
    3226,  5784,  2188,  4092,  5100,  2207,   727,   727,  5785,  2211,
    2587,   206,   939,  1983,  5797,  2214,  5798,  3919,  4060,  5803,
    5806,  2345,  4511,  4187,  5825,  5831,  3189,  3226,  5837,  2212,
    3226,  2506,  5838,   727,  3226,  5841,   727,  5842,  -194,  2215,
    1525,   216,  2058,  2217,  5843,  2485,  5844,  2219,  5845,   206,
    5846,  5872,  2220,  5873,  2487,  5920,  2244,  5921,  5924,  1525,
    2345,  2059,  5925,  2235,  2587, -3042,  2249,  5926,  2530,  2587,
    5928,  5949,  2587,  5950,  5973,   224,  5974,  2242,  6002,   216,
    4511,  6014,  2262,  5640,  1525,  6040,   872,  5647,   907,  4981,
    4982,  2254,  2268,   878,  5062,  5063,  5064,  5065,  5066,  1474,
    2270,  2269,  2561,  2563,   422,   422,   422,  1474,  1474,  2271,
    6077,  2060,  6078,   224,  2278,  6090,   235,  5842,  2275,  5225,
    1061,   424,   424,   424,  5173,  6092,  2281,  6093,  2507,   238,
    2295, -3042, -3042, -3042,  2058,  2511,  2512,  2513,  2514,  2515,
    2516,  6108,  6116,  5921,  6093,   727,  1834,  5148,  1836,  5151,
    2279,  2297,   250,  2059,   235,  1525,  2305,  1525,  2306,  2309,
    2310,  2317, -3042,  2321,  2323,   727,  1062,   238,  2324,  2511,
    2512,  2513,  2514,  2515,  2516,  2326,  2328,  4150,  2333,  4535,
    2334, -3042,  1140,   727,  2336,  2341,  2344,  2347,  2348,  2359,
     250,  2393,  2426,  2431,   726,  1877,  2440,  2061,  2441,  2447,
    2433,  2434,  2449,  2060,   251,  3019,  2448,  2450,  4061,  4062,
    4063,  2451,  4064,  4065,  4066,  4067,  4068,  4069,  5355,   251,
     878,  2523,  2453,  2454,   878,  2455,  2456,  2457,  2458,  2521,
    2460,  2461,  2462,  2463,   871,   871,   871,  4150,  2464,  5607,
    2465,  2555,  2466,  4060,  2467,  2062,  1525,   878,  2063,  2469,
    2470,  3727,  2525,  2471,  2472,  2473,  2474,  2475,  4691,  2908,
    2476,  1628,  2526,  1140,  2551,  2567,   727,  1609,  2582,  2577,
    2590,   939,  2593,  1838,  1840,  2624,  5171,   939,  2626,  2635,
    2638,  2645,  1234,  2662,  2660,  1525,  2664,  2672,  2673,  2061,
    2653,  2065,  2675,  2680,  2683, -2986, -2981,  2684,  2688,  2686,
     422,  2687,  2704,  2705,  2706,   988,   878,  2709,  2707,  2710,
    2711,  4438,  1525,  2713,  2712,  2714,  4558,   424,  1525,  2909,
    2488,  2715,  2721,  2489,   727,  2740,   727,  4152,  2746,  2777,
    4152,  2752,  2781,  2783,  2785,  2067,  2786,  2062,  2784,   727,
    2063,   727,  2788,  2789,  2804,  5321,   422,  2806,  2805,  4491,
    2817,  2908,  2495,  2834,  2818,  2819,  2836,  2068,  4518, -3042,
    2830,  2837,  2838,   424,  2839,  2840,  2848,  2849,  2850,  4531,
    2852,  2857,  2851,  1196,  2858,  5660,  2861,  2070,  2867,  2868,
     872,  2872,  5298,  2065,  2497,  2873,   872,  1525,  2869,  2913,
    2878,  2874,  1196,  2884,  4557,  2918,  2875,  2895,  1877,  2881,
    2885,  2886,  2902,  2905,   727,  1525,  2890,   878,  2008,  2917,
    4699,  4700,  4701,  4702,  1314,  2920,  5263,  5264,  2891,  5266,
    2903,  1525,  4192,  4192,  5704,  5216,  2910,  2067,  2911,  2926,
     871,  4152,  2915,  4061,  4062,  4063,  2927,  4064,  4065,  4066,
    4067,  4068,  4069,  2916,  2919,  2921,  2932,  2933,   376,  2068,
      74,  4114,  2943,   727,  2924,  2944,  5520,  2945,  2978,  2949,
    2950,  2982,  2955,  2984,  2959,   999,  4661,  2971,  2985,  2070,
    2987,  2991,  2992,   727,  2993,  2994,   871,  2986,  2995,  5796,
    3001,  3002,  1663,  3003,  5694,  4054,  5696,  3004,  3005,  4055,
    4056,  4057,  3006,  3013, -3042,   727,  3008,  3014,   727, -3042,
    3020,  3015,  5256,  3023,  3168,  3024,  4675,  3027,   957,  3038,
    3032,  3041,  3052,  3056,  3057,  3065,  2076,  3060,   939,  3083,
    4443,  1525,  3076,  3079,  3082,  3099,  3092,   939,  3053,  3101,
    3096,  3108,  3058,   939,   376,   939, -3042,  3119,   939,  3121,
    3129,  3102,  1525,   939,   939,   939,   939,  3113,  3122,   939,
     939,   939,   939,   939,   939,   939,   939,   939,   939,  3130,
    3137,   422,   939,   939,  3139,  3141,  3126,  1525,  3140,  3127,
    3142,  3155,   939,  3156,  5953,  3184,   939,  3185,   424,  3202,
     939,  3223,  3210,  2504,  3236,  3273,  3268,  3317,   939,  2058,
    3323,   939,  2489,   939,  3336,  3327,  3342,  5315,  3376,  3354,
    3356,  1525,   939,  3377,  3391,   939,   939,  3399,  2059,  3402,
     939,   939,  2488,  3405,  1090,  2489,  3407,   939,  3408,  3400,
    5850,  1195,  3409,  5856,  5858,  3418,  3422,   939,  1202,  3435,
     939,  3436,  3434,  3451,  3458,  3475,  1090,  3437,  3472,  2541,
    3474,  3492,   939,  3493,  2495,  3521,  3495,  3524,  3526,  3528,
    3529, -3042,  3535,  3540,  3550,  3545,  5551,  3556,  2060,  3546,
    3571,  3560,  3548,    80,  3552,  3570,    80,  3574,  5051,  3588,
    3587,  3593,  1786, -3042,  1790,  1217,  2497,  3611,  3604,  3612,
    3625,  3630,  3631,  4059,  3652,  3657,  3658,   939,  3679,  4152,
    3667,   871,  3699,  5616,  3703,  3759,   872,   872,   872,  3660,
    3675,   878,  3778,   939,  3771,  3779,  3650,   878,  4850,  3782,
    1203,  3791,  3803,  4889,  3797,  3802,  3804,  3817,    35,  1525,
    3810,  4834,  3821,  3842,  5456,  3843,    41,    42,  3857,  3815,
    3674,   939,  3861,  5611,  3824,  3859,  3863,  3875,  3830,  3872,
    3889,  3881,  3890,  4684,  2061,  4060,  3892,  3851,  3893,  3727,
    1207,  3884,  3894,  3891,  3903,  3897,   376,  3906,  3905,  3928,
    3925,  3909,   727,  3910,  3924,  3929,  3284,  5951,  3931,  3930,
   -3042,  5355,  3933,  2483,  5480,  3938,  3936,  2511,  2512,  2513,
    2514,  2515,  2516,  3939,  3940,  2656, -3042,  3962,  3941,  3965,
    1663, -3042,  2062,  4054,  5706,  2063,   422,  4055,  4056,  4057,
    3942,   422,  3969,   422,  3950,  3951,  2908,  3690,  3964,  3976,
    3977,  3978,  3979,   424,  5118,  3980,  2345,  1877,   424,  1525,
     424,  3981,  3989,  1877,  2488,   422,  3237,  2489, -3042,  3991,
    2342,  3992,  3993,  2307,  4000,  4008,  5481,  4003,  2065,  5475,
    4010,  1625,   424,  1525,   422,  4017,  4014,  4015,  4022,  4036,
    4018,  5479,  4037,  4038,  4039,  4050,  2495,  4043,  4044,  1967,
    3691,   424,  1314, -3042,  6057,  4046,  4049,  5850,  4088,  6060,
    4072,  4105,  4078,  3404, -2152,  2504,  2587,   727,  4085,  4099,
     727,  4113,  2067,  4122, -1741,  4100,  4123,  4154,  2497,  4127,
    4194,  4189,   872,  1968,  4195,  5522,  4197,  5863,  4231,  4199,
    4247,  4187,  4238,  4201,  2068,  4208,  4152,  4125,  4236,  4239,
    4152,  3852,  1314,  4126,  4129,  4250,  4259,  3692,  4243,  5626,
    4252,  4219,  4215,  1969,  2070,  4150,   871,  4274,  4150,  4221,
    5626,   871,  4275,   871,  4244,  4061,  4062,  4063,   872,  4064,
    4065,  4066,  4067,  4068,  4069,  4220,  4224,   939,  4225,  2353,
    4285,  4287,  1970,  4291,  4292,   871,  4293,  4294,  4310,  4297,
    4309,  4312,  5788,  4318,  4319, -3042,  4320,  4328,  4338,  4357,
    4359,  4355,   727,   727,   871,  2418,  1525,   726,  4362,  5805,
    4363,  4366,   727,  5807,  4368,  5809,  4391,  1971,  4394,   939,
    4370,  4059,  5028,  1908,  5693,  4386,    80,    80, -3042,  4387,
    4371,   727,  4388, -3042,  4396,  4398,  1473,  4399,   423,  4403,
    1877,  4405,  5698,  4384,  4385,  3693,  4389,   878,   878,   878,
    4407,  4390,  4392,  1972,  2941,  1525,   939,   939,  4416,  4150,
    4393,  4417,  4418,  4395,  4420,  1474,  1663,   422,  4423,  4054,
   -3042,  4397,  4400,  4055,  4056,  4057,  4557,  4409,  4410,  4412,
    4427,  4428,  4430,  4060,   424,  4436,  4488,  1973,  3853,  4450,
    5119,  4481, -3042,  4492,  4494,  4482,  5188,  4496,  4499,  2511,
    2512,  2513,  2514,  2515,  2516,  5823,  4510,  4513,  4525,  4529,
    4530,   727,  4519,  4511,  4534,  4546,  4522,  2504,  1974,  1975,
    4526,  4533,  4555,  2488,  4574,  4583,  2489,  4584,  4576,  4585,
    4586,  4587,  4588,  4595,   939,  3854,  1785,  4564,  4598,  4590,
    4599,  4606,  4607,  4608,  4597,   939,  4566,  4610,  4611,  4612,
    4613,  4614,  2442,  4618,  4075,  2495,  1976,  4054, -2151,  4074,
     209,  4668, -3042,  3694,  1977,  4627,  4679,  4692,  4680,  5804,
    4652,  3695,  4653,  1978,  3696,   939,  4654,  4660,  4683,  4737,
    4709,  1979,  4698,   872,  4733,   939,   939,  2497,  1525,  1980,
    4710,  4742,   939,   939,  4718,  4741,  4750,   939,  1525,  4753,
    4739,  1981,   939,  4755,  4743,   939,   939, -3042,  5221,  1982,
     939,  4745,  4759,  1785,  4746,  5820,   939,  5228,  4767,  4774,
    4782,  4803,  4805,  4806,  4811,  4818,  4819,  4820,   939,  4821,
    1785,  4823,  1473,  4825,  4827,  4828,   939,  4842,  4845,  4857,
     939,  4860,  4858,   878,  4859,  4872,  4873,  4870,  5174,  5176,
    4871,  4874,  4875,  4884,  4687,  4887,  2617,  4897,  4903,  4906,
    4898,  4921,  4923,  4925,  4833,  1983,  4886,  4059,  4928,  2488,
    4936,   939,  2489,  4061,  4062,  4063,  4937,  4064,  4065,  4066,
    4067,  4068,  4069,  4953,  4939,    81,  4940,  4943,  4978,   878,
    4984,  3767,  4964,  4998,  4992,  4997,  3189, -3042,  5001,  5003,
    5004,  2495, -3042,   939, -3042,  5025,  5026,  5020, -3042,  5039,
    5041,  2511,  2512,  2513,  2514,  2515,  2516,  4150,  5043,  5046,
    5068,  1525,  5044,  5060,  5072,  3796,   422,  5074,  3796,  4060,
    3796,  5048,  5080,  2497,  3796,  5038,  3796,  3796,   727, -3042,
    5049,   724,  5042,   424,  5092,  3796,  3796,  3796,   376,  5101,
    5102,  5087,  5096,  1314,  1877,  4152,  5097,  5103,  5105,  5104,
    1525,  5109,  4152, -2153,  5124,  5137,  5142,  4152,  5140,  5144,
    4152,  5145,  5152,  5153,  5157,  5693,   727,  5159,  1877,  5158,
    5172,  1525,  5160,  5185,  5181,  5187,  2504,  1663,   727,  5189,
    4054,  5194,  5195,  5200,  4055,  4056,  4057,  4152,  5223,  5224,
    4688,  5204,  5227,  3876,   939,  5234,  5233,  5235,  5246,  5253,
    5255,  4152,  5267,  5249,  5799,   727,  5276,  5258,   872,  1092,
    5259,  5275,  5281,   872,  5289,   872,  5290,  5295,  5296,  5299,
    5304,  5305,  5310,  5311,  5314,  3908,  5319,  5312,  5327,  5330,
    5333,  1092,  5338, -3042,  1474,  5340,  1525,   872, -3042,  5350,
    5348,  5351,  5352,  5353,  5360,  5375,   871,  5370,  5365,  5374,
    5382,   376,  1195,  5381,  2658,  2659,   872,  5391,  5389,  5941,
    3948,   939,  5384,  5392,  5393,  5394, -3042,  5400,  5406,  1473,
    5409,  5416,  5420,  5435,  5444, -3042,  5447,   939,  5461,  5450,
    5440,  5466,  5471,  5472,  5463,  5477,  5502,  5521,  5465,  1474,
    5483,  5523,  5484,  5488,   878,  5493,  5494,  5529,  5495,  4963,
     727,  5531,  5533,  5534,  5537,  5540,   939,  5539,  5557,  4061,
    4062,  4063,  5564,  4064,  4065,  4066,  4067,  4068,  4069,  5569,
    5566,    74,  2504,  5574,  4150,  5572,  5581,  5582,  4150,  5593,
    5595,  5597,  5990,  5991,  5596,  5612,  5603,  5619,  5615,  5625,
    5629,  5644,  1090,  5665,  1090,  5632,  1090,  1525,  5636,  1525,
    5666,  5638,  1090,  1607,  1608,  5640,  5663,  5655,  5672,  1663,
    5678,  4152,  4054, -3042,  5721,  5728, -3042, -3042, -3042,  5723,
    2511,  2512,  2513,  2514,  2515,  2516,  1090,  1090,  4059,  5732,
    5735,  5742,   727,  5733,  5746,  5752,  5753,  1207,  5760,  5764,
    5766,  5765,  5773,  5774,  5776,  5775,  5781,  5786,  5787,  5795,
     939,  5808,  5812,  1877,  1525,  5811,  5817,  5830,  5834,   939,
    5816,  2488, -3042,  5855,  2489,  5861,  5862,  5866,  2490,  2491,
    2492,  5868,  5871,  5896,  4152,  5875,   939,   939,  5878,  5879,
     939,  5897,  5899,  5898,  5904,  2493,  5905,  5915,  5934,  5942,
    4060,  5588,  5917,  2495,  5936,   939,  5952,  5864,  5865,  5961,
    2496,  5962,   939,  4693,  5993,  5944,  5960,   939,  5979,  5998,
     939,   939,  6005,  6012,  6018,  4456,  6023,   939,   939,  6026,
    6051,  4457,  6058,  6032,  6061,  2497,  6065,  5507,  6049,  6050,
    6082,  6083,  5441,  4458,  6085,  6086,  6087,   939,  6099,   939,
    6100,  6111,  6106,  6109,  6107,   727,  1196,   727,  6112,  1215,
    2574,   939,  2956,  1992,  1090,  3866,  4181,  3656,  3732, -3042,
    4303,  4459,  4841,  4460,  5947,  4848,  2511,  2512,  2513,  2514,
    2515,  2516,  6064,  1900,  5945,  2090,  3770,  4435,  2089,   878,
    4946,  5715,  5849,  6024,   878,  4980,   878,  5573,  1474,  6114,
    6115,  1525,   727,  5294,  5550,  3975,  4241,  5937,  5454,  6020,
    5869,   939,  5867,  5959,  6037,  5168,  4246,  5029,   878,  5009,
    5828,  4973,  3840,  1090,  4846,  4322,  4461,  4152,  3841,  4498,
    2078,  5316,   422,  4996,  5556,  4506,  3831,   878,  2488,  5560,
      79,  2489,  6025,  6113,  6104,  2498,  5535,  4453,  4437,   424,
    2499,  5964,  3031,  5482,  4462,   939,  5674,  5555,  5836,  5485,
    1110,  5069,  2415,  5650,  2428,  6076,  3098,  5035,  3498,  2183,
    2495,  4232,  2500,  2501,  3109,  5771,  3143, -3042,  1475,  3232,
    3230,  3231,  4060,  4406,  1554,  4876,  4152,  2502,  4502,  4896,
    4061,  4062,  4063,  5586,  4064,  4065,  4066,  4067,  4068,  4069,
    5984,  6098,  2497,  2720,  1800,  1877,   384,  3413,  5577,  3420,
    3174,  5013,   384,  4463,  5177,  4152,   721,  3421,  4464,  5443,
    2503,   939,  5931,  1525,  4763,  2360,  3971,  2588,  4185,  3300,
    2536,  3450,  4196,  3431,  2504,  4740,  5927,  3318,  2621,  5810,
    5135,  1474,  2620,   384,  4713,  5150,  5163,  3449,  2625,   939,
    1525,  5631,   939,  4707,   939,  5793,  2630,  5794,  6101,  4764,
    4465,  6004,   871,  6059,  4708,  5918,  5610,  4662,   872,  5122,
    5437,  5929,  4120,  5930,   939,  4031,  4466,  3381,  3793,  4118,
     939,  3390,  1248,  4556,   939,  2256,  3476,  3104,  3927,   384,
    1525,  5906,  1218,  2644,   939,  1576,  3467,  1919,  2637,  3480,
    2423,  4176,  1889,  4150,  3481,  3483,  1890,  4769,  5164,  4770,
    4150,  2540, -3042,  2641,  4744,  4150,  3973, -3042,  4150,  1241,
    3186,   422,  3487,    83,  2506,  5442,     0,     0,  4152,     0,
       0,  1614,  4327,     0,     0,     0,     0,  2350,   424,     0,
     376,     0,     0,     0,     0,  4150,  1525,     0,     0,     0,
       0,  1525,  1525,     0, -3042,     0,   939,     0,     0,  4150,
     384,     0,     0,   727,     0,     0,     0,     0,     0,  3433,
    4467,     0, -3042, -3042, -3042,   727,  4064,  4065,  4066,  4067,
    4068,  4069,     0,     0,     0,     0,  4365,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    74,    74,     0,
      74,  2504,     0,     0,   939,     0,     0,     0,     0,     0,
       0,     0,  5755,     0,     0,  2443,  1090,     0,     0,     0,
       0,  2507,     0,     0,  2508,  2509,  2510,   939,  2511,  2512,
    2513,  2514,  2515,  2516,     0,  2452,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   871,     0,  4404,     0,     0,     0,  5507,     0,     0,
    1525,  1525,     0,     0,     0,  2468,  4152,     0,     0,     0,
       0,  5780,     0,     0,     0,     0,     0,     0,     0,     0,
    2481,     0,     0,   939,     0,     0,   939,  5813,     0,   939,
       0, -3042,     0,     0,     0,  3796,     0,     0,     0,     0,
     939,     0,     0,     0,   939,     0,   939,     0,   939,  4434,
       0,     0,     0,     0,     0,   939,     0,  4448,     0,  4150,
       0,     0,   384,  4448,     0,     0,     0,     0,     0,  1474,
       0,  1474,  1967,     0,   939,     0,     0,     0,  5439,     0,
       0,     0,  4152,     0,     0,     0,     0,  4152,     0,     0,
       0,     0,   422,     0,     0,  5919,     0,   384,     0,     0,
       0,     0,     0,     0,     0,     0,  1968,     0,     0,   424,
       0,   727,     0,     0,     0,     0,     0,  4509,     0,     0,
       0,     0,  4150,  1207,  1207,     0,  1207,     0, -3042,   878,
       0,     0,     0,     0,     0,  2511,  2512,  2513,  2514,  2515,
    2516,     0,     0,     0,     0,     0,  1877,     0,  4541,  1474,
       0,     0,  6048,     0,     0,     0,     0,  1090,     0,     0,
     939,     0,  1090,  1090,     0,  1970,     0,     0,   939,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3948,     0,
       0,     0,     0,     0,     0,     0,  4152,     0,     0,     0,
     422,     0,     0,     0,     0,     0,     0,   939,   939,   939,
    1971,     0,     0,     0,     0,     0,   939,   424,     0,     0,
    1525,     0,     0,     0,     0,     0,   939,  1092,     0,  1092,
       0,  1092,   871,     0,     0,   727,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,  1972,   380,  2654,   939,
    1607,  1608,     0,  5986,  5987,     0,     0,  1967,     0,     0,
       0,  1092,  1092,     0,   727,  5988,     0,     0,     0,  2669,
       0,     0,  5965,     0,   872,  4150,  2676,  2678,     0,     0,
    1973,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1968,     0,     0,     0,     0,  5989,     0,     0,     0,
       0,     0,   939,     0,     0,     0,     0,   939,     0,     0,
       0,     0,  1975,     0,     0,     0,   939,     0,     0,  2754,
       0,  2032,   939,   939,  2755,   939,   380,     0,     0,     0,
     871,     0,  5986,  5987,  4150,   939,     0,     0,  6070,     0,
       0,  6011,  4672,     0,  5988,     0,  1090,     0,     0,     0,
    1970,     0,     0,   209,     0,  2797,  1090,  1977,     0,  2756,
       0,     0,     0,  4150,     0,     0,  1978,     0,   727,     0,
       0,     0,  2757,     0,  1979,  5989,     0,     0,     0,     0,
       0,     0,  2798,     0,     0,  1971,     0,  2758,     0,  1092,
       0,     0,   939,     0,  1981,     0,     0,   939,     0,  6070,
       0,     0,  1982,   724,   724,     0,     0,     0,  1905,     0,
       0,     0,     0,     0,     0,  6070,  1877,  1877,     0,     0,
       0,  1972,     0,     0,   939,   380,     0,  6011,  2759,   939,
    1877,  5986,  5987,   422,     0,     0,   939,  1090,     0,  2760,
    1090,  1090,     0,  5988,     0,     0,     0,     0,  1092,   931,
     424,     0,     0,     0,     0,  1973,     0,     0,  1983,  2761,
       0,     0,     0,   872,  2762,     0,     0,     0,     0,   939,
       0,     0,     0,     0,  5989,     0,  4150,     0,     0,   939,
       0,     0,     0,     0,     0,     0,  2033,  1975,     0,     0,
       0,     0,     0,     0,   422,     0,   939,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   939,
     422,   424,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2034,     0,     0,   424,   209,   939,
     939,     0,  1977,     0,     0,     0,  2763,     0,     0,     0,
    1090,  1978,     0,     0,  2488,     0,     0,  2489,     0,  1979,
       0,  2490,  2491,  2492,     0,     0,     0,  2035,     0,     0,
       0,   384,     0,   871,     0,   384,     0,     0,     0,  1981,
    2764,     0,     0,     0,  4448,     0,  2495,  1982,  1288,   721,
       0,     0,     0,  2496,     0,     0,  1288,     0,   721,  1288,
       0,     0,     0,     0,     0,   878,     0,     0,  4883,     0,
       0,     0,   721,   907,  2765,     0,  4890,     0,  2497,  4891,
    1995,  4892,  3300,  3300,  4150,     0,  1996,  3300,     0,     0,
       0,     0,     0,     0,   871,     0,     0,     0,     0,     0,
       0,     0,  3103,  1983,     0,     0,  2766,     0,     0,     0,
     871,   721,  2767,     0,     0,     0,     0,   721,     0,  2768,
       0,     0,  2769,  4931,  3300,  3300,     0,  3115,  1998,     0,
     721,   376,     0,     0,     0,     0,  3796,  3123,     0,  3124,
    3796,  3796,     0,  3796,     0,  3128,     0,     0,  4434,  3131,
       0,     0,  2770,     0,     0,     0,   721,     0,     0,  2771,
    4150,     0,     0,     0,   872,  4150,     0,  2772,     0,     0,
       0,  1288,   721,     0,  2773,     0,     0,  1995,  1288,     0,
     721,  1288,  2000,  1996,     0,     0,     0,     0,  2498,  2001,
    2058,     0,  2002,  2499,   721,     0,   376,     0,    74,  2774,
       0,    74,     0,     0,     0,     0,     0,     0,     0,  2059,
     721,  1092,     0,     0,     0,  2500,  2501,  2003,     0,     0,
       0,     0,     0,     0,     0,  1998,     0,     0,     0,     0,
    2502,     0,     0,     0,     0,  1877,     0,  1877,     0,     0,
       0,     0,     0,     0,     0,     0,  5032,     0,     0,     0,
       0,  2004,     0,     0,   878,     0,     0,     0,     0,  2060,
       0,     0,   872,  2503,  4150,     0,     0,     0,     0,  3343,
       0,     0,     0,     0,     0,     0,     0,  2504,     0,  2000,
    3948,  3948,  3948,  3948,  3948,     0,  2001,     0,     0,  2002,
       0,     0,     0,     0,     0,     0,     0,     0,  3274,  3275,
       0,     0,     0,     0,     0,  3289,  3290,  3240,     0,   721,
    2005,     0,  2006,     0,  2003,     0,     0,     0,     0,  5077,
    5077,  5077,  2007,  5077,  5077,  5077,  5077,  5077,     0,  1995,
     384,  2008,     0,     0,  3328,  1996,     0,     0,     0,     0,
       0,     0,     0,  2009,     0,  2061,     0,     0,  2004,     0,
       0,    35,     0,     0,     0,     0,  3241,     0,     0,    41,
      42,     0,     0,     0,     0,  2488,     0,  2506,  2489,     0,
       0,     0,  2490,  2491,  2492,     0,     0,  1998,     0,     0,
       0,  2123,     0,     0,  2011,  2012,     0,     0,  3242,  2493,
    2669,     0,  2494,  2062,     0,     0,  2063,  2495,   721,   721,
       0,   376,     0,     0,  2496,     0,     0,  2064,     0,  2006,
       0,  3243,  1092,     0,  2124,     0,  1877,  1092,  1092,  2007,
       0,     0,  3244,     0,     0,  6071,     0,  2853,  2008,  2497,
       0,  2000,     0,     0,   717,     0,     0,     0,  2001,  2065,
    2009,  2002,  3245,     0,     0,     0,     0,  3246,     0,     0,
       0,     0,  5162,     0,     0,  5169,  5170,     0,     0,     0,
    3439,  3439,     0,     0,  2507,     0,  2003,  2508,  2509,  2510,
       0,  2511,  2512,  2513,  2514,  2515,  2516,     0,  2066,  2014,
      80,  2011,  2012,  2067,     0,   878,  6071,     0,     0,     0,
       0,     0,     0,     0,     0,   872,     0,     0,  3247,     0,
    2004,     0,  6071,     0,   724,  2068,   384,     0,  1090,     0,
       0,  2069,     0,     0,     0,     0,     0,     0,     0,  3248,
       0,     0,     0,     0,  1288,  2070,     0,     0,  1900,     0,
    1288,    74,    74,  1288,     0,     0,     0,     0,     0,  2498,
       0,     0,     0,     0,  2499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   872,     0,     0,  2005,
       0,  2006,     0,     0,     0,     0,  2500,  2501,     0,     0,
    1090,  2007,   872,     0,     0,     0,  2014,     0,     0,     0,
    2008,  2502,     0,   878,     0,     0,   907,  3249,     0,  3915,
    3250,  1092,  2009,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
    1967,     0,     0,     0,  2503,     0,  3251,     0,     0,  3252,
       0,     0,     0,     0,     0,  3253,     0,     0,  2504,     0,
    2854,  2505,  3254,  2011,  2012,     0,     0,     0,     0,  5270,
    5271,     0,     0,     0,  1968,     0,     0,     0,     0,     0,
    3796,     0,  3796,  3796,     0,     0,  3796,     0,     0,     0,
    3255,     0,     0,  2855,  3607,  3256,     0,     0,  3257,     0,
       0,     0,  1275,     0,     0,     0,     0,     0,     0,     0,
       0,  1287,  1092,     0,     0,  1092,  1092,  3258,     0,  1287,
     721,     0,  1287,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1970,     0,     0,     0,     0,   721,     0,
       0,     0,  3259,     0,     0,     0,     0,  5329,  2506,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2014,     0,
       0,     0,  1410,     0,     0,     0,   721,     0,  1971,     0,
       0,     0,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,  5354,  1090,     0,     0,  1090,     0,     0,     0,     0,
       0,  1995,     0,     0,     0,     0,     0,  1996,     0,  3916,
       0,     0,   721,     0,  1972,     0,     0,     0,     0,     0,
    1997,     0,     0,     0,     0,  1092,     0,     0,   721,     0,
       0,     0,     0,  5077,  1275,     0,     0,     0,     0,     0,
       0,     0,     0,   721,  1287,     0,   721,     0,  1973,  1998,
       0,  1287,     0,     0,  1287,  2507,   878,     0,  2508,  2509,
    2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1975,  3300,  3300,  3300,  3300,     0,     0,  3300,  3300,  3300,
    3300,  3300,  3300,  3300,  3300,  3300,  3300,     0,     0,  1999,
       0,     0,     0,  2000,     0,     0,     0,     0,     0,     0,
    2001,     0,     0,  2002,  4659,     0,     0,   878,     0,     0,
       0,   209,     0,     0,     0,  1977,     0,     0,     0,     0,
       0,  2267,     0,   878,  1978,     0,     0,     0,  2003,     0,
       0,     0,  1979,  3300,  3300,     0,     0,     0,     0,     0,
    2798,     0,     0,     0,     0,     0,     0,     0,  2294,     0,
       0,     0,  1981,  1508,     0,     0,     0,     0,     0,     0,
    1982,     0,  2004,     0,   721,     0,     0,     0,     0,     0,
       0,  2308,   721,   721,     0,     0,  4448,     0,     0,  1508,
       0,  2319,  3918,     0,     0,  2322,     0,     0,     0,  2325,
       0,  2327,     0,     0,     0,     0,     0,  2335,     0,     0,
       0,     0,     0,  2343,  3943,  3946,  2346,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1983,     0,     0,  3796,
    3919,  2005,     0,  2006,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2007,     0,     0,     0,     0,   384,   384,
     384,     0,  2008,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2009,     0,     0,     0,     0,   721,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,   383,     0,     0,     0,     0,     0,   383,     0,   384,
       0,   720,  2010,     0,     0,  2011,  2012,   384,  2481,     0,
       0,     0,     0,     0,     0,     0,     0,   384,  2488,     0,
       0,  2489,     0,     0,     0,  2490,  2491,  2492,   383,     0,
       0,     0,     0,     0,     0,  2013,     0,     0,     0,     0,
       0,     0,  2493,     0,     0,     0,     0,     0,     0,     0,
    2495,     0,  2481,     0,     0,     0,     0,  2496,     0,     0,
       0,     0,     0,  2488,     0,     0,  2489,     0,     0,  3343,
    2490,  2491,  2492,     0,   383,     0,     0,     0,     0,     0,
       0,     0,  2497,     0,     0,  4124,  1275,  2493,     0,     0,
       0,     0,     0,     0,     0,  2495,     0,  1287,     0,     0,
    2014,  4143,  2496,  1287,     0,     0,  1287,     0,     0,  2488,
       0,     0,  2489,     0,     0,     0,  2490,  2491,  2492,     0,
       0,     0,  1136,     0,     0,     0,     0,  2497,   376,     0,
    1136,     0,  1136,  2493,     0,     0,     0,     0,     0,     0,
       0,  2495,     0,     0,     0,   383,  5688,  5688,  2496,     0,
    1995,     0,     0,     0,     0,     0,  1996,     0,     0,     0,
    1474,  4143,     0,     0,  5708,  1195,     0,     0,     0,  2094,
       0,     0,     0,  2497,  5716,     0,     0,  2246,  2247,     0,
       0,     0,     0,     0,     0,  3300,     0,  1291,  2669,     0,
       0,  4179,  2498,  1090,     0,     0,  1323,  2499,  1998,     0,
       0,     0,     0,     0,     0,     0,   721,     0,     0,     0,
    1344,     0,     0,     0,     0,     0,  2157,  4191,  4191,  2500,
    2501,     0,     0,  1092,     0,     0,     0,   724,     0,     0,
       0,     0,     0,     0,  2502,  1967,     0,  2498,     0,     0,
       0,  2174,  2499,  1905,     0,     0,     0,     0,     0,   717,
    2095,     0,  2000,     0,     0,   717,  2185,     0,     0,  2001,
       0,     0,  2002,     0,  2500,  2501,     0,  2503,   717,  1968,
       0,     0,     0,     0,     0,     0,   384,     0,     0,  2502,
       0,  2504,     0,  2498,  2505,  1092,     0,  2003,  2499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2049,
     721,     0,     0,     0,     0,     0,     0,   383,   721,     0,
    2500,  2501,  2503,     0,     0,     0,     0,     0,     0,     0,
     721,  2004,     0,     0,     0,  2502,  2504,     0,  1970,  2505,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1474,     0,  2503,     0,
    5853,     0,  5854,  1971,     0,     0,  5859,  5860,     0,     0,
       0,  2506,  2504,     0,     0,  2505,     0,     0,     0,     0,
    2005,     0,  2006,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2007,     0,  1288,  1288,     0,   721,   721,  1972,
       0,  2008,     0,     0,     0,     0,     0,     0,     0,  1288,
       0,   721,  1288,  2009,     0,     0,  2506,     0,     0,     0,
       0,     0,     0,     0,   721,   721,     0,     0,     0,     0,
       0,     0,     0,  1973,     0,     0,  5139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     721,  2096,     0,     0,  2011,  2012,     0,     0,     0,  1092,
       0,     0,  2506,     0,  2050,  1975,     0,  1092,  2507,     0,
    1092,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,
    2516,     0,  2424,     0,  2097,  1995,     0,  4095,     0,     0,
    1288,  1996,     0,  1288,  1288,  5688,     0,  5688,     0,     0,
       0,     0,  2051,     0,  2094,     0,   209,     0,     0,     0,
    1977,     0,     0,  2507,     0,     0,  2508,  2509,  2510,  1978,
    2511,  2512,  2513,  2514,  2515,  2516,     0,  1979,     0,     0,
    3326,     0,     0,  1998,     0,  2052,   717,   717,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1981,     0,  2014,
       0,     0,     0,     0,     0,  1982,     0,     0,     0,  2507,
       0,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,
    2515,  2516,     0,     0,     0,     0,  4449,     0,     0,     0,
       0,     0,   384,     0,     0,  2095,     0,  2000,     0,     0,
       0,     0,     0,     0,  2001,     0,     0,  2002,     0,     0,
       0,     0,     0,  1474,     0,   376,     0,     0,     0,     0,
       0,  1983,  1090,     0,     0,     0,   376,     0,  1090,     0,
       0,     0,  2003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   376,  4487,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2004,     0,     0,     0,
       0,     0,     0,  3138,     0,     0,     0,     0,     0,     0,
     384,  3145,     0,     0,     0,     0,  5688,     0,     0,     0,
       0,     0,     0,     0,     0,  6072,     0,     0,     0,     0,
       0,  3157,     0,     0,     0,     0,     0,  1995,     0,     0,
       0,     0,     0,  1996,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2005,     0,  2006,     0,     0,
       0,     0,     0,     0,     0,     0,  4561,  2007,     0,     0,
     384,     0,   384,  3946,  1995,     0,  2008,     0,     0,     0,
    1996,     0,     0,     0,     0,  1998,  6072,  2058,  2009,     0,
       0,     0,   721,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6072,     0,     0,  1092,  2059,     0,     0,     0,
       0,     0,     0,     0,   721,     0,     0,     0,     0,     0,
       0,     0,  1998,     0,     0,     0,  3729,     0,     0,  2011,
    2012,     0,   721,     0,     0,     0,   383,   384,   721,  2000,
     383,     0,   721,     0,     0,  1090,  2001,     0,     0,  2002,
     721,     0,     0,     0,   720,     0,  2060,     0,  3300,  3730,
       0,     0,     0,   720,     0,     0,     0,  5388,   721,     0,
       0,     0,     0,  2481,  2003,     0,  2000,   720,     0,     0,
       0,     0,     0,  2001,     0,     0,  2002,     0,     0,  4706,
    1288,     0,  4711,  1288,  1288,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2004,  2860,
       0,  2003,     0,     0,   721,     0,   720,     0,     0,     0,
       0,     0,   720,     0,  2014,     0,     0,     0,     0,     0,
       0,     0,   721,   721,     0,   720,     0,     0,     0,     0,
       0,     0,  2061,     0,     0,  2004,     0,     0,     0,  1995,
       0,     0,     0,     0,     0,  1996,     0,     0,     0,     0,
       0,   720,     0,     0,   384,   721,     0,  2005,   384,  2006,
       0,     0,  3410,     0,     0,     0,     0,   720,     0,  2007,
       0,     0,     0,     0,     0,   720,     0,     0,  2008,   721,
    2062,   384,     0,  2063,     0,     0,   721,  1998,     0,   720,
    2009,     0,   721,     0,  2064,     0,  2006,     0,  1092,   721,
       0,     0,     0,   721,     0,   720,  2007,     0,   721,     0,
       0,     0,     0,  1275,     0,  2008,  1275,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2065,  2009,   721,  2983,
       0,  2011,  2012,   721,     0,  4766,     0,   721,     0,     0,
     384,  2000,     0,     0,     0,     0,  3000,     0,  2001,     0,
     721,  2002,     0,     0,     0,     0,     0,  1287,  1287,     0,
       0,  2013,     0,   721,     0,  3706,     0,  3022,  2011,  2012,
    2067,     0,  1287,   721,     0,  1287,  2003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2068,     0,     0,     0,     0,     0,  3707,     0,
       0,     0,  1136,     0,   720,     0,  1136,     0,     0,     0,
    2004,  1995,  2070,     0,     0,     0,     0,  1996,     0,     0,
       0,     0,     0,  3100,     0,   383,  2014,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3300,     0,     0,
       0,   384,     0,  3111,     0,     0,     0,     0,     0,  1090,
       0,     0,     0,  1287,     0,  1508,  1287,  1287,     0,  1998,
       0,     0,  3300,  2014,     0,     0,     0,  3125,     0,  2005,
       0,  2006,     0,  1090,     0,     0,     0,  1995,     0,     0,
    1090,  2007,     0,  1996,     0,     0,     0,     0,     0,     0,
    2008,     0,     0,   720,   720,     0,     0,   717,     0,     0,
       0,     0,  2009,     0,     0,     0,     0,  3151,  1508,     0,
       0,     0,     0,  2000,     0,     0,     0,     0,     0,   721,
    2001,     0,     0,  2002,     0,  1998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2778,  4143,     0,  2011,  2012,     0,     0,     0,  2003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2488,  1607,
    1608,  2489,     0,     0,     0,  2490,  2491,  2492,     0,   376,
       0,     0,     0,  2779,   721,  1136,  1136,     0,     0,  2000,
       0,     0,  2004,     0,     0,     0,  2001,     0,     0,  2002,
    2495,     0,     0,     0,     0,     0,     0,  2496,     0,     0,
       0,   383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2003,     0,     0,     0,     0,     0,
       0,     0,  2497,   376,     0,     0,     0,     0,   721,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2014,     0,
       0,  2005,     0,  2006,     0,     0,   721,     0,  2004,     0,
       0,     0,     0,  2007,   721,     0,     0,     0,     0,     0,
       0,     0,  2008,  3330,  1288,     0,     0,  1288,     0,     0,
    1288,     0,  2488,     0,  2009,  2489,     0,  3300,     0,  2490,
    2491,  2492,     0,     0,     0,  3946,  3946,  3946,  3946,  3946,
       0,     0,     0,     0,     0,     0,  2493,     0,     0,     0,
       0,     0,     0,     0,  2495,     0,     0,  2005,  1090,  2006,
       0,  2496,  3600,     0,     0,  2011,  2012,  1092,     0,  2007,
       0,     0,     0,  1092,     0,     0,     0,     0,  2008,     0,
       0,     0,  2498,     0,  2954,   384,  2497,  2499,     0,     0,
    2009,   384,     0,     0,     0,  2013,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4143, -3042,
   -3042,     0,  4143,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2502,     0,     0,     0,  3773,     0,
       0,  2011,  2012,     0,     0,   720,     0,     0,     0,     0,
    3932,     0,     0,     0,     0,   376,   376,  3937,     0,     0,
       0,     0,     0,   720,     0,     0,  1275, -3042,     0,     0,
    2014,  3774,     0,  1287,  3952,     0,  1287,  1287,     0,     0,
       0,  2504,     0,   721,  3958,     0,     0,  3959,  3042,  3960,
    3961,   720,     0,  3963,     0,     0,  3059,     0,     0,  3967,
       0,  3968,     0,     0,  3970,     0,  2498,     0,  2954,     0,
       0,  2499,     0,     0,  3300,     0,     0,     0,     0,     0,
    2669,     0,     0,     0,     0,     0,     0,   720,     0,     0,
       0,     0,     0,  2500,  2501,     0,  2014,     0,     0,     0,
       0,     0,     0,   720,     0,    74,     0,     0,  2502,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
       0,   720,   719,     0,     0,     0,     0,     0,     0,     0,
    1092,  2506,     0,     0,     0,     0,     0,     0,     0,  4011,
       0,  2503,     0,     0,     0,     0,  3136,     0,     0,   869,
       0,     0,     0,  3555,     0,  2504,   721,   721,  2505,     0,
       0,     0,     0,     0,     0,  1090,     0,  3572,     0,     0,
    1090,     0,     0,  2954,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,   721,     0,     0,   721,     0,     0,     0,
       0,     0,     0,  6003,     0,   869,     0,     0,     0,  5243,
    5244,     0,     0,     0,  5247,  5248,     0,  3605,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2507,     0,
       0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,
    2516,     0,     0,  1135,     0,  2506,     0,     0,     0,   720,
       0,  1135,     0,  1135,     0,     0,     0,   720,   720,     0,
       0,     0,     0,     0,     0,     0,   869,     0,     0,     0,
       0,   384,   384,   384,     0,     0,     0,     0,     0,     0,
       0,     0,  3300,     0,     0,     0,     0,  3300,     0,     0,
       0,     0,     0,     0,     0,   721,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   721,     0,     0,     0,     0,
       0,     0,     0,   383,   383,   383,     0,     0,     0,     0,
       0,     0,     0,   721,     0,     0,     0,     0,     0,     0,
       0,     0,  2507,     0,   720,  2508,  2509,  2510,     0,  2511,
    2512,  2513,  2514,  2515,  2516,     0,     0,     0,     0,  4620,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   383,     0,     0,     0,     0,     0,
       0,     0,   383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1136,     0,  4143,     0,     0,     0,  3826,  4143,
       0,     0,  4143,     0,     0,     0,   721,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2488,     0,     0,  2489,     0,  4251,  1995,  2490,  2491,  2492,
       0,     0,  1996,  1136,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2493,     0,     0,     0,     0,     0,
       0,     0,  2495,     0,     0,     0,     0,   384,  1092,  2496,
       0,     0,     0,     0,   721,  1092,   721,     0,     0,     0,
       0,     0,     0,     0,  1998,     0,     0,     0,     0,   721,
       0,   721,     0,     0,  2497,     0,     0,     0,  1136,     0,
     717,     0,     0,  5438,     0,     0,     0,     0,     0,     0,
       0,  1275,     0,   384,     0,  1136,     0,  1287,     0,  4311,
    1287,  4313,  3489,  1287,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2000,     0,
    3505,     0,     0,     0,     0,  2001,  3509,     0,  2002,     0,
    3512,     0,     0,     0,   721,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,  2003,   376,     0,  3536,     0,     0,     0,
       0,   720,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   721,  2498,     0,     0,  2004,     0,  2499,
     376,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4001,     0,  3591,   721,     0,     0,     0,     0,     0,     0,
       0,  2500,  2501,     0,     0,     0,     0,  4013,     0,     0,
     717,     0,     0,     0,     0,   721,  2502,     0,   721,     0,
       0,   383,  4021,     0,     0,     0,     0,     0,  4401,     0,
       0,     0,   931,     0,  4408,     0,  2005,     0,  2006,     0,
       0,     0,     0,  3641,     0,   720,  4143,     0,  2007,  2503,
       0,     0,     0,   720,     0,     0,  2481,  2008,     0,     0,
       0,     0,     0,  2504,     0,   720,  2505,  3670,     0,  2009,
       0,  1995,     0,  1092,  3680,     0,     0,  1996,     0,     0,
    3685,     0,     0,     0,     0,     0,     0,   717,     0,     0,
       0,  3700,   931,     0,     0,     0,  3704,     0,   384,     0,
       0,     0,     0,     0,     0,     0,     0,  4279,     0,     0,
    2011,  2012,     0,     0,     0,     0,  3717,     0,     0,  1998,
       0,  3719,     0,     0,     0,  3722,     0,     0,  2488,     0,
       0,  2489,     0,     0,     0,  2490,  2491,  2492,  3739,     0,
    4280,     0,   720,   720,     0,     0,     0,     0,     0,     0,
       0,  3764,  2493,  2506,     0,     0,   720,     0,     0,     0,
    2495,   717,     0,     0,     0,     0,     0,  2496,     0,   720,
     720,     0,     0,  2000,     0,     0,     0,     0,     0,     0,
    2001,     0,     0,  2002,     0,     0,     0,     0,     0,  4143,
       0,     0,  2497,     0,     0,   720,     0,     0,     0,   376,
       0,  1090,  1090,     0,     0,  2014,     0,     0,  2003,     0,
       0,     0,     0,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,  4573,     0,  4575,     0,  4577,     0,
       0,     0,     0,     0,     0,     0,     0,  4581,     0,     0,
       0,     0,  2004,     0,     0,     0,     0,     0,     0,     0,
    2507,     0,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,
    2514,  2515,  2516,     0,     0,     0,     0,  4671,     0,     0,
       0,     0,     0,     0,   376,     0,     0,     0,     0,     0,
    4604,     0,   721,     0,     0,     0,     0,   869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2005,  2498,  2006,     0,   719,     0,  2499,     0,     0,
    1092,  5778,     0,  2007,   719,  1092,  4257,     0,     0,  1092,
       0,     0,  2008,     0,     0,     0,     0,   383,   719,  2500,
    2501,     0,     0,   384,  2009,  4268,     0,     0,   384,     0,
     384,     0,     0,     0,  2502,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   384,     0,     0,     0,     0,   719,     0,     0,
       0,     0,  4335,   719,     0,  2011,  2012,  2503,     0,     0,
       0,   384,     0,     0,     0,     0,   719,     0,     0,     0,
       0,  2504,     0,     0,  2505,     0,     0,   721,     0,     0,
     721,  5847,     0,     0,     0,  4336,     0,     0,     0,     0,
       0,     0,   719,     0,     0,   383,  3988,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   719,     0,
       0,  4350,  2488,  4352,  4002,  2489,   719,     0,     0,  2490,
    2491,  2492,  3988,     0,     0,     0,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,  2493,     0,     0,     0,
       0,     0,     0,     0,  2495,     0,   719,     0,     0,     0,
    2014,  2496,     0,     0,     0,   383,     0,   383,     0,     0,
       0,  2506,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   721,   721,     0,     0,  2497,   720,     0,     0,
       0,     0,   721,     0,     0,     0,     0,     0,     0,   376,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,  4402,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   376,     0,     0,     0,   720,     0,     0,
       0,     0,   383,   720,     0,     0,     0,   720,     0,     0,
    1090,     0,  1090,     0,     0,   720,     0,     0,     0,     0,
       0,  4421,     0,  1135,     0,   719,     0,  1135,     0,     0,
       0,     0,     0,   720,   384,     0,     0,     0,  2507,     0,
       0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,
    2516,     0,     0,     0,     0,  4784,     0,     0,     0,     0,
       0,   721,     0,     0,     0,     0,  2498,     0,     0,     0,
       0,  2499,  6047,     0,     0,     0,     0,     0,     0,   720,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1136,     0,  2500,  2501,     0,     0,   720,   720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2502,     0,
       0,     0,     0,     0,   719,   719,     0,     0,     0,     0,
       0,     0,     0,  3605,     0,     0,     0,     0,     0,   383,
     720,     0,     0,   383,     0,     0,     0,     0,     0,     0,
       0,  2503,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   720,  2504,   383,  4559,  2505,     0,
       0,   720,     0,     0,     0,     0,     0,   720,     0,     0,
       0,   376,  1136,     0,   720,     0,  1092,     0,   720,     0,
       0,     0,     0,   720,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,     0,     0,     0,  1135,  1135,     0,     0,
    6069,     0,     0,   720,     0,     0,     0,     0,   720,     0,
       0,  4253,   720,     0,     0,   383,     0,     0,     0,     0,
       0,     0,   869,     0,     0,   720,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     931,     0,     0,   931,     0,  2506,     0,     0,   720,     0,
       0,     0,     0,     0,     0,     0,     0,  4619,     0,     0,
    2488,  6069,     0,  2489,     0,     0,     0,  2490,  2491,  2492,
       0,     0,     0,     0,     0,     0,     0,  6069,  4628,     0,
       0,     0,     0,     0,  2493,     0,     0,     0,   721,     0,
       0,     0,  2495,   384,     0,     0,     0,     0,     0,  2496,
       0,     0,     0,  4651,     0,     0,     0,     0,     0,  5059,
       0,     0,     0,  5061,     0,     0,   383,     0,     0,     0,
       0,     0,     0,  4333,  2497,     0,   721,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2424,   721,     0,
       0,     0,  2507,     0,   931,  2508,  2509,  2510,     0,  2511,
    2512,  2513,  2514,  2515,  2516,     0,     0,     0,     0,  5088,
       0,     0,     0,     0,     0,   721,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2498,     0,  1092,  1092,     0,  2499,
       0,     0,     0,     0,  4414,     0,     0,     0,     0,   720,
    1092,     0,   719,     0,     0,     0,     0,     0,     0,     0,
     721,  2500,  2501,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2502,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   720,   719,     0,     0,     0,     0,  2503,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   719,
       0,   720,   719,  2504,     0,     0,  2505,     0,     0,   720,
       0,     0,  5207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   721,     0,     0,     0,  5779,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5231,  5232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   931,     0,     0,     0,     0,     0,     0,     0,
     383,     0,     0,  2506,     0,     0,   383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     719,  4591,     0,     0,     0,   721,     0,   721,   719,   719,
    5273,  5274,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4605,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
       0,     0,   721,     0,     0,     0,     0,     0,     0,     0,
    2507,  1288,  4983,  2508,  2509,  2510,     0,  2511,  2512,  2513,
    2514,  2515,  2516,     0,   869,     0,     0,  5123,     0,     0,
       0,     0,     0,     0,     0,  2488,     0,     0,  2489,     0,
       0,     0,  2490,  2491,  2492,   719,     0,     0,     0,   384,
       0,     0,     0,     0,     0,  1288,     0,     0,     0,  2493,
       0,     0,     0,     0,     0,     0,     0,  2495,     0,     0,
       0,     0,     0,     0,  2496,     0,     0,     0,     0,  5369,
       0,     0,     0,     0,     0,  1092,     0,  1092,  5371,  5372,
       0,     0,     0,   869,     0,     0,     0,     0,     0,  2497,
       0,     0,     0,  1135,  5376,     0,     0,     0,     0,     0,
       4,   720,   720,     0,     0,     0,     0,     0,     0,   931,
       0,     0,     0,   931,     0,     0,     0,     0,     0,     5,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     6,
       7,   720,     0,     0,  1135,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1135,
       0,     0,     0,     0,  2424,     0,     0,     0,     0,  2498,
       0,     0,     0,     0,  2499,     0,  1135,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   383,   383,   383,     0,
       0,     0,     0,     0,     0,     0,  2500,  2501,   384,     0,
    4813,     0,     0,    46,     0,     0,     0,     0,     0,     0,
     720,  2502,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   721,     0,     0,  1092,     0,     0,     0,
     720,     0,     0,     0,     0,   721,     0,     0,     0,     0,
       0,     0,   719,     0,  2503,     0,     0,     0,   720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2504,     0,
       0,  2505,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,     0,
       0,     0,     0,     0,     0,     0,     0,  5208,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   869,     0,     0,  4911,     0,     0,  4914,    49,
       0,     0,     0,     0,     0,     0,  5230,     0,     0,     0,
    5301,   720,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,    50,   719,     0,     0,  5245,  2506,     0,
       0,     0,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5606,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      51,     0,   383,    52,     0,     0,     0,     0,     0,   720,
       0,   720,     0,     0,     0,     0,     0,     0,     0,    53,
       0,     0,     0,     0,   720,     0,   720,     0,     0,     0,
       0,     0,  5272,     0,     0,     0,     0,     0,     0,     0,
    4994,     0,     0,     0,     0,     0,     0,     0,   383,   384,
       0,   721,     0,   719,   719,     0,     0,     0,     0,  2954,
       0,     0,  5652,     0,     0,  2507,     0,   719,  2508,  2509,
    2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,     0,     0,
     719,   719,  5379,     0,     0,     0,     0,     0,     0,   720,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   719,    54,     0,     0,
       0,     0,     0,     0,  5699,     0,     0,     0,   931,     0,
       0,     0,     0,     0,     0,   931,     0,     0,     0,     0,
     931,     0,     0,   931,  5418,     0,     0,     0,   720,  3988,
       0,     0,     0,     0,     0,  5359,     0,   384,     0,     0,
       0,     0,     0,     0,     0,    55,     0,     0,   720,     0,
     931,     0,     0,     0,     0,   721,     0,     0,     0,     0,
      56,     0,     0,     0,   931,     0,     0,     0,     0,  1288,
     720,     0,     0,   720,     0,    57,     0,     0,     0,     0,
       0,     0,     0,     0,   721,     0,     0,     0,     0,     0,
    2424,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,     0,     0,    59,  1287,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1569,     0,     0,     0,   869,    71,
    1570,     0,     0,     0,     0,     0,     0,     0,  2488,     0,
       0,  2489,  1288,  1288,     0,  2490,  2491,  2492,     0,     0,
       0,     0,     0,   383,     0,     0,     0,     0,  1287,     0,
       0,     0,  2493,     0,     0,     0,     0,     0,     0,     0,
    2495,     0,     0,     0,     0,     0,     0,  2496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   721,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2497,     0,     0,     0,     0,     0,     0,     0,
    2488,     0,     0,  2489,     0,     0,     0,  2490,  2491,  2492,
       0,     0,     0,     0,   931,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2493,     0,     0,     0,     0,     0,
       0,     0,  2495,     0,     0,     0,     0,     0,     0,  2496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     384,     0,     0,     0,  2497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   931,     0,     0,
       0,     0,     0,     0,  5240,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,  5250,     0,     0,     0,
       0,     0,  2498,     0,     0,     0,     0,  2499,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   384,     0,     0,     0,     0,     0,   720,   719,  2500,
    2501,     0,     0,   869,   719,     0,     0,   384,   719,  1288,
    1288,     0,     0,     0,  2502,     0,   719,     0,  2488,     0,
       0,  2489,     0,     0,     0,  2490,  2491,  2492,     0,     0,
       0,     0,     0,     0,   719,     0,  2424,     0,     0,     0,
       0,     0,  2493,     0,  2498,     0,     0,  2503,   383,  2499,
    2495,     0,     0,   383,     0,   383,     0,  2496,     0,     0,
       0,  2504,     0,     0,  2505,     0,     0,  5734,     0,     0,
       0,  2500,  2501,     0,     0,     0,  4402,   383,     0,     0,
     719,     0,  2497,     0,     0,     0,  2502,     0,     0,     0,
     931,     0,  1135,  6016,     0,     0,   383,     0,   719,   719,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,     0,   720,     0,     0,     0,  2503,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     869,   719,  2424,  2504,   869,     0,  2505,  2424,  2424,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   931,
       0,  2506,     0,     0,     0,   719,     0,   869,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,   719,     0,
    3988,     0,     0,  1135,     0,   719,     0,     0,   931,   719,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,  2498,     0,     0,     0,     0,  2499,     0,     0,
       0,     0,     0,     0,   719,     0,     0,   720,   720,   719,
       0,     0,     0,   719,     0,     0,   869,   720,     0,  2500,
    2501,     0,     0,  2506,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,  2502,     0,   720,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,  5772,  2507,   719,
       0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,
    2516,     0,     0,     0,     0,  5390,     0,  2503,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2504,     0,  3988,  2505,  3988,     0,  2488,     0,   383,
    2489,   931,     0,     0,  2490,  2491,  2492,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2542,     0,     0,     0,
       0,  2493,     0,     0,     0,     0,   720,   869,     0,  2495,
    2507,     0,     0,  2508,  2509,  2510,  2496,  2511,  2512,  2513,
    2514,  2515,  2516,  2488,     0,     0,  2489,  5399,     0,     0,
    2490,  2491,  2492,     0,     0,     0,     0,     0,     0,     0,
       0,  2497,     0,     0,     0,     0, -2542,  2493,     0,     0,
       0,     0,  1287,     0,     0,  2495,     0,     0, -2542,     0,
       0,  2506,  2496, -2542,     0,     0,     0,     0, -2542,     0,
       0,     0,     0,     0, -2542,     0,     0, -2542,     0,     0,
       0, -2542,     0,     0,     0,   719,     0,  2497,     0,  2488,
       0,     0,  2489,     0,     0,     0,  2490,  2491,  2492,     0,
       0,     0,     0,     0,     0,  5968,     0,     0,     0,     0,
   -2542,     0,     0,  2493,     0,     0,     0,     0,     0,   931,
       0,  2495,     0,     0,     0,  1287,  1287,   765,  2496,     0,
   -2542,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,  5923,     0,     0,     0,
       0,  2498,     0,  2497,     0,     0,  2499,     0,  2507,     0,
       0,  2508,  2509,  2510,   765,  2511,  2512,  2513,  2514,  2515,
    2516, -2542,   935,     0, -2542,  5402,     0,     0,  2500,  2501,
   -2542,     0,     0,     0,     0,     0,   765,     0,     0,     0,
       0,     0,     0,  2502,   719,   931,     0,  2498,     0,     0,
     931,     0,  2499,     0,  1101,     0,     0,     0,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,  1103,
     719,     0,     0,     0,  2500,  2501,  2503,  1111,     0,     0,
       0,     0,     0,   720,     0, -2542,     0,     0,   383,  2502,
    2504,     0,  1125,  2505,  1101,     0,     0,     0,  1148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1180,     0,
       0,     0,     0,  2498,     0,     0,     0,  1185,  2499,     0,
       0,   720,  2503,     0,     0,     0,     0,     0, -2544,     0,
       0,     0,     0,   720,     0,     0,  2504,     0,  1106,  2505,
    2500,  2501,     0,     0,     0,     0,     0,     0,     0,   931,
       0,   869,     0,     0,     0,  2502,     0,   869,     0,     0,
     720,     0,  6103,     0,     0, -2542,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2544,     0,
    2506,     0,  1287,  1287,     0,     0,     0,     0,  2503, -2542,
   -2544, -2542, -2542,     0,     0, -2544,     0,     0,     0,     0,
   -2544,     0,  2504,     0,     0,  2505, -2544,     0,     0, -2544,
       0,     0,     0, -2544,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2506, -2542,     0,     0,
   -2542, -2542,     0, -2542,     0,     0,     0,     0,     0,   719,
    2488,     0, -2544,  2489,     0,     0,     0,  2490,  2491,  2492,
       0,     0,     0,     0,     0,   720,     0,     0,     0,     0,
       0,     0, -2544,     0,  2493,     0,     0,     0,     0,     0,
       0,     0,  2495,     0,     0,     0,     0,  2507,     0,  2496,
    2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,
       0,     0,  2506,     0,  5452,     0,     0,     0,     0,     0,
       0,     0,     0, -2544,  2497,     0, -2544,     0,     0,     0,
       0,     0, -2544,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2507,     0,     0,  2508,  2509,  2510,     0,
    2511,  2512,  2513,  2514,  2515,  2516,     0,   720,     0,     0,
    5487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   719,   719,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2544,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   719,
       0,     0,   719,     0,     0,     0,     0,     0,     0,  2507,
       0,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,
    2515,  2516,     0,     0,     0,     0,  5528,     0,     0,     0,
       0,     0,     0,     0,  2498,     0,     0,     0,     0,  2499,
    1106,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2500,  2501,     0,     0,     0,     0, -2544,     0,     0,
     720,     0,   720,  3988,     0,     0,  2502,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   869,   869,   869,
       0, -2544,     0, -2544, -2544,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2503,
       0,   719,     0,     0,     0,     0,     0,   720,     0,     0,
       0,     0,     0,  2504,     0,     0,  2505,     0,     0, -2544,
       0,   719, -2544, -2544,     0, -2544,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   765,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2506,     0,     0,     0,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,   719,     8,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,    36,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   869,     0,     0,     0,     0,     0,     0,
     719,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   719,     0,   719,     0,     0,
    2507,     0,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,
    2514,  2515,  2516,     0,     0,     0,     0,  5839,     0,   869,
       0,     0,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   383,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,   720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,     0,     0,     0,   935,  1277,  1277,   765,     0,
    1277,     0,     0,     0,  1289,     0,  1180,    47,     0,  1316,
       0,     0,  1289,     0,     0,  1289,     0,     0,  1180,   719,
    1277,     0,     0,  1180,     0,    48,     0,  1277,     0,  1180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,  1363,    49,     0,
       0,     0,     0,  1180,     0,   935,     0,     0,  1277,     0,
     765,   719,  1277,     0,   719,     0,     0,     0,     0,  1316,
       0,     0,    50,     0,  1437,     0,  1277,     0,     0,     0,
       0,     0,     0,  1277,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,     0,    52,     0,     0,     0,     0,   935,     0,     4,
       0,     0,   765,     0,     0,     0,     0,  1289,    53,     0,
       0,  1316,     0,     0,  1289,     0,     0,  1289,     5,     0,
       0,     0,     0,     0,   869,     0,     0,     0,     6,     7,
       0,     0,     0,  1277,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,   383,     0,   720,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1180,     0,     0,     0,     0,    54,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1180,     0,  1647,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2488,    46,     0,  2489,     0,  1758,  1758,  2490,  2491,
    2492,   765,  1180,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2493,     0,     0,     0,    56,
       0,  1180,   383,  2495,     0,  1180,     0,     0,     0,     0,
    2496,     0,     0,  1758,    57,     0,     0,     0,     0,     0,
     720,     0,     0,     0,  1180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2497,  1180,     0,     0,     0,
       0,     0,     0,     0,    58,     0,     0,    47,   719,   720,
       0,     0,    59,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,    67,    68,    48,    69,    70,    71,    72,
      73,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   869,
       0,     0,     0,     0,   869,     0,   869,     0,     0,  1180,
       0,     0,    50,     0,     0,     0,     0,     0,     0,     0,
    1180,     0,     0,     0,     0,  1277,  1277,     0,   869,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2498,     0,   869,     0,    51,
    2499,     0,    52,   720,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   719,     0,     0,   719,     0,    53,     0,
       0,     0,  2500,  2501,     0,     0,     0,     0,     0,     0,
    1758,  1758,     0,     0,     0,     0,     0,  2502,     0,   935,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1289,     0,     0,     0,  1316,     0,  1289,     0,     0,  1289,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2503,     0,     0,     0,  1277,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2504,   383,     0,  2505,     0,     0,
       0,     0,     0,     0,     0,     0,  1180,     0,     0,     0,
       0,     0,  1277,  1277,     0,     0,    54,     0,   719,   719,
       0,     0,     0,     0,     0,     0, -2559,     0,   719,     0,
       0,     0,     0,     0,  1180,  1180,  1180,     0,  1277,     0,
     935,   935,  2488,     0,     0,  2489,  2253,   719,     0,  2490,
    2491,  2492,     0,     0,     0,     0,   383,     0,     0,     0,
       0,     0,     0,     0,    55,     0,  2493,     0,     0,     0,
       0,     0,   383,     0,  2495,     0, -2559,     0,     0,    56,
       0,  2496,     0,     0,  2506,     0,     0,     0, -2559,     0,
       0,     0,     0, -2559,    57,     0,     0,     0, -2559,     0,
       0,     0,     0,     0, -2559,     0,  2497, -2559,     0,     0,
       0, -2559,     0,     0,     0,     0,     0,     0,     0,  1277,
       0,  1277,  1277,     0,    58,     0,     0,   719,     0,     0,
       0,     0,    59,     0,    60,    61,    62,    63,    64,     0,
   -2559,    65,    66,  1569,  2349,     0,     0,     0,    71,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2559,     0,     0,     0,  1758,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2507,     0,     0,  2508,  2509,  2510,     0,  2511,  2512,
    2513,  2514,  2515,  2516,     0,     0,     0,     0,  5967,     0,
       0, -2559,  2396,  2396, -2559,     0,     0,  1180,     0,  1101,
   -2559,     0,     0,     0,     0,     0,  2498,     0,     0,     0,
       0,  2499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2432,     0,     0,  1180,     0,
       0,  2438,     0,  2500,  2501,     0,     0,     0,     0,     0,
       0,     0,     0,  1758,     0,     0,     0,     0,  2502,     0,
       0,     0,     0,     0,     0, -2559,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1758,     0,     0,     0,     0,     0,     0,     0,
       0,  2503,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2504,     0,     0,  2505,     0,
    1758,  1758,  1758,     0,  1758,     0,     0,     0,  1106,  2488,
       0,     0,  2489,     0,     0,     0,  2490,  2491,  2492,     0,
       0,     0,     0,     0,  1758,     0,     0,     0,     0,     0,
       0,     0,     0,  2493,     0, -2559,     0,     0,     0,     0,
       0,  2495,     0,     0,   719,     0,   765,   765,  2496,   869,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2559,
       0, -2559, -2559,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2497,     0,  1180,     0,     0,     0,     0,
       0,     0,   719,     0,     0,  2506,     0,     0,     0,     0,
       0,     0,     0,     0,   719,     0,     0, -2559,     0,     0,
   -2559, -2559,     0, -2559,     0,     0,     0,     0,     0,  1758,
       0,     0,     0,  1758,  1758,     0,     0,     0,     0,     0,
       0,   719,     0,     0,  1180,  1180,  2634,     0,  1758,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   765,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2507,  2498,     0,  2508,  2509,  2510,  2499,  2511,
    2512,  2513,  2514,  2515,  2516,     0,     0,     0,     0,  6036,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2500,  2501,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,  2502,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2787,
       0,     0,     0,     0,     0,     0,     0,     0,  2503,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1180,  2813,
       0,     0,  2504,     0,     0,  2505,     0,     0,  1180,     0,
       0,  1277,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   719,     0,
       0,     0,     0,  1316,     0,  1180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1180,     0,
       0,  1180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2488,     0,     0,  2489,     0,     0,     0,  2490,  2491,
    2492,     0,  2506,     0,     0,     0,     0,  1180,     0,     0,
       0,     0,     0,     0,     0,  2493,     0,     0,  1277,  1277,
    1277,  1277,  1180,  2495,     0,     0,     0,     0,     0,     0,
    2496,     0,     0,     0,     0,     0,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1758,  1758,
    1758,   719,     0,   719,     0,  2497,     0,     0,     0,     0,
       0,     0,     0,     0,  2980,     0,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1277,  1277,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   719,  2507,
       0,  1277,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,
    2515,  2516,     0,     0,     0,     0,  6089,     0,     0,     0,
    1180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1277,  1277,  1277,  1277,
       0,     0,     0,     0,     0,   869,     0,     0,     0,  1180,
       0,     0,     0,     0,     0,     0,  1180,     0,     0,  2980,
       0,     0,     0,     0,     0,  2498,     0,     0,     0,     0,
    2499,     0,     0,     0,     0,     0,   935,     0,     0,   935,
       0,     0,     0,     0,   765,     0,     0,     0,     0,  1758,
       0,     0,  2500,  2501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5576,     0,     0,  2502,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1289,  1289,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1316,  1316,     0,     0,  1289,     0,     0,  1289,     0,
    2503,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2504,  1277,  1277,  2505,     0,     0,
       0,     0,  1277,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2396,     0,     0,
       0,     0,     0,     0,  1277,     0,  1289,     0,     0,  1289,
    1289,     0,  1180,  1180,     0,  1277,     0,     0,     0,     0,
       0,     0,  1180,     0,   869,     0,     0,     0,     0,     0,
       0,     0,  1180,     0,  2506,     0,     0,  1101,  1101,     0,
       0,  3239,     0,     0,     0,  1758,  1758,     0,     0,   719,
       0,  1758,  1758,     0,     0,     0,     0,     0,  1758,  1758,
    1758,   719,     0,     0,  1758,  1316,  1758,  1758,  1758,  1758,
    1758,  1758,     0,  1758,     0,  1758,  1758,     0,     0,  1758,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1758,  1758,  1758,  1758,     0,     0,
       0,  1277,  1758,     0,     0,     0,  1758,     0,     0,  1758,
       0,     0,  1758,  1758,  1758,  1758,  1758,  1758,  1758,  1758,
    1758,     0,  1758,     0,     0,     0,     0,     0,     0,  1180,
    1758,  2507,     0,  1758,  2508,  2509,  2510,     0,  2511,  2512,
    2513,  2514,  2515,  2516,     0,     0,     0,     0,  6102,     0,
       0,     0,     0,     0,     0,  1180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1180,     0,     0,
       0,  1758,     0,     0,     0,  1180,     0,  1180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1758,     0,     0,
       0,     0,     0,     0,     0,     0,  1758,  1758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1180,     0,     0,     0,     0,     0,     0,  3459,     0,  3464,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   869,     0,   719,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,   765,
       0,    45,     0,     0,     0,     0,     0,     0,  1101,     0,
    1101,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1758,     0,     0,
       0,     0,     0,   869,     0,     0,     0,     0,     0,   935,
       0,  1277,  1277,     0,     0,     0,  1289,     0,  1316,  1289,
    1289,   719,  1277,     0,  1277,    46,     0,     0,  1277,     0,
       0,  1180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2813,     0,     0,     0,     0,     0,     0,     0,
    3608,  1180,     0,     0,     0,     0,     0,     0,  3620,     0,
       0,     0,     0,     0,     0,     0,     0,  1180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,  1180,     0,     0,     0,
       0,  3665,  3665,     0,     0,     0,     0,     0,    48,     0,
       0,     0,     0,     0,     0,     0,  1180,  1180,     0,     0,
    1180,     0,   765,     0,     0,     0,     0,     0,     0,     0,
       0,    49,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   719,     0,  1277,     0,     0,  1277,
       0,     0,     0,     0,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1180,  1180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3758,     0,  3761,  3763,     0,
       0,     0,    51,     0,     0,    52,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    53,     0,     0,     0,     0,  1758,  1758,  1758,     0,
       0,     0,  1758,     0,     0,     0,   869,     0,  1277,     0,
       0,     0,     0,     0,     0,     0,  1277,     0,     0,  1277,
       0,     0,     0,     0,     0,  1277,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1758,     0,  1277,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2813,     0,     0,  3665,     0,  1180,     0,
       0,  1180,     0,     0,     0,  3867,     0,   869,  1101,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    54,
    1277,  1758,     0,   869,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3758,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1277,     0,
    3899,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2253,    55,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1758,     0,     0,
       0,     0,    56,     0,     0,     0,     0,     0,     0,     0,
       0,  3947,     0,     0,     0,     0,     0,    57,     0,     0,
       0,  1277,     0,  1277,  3665,  1277,  3665,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,     0,     0,     0,    59,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1569,  3164,     0,     0,
       0,    71,     0,  2396,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   935,     0,     0,     0,     0,     0,
    1289,     0,     0,  1289,     0,     0,  1289,     0,     0,     0,
       0,     0,     0,     0,     0,  1277,     0,     0,     0,     0,
       0,     0,  1758,     0,     0,     0,     0,  1758,     0,     0,
       0,     0,     0,    85,     0,     0,     0,     0,    88,     0,
       0,     0,    92,     0,    93,     0,    95,    96,     0,     0,
    1758,  1758,  1758,     0,     0,  1758,     0,   105,     0,     0,
       0,     0,     0,  1758,  1758,  1758,  1758,     0,     0,     0,
       0,     0,     0,   117,   118,     0,  1758,     0,     0,  1758,
       0,  1758,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1758,  1758,     0,     0,  1758,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1316,     0,
    1758,     0,  1758,     0,  1758,     0,     0,     0,     0,     0,
       0,     0,     0,   126,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   127,  1758,   128,   129,     0,  1180,     0,
       0,     0,     0,     0,     0,  4153,     0,     0,     0,     0,
       0,  1214,     0,     0,     0,     0,     0,     0,     0,     0,
     138,     0,     0,     0,     0,     0,     0,     0,     0,  1180,
       0,     0,   140,     0,   141,   142,  1758,     0,     0,     0,
       0,   145,     0,   146,     0,     0,     0,     0,     0,     0,
       0,  1758,     0,     0,   148,     0,   149,     0,     0,     0,
       0,     0,     0,     0,     0,  4153,     0,     0,     0,  4207,
       0,   152,  4210,   153,  3464,  2488,   156,     0,  2489,     0,
       0,     0,  2490,  2491,  2492,     0,     0,     0,     0,     0,
     157,     0,   158,     0,     0,     0,   159,     0,     0,  2493,
       0,     0,   160,     0,     0,     0,     0,  2495,     0,     0,
     162,     0,   164,     0,  2496,     0,     0,     0,   166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   170,     0,     0,     0,  1758,  2497,
    3665,  2488,     0,     0,  2489,  2396,     0,     0,  2490,  2491,
    2492,   174,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2493,     0,     0,     0,     0,
       0,     0,  1277,  2495,  1277,  1277,  1277,     0,     0,     0,
    2496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   185,   186,     0,     0,     0,     0,   187,     0,     0,
       0,     0,     0,     0,     0,  2497,     0,     0,     0,   188,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   193,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2498,
       0,     0,     0,     0,  2499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2500,  2501,   205,     0,
       0,     0,     0,     0,   206,   207,     0,   208,     0,  1180,
       0,  2502,   209,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,     0,     0,     0,   214,     0,     0,
       0,     0,     0,   215,   216,  2498,     0,     0,     0,     0,
    2499,   217,     0,     0,  2503,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,  2504,     0,
       0,  2505,  2500,  2501,     0,     0,     0,     0,   224,     0,
       0,     0,     0,     0,     0,     0,     0,  2502,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   230,     0,
     231,     0,     0,     0,     0,     0,     0,     0,   233,     0,
       0,     0,     0,     0,   234,     0,     0,     0,     0,   235,
    2503,  2488,     0,     0,  2489,     0,     0,  1758,  2490,  2491,
    2492,     0,   238,  1758,  2504,     0,     0,  2505,     0,     0,
       0,     0,  1277,     0,     0,  2493,     0,  3665,  3665,     0,
       0,     0,     0,  2495,     0,   250,     0,     0,  2506,     0,
    2496,  4663,     0,     0,     0,     0,     0,     0,     0,   251,
       0,     0,     0,  -146,  2488,     0,     0,  2489,     0,     0,
       0,  2490,  2491,  2492,     0,  2497,  1180,  1180,  1180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2493,     0,
       0,     0,  3423,  1180,     0,     0,  2495,     0,     0,     0,
       0,     0,     0,  2496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2506,  2396,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,  2396,  1180,  1180,  2497,     0,
    4664,  1180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1180,  2507,     0,     0,  2508,  2509,
    2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,     0,     0,
    2977,  4074,   765,     0,     0,     0,  4075,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3424,     0,  3947,
       0,     0,     0,     0,     0,  2498,     0,     0,     0,     0,
    2499,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1277,     0,     0,     0,     0,     0,     0,
       0,  2507,  2500,  2501,  2508,  2509,  2510,     0,  2511,  2512,
    2513,  2514,  2515,  2516,     0,     0,  1180,  2502,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2498,     0,
       0,     0,  1180,  2499,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2503,     0,     0,     0,  1758,  2500,  2501,     0,     0,     0,
       0,     0,     0,  1758,  2504,     0,     0,  2505,     0,  1758,
    2502,  1758,     0,     0,  1758,     0,     0,     0,     0,  1758,
    1758,  1758,  1758,     0,     0,  1758,  1758,  1758,  1758,  1758,
    1758,  1758,  1758,  1758,  1758,     0,     0,     0,  1758,  1758,
       0,     0,     0,  2503,     0,     0,     0,     0,  1758,     0,
       0,     0,  1758,     0,     0,     0,  1758,  2504,     0,     0,
    2505,     0,     0,     0,  1758,     0,     0,  1758,     0,  1758,
       0,     0,     0,     0,     0,     0,     0,     0,  1758,     0,
       4,  1758,  1758,     0,     0,     0,  1758,  1758,     0,     0,
       0,  4695,     0,  1758,  2506,     0,     0,     0,     0,     5,
    1180,  1180,  1180,   935,     0,     0,  4153,  4717,     0,     6,
       7,  4717,  4731,  4717,     0,     0,     9,    10,  1758,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,  2506,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,  1758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3464,     0,  1758,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2507,     0,     0,  2508,  2509,  2510,     0,  2511,  2512,
    2513,  2514,  2515,  2516,  3425,     0,     0,  4790,  2396,  2396,
       0,  2980,     0,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1277,  1277,
    1277,  1277,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2507,     0,     0,  2508,  2509,  2510,
       0,  2511,  2512,  2513,  2514,  2515,  2516,  2813,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4844,     0,     0,     0,
       0,     0,     0,     0,   877,     0,     0,     0,    47,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    49,
     877,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4929,     0,     0,     0,     0,     0,     0,  1139,     0,
       0,     0,     0,     0,     0,     0,  1139,     0,  1139,     0,
      51,     0,     0,    52,     0,     0,     0,     0,     0,     0,
       0,   877,     0,     0,     0,     0,     0,     0,     0,    53,
       0,     0,     0,     0,     0,  1277,     0,     0,     0,  1180,
       0,  1277,     0,  1758,  2488,     0,     0,  2489,     0,     0,
    1180,  2490,  2491,  2492,     0,     0,  4972,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2813,     0,  2493,     0,
       0,     0,     0,     0,     0,     0,  2495,     0,     0,     0,
       0,  1180,     0,  2496,     0,  4153,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3758,     0,     0,     0,     0,
       0,     0,     0,  5019,     0,     0,     0,     0,  2497,     0,
       0,     0,     0,     0,  1180,     0,     0,    54,  2980,     0,
       0,     0,  1758,  1758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3947,  3947,  3947,  3947,  3947,  1522,     0,  3665,     0,
    3665,     0,     0,     0,     0,    55,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,     0,  1522,  2488,     0,     0,  2489,     0,     0,     0,
    2490,  2491,  2492,  5996,     0,    57,     0,     0,     0,     0,
    1758,     0,     0,     0,     0,     0,     0,  2493,     0,     0,
    4033,  1758,     0,     0,     0,  2495,     0,     0,  2498,     0,
       0,     0,  2496,  2499,     0,    58,     0,     0,     0,     0,
       0,     0,     0,    59,     0,    60,    61,    62,    63,    64,
       0,  1758,    65,    66,  1569,  2500,  2501,  2497,     0,    71,
       0,  1758,  1758,     0,     0,     0,     0,     0,  1758,  1758,
    2502,     0,     0,  1758,     0,     0,     0,     0,  1758,     0,
       0,  1758,  1758,     0,     0,     0,  1758,  5127,     0,     0,
       0,     0,  1758,  1180,  1180,  1180,  1180,     0,     0,     0,
    4717,  4731,  4717,  2503,  1758,  4717,     0,     0,  5141,     0,
       0,     0,  4153,     0,     0,     0,  4153,  2504,     0,     0,
    2505,     0,  5156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1316,     0,  5997,     0,     0,     0,     0,  1758,     0,     0,
       0,  4207,     0,     0,     0,     0,  3464,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2488,  2498,     0,  2489,
       0,     0,  2499,  2490,  2491,  2492,  1101,     0,     0,  1758,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2493,     0,     0,  4079,  2500,  2501,     0,     0,  2495,  3665,
    3665,     0,     0,     0,     0,  2496,     0,  2506,     0,  2502,
       0,     0,  2488,     0,     0,  2489,     0,  2813,     0,  2490,
    2491,  2492,     0,     0,     0,     0,     0,     0,     0,     0,
    2497,  5229,     0,     0,     0,     0,  2493,     0,     0,     0,
       0,     0,  2503,     0,  2495,     0,     0,     0,     0,     0,
       0,  2496,     0,     0,     0,     0,  2504,     0,     0,  2505,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2497,     0,     0,     0,
    1758,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1277,  2143,  2507,     0,     0,  2508,  2509,  2510,
       0,  2511,  2512,  2513,  2514,  2515,  2516,  1277,     0,  1522,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2498,     0,     0,     0,  1522,  2499,  2506,  1758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1522,
       0,     0,     0,   935,     0,     0,     0,  2500,  2501,  2813,
       0,     0,     0,     0,     0,     0,     0,     0,  2396,     0,
       0,     0,  2502,     0,     0,     0,  2498,     0,     0,     0,
       0,  2499,  1758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1277,     0,  2813,     0,     0,     0,
       0,     0,     0,  2500,  2501,  2503,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2502,  2504,
       0,     0,  2505,     0,     0,     0,     0,  1180,     0,     0,
    5368,     0,     0,  2507,     0,     0,  2508,  2509,  2510,  1522,
    2511,  2512,  2513,  2514,  2515,  2516,     0,     0,     0,     0,
       0,  2503,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2504,     0,     0,  2505,     0,
       0,     0,   877,     0,     0,     0,  1758,     0,     0,     0,
     937,     0,     0,     0,     0,  1758,  4047,     0,     0,   937,
       0,     0,     0,     0,     0,     0,     0,   937,     0,     0,
     937,     0,  1758,  1758,     0,     0,  1758,     0,     0,  2506,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   935,     0,     0,  4717,     0,     0,     0,  4153,     0,
       0,     0,     0,  4153,     0,     0,  4153,   935,     0,  3758,
     937,  5422,     0,  1758,  1758,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2506,     0,     0,     0,     0,
       0,     0,     0,  4790,     0,  1758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1522,     0,  4790,  1316,  1277,
    1277,  1277,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,     0,     0,  2507,     0,  1523,  2508,
    2509,  2510,   937,  2511,  2512,  2513,  2514,  2515,  2516,   937,
       0,     0,   937,     0,     0,     0,     0,  1289,  1316,     0,
       0,     0,     0,     0,  1523,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2507,     0,     0,  2508,  2509,  2510,     0,  2511,
    2512,  2513,  2514,  2515,  2516,     0,     0,     0,     0,     0,
       0,  1289,     0,     0,  1180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4972,     0,     0,  1180,
       0,     0,     0,     0,  1180,     0,  3665,     0,     0,     0,
       0,     0,  2813,     0,     0,     0,     0,     0,     0,   725,
       0,     0,     0,     0,   769,     0,   769,  1180,     0,     0,
       0,  5019,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,     0,     0,     0,  1277,  1180,  4790,     0,     0,
       0,   937,   937,     0,     0,     0,     0,     0,  1139,     0,
       0,   769,  1139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   769,     0,     0,  1758,     0,     0,  1758,     0,
    1758,     0,     0,   769,   769,     0,     0,   769,   937,     0,
       0,     0,     0,   769,     0,     0,     0,  1093,     0,     0,
    1758,     0,     0,     0,     0,     0,  1758,     0,     0,     0,
    4153,     0,     0,     0,  5422,     0,     0,     0,     0,  1093,
    1758,     0,     0,     0,     0,     0,     0,     0,     0,  5643,
       0,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1180,     0,  2396,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2703,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1277,  1277,  1277,  1277,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     935,  1139,  1139,     0,     0,  2703,     0,  2488,     0,     0,
    2489,     0,     0,     0,  2490,  2491,  2492,     0,     0,     0,
       0,     0,     0,  4153,     0,   937,   937,   877,     0,     0,
       0,  2493,     0,     0,   937,     0,     0,     0,     0,  2495,
       0,  1523,  1522,     0,     0,   937,  2496,     0,     0,     0,
       0,   937,     0,     0,   937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1523,     0,     0,     0,
       0,  2497,     0,     0,     0,  1522,     0,     0,     0,  1758,
       0,  1523,   935,     0,     0,  1758,     0,     0,     0,  5802,
       0,     0,     0,     0,     0,     0,  1758,     0,     0,     0,
    1758,     0,  1758,     0,  1758,     0,     0,     0,     0,     0,
       0,  4790,     0,     0,     0,     0,     0,  1277,     0,  1316,
       0,     0,     0,     0,     0,   937,   937,     0,     0,     0,
    1758,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2143,  2143,  2143,     0,     0,     0,     0,     0,     0,
       0,     0,  4084,     0,     0,     0,     0,     0,     0,     0,
       0,  1523,  1522,     0,     0,  2396,  2396,     0,     0,     0,
       0,  2498,     0,     0,     0,     0,  2499,     0,     0,  1522,
       0,     0,     0,     0,     0,     0,     0,     0,  2703,     0,
       0,     0,     0,     0,     0,     0,  1277,     0,  2500,  2501,
    1522,     0,  5882,     0,     0,     0,  1758,     0,     0,     0,
       0,     0,     0,  2502,  5893,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5368,     0,     0,     0,   937,
       0,     0,     0,  1758,  1758,  1758,  2503,     0,     0,  3758,
       0,     0,  1758,     0,     0,     0,  1522,     0,     0,     0,
    2504,     0,  1758,  2505,     0,  5643,     0,     0,     0,     0,
    3464,     0,     0,     0,     0,     0,  1522,     0,     0,     0,
       0,     0,     0,     0,     0,  1289,     0,     0,  1522,     0,
       0,     0,     0,     0,     0,     0,     0,  1523,     0,     0,
    1522,     0,  1277,     0,     0,     0,     0,     0,     0,  2396,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   935,     0,
    1522,  1522,     0,  1758,     0,     0,     0,     0,     0,     0,
    2506,     0,  4790,     0,     0,     0,     0,   937,  1289,  1289,
       0,  1758,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1758,   769,     0,     0,  5802,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,   937,   937,     0,   937,
       0,     0,     0,     0,     0,     0,  1277,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2488,     0,   937,
    2489,     0,     0,     0,  2490,  2491,  2492,     0,     0,     0,
     769,   769,     0,     0,     0,     0,     0,     0,  5893,  1277,
    1277,  2493,     0,  4790,  4090,     0,     0,     0,     0,  2495,
       0,     0,     0,     0,     0,     0,  2496,  2507,     0,     0,
    2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,
    1758,     0,     0,     0,     0,  1758,     0,     0,   769,     0,
       0,  2497,  1758,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   937,     0,  1522,     0,   937,   937,
       0,     0,     0,     0,     0,  1758,     0,     0,     0,     0,
       0,     0,     0,   937,     0,  1758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1277,
       0,     0,  4790,     0,     0,     0,  2143,     0,     0,     0,
       0,  5802,     0,     0,     0,   935,     0,     0,     0,     0,
       0,     0,  2488,     0,     0,  2489,     0,     0,     0,  2490,
    2491,  2492,     0,     0,     0,  1289,  1289,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2493,     0,     0,     0,
       0,  2498,  1523,     0,  2495,     0,  2499,     0,   877,     0,
       0,  2496,     0,     0,     0,     0,     0,     0,  1139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2500,  2501,
       0,     0,     0,     0,     0,     0,  2497,     0,     0,     0,
       0,     0,     0,  2502,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2488,     0,  1139,
    2489,     0,     0,     0,  2490,  2491,  2492,  1523,     0,     0,
       0,     0,     0,     0,     0,     0,  2503,     0,     0,     0,
       0,  2493,     0,     0,  4670,     0,     0,     0,     0,  2495,
    2504,     0,     0,  2505,     0,     0,  2496,     0,     0,     0,
       0,     0,     0,     0,  1523,  1466,   769,     0,   769,     0,
       0,     0,     0,     0,  1139,     0,     0,     0,     0,     0,
    3494,  2497,     0,     0,  2703,  3500,     0,     0,     0,     0,
       0,  1139,     0,     0,     0,     0,     0,  1523,     0,     0,
       0,     0,     0,     0,     0,     0,  2498,     0,     0,     0,
       0,  2499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   769,     0,     0,
     769,   769,     0,  2500,  2501,     0,     0,     0,     0,     0,
    2506,     0,     0,     0,     0,   725,  1522,  1093,  2502,  1093,
       0,     0,     0,     0,     0,   725,     0,     0,     0,   769,
    1522,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   937,   937,   937,     0,     0,     0,  1093,
    1093,  2503,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2498,     0,     0,  1523,  2504,  2499,     0,  2505,     0,
    1522,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1523,     0,     0,     0,     0,     0,     0,  2500,  2501,
    1523,     0,     0,     0,     0,     0,   769,   877,   769,     0,
       0,     0,  1523,  2502,     0,     0,     0,  2507,     0,     0,
    2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2503,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2504,     0,     0,  2505,     0,  2506,     0,     0,  1523,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,   937,     0,     0,   725,  1523,     0,
       0,     0,     0,     0,   937,  4616,     0,     0,     0,     0,
    1523,   725,   725,     0,     0,  1894,     0,     0,     0,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,   937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,  2143,     0,   937,     0,     0,   725,     0,     0,     0,
    2506,     0,  1523,  1523,     0,     0,     0,     0,     0,     0,
       0,     0,  2507,     0,     0,  2508,  2509,  2510,     0,  2511,
    2512,  2513,  2514,  2515,  2516,     0,     0,     0,     0,     0,
       0,  1522,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,   937,   937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2507,     0,     0,
    2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,
     937,   937,     0,  2703,     0,     0,   937,   937,     0,     0,
       0,     0,     0,   937,   937,   937,     0,     0,     0,   937,
       0,   937,   937,   937,   937,   937,   937,     0,   937,     0,
     937,   937,     0,     0,   937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1523,   937,
     937,   937,   937,   877,     0,     0,     0,   937,     0,     0,
       0,   937,     0,     0,   937,     0,     0,   937,   937,   937,
     937,   937,   937,   937,   937,   937,     0,   937,     0,     0,
       0,     0,     0,     0,     0,   937,     0,     0,   937,     0,
    2488,     0,     0,  2489,     0,     0,     0,  2490,  2491,  2492,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2493,     0,     0,     0,     0,     0,
       0,     0,  2495,     0,     0,     0,     0,     0,     0,  2496,
       0,     0,     0,  1522,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   937,     0,     0,     0,
    1522,     0,     0,     0,  2497,     0,     0,     0,     0,     0,
       0,     0,   937,     0,     0,  1522,     0,     0,     0,     0,
       0,   937,   937,     0,     0,     0,     0,     0,     0,   725,
       0,     0,     0,     0,   769,     0,   769,     0,     0,   769,
       0,   769,     0,     0,   769,   769,   769,     0,     0,     0,
    2391,     0,     0,     0,     0,     0,     0,   769,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   769,     0,   769,     0,     0,     0,     0,   769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1523,     0,     0,     0,  1523,  1523,     0,     0,
       0,     0,     0,     0,  2498,     0,     0,     0,   877,  2499,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2500,  2501,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,     0,     0,  2502,     0,     0,     0,
       0,     0,     0,     0,   937,     0,     0,     0,  1523,     0,
       0,   937,     0,     0,   937,   937,     0,     0,     0,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,     0,  2503,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2534,  2504,     0,     0,  2505,  1139,     0,     0,
       0,     0,     0,   769,   769,     0,     0,     0,     0,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,     0,     0,
     725,     0,     0,     0,     0,   725,   725,     0,     0,     0,
       0,     0,     0,     0,     0,   877,     0,     0,     0,   877,
    2703,     0,     0,  3500,     0,  3500,     0,     0,     0,     0,
    2703,     0,     0,     0,     0,     0,     0,     0,  1012,     0,
       0,     0,   877,  1013,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1014,     0,     0,  1139,     0,
       0,     0,     0,  2506,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1015,  1522,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,  1016,   725,     0,     0,     0,     0,     0,  1522,     0,
       0,   877,  2671,     0,     0,     0,  1017,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2703,  1018,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1019,     0,     0,
       0,   937,   937,   937,     0,     0,     0,   937,  1020,     0,
    2507,     0,     0,  2508,  2509,  2510,  1021,  2511,  2512,  2513,
    2514,  2515,  2516,     0,     0,     0,     0,     0,  1022,   725,
       0,     0,     0,  1023,     0,     0,     0,     0,     0,   725,
    1024,     0,   937,  1523,  1522,     0,  1522,     0,     0,     0,
       0,     0,   877,     0,     0,     0,     0,     0,     0,  1025,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     725,     0,     0,   725,   725,  1523,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1522,     0,     0,     0,  1027,
       0,     0,   937,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1028,     0,     0,     0,     0,     0,     0,     0,
    2143,     0,  1029,     0,     0,     0,  2143,     0,     0,     0,
       0,     0,   907,  1030,  1522,     0,  1031,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3500,  1032,     0,     0,  1033,     0,  3500,     0,  1034,
       0,  1035,     0,     0,     0,     0,     0,     0,  1036,     0,
       0,  1037,     0,   725,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1038,     0,     0,     0,     0,     0,  1039,     0,     0,     0,
       0,  1040,     0,     0,  1041,  1523,     0,     0,  1042,     0,
       0,     0,     0,     0,     0,     0,  1043,     0,  1044,   937,
       0,     0,  1523,  1045,     0,   937,  1522,     0,   937,     0,
       0,   937,     0,     0,     0,  1046,     0,  1523,     0,     0,
       0,     0,     0,     0,  3500,     0,     0,   937,  1047,     0,
       0,     0,   937,     0,     0,     0,     0,     0,     0,     0,
    1522,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,   937,   937,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,   937,   937,
     937,   937,     0,     0,     0,     0,   877,     0,     0,     0,
       0,   937,   877,     0,   937,     0,   937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   937,   937,     0,
       0,   937,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,     0,   937,     0,   937,
       0,     0,     0,     0,     0,     0,  1364,     0,     0,     0,
       0,  1365,     0,     0,     0,     0,     0,     0,     0,   937,
    1522,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,   950,     0,
       0,  1522,   769,   951,   769,     0,  1366,     0,   769,     0,
     769,     0,     0,   769,     0,   952,     0,   769,     0,  1367,
    1368,   937,  2534,     0,     0,     0,  1522,     0,     0,     0,
    1369,     0,     0,     0,  1370,     0,   937,     0,   953,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,   954,  1371,     0,     0,     0,     0,     0,     0,     0,
    1522,     0,   955,     0,     0,     0,  -880,     0,     0,     0,
       0,     0,     0,     0,     0,  1372,     0,     0,     0,     0,
       0,     0,     0,     0,   956,     0,  1373,     0,     0,     0,
     957,     0,  1523,     0,  1374,  1523,     0,  1523,     0,     0,
       0,     0,  1523,     0,     0,     0,  1375,   958,     0,     0,
       0,  1376,     0,     0,     0,     0,     0,     0,   959,     0,
       0,     0,     0,   937,     0,     0,   960,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1377,   961,     0,
       0,     0,     0,     0,     0,     0,   962,     0,     0,     0,
     963,  1523,     0,     0,     0,     0,  2391,     0,     0,     0,
       0,     0,  1378,  3395,     0,     0,     0,     0,     0, -1116,
    1523,     0,     0,  2671,     0,     0,     0,     0,  2703,     0,
       0,     0,     0,  1379,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1523,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   964,     0,     0,     0,
       0,     0,     0,     0,     0,  -598,     0,  1380,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   877,   877,   877,     0,     0,     0,     0,     0,
    1381,     0,     0,     0,     0,     0,     0,     0,     0,   965,
     907,  1382,   966,     0,  1383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1523,     0,  1523,     0,
       0,     0,   967,     0,     0,     0,     0,     0,  3500,     0,
    1384,     0,     0,  1385,     0,     0,   968,  1386,     0,  1387,
       0,   725,     0,  -474,     0,   725,  1388,     0,     0,  1389,
       0,  3479,  3500,  1894,     0,     0,   769,     0,     0,     0,
       0,     0,   969,     0,     0,     0,     0,     0,  1390,     0,
       0,   970,     0,     0,  1391,     0,     0,     0,  -474,  1392,
       0,   971,  1393,     0,     0,     0,  1394,     0,     0,     0,
       0,     0,     0,     0,  1395,     0,  1396,     0,     0,     0,
     972,  1397,     0,   725,     0,     0,   973,  1523,     0,     0,
       0,  -474,     0,     0,   974,   975,     0,   976,   977,     0,
       0,     0,     0,     0,     0,     0,  1398,     0,   978,     0,
       0,     0,   937,   979,     0,     0,     0,     0,   937,   980,
       0,     0,   981,     0,     0,   982,  1523,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -474,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1523,     0,     0,     0,     0,   877,  1523,
       0,     0,     0,     0,     0,  1522,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2703,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1523,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   892,     0,
       0,     0,     0,     0,     0,     0,  1523,     0,     0,     0,
       0,     0,     0,   893,     0,     0,     0,   725,     0,     0,
       0,     0,  1523,     0,     0,   725,     0,     0,   725,     0,
       0,   894,     0,     0,     0,     0,     0,   895,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   896,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   897,     0,     0,     0,     0,
       0,     0,     0,   898,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   899,     0,     0,     0,     0,
     900,     0,     0,     0,     0,     0,     0,   901,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1522,     0,     0,
       0,     0,     0,     0,     0,     0,   902,  1522,     0,   937,
       0,     0,  1523,     0,     0,     0,     0,     0,   937,     0,
       0,     0,     0,     0,   937,     0,   937,     0,     0,   937,
       0,   903,     0,  1523,   937,   937,   937,   937,     0,     0,
     937,   937,   937,   937,   937,   937,   937,   937,   937,   937,
       0,     0,   904,   937,   937,     0,     0,     0,  1523,     0,
       0,     0,     0,   937,   933,     0,     0,   937,     0,   877,
       0,   937,     0,     0,     0,     0,     0,     0,     0,   937,
       0,     0,   937,     0,   937,     0,   905,     0,     0,     0,
       0,     0,  1523,   937,     0,     0,   937,   937,     0,     0,
       0,   937,   937,     0,     0,     0,     0,     0,   937,   906,
       0,     0,     0,     0,     0,     0,     0,     0,   937,   907,
     908,   937,     0,   909,     0,     0,     0,     0,     0,     0,
    1522,     0,     0,   937,     0,  1137,     0,     0,     0,     0,
       0,     0,     0,  1137,     0,  1137,     0,     0,     0,   910,
       0,     0,   911,     0,     0,     0,   912,     0,   913,     0,
       0,     0,     0,     0,     0,   914,     0,     0,   915,  1522,
       0,     0,     0,     0,     0,     0,     0,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,   916,     0,     0,
    1522,     0,     0,   917,   937,   769,  2391,   918,   919,     0,
       0,   920,     0,     0,     0,   921,     0,     0,     0,     0,
    1523,     0,     0,   725,     0,   922,     0,     0,     0,     0,
     923,     0,   937,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   924,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   925,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1522,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   877,     0,     0,     0,     0,   877,
    1523,   877,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   877,  1523,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5358,     0,  1522,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2671,     0,     0,     0,     0,   725,     0,     0,     0,
       0,     0,     0,  1522,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1523,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1523,   937,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3500,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   937,   937,     0,  1523,
       0,     0,     0,   937,   937,     0,     0,     0,   937,  1523,
       0,     0,     0,   937,     0,     0,   937,   937,     0,     0,
       0,   937,     0,     0,     0,     0,     0,   937,     0,     0,
       0,     0,  3500,     0,     0,     0,     0,     0,     0,   937,
       0,     0,     0,     0,     0,     0,     0,   937,     0,     0,
       0,   937,     0,     0,     0,     0,     0,     0,     0,  1522,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1522,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   877,  1522,     0,     0,     0,     0,
    1522,  1522,     0,     0,     0,     0,     0,   933,     0,     0,
       0,  1523,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,   933,   725,     0,   933,     0,     0,
       0,   725,  1523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1523,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5358,
    1522,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,     0,     0,     0,     0,     0,   933,
       0,     0,   769,     0,     0,  1521,     0,     0,   937,   933,
       0,     0,     0,     0,     0,     0,   933,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1523,     0,
    1523,     0,     0,     0,     0,     0,     0,     0,   725,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,     0,  1523,     0,     0,   933,   933,
     937,     0,     0,     0,     0,  1137,     0,     0,     0,  1137,
       0,     0,     0,     0,     0,     0,     0,   937,   937,     0,
       0,   937,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,   937,     0,     0,     0,
       0,     0,     0,   937,     0,     0,     0,     0,   937,  1522,
       0,   937,   937,     0,     0,     0,     0,     0,   937,   937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   937,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,     0,     0,     0,     0,     0,     0,
       0,  3479,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1137,  1137,
     877,     0,     0,     0,     0,     0,   937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,   933,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,  1521,     0,
       0,     0,   933,     0,     0,     0,     0,     0,   933,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1521,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,  1523,     0,     0,     0,  1521,     0,
       0,     0,   725,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,  1523,     0,   937,     0,   937,   725,     0,     0,     0,
       0,     0,     0,   725,     0,     0,     0,     0,     0,     0,
       0,     0,   933,   933,     0,   937,     0,     0,     0,     0,
       0,   937,     0,     0,     0,   937,     0,     0,     0,     0,
       0,  1523,     0,     0,     0,   937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1521,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   877,
       0,     0,     0,     0,     0,     0,     0,  1523,     0,     0,
       0,     0,  1523,  1523,     0,     0,     0,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,     0,   937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,  1523,  1523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   937,   933,     0,   937,     0,     0,
     937,   725,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,     0,   937,     0,   937,     0,   937,
       0,     0,     0,     0,   933,     0,   937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,     0,     0,     0,     0,
       0,     0,   933,   933,   933,     0,   933,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
     877,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,     0,     0,     0,     0,     0,   937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2671,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,   933,   933,     0,   937,   937,
     937,     0,     0,     0,     0,     0,     0,   937,   877,     0,
     933,  1523,     0,     0,     0,     0,     0,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   725,     0,
       0,     0,     0,   725,     0,     0,     0,   725,     0,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   937,     0,  1137,     0,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,   937,     0,     0,
       0,     0,     0,   937,   937,     0,   937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1137,     0,     0,     0,
       0,     0,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1521,     0,   937,     0,     0,     0,     0,   937,     0,
       0,  1137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1137,     0,
       0,     0,     0,     0,  1521,   937,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,     0,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   877,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   937,     0,     0,
     933,   933,   933,     0,     0,     0,     0,     0,     0,     0,
     937,     0,   877,     0,     0,     0,     0,     0,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,   877,     0,
     937,   937,     0,     0,     0,     0,     0,     0,  1521,     0,
       0,     0,     0,     0,     0,     0,     0,  1521,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1521,     0,     0,     0,     0,
       0,     0,     0,   769,     0,     0,     0,     0,   933,     0,
       0,   933,     0,     0,     0,  1521,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,     0,  1521,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   725,     0,     0,   933,     0,     0,
     933,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
    1521,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,     0,
       0,   933,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,   933,     0,
       0,     0,     0,   933,   933,     0,     0,     0,     0,     0,
     933,   933,   933,     0,     0,     0,   933,     0,   933,   933,
     933,   933,   933,   933,     0,   933,     0,   933,   933,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1521,   933,   933,   933,   933,
       0,     0,     0,     0,   933,     0,     0,     0,   933,     0,
       0,   933,     0,     0,   933,   933,   933,   933,   933,   933,
     933,   933,   933,     0,   933,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   725,   725,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,   725,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,   933,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   725,     0,     0,     0,     0,  1521,
       0,     0,     0,  1521,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,  1521,     0,     0,   933,     0,
       0,   933,   933,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1137,     0,  1276,  1278,     0,     0,
    1281,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1330,     0,     0,     0,     0,     0,     0,  1340,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,     0,  1417,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1137,  1441,     0,     0,     0,
       0,     0,     0,  1446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   725,     0,   725,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,   933,
     933,     0,     0,     0,   933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
    1521,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1521,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   725,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2023,  2024,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1521,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,  1521,
       0,     0,   933,     0,     0,   933,     0,     0,   933,     0,
       0,     0,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,   933,   933,     0,     0,   933,     0,     0,
       0,     0,     0,     0,  2176,   933,   933,   933,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,     0,
       0,   933,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,  2201,  2202,   933,   933,     0,     0,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,   933,     0,   933,     0,  2243,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,  2314,  2316,     0,     0,     0,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,  1521,     0,  1521,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1521,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1521,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1521,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1521,     0,  1521,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,  1521,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,     0,     0,     0,     0,
    1521,  1524,     0,     0,     0,   938,  1521,     0,     0,     0,
       0,     0,   938,     0,     0,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1524,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1521,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2835,     0,  1521,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2936,  2937,
    2938,  2939,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,  1521,
       0,     0,     0,     0,     0,   933,     0,     0,     0,     0,
       0,   933,     0,   933,     0,     0,   933,     0,     0,     0,
    1521,   933,   933,   933,   933,     0,     0,   933,   933,   933,
     933,   933,   933,   933,   933,   933,   933,     0,  2989,  2990,
     933,   933,     0,     0,     0,  1521,     0,     0,     0,     0,
     933,     0,     0,     0,   933,     0,     0,     0,   933,     0,
       0,  3016,     0,     0,     0,     0,   933,     0,     0,   933,
       0,   933,     0,     0,     0,     0,     0,     0,     0,  1521,
     933,     0,     0,   933,   933,     0,     0,     0,   933,   933,
       0,     0,     0,     0,     0,   933,  3061,  3062,  3063,  3064,
       0,     0,     0,     0,     0,   933,     0,     0,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,     0,   938,   938,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,     0,     0,     0,  1524,     0,     0,     0,   938,     0,
       0,     0,     0,     0,   938,     0,     0,   938,     0,     0,
       0,     0,     0,     0,     0,   933,     0,     0,     0,  1524,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,  1524,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1521,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,  3159,     0,     0,     0,
       0,     0,  3163,     0,     0,     0,     0,     0,   938,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1524,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1521,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3340,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
     938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,   938,
     938,     0,   938,  1521,   933,   933,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,   938,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,   938,     0,     0,     0,
       0,  3553,  3554,   933,   933,     0,  1521,     0,     0,     0,
     933,   933,  3567,     0,  3569,   933,  1521,     0,  3573,     0,
     933,     0,     0,   933,   933,     0,     0,     0,   933,     0,
       0,     0,     0,     0,   933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,   933,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,  3711,     0,     0,  3714,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1524,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1521,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,  3799,     0,
       0,     0,     0,     0,     0,     0,  3806,     0,     0,  3809,
       0,     0,     0,     0,     0,  3811,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3827,
       0,     0,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,   938,   938,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,  1524,     0,     0,
    3873,     0,     0,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,     0,  1524,     0,     0,     0,     0,     0,
       0,     0,     0,  1524,     0,     0,     0,     0,  3896,     0,
       0,     0,     0,     0,   933,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1521,     0,  1521,     0,     0,
       0,     0,     0,  3954,     0,  3956,     0,     0,     0,     0,
       0,  1524,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,   938,     0,     0,
       0,  1524,     0,     0,     0,     0,     0,   938,     0,     0,
       0,     0,     0,  1524,     0,     0,     0,     0,   933,     0,
       0,     0,  1521,     0,     0,  1524,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,   938,
       0,     0,     0,     0,   933,   933,     0,     0,   933,     0,
       0,     0,     0,   938,     0,     0,   938,     0,     0,     0,
       0,     0,     0,   933,     0,  1524,  1524,     0,     0,     0,
     933,     0,     0,     0,     0,   933,     0,     0,   933,   933,
       0,     0,     0,     0,     0,   933,   933,     0,     0,     0,
       0,     0,     0,     0,     0,  4023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,   938,   938,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,   938,   938,     0,     0,     0,     0,   938,
     938,     0,     0,     0,     0,     0,   938,   938,   938,     0,
       0,     0,   938,     0,   938,   938,   938,   938,   938,   938,
       0,   938,     0,   938,   938,     0,     0,   938,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,  1524,   938,   938,   938,   938,     0,     0,     0,     0,
     938,     0,     0,     0,   938,     0,     0,   938,     0,     0,
     938,   938,   938,   938,   938,   938,   938,   938,   938,     0,
     938,     0,     0,     0,     0,     0,     0,     0,   938,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,  1521,     0,
     933,     0,   933,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,   938,     0,     0,   933,     0,
       0,     0,   933,     0,   938,   938,     0,     0,  1521,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4260,     0,  4261,  4262,  4263,     0,     0,     0,
       0,     0,     0,     0,  1521,     0,     0,     0,     0,  1521,
    1521,     0,     0,     0,   933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,  1524,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,     0,   938,     0,     0,
       0,  1524,     0,     0,   938,     0,     0,   938,   938,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1521,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,   933,  1524,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,     0,
       0,     0,   933,     0,   933,     0,   933,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,   938,   938,     0,     0,     0,
     938,     0,     0,     0,     0,   933,   933,   933,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,  1521,     0,
       0,     0,     0,     0,   933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,  1524,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4582,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,  1524,     0,
     933,   933,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,   933,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1524,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,  1524,     0,   933,   938,     0,
       0,   938,     0,     0,   938,     0,     0,   933,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,   933,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,   938,
     938,     0,     0,   938,     0,     0,     0,   933,   933,     0,
       0,   938,   938,   938,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,   938,     0,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,   938,     0,     0,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
     938,     0,   938,     0,     0,     0,     0,     0,  4807,  4808,
    4809,  4810,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,  1524,     0,
    1524,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1524,  4951,     0,     0,     0,     0,
       0,  4954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1524,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,  1524,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1524,
    1193,  1524,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1193,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,  1524,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1524,     0,     0,     0,
       0,     0,  1524,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1244,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1524,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1524,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5265,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5269,     0,     0,
       0,     0,   938,     0,     0,  1524,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,   938,     0,   938,
       0,     0,   938,     0,     0,     0,  1524,   938,   938,   938,
     938,     0,     0,   938,   938,   938,   938,   938,   938,   938,
     938,   938,   938,     0,     0,     0,   938,   938,     0,     0,
       0,  1524,     0,     0,     0,     0,   938,     0,     0,     0,
     938,     0,     0,     0,   938,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,   938,     0,   938,     0,     0,
       0,     0,     0,     0,  5332,  1524,   938,     0,     0,   938,
     938,     0,     0,     0,   938,   938,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,     0,     0,     0,
       0,   998,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,  1244,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1524,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5457,
    5458,  5458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1283,     0,     0,  1524,     0,     0,     0,     0,  1318,     0,
       0,  1320,     0,     0,  1325,  1326,     0,  1329,     0,  1331,
       0,     0,  1337,     0,  1339,     0,     0,  1524,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1411,     0,     0,     0,     0,     0,
       0,     0,  1420,     0,     0,     0,     0,     0,     0,  1432,
    1433,     0,     0,  1439,     0,  1442,  1443,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1244,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1480,     0,     0,     0,
       0,     0,     0,     0,     0,  5587,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1550,     0,  1552,     0,     0,     0,     0,     0,     0,
       0,     0,  1566,  1568,     0,     0,     0,     0,     0,     0,
    1524,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1524,
     938,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1646,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1244,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5695,     0,  5697,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
       0,     0,  1193,     0,     0,     0,     0,  1742,  1742,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
     938,     0,  1524,     0,     0,     0,   938,   938,     0,     0,
       0,   938,  1524,     0,     0,     0,   938,     0,     0,   938,
     938,     0,     0,     0,   938,     0,  1913,     0,     0,  1914,
     938,  1917,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,  1958,     0,     0,     0,     0,     0,
     938,     0,     0,     0,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,     0,  5458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2126,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2156,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,  2167,     0,     0,     0,     0,  2170,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2173,     0,
       0,  2140,  2144,  2177,     0,     0,     0,     0,     0,     0,
       0,  2180,     0,     0,  1524,     0,  5877,  2190,     0,     0,
    2194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
    2248,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5948,     0,     0,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1524,     0,  1524,     0,     0,  6022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2416,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5458,
    5458,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,     0,  1524,     0,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,   938,     0,     0,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0,  2445,     0,   938,     0,     0,     0,
       0,   938,     0,     0,   938,   938,     0,     0,     0,     0,
       0,   938,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2459,     0,     0,     0,     0,     0,  5458,
       0,   938,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,     0,     0,     0,     0,
       0,  2477,  2478,  2479,     0,  2482,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,     0,     0,     0,     0,
       0,  1193,  1566,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2599,     0,     0,     0,  2611,  2616,  2667,     0,     0,  2667,
       0,     0,     0,     0,     0,     0,     0,  2674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2682,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,     0,  1524,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,  1524,     0,   938,     0,   938,     0,
       0,     0,     0,     0,     0,     0,  2776,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
       0,     0,     0,     0,   938,     0,     0,     0,   938,     0,
       0,     0,     0,     0,  1524,     0,     0,     0,   938,     0,
    1520,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
       0,     0,  2865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,  1524,  1524,     0,     0,     0,
     938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1524,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2140,
    2140,  2140,     0,     0,     0,     0,     0,   938,     0,     0,
     938,     0,     0,   938,     0,     0,     0,     0,     0,  3026,
       0,     0,     0,     0,   938,     0,     0,     0,   938,     0,
     938,     0,   938,     0,     0,  1511,     0,     0,     0,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
       0,  1511,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,     0,  3149,     0,
    3150,     0,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1566,  3161,     0,  3162,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,     0,
       0,   938,   938,   938,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,  1524,     0,     0,     0,  1520,     0,
     938,     0,     0,     0,     0,     0,     0,     0,     0,  3183,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,     0,
       0,  1566,     0,   938,     0,  1566,     0,     0,     0,  1566,
       0,     0,  1566,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,     0,     0,   938,   938,     0,   938,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,   938,
       0,     0,  3271,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3291,     0,  3293,     0,     0,
    3305,  3308,  3313,     0,     0,     0,     0,  3319,     0,     0,
    3324,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3394,  3331,  3332,  3333,  3334,     0,
       0,     0,     0,  3341,     0,     0,   938,  3353,     0,     0,
    3355,   938,     0,  3362,  3363,  3364,  3365,  3366,  3367,  3368,
    3369,  3370,     0,  3371,     0,     0,     0,     0,  1511,     0,
       0,  1742,     0,     0,  2140,     0,     0,     0,   938,     0,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
     938,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1511,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1520,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,  3416,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,     0,     0,     0,  2478,  2479,     0,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1244,     0,     0,
       0,     0,     0,   938,   938,     0,     0,     0,     0,  3490,
    3491,     0,     0,     0,     0,     0,     0,     0,  1511,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3506,  3507,
       0,  1513,     0,  3510,  3511,     0,     0,     0,  3514,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3525,     0,     0,     0,     0,  1513,     0,  3534,
       0,     0,     0,  3537,  3538,     0,     0,  3541,  3542,     0,
       0,     0,     0,     0,  3547,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3566,
    2560,  3568,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3539,     0,
    3592,     0,     0,     0,     0,  3594,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3599,     0,
       0,     0,     0,     0,     0,     0,     0,  3606,     0,     0,
    3610,     0,     0,  3613,  3616,  3618,     0,     0,     0,     0,
    3626,  3629,     0,     0,  1511,     0,     0,     0,     0,     0,
    3642,     0,     0,     0,     0,  3651,     0,     0,     0,     0,
    3655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3671,     0,     0,     0,     0,     0,
       0,  3681,  3682,     0,     0,     0,     0,  3686,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3701,  3702,
       0,     0,     0,  3705,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,  3712,     0,     0,  3715,     0,
       0,     0,     0,  3718,     0,     0,     0,     0,  3720,  3721,
       0,     0,     0,  3724,     0,     0,  3728,     0,     0,     0,
    3735,  3736,  3737,  3738,     0,  3740,     0,     0,     0,     0,
       0,     0,  1514,     0,     0,     0,     0,     0,  3765,  3766,
       0,  3768,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3776,  3777,     0,     0,     0,     0,     0,  1514,  1520,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3787,  3788,  2140,
       0,     0,     0,  3792,     0,     0,  3834,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1520,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3871,     0,     0,     0,  3825,     0,
       0,     0,     0,     0,  1513,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1513,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1513,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1511,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,     0,
       0,     0,  1520,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1511,     0,  1244,     0,     0,     0,
       0,     0,     0,     0,  1513,     0,     0,     0,     0,     0,
       0,  1566,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1511,     0,     0,     0,     0,     0,     0,     0,     0,
    1520,     0,     0,  4006,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1520,     0,     0,     0,  1511,     0,     0,     0,     0,     0,
       0,     0,  1520,     0,  4024,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4029,  1520,  1520,     0,     0,  4035,     0,
    1514,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,  2482,     0,     0,     0,     0,     0,     0,
       0,  1511,     0,     0,  3313,     0,  3313,  3313,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4093,  1511,     0,
    4096,     0,  4098,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1511,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4116,     0,  4119,     0,  4121,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1511,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1511,     0,  2599,     0,     0,
    1520,     0,     0,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,  2616,     0,     0,     0,     0,     0,     0,  1511,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1566,     0,     0,     0,     0,     0,  1511,
    1511,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4254,     0,
       0,     0,  4256,     0,     0,     0,     0,     0,  4258,     0,
       0,  1514,     0,     0,     0,     0,     0,     0,     0,  4240,
       0,     0,     0,     0,     0,     0,  4269,  4271,     0,     0,
       0,  4271,     0,     0,     0,     0,  4282,  4283,  4284,     0,
    4286,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4308,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,  4314,  4315,  4316,  4317,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4334,     0,     0,  4339,  4340,  4341,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,  1520,  1520,
    1513,  4361,     0,     0,     0,  1511,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1513,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1520,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4411,     0,     0,     0,     0,     0,     0,
       0,  4415,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4429,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2140,     0,
       0,     0,     0,     0,  2140,     0,     0,     0,     0,  4475,
       0,     0,     0,     0,     0,     0,  1514,  1513,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1513,     0,     0,     0,     0,     0,
       0,     0,     0,  1513,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1513,     0,     0,     0,  1511,
       0,  4512,     0,  1511,  1511,     0,  4517,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1514,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4554,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,  1513,     0,     0,     0,     0,     0,     0,  1514,     0,
       0,     0,     0,     0,     0,  1511,     0,     0,     0,     0,
       0,  1513,     0,     0,  4578,     0,  4579,     0,     0,  1511,
       0,     0,     0,  1513,     0,     0,     0,     0,     0,     0,
       0,  1514,     0,  1566,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1520,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1511,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1513,  1513,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4617,     0,  1520,  1514,     0,
       0,     0,     0,     0,  4621,     0,     0,     0,     0,     0,
    4622,     0,  4623,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,     0,  1514,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1514,     0,     0,  4647,
    4648,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,     0,     0,     0,     0,     0,  3319,     0,     0,
       0,     0,     0,     0,     0,  4673,     0,     0,  4676,     0,
    4678,     0,     0,     0,     0,     0,  1516,     0,     0,  4682,
       0,     0,     0,     0,     0,     0,     0,  4689,  4690,     0,
       0,     0,  1514,     0,     0,     0,     0,     0,     0,     0,
       0,  1513,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1514,     0,     0,     0,     0,     0,     0,  4736,
       0,     0,     0,     0,  1514,     0,     0,  1520,     0,     0,
    1511,     0,     0,     0,     0,     0,  1514,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1520,
       0,     0,     0,     0,  4752,     0,     0,     0,     0,     0,
       0,     0,  4801,     0,  4802,     0,  1514,  1514,     0,     0,
    4765,  4804,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4814,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1511,  4822,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4843,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4847,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4856,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4893,  4894,  4895,     0,     0,     0,     0,  4899,
    4900,  4901,  4902,     0,     0,  1513,  4904,  4905,     0,  1513,
    1513,     0,  4912,  4913,     0,  4915,  4916,  4917,  4918,  4919,
    4920,     0,  4922,     0,  1517,     0,     0,     0,     0,     0,
       0,  4930,  1514,     0,  4933,  4934,     0,     0,     0,     0,
       0,     0,  1511,     0,     0,     0,     0,     0,     0,     0,
    1517,     0,     0,     0,     0,     0,     0,     0,  4271,  1511,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1513,     0,     0,  1511,     0,     0,     0,     0,     0,
    4955,     0,     0,     0,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,  1520,     0,  1520,
       0,     0,     0,  1516,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1513,     0,     0,  1516,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1520,     0,     0,     0,     0,  4271,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1520,     0,     0,
       0,     0,     0,  5036,  5037,     0,  1566,  1566,  1566,  1566,
    1566,     0,     0,     0,     0,     0,     0,     0,     0,  5071,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,  1514,     0,     0,     0,
    1514,  1514,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
    1520,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5091,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1514,     0,     0,     0,     0,     0,     0,  1511,
       0,     0,  1511,     0,  1511,     0,  1514,     0,     0,  1511,
       0,     0,     0,     0,     0,     0,  1513,     0,     0,     0,
       0,     0,  5106,  5108,     0,     0,     0,     0,     0,  5112,
    5113,     0,     0,     0,  5114,     0,     0,     0,     0,  5117,
       0,     0,  5120,  5121,     0,     0,  1514,  5125,     0,  1520,
       0,     0,     0,  5129,     0,     0,     0,     0,  1511,  1516,
       0,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,  1513,     0,
       0,     0,  1511,     0,     0,     0,     0,  1517,  1742,     0,
       0,     0,     0,     0,     0,  1520,     0,     0,     0,     0,
       0,  1520,     0,  5211,     0,     0,     0,  5212,  5213,  5214,
    5215,     0,     0,  5217,     0,     0,     0,     0,     0,     0,
    5191,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5236,  5237,  5238,     0,  5239,
       0,  5241,  5242,  1511,     0,  1511,     0,     0,     0,     0,
       0,     0,     0,  5251,  5252,     0,     0,     0,     0,     0,
    1520,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
    5257,     0,     0,     0,     0,     0,     0,     0,  1566,  1566,
       0,  1566,     0,     0,  1520,     0,     0,     0,  1513,     0,
       0,     0,     0,  5268,     0,     0,     0,     0,     0,     0,
       0,  5254,     0,     0,     0,  1513,     0,  1514,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,  1511,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1511,     0,     0,     0,     0,  5292,  5320,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,     0,  1514,
    1511,     0,     0,  1517,     0,     0,  1511,     0,  5347,     0,
       0,  1519,     0,     0,  1516,  1520,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1519,     0,     0,
    1520,     0,  5373,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,  1511,     0,     0,     0,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1511,
       0,     0,     0,     0,     0,     0,  1516,     0,     0,     0,
       0,     0,     0,     0,  1566,     0,     0,     0,     0,  1514,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1566,
       0,     0,     0,  5396,  5397,     0,  1514,  5398,     0,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1514,     0,     0,     0,  1513,     0,     0,  1513,     0,
    1513,     0,     0,     0,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,     0,  5433,  5434,     0,     0,     0,     0,
       0,     0,  1520,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5448,     0,     0,  1511,
       0,     0,     0,     0,     0,     0,     0,  5476,     0,     0,
       0,     0,     0,     0,  1513,     0,     0,     0,     0,     0,
    1511,     0,     0,     0,     0,  5486,     0,     0,     0,     0,
    5491,  5492,     0,  1513,     0,     0,  1516,     0,     0,     0,
       0,     0,     0,     0,     0,  1511,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,  1513,     0,
       0,     0,  1516,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1516,     0,     0,     0,  1517,  1511,
       0,     0,  1520,  5552,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5568,     0,     0,     0,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1513,
    1516,  1513,     0,     0,     0,     0,     0,  4271,     0,     0,
       0,     0,     0,  1517,     0,     0,     0,  5605,     0,     0,
    1516,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,  1516,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1516,     0,     0,     0,     0,  1519,
    1517,  1566,     0,     0,     0,     0,  1514,     0,     0,  1514,
       0,  1514,  1566,     0,  1519,     0,  1514,  1511,     0,  3319,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1517,  1516,  1516,  5645,     0,     0,     0,
    1513,     0,     0,     0,     0,     0,     0,  5628,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5662,  1520,
       0,  2482,     0,     0,     0,  1514,     0,     0,     0,  5670,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1513,
       0,     0,     0,     0,  1514,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1566,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1519,     0,  1513,     0,  1520,  1514,
       0,     0,  1513,  1294,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,  5677,     0,  1328,     0,     0,     0,     0,
    1517,     0,  5739,     0,     0,     0,  1346,     0,     0,     0,
       0,  1511,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,  1361,     0,  1517,     0,     0,     0,
    1408,     0,     0,     0,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1514,  1513,  1514,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,  4271,     0,     0,     0,     0,     0,     0,  1513,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1513,     0,     0,     0,     0,
       0,  1566,     0,     0,  1517,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1519,  1520,     0,     0,  1517,     0,     0,     0,     0,     0,
       0,  1520,     0,     0,     0,  5827,  1517,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1517,     0,
    5840,  1514,     0,     0,  1511,  5433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5829,     0,     0,     0,     0,     0,     0,  1517,  1517,
    1514,     0,     0,     0,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,  1511,  5870,     0,     0,     0,     0,     0,
       0,     0,     0,  1645,     0,     0,  1513,  1514,  5880,     0,
       0,     0,     0,  1514,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1513,     0,     0,     0,     0,     0,     0,     0,  1778,
       0,     0,     0,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5883,  1802,     0,
       0,     0,     0,     0,  1516,  1513,     0,     0,  1516,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1830,  1514,  1520,     0,     0,     0,     0,     0,     0,
       0,     0,  5940,     0,  5910,  5910,  5910,     0,     0,     0,
    1514,     0,     0,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,  5433,     0,     0,  1514,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1511,     0,     0,     0,
    1516,     0,     0,     0,  1517,     0,  1511,  5963,     0,     0,
       0,     0,     0,     0,  1516,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1520,
       0,     0,     0,     0,     0,     0,     0,  2022,     0,     0,
       0,     0,     0,  1513,  1516,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5972,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5910,     0,     0,     0,  1514,     0,     0,     0,
       0,     0,     0,     0,  6029,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1514,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1511,
    1519,     0,  1514,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1520,  1513,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1514,  1519,  1511,     0,
       0,     0,     0,  2199,     0,     0,     0,  1513,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1511,
       0,     0,     0,  6062,     0,     0,     0,     0,     0,     0,
    1519,  2237,  2240,  2241,     0,     0,     0,  1520,  1517,     0,
       0,     0,  1517,  1517,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5910,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6088,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1511,  1516,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1517,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1514,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,  1519,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,  1519,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,  1519,     0,  1516,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1513,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,     0,  1778,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1514,     0,     0,     0,     0,     0,
       0,  1519,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1778,     0,     0,  1514,     0,
       0,  1519,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1511,  1519,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,  1516,     0,     0,
       0,     0,     0,     0,     0,  1519,  1519,     0,     0,     0,
       0,     0,     0,     0,  1516,     0,     0,     0,     0,     0,
       0,     0,  1513,  1520,     0,     0,     0,     0,     0,  1516,
       0,     0,  1513,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1517,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,     0,
       0,  1514,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2578,     0,     0,     0,     0,     0,     0,  1511,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1520,
    1514,     0,     0,     0,  1520,  1520,     0,     0,     0,     0,
       0,     0,  2632,     0,     0,     0,     0,     0,     0,     0,
       0,  1517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1513,     0,     0,     0,     0,
       0,  1519,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1513,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1511,     0,     0,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,  1511,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1514,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1514,  1516,     0,     0,  1516,     0,  1516,
       0,  1517,     0,     0,  1516,  2807,     0,     0,  1511,     0,
    1513,     0,     0,     0,     0,  2831,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2518,     0,     0,  1517,     0,     0,     0,     0,     0,     0,
       0,     0,  2866,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1511,  2889,     0,     0,  2892,  1511,
    1511,     0,  1516,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1519,     0,  1516,     0,  1519,
    1519,     0,     0,     0,  2518,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1514,     0,     0,  2940,
       0,     0,     0,  1513,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1514,     0,     0,     0,     0,
       0,  1519,     0,  2981,     0,     0,     0,     0,  1516,     0,
    1516,     0,     0,  1520,     0,  1519,  1514,     0,  1513,  1511,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1519,     0,  3035,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1514,     0,     0,     0,     0,  3078,     0,     0,     0,
       0,     0,     0,  3091,     0,     0,     0,     0,     0,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,  1517,     0,
       0,  1517,     0,  1517,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1516,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1516,     0,  1517,     0,     0,
       0,  1516,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1517,     0,     0,     0,
       0,     0,     0,     0,  1514,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3171,  1517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1511,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,     0,     0,     0,     0,     0,     0,     0,  1514,
       0,     0,     0,     0,     0,     0,  1519,     0,  1516,  1778,
    1778,     0,     0,     0,     0,     0,     0,     0,  2518,     0,
       0,     0,  2518,     0,  1516,     0,     0,  1513,     0,  3229,
       0,     0,  1517,     0,  1517,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1513,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1519,     0,
       0,     0,     0,     0,  1513,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1517,  1516,     0,  3389,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1514,     0,     0,     0,
       0,     0,     0,     0,     0,  1516,     0,     0,     0,     0,
    1513,     0,  3401,     0,     0,  1513,  1513,     0,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1830,     0,     0,     0,     0,  1517,
       0,     0,  1830,     0,  1830,  1517,     0,     0,     0,     0,
       0,     0,     0,     0,  1516,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1519,     0,
       0,     0,     0,     0,     0,     0,     0,  1778,     0,     0,
       0,     0,     0,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1519,     0,     0,     0,     0,     0,     0,     0,  1514,     0,
       0,     0,     0,     0,  1517,  1513,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1516,  2518,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2518,     0,     0,
       0,  3301,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2518,  2518,  2518,     0,     0,
    2518,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1514,     0,     0,     0,     0,  1514,  1514,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1517,     0,
       0,     0,  2518,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3609,  1517,
       0,     0,  1516,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3632,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1517,     0,  1516,     0,     0,     0,
       0,     0,     0,  3659,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1513,     0,     0,  2518,  1517,     0,
       0,     0,     0,     0,     0,  1519,     0,     0,  1519,  2518,
    1519,     0,     0,     0,  2518,  1519,  1514,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3733,  3734,     0,
       0,     0,     0,     0,    86,    87,     0,    89,    90,    91,
       0,     0,     0,    94,  1519,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,     0,     0,     0,   106,   107,
     108,   109,     0,  1519,   111,   112,   113,     0,   114,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,  1519,     0,
       0,     0,     0,     0,     0,     0,  1517,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1516,     0,
       0,     0,     0,     0,     0,  3860,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   131,     0,     0,     0,
     133,   134,   135,   136,   137,     0,     0,     0,     0,  1519,
       0,  1519,     0,     0,     0,     0,     0,   139,     0,     0,
       0,     0,     0,     0,   143,     0,   144,     0,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,  1517,     0,     0,     0,
       0,     0,   151,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
    1517,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   163,
    1519,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,  1516,     0,     0,     0,   168,     0,   169,     0,     0,
       0,  1516,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,  1519,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,  1519,     0,     0,     0,
       0,     0,  1519,     0,   182,   183,     0,   184,     0,     0,
       0,  4005,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,  1517,     0,     0,   192,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,  1519,     0,     0,  1516,     0,     0,     0,   201,     0,
     202,     0,  1517,     0,     0,     0,     0,     0,     0,  1519,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,   211,     0,     0,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1516,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,  4135,     0,     0,   225,     0,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1830,     0,     0,  1516,
       0,     0,     0,     0,     0,  1519,     0,     0,   236,     0,
       0,   237,     0,     0,     0,  1517,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1517,  1519,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1519,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1516,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2518,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1517,  2518,
       0,  2518,     0,     0,  3301,  3301,     0,  4070,     0,  3301,
       0,     0,     0,  2518,     0,     0,  2518,  1516,     0,     0,
       0,  2518,     0,     0,     0,     0,     0,  2518,     0,     0,
       0,     0,  2518,     0,     0,     0,     0,  1517,     0,  2518,
    2518,  2518,  2518,     0,     0,     0,  3301,  3301,     0,  2518,
       0,     0,     0,  1519,     0,     0,     0,     0,  1517,     0,
       0,  2518,     0,  2518,     0,     0,     0,     0,     0,     0,
    2518,  2518,  2518,  2518,  2518,  2518,  2518,  2518,  2518,  2518,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4356,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1517,  2518,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1519,  1516,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1519,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1517,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2518,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4478,  4479,  4480,  1516,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4489,  1517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,     0,     0,
    1519,     0,     0,  4505,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4515,  4516,     0,     0,     0,  4521,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1519,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1516,
       0,     0,     0,     0,  1516,  1516,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1778,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1519,     0,     0,  2518,  2518,     0,     0,     0,
    2518,     0,  1519,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1516,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2518,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1517,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4703,  4704,  4705,
       0,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,  1517,     0,     0,     0,     0,  1517,  1517,
       0,     0,     0,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2518,     0,     0,
       0,     0,     0,  2518,     0,     0,     0,     0,     0,     0,
    1519,     0,     0,     0,     0,     0,     0,     0,     0,  4070,
    4070,     0,     0,  3301,  3301,  3301,  3301,     0,     0,  3301,
    3301,  3301,  3301,  3301,  3301,  3301,  3301,  3301,  3301,  4070,
       0,     0,     0,     0,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2518,     0,     0,  2518,     0,  2518,     0,     0,  4070,
    4070,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2518,  3301,  3301,  2518,     0,  2518,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1519,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4952,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4965,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1519,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4995,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2518,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3091,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5130,  5131,  5132,  5133,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3301,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1519,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1519,     0,     0,     0,     0,  1519,  1519,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2518,     0,     0,     0,  2518,
    2518,  2518,     0,     0,     0,     0,     0,  4070,  4070,  4070,
    4070,     0,     0,     0,     0,  4070,  4070,  4070,  4070,  4070,
    4070,  4070,  4070,  4070,  4070,  2518,  2518,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2518,     0,     0,  2518,     0,  2518,     0,     0,     0,
    2518,     0,     0,  4070,  4070,     0,     0,  2518,  2518,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2518,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2518,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2518,  5361,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4070,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5538,     0,     0,     0,
       0,  1778,     0,     0,  2518,  2518,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5571,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2518,     0,     0,     0,     0,  2518,
    3301,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2518,     0,  2518,     0,     0,     0,
    2518,  2518,  2518,     0,     0,  2518,     0,     0,  2518,  2518,
       0,     0,     0,  2518,     0,     0,     0,  2518,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5658,    86,    87,     0,    89,    90,    91,  2518,
       0,     0,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,     0,     0,     0,   106,   107,   108,
     109,     0,   110,   111,   112,   113,     0,   114,   115,   116,
       0,     0,     0,     0,     0,   119,   120,     0,     0,     0,
       0,   121,     0,     0,     0,     0,     0,     0,     0,     0,
     122,     0,   123,     0,   124,     0,    35,     0,     0,     0,
       0,     0,  2518,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2518,     0,     0,     0,     0,   131,     0,     0,     0,   133,
     134,   135,   136,   137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4070,  3301,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,  2518,  2518,  2518,     0,   163,     0,
       0,     0,   165,     0,  3301,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,  2518,  2518,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2518,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4070,     0,     0,     0,     0,
     218,     0,     0,   220,     0,     0,   221,     0,     0,  3301,
       0,     0,  4070,     0,     0,     0,  2518,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2518,     0,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3469,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4070,     0,  3301,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2518,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2518,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2518,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2518,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3301,     0,     0,     0,     0,  3301,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,  4070,     0,     0,  4070,   739,
    2518,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,  2518,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   786,   440,   441,   442,
     787,   788,   789,   790,   791,   792,   793,   443,   444,   794,
     445,   446,   447,   131,   448,   449,   450,   133,   134,   135,
     136,   137,   795,   451,   452,   453,   454,   455,   456,   796,
     797,   457,   458,   798,   139,   459,   799,   460,   461,   462,
     463,   143,   800,   144,   801,   464,   465,   466,   467,   468,
     147,   469,   470,   802,   803,   471,   472,   473,   474,   475,
     476,   804,   150,   477,   478,   805,   806,   807,   808,   151,
     809,   810,   811,   480,   481,   482,   483,   748,   484,   154,
     155,   485,   812,   486,   813,   487,   488,   489,   490,   491,
     492,   814,   493,   494,   495,   496,   815,   816,   497,   498,
     499,   500,   501,   817,   502,   503,   504,   818,   505,   506,
     507,   819,   508,   509,   510,   511,   163,   512,   513,   514,
     165,   820,   515,   821,   516,   517,   167,   518,   822,   519,
     823,   520,   168,   824,   169,   521,   522,   523,   524,   825,
     525,   171,   826,   172,   526,   527,   827,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,   828,   536,   537,
     538,   539,   540,   541,   542,   829,   543,   175,   176,   830,
     544,   545,   546,   831,   177,   832,   178,   833,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,   834,   835,
     554,   182,   183,   555,   184,   836,   556,   557,   558,   837,
     838,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,   839,   576,   577,   194,   578,   840,
     195,   579,   196,   580,   581,   582,   841,   583,   584,   842,
     843,   585,   586,   587,   844,   845,   588,   589,   197,   198,
     590,   199,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   846,   600,   601,   201,   602,   202,   603,   604,
     605,   847,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,   848,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     849,   632,   633,   211,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,   850,
     647,   648,   649,   650,   651,   851,   653,   654,   218,   655,
     656,   220,   657,   658,   221,   659,   852,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
     853,   672,   673,   854,   674,   225,   675,   676,   677,   678,
     679,   855,   680,   226,   227,   856,   857,   682,   683,   228,
     684,   229,   858,   685,   686,   687,   688,   689,   690,   691,
     859,   860,   692,   693,   694,   695,   696,   861,   862,   697,
     698,   699,   700,   701,   863,   236,   864,   702,   237,   703,
     704,   705,   706,   865,   866,   707,   867,   868,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,     0,    85,
       0,     0,    86,    87,    88,    89,    90,    91,    92,     0,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
    1053,   103,   104,   105,     0,     0,   106,   107,   108,   109,
       0,   110,   111,   112,   113,     0,   114,   115,   116,   117,
     118,     0,     0,     0,   119,   120,     0,     0,     0,     0,
     121,     0,     0,     0,     0,     0,     0,     0,     0,   122,
       0,   123,     0,   124,   125,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   126,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   127,
       0,   128,   129,     0,     0,     0,     0,     0,     0,     0,
       0,   130,     0,     0,   131,     0,     0,   132,   133,   134,
     135,   136,   137,     0,     0,     0,   138,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,   140,     0,
     141,   142,   143,     0,   144,     0,     0,   145,     0,   146,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
     148,     0,   149,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,   152,     0,   153,
     154,   155,   156,     0,     0,     0,     0,     0, -1691,     0,
       0,     0,     0,     0,     0,     0,   157,     0,   158,     0,
       0,     0,   159,     0,     0,     0,     0,     0,   160,   161,
       0,     0,     0,     0,     0,     0,   162,   163,   164,     0,
       0,   165,     0,     0,   166,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
     170,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,   174,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0, -1691,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,   185,   186,     0,
       0,     0,     0,   187,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,     0,     0,   189,   190,
     191,     0,     0,     0,   192,     0,     0,   193,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,   205,     0,     0,     0,     0,     0,
     206,   207,     0,   208,     0,     0,     0,     0,   209,     0,
       0,     0,     0,   210,   211,     0,   212,     0,     0,     0,
     213,     0,     0,   214,     0,     0,     0,     0,     0,   215,
     216,     0,     0,     0,     0,     0,     0,   217,     0,   218,
       0,   219,   220,     0,     0,   221,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,   224,     0,   225,     0,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,   230,     0,   231,     0,     0,     0,
       0,   232,     0,     0,   233,     0,     0, -1691,     0,     0,
     234,     0,     0,     0,     0,   235,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,   238,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,     0,     0,     0,     0,
       0,   250,     0,     0,     0,     0,     0,     0,    86,    87,
       0,    89,    90,    91,     0,   251,     0,    94,     0,  -146,
      97,    98,    99,   100,   101,   102,     0,   103,   104,     0,
       0,     0,   106,   107,   108,   109,     0,   110,   111,   112,
     113,     0,   114,   115,   116,     0,     0,     0,     0,     0,
     119,   120,     0,     0,     0,     0,   121,     0,     0,     0,
       0,     0,     0,     0,     0,   122,     0,   123,     0,   124,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     131,     0,     0,     0,   133,   134,   135,   136,   137,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,     0,   779,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,  3471,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,   431,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
    2134,   440,   441,   442,     0,     0,     0,     0,  1665,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,   133,  1666,   135,  1667,  1668,     0,   451,   452,   453,
     454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,   459,
       0,   460,   461,   462,   463,  1673,     0,  1674,     0,   464,
     465,   466,   467,   468,   147,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
    1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,   482,
     483,   748,   484,  1682,  1683,   485,  1684,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
    2135,     0,   497,   498,  1492,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
    1685,   512,   513,   514,  1686,  1687,   515,     0,   516,   517,
    1688,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,  1689,     0,  1690,   526,   527,
       0,   528,   529,   750,   530,   531,   173,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1495,  1691,     0,
    1692,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1693,   183,   555,   184,     0,
     556,   557,   558,  1694,  1695,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,  1696,   190,  1697,   573,   574,   575,   192,  1698,   576,
     577,   194,   578,  1699,  1700,   579,  1701,   580,   581,   582,
       0,   583,   584,     0,     0,  1702,   586,   587,     0,     0,
     588,   589,   197,   198,   590,   199,  1703,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,  1704,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,  1705,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,  1706,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,  1707,
     653,   654,   218,   655,   656,   220,   657,   658,  1708,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,  1709,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,  1710,  1711,     0,
       0,   682,   683,  1712,   684,  1713,  1714,   685,   686,   687,
     688,   689,   690,   691,     0,  1715,   692,   693,   694,   695,
     696,  1716,     0,   697,   698,   699,   700,   701,   754,  1717,
    2136,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,  1718,
    1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,   755,
     714,   715,  1726,     0,     0,     0,     0,     0,     0,  1727,
    1728,  2137,     0,     0,     0,     0,     0,     0,  1730,  2138,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,  1663,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,  1684,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,  1698,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,  1702,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  1706,
     639,   640,   641,   642,   643,   644,   645,   753,   646,   216,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,   224,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,  1715,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,  2480,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,   238,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,     0,
     250,     0,     0,     0,     0,  1727,  1728,     0,     0,     0,
       0,     0,     0,     0,  1730,  5639,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,  1684,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
    1698,   576,   577,   194,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  1706,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,   689,   690,   691,     0,  1715,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,  1726,     0,     0,     0,     0,     0,
       0,  1727,  1728,     0,     0,     0,     0,     0,     0,     0,
    1730,  3303,   779,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,   780,   103,   104,   734,   781,     0,   106,   107,   108,
     109,   782,   783,   111,   112,   113,     0,   114,   784,   785,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,   431,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1661,  1662,
    1663,    45,  1664,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,  1665,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
    1666,   135,  1667,  1668,     0,   451,   452,   453,   454,   455,
     456,  1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,
     461,   462,   463,  1673,     0,  1674,     0,   464,   465,   466,
     467,   468,   147,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,  1675,  1676,
    1677,  1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,
     484,  1682,  1683,   485,  1684,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,  1492,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,  1685,   512,
     513,   514,  1686,  1687,   515,     0,   516,   517,  1688,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,  1689,     0,  1690,   526,   527,     0,   528,
     529,   750,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1495,  1691,     0,  1692,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1693,   183,   555,   184,     0,   556,   557,
     558,  1694,  1695,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,  1696,
     190,  1697,   573,   574,   575,   192,  1698,   576,   577,   194,
     578,  1699,  1700,   579,  1701,   580,   581,   582,     0,   583,
     584,     0,     0,  1702,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,  1703,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,  1704,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,  1705,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,  1706,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,  1707,   653,   654,
     218,   655,   656,   220,   657,   658,  1708,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,  1709,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,  1710,  1711,     0,     0,   682,
     683,  1712,   684,  1713,  1714,   685,   686,   687,   688,   689,
     690,   691,     0,  1715,   692,   693,   694,   695,   696,  1716,
       0,   697,   698,   699,   700,   701,   754,  1717,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,  1718,  1719,  1720,
    1721,   244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,
    1726,     0,     0,     0,     0,     0,     0,  1727,  1728,     0,
       0,     0,     0,     0,     0,     0,  1730,  4625,   779,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,   780,   103,   104,
     734,   781,     0,   106,   107,   108,   109,   782,   783,   111,
     112,   113,     0,   114,   784,   785,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,   431,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1661,  1662,  1663,    45,  1664,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,  1665,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,   133,  1666,   135,  1667,  1668,
       0,   451,   452,   453,   454,   455,   456,  1669,  1670,   457,
     458,  1671,  1672,   459,     0,   460,   461,   462,   463,  1673,
       0,  1674,     0,   464,   465,   466,   467,   468,   147,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,  1675,  1676,  1677,  1678,  1679,  1680,
    1681,   480,   481,   482,   483,   748,   484,  1682,  1683,   485,
    1684,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,  1492,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,  1685,   512,   513,   514,  1686,  1687,
     515,     0,   516,   517,  1688,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,  1689,
       0,  1690,   526,   527,     0,   528,   529,   750,   530,   531,
     173,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,  1495,  1691,     0,  1692,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1693,
     183,   555,   184,     0,   556,   557,   558,  1694,  1695,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,  1696,   190,  1697,   573,   574,
     575,   192,  1698,   576,   577,   194,   578,  1699,  1700,   579,
    1701,   580,   581,   582,     0,   583,   584,     0,     0,  1702,
     586,   587,     0,     0,   588,   589,   197,   198,   590,   199,
    1703,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,  1704,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
    1705,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,  1706,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,  1707,   653,   654,   218,   655,   656,   220,
     657,   658,  1708,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,  1709,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,  1710,  1711,     0,     0,   682,   683,  1712,   684,  1713,
    1714,   685,   686,   687,   688,   689,   690,   691,     0,  1715,
     692,   693,   694,   695,   696,  1716,     0,   697,   698,   699,
     700,   701,   754,  1717,     0,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,  1718,  1719,  1720,  1721,   244,  1722,  1723,
    1724,  1725,   249,   755,   714,   715,  1726,     0,     0,     0,
       0,     0,     0,  1727,  1728,     0,     0,     0,     0,     0,
       0,     0,  1730,  4696,   779,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,     0,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,     0,  1485,   135,  1486,  1487,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,  1488,  1489,   459,
       0,   460,   461,   462,   463,     0,     0,   144,     0,   464,
     465,   466,   467,   468,   147,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
       0,     0,     0,   151,     0,     0,     0,   480,   481,   482,
     483,   748,   484,  1490,  1491,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,  1492,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
       0,   512,   513,   514,     0,     0,   515,     0,   516,   517,
    1493,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,     0,     0,     0,   526,   527,
       0,   528,   529,   750,   530,   531,   173,   532,   533,   534,
     535,  2689,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,  2690,     0,   544,   545,   546,  1495,  1496,     0,
    1497,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,     0,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,  1498,   190,  1499,   573,   574,   575,     0,     0,   576,
     577,   194,   578,     0,     0,   579,  1500,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,  2692,   198,   590,   199,     0,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,     0,
     602,     0,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,  1501,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,     0,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,  2693,   655,   656,   220,   657,   658,  1503,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,  1504,  1505,     0,
       0,   682,   683,     0,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,     0,  1506,
    2694,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
     714,   715,     0,     0,     0,     0,     0,   779,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,  2801,
      97,    98,    99,   100,   101,   102,   780,   103,   104,   734,
     781,     0,   106,   107,   108,   109,   782,   783,   111,   112,
     113,     0,   114,   784,   785,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,     0,  1485,   135,  1486,  1487,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
    1488,  1489,   459,     0,   460,   461,   462,   463,     0,     0,
     144,     0,   464,   465,   466,   467,   468,   147,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,     0,     0,     0,   151,     0,     0,     0,
     480,   481,   482,   483,   748,   484,  1490,  1491,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,  1492,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,     0,   512,   513,   514,     0,     0,   515,
       0,   516,   517,  1493,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,     0,     0,
       0,   526,   527,     0,   528,   529,   750,   530,   531,   173,
     532,   533,   534,   535,  2689,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,  2690,     0,   544,   545,   546,
    1495,  1496,     0,  1497,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,     0,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,  1498,   190,  1499,   573,   574,   575,
       0,     0,   576,   577,   194,   578,     0,     0,   579,  1500,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,  2692,   198,   590,   199,     0,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,     0,   602,     0,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,  1501,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,     0,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,  2693,   655,   656,   220,   657,
     658,  1503,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
    1504,  1505,     0,     0,   682,   683,     0,   684,     0,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,     0,  1506,  2694,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   755,   714,   715,     0,     0,     0,     0,     0,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,  3911,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,  1663,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,  1684,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,  1698,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,  1702,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  1706,
     639,   640,   641,   642,   643,   644,   645,   753,   646,   216,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,   224,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,  1715,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,  2480,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,   238,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,     0,
     250,     0,     0,     0,     0,  1727,  1728,     0,     0,     0,
       0,     0,     0,     0,  1730,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,  3309,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,  1684,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,  3310,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,  3311,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,  1698,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  1706,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,  3312,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,   689,   690,   691,     0,  1715,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,  1726,     0,     0,     0,     0,     0,     0,
    1727,  1728,     0,     0,     0,     0,     0,     0,     0,  1730,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,  1663,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,  1684,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,  1698,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,  1702,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  1706,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,  1715,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,     0,
       0,     0,     0,     0,     0,  1727,  1728,     0,     0,     0,
       0,     0,  2442,  3264,  1730,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,  1684,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,  1698,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  1706,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,   689,   690,   691,     0,  1715,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,  1726,     0,     0,     0,     0,     0,     0,
    1727,  1728,  1729,     0,     0,     0,     0,     0,     0,  1730,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,  1663,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,  2609,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,  1684,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,  1698,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,  1702,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  1706,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,  1715,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,     0,
       0,     0,     0,     0,     0,  1727,  1728,     0,     0,     0,
       0,     0,     0,     0,  1730,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,  1684,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,  1698,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  1706,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,   689,   690,   691,     0,  1715,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,  3789,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,  1726,     0,     0,     0,     0,     0,     0,
    1727,  1728,     0,     0,     0,     0,     0,     0,     0,  1730,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,  1663,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,  1684,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,  3310,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,  1698,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,  1702,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  1706,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,  1715,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,     0,
       0,     0,     0,     0,     0,  1727,  1728,     0,     0,     0,
       0,     0,     0,     0,  1730,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
    4751,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,  1684,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,  1698,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  1706,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,   689,   690,   691,     0,  1715,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,  1726,     0,     0,     0,     0,     0,     0,
    1727,  1728,     0,     0,     0,     0,     0,     0,     0,  1730,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,  1663,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,  5907,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,  5908,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,  1684,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,  1698,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,  1702,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  1706,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,  5909,   690,   691,
       0,  1715,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,     0,
       0,     0,     0,     0,     0,  1727,  1728,     0,     0,     0,
       0,     0,     0,     0,  1730,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
    5908,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,  1684,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,  1698,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  1706,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,  5909,   690,   691,     0,  1715,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,  1726,     0,     0,     0,     0,     0,     0,
    1727,  1728,     0,     0,     0,     0,     0,     0,     0,  1730,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,  1663,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,  1684,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,  1698,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,  1702,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  1706,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,  1715,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,     0,
       0,     0,     0,     0,     0,  1727,  1728,     0,     0,     0,
       0,     0,     0,     0,  1730,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,  1684,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,  1698,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  1706,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,   689,   690,   691,     0,  1715,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,  1726,     0,     0,     0,     0,     0,     0,
    2612,  2613,     0,     0,     0,     0,     0,     0,     0,  1730,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,  1663,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,  1684,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,  1698,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,  1702,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  1706,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,  1715,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,  5098,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,     0,
       0,     0,     0,     0,     0,  1727,  1728,     0,     0,     0,
       0,     0,     0,     0,  1730,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,  1684,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,  5107,   192,  1698,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  1706,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,   689,   690,   691,     0,  1715,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,  1726,     0,     0,     0,     0,     0,     0,
    1727,  1728,     0,     0,     0,     0,     0,     0,     0,  1730,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,  1663,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,  5423,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,  1684,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  5424,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,  1698,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,  1702,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,  5425,   637,   638,  1706,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,  1715,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,     0,
       0,     0,     0,     0,     0,  1727,  1728,     0,     0,     0,
       0,     0,     0,     0,  5426,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450, -3042,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
    5908,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,  1684,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531, -3042,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,     0,     0,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555, -3042,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,  1698,
     576,   577,     0,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  1706,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656, -3042,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,  5909,   690,   691,     0,  1715,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715, -3042,     0,     0,     0,     0,     0,     0,
    1727,  1728,     0,     0,     0,     0,     0,     0,     0,  1730,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,  1663,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,  5621,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,     0,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,  1702,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  3295,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,     0,     0,
       0,     0,     0,     0,     0,  3296,  3297,     0,     0,     0,
       0,     0,     0,     0,  3298,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,     0,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  3295,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,     0,     0,     0,     0,     0,     0,     0,
    3296,  3297,     0,     0,     0,     0,     0,     0,     0,  3298,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,     0,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,     0,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  3427,
    3428,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,     0,     0,
       0,     0,     0,     0,     0,  3429,  3430,     0,     0,     0,
       0,     0,     0,     0,  3298,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,     0,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,     0,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  3295,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,     0,     0,     0,     0,     0,     0,     0,
    3296,  3297,     0,     0,     0,     0,     0,     0,     0,  3298,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1661,  1662,     0,    45,
    1664,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,  1665,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,  1666,   135,
    1667,  1668,     0,   451,   452,   453,   454,   455,   456,  1669,
    1670,   457,   458,  1671,  1672,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,  1682,
    1683,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,  1685,   512,   513,   514,
    1686,  1687,   515,     0,   516,   517,  1688,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,  1690,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,  1495,  1691,     0,  1692,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1696,   190,  1697,
     573,   574,   575,   192,     0,   576,   577,   194,   578,  1699,
    1700,   579,  1701,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1705,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,  3295,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,  1708,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1710,  1711,     0,     0,   682,   683,  1712,
     684,  1713,  1714,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,  1717,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,     0,     0,
       0,     0,   779,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,  3298,    97,    98,    99,   100,   101,
     102,   780,   103,   104,   734,   781,     0,   106,   107,   108,
     109,   782,   783,   111,   112,   113,     0,   114,   784,   785,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,   431,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1661,  1662,
       0,    45,  1664,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,  1665,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
    1666,   135,  1667,  1668,     0,  4658,   452,   453,   454,   455,
     456,  1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,
     461,   462,   463,  1673,     0,  1674,     0,   464,   465,   466,
     467,   468,   147,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,  1675,  1676,
    1677,  1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,
     484,  1682,  1683,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,  1492,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,  1685,   512,
     513,   514,  1686,  1687,   515,     0,   516,   517,  1688,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,  1689,     0,  1690,   526,   527,     0,   528,
     529,   750,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,  1495,  1691,     0,  1692,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,  1693,   183,   555,   184,     0,   556,   557,
     558,  1694,  1695,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,  1696,
     190,  1697,   573,   574,   575,   192,     0,   576,   577,   194,
     578,  1699,  1700,   579,  1701,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,  1703,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,  1704,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,  1705,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,  3295,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,  1707,   653,   654,
     218,   655,   656,   220,   657,   658,  1708,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,  1709,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,  1710,  1711,     0,     0,   682,
     683,  1712,   684,  1713,  1714,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,  1716,
       0,   697,   698,   699,   700,   701,   754,  1717,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,  1718,  1719,  1720,
    1721,   244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,
       0,     0,     0,     0,   779,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,  3298,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,     0,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,   431,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1661,  1662,     0,    45,  1664,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,  1665,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,   133,  1666,   135,  1667,  1668,     0,   451,   452,   453,
     454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,   459,
       0,   460,   461,   462,   463,  1673,     0,  1674,     0,   464,
     465,   466,   467,   468,   147,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
    1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,   482,
     483,   748,   484,  1682,  1683,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,  1492,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
    1685,   512,   513,   514,  1686,  1687,   515,     0,   516,   517,
    1688,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,  1689,     0,  1690,   526,   527,
       0,   528,   529,   750,   530,   531,   173,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,  1495,  1691,     0,
    1692,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,  1693,   183,   555,   184,     0,
     556,   557,   558,  1694,  1695,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,  1696,   190,  1697,   573,   574,   575,   192,     0,   576,
     577,   194,   578,  1699,  1700,   579,  1701,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,   198,   590,   199,  1703,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,  1704,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,  1705,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,  3295,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,  1707,
     653,   654,   218,   655,   656,   220,   657,   658,  1708,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,  1709,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,  1710,  1711,     0,
       0,   682,   683,  1712,   684,  1713,  1714,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1716,     0,   697,   698,   699,   700,   701,   754,  1717,
       0,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,  1718,
    1719,  1720,  1721,  5138,  1722,  1723,  1724,  1725,   249,   755,
     714,   715,     0,     0,     0,     0,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,  3298,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,     0,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,  1684,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,     0,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,     0,     0,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
       0,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
    1698,   576,   577,     0,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  1706,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,     0,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,   689,   690,   691,     0,  1715,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,     0,     0,     0,     0,     0,     0,
       0,  1727,  1728,     0,     0,     0,     0,     0,     0,     0,
    1730,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,   134,
     135,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,  1670,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,  1686,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,  4139,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,  1700,   579,   196,   580,   581,   582,     0,   583,   584,
       0,  1177,   585,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
     213,  4140,   640,   641,   642,   643,   644,   645,   753,   646,
     216,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,   224,   674,   225,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
    1712,   684,  1713,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,  2480,   236,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,   238,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,  4141,   755,   714,   715,     0,
       0,   250,     0,   779,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,  4142,    97,    98,    99,   100,
     101,   102,   780,   103,   104,   734,   781,     0,   106,   107,
     108,   109,   782,   783,   111,   112,   113,     0,   114,   784,
     785,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
     133,   134,   135,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,  1670,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,  1673,     0,  1674,     0,   464,   465,
     466,   467,   468,   147,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,  1675,
    1676,  1677,  1678,  1679,  1680,  1681,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,  1686,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,  1689,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,  4139,     0,   554,  1693,   183,   555,   184,     0,   556,
     557,   558,  1694,  1695,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,  1700,   579,   196,   580,   581,   582,     0,
     583,   584,     0,  1177,   585,   586,   587,     0,     0,   588,
     589,   197,   198,   590,   199,  1703,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,  1704,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,   213,  4140,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,  1707,   653,
     654,   218,   655,   656,   220,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,  1709,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,  1712,   684,  1713,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
    1716,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,  1718,  1719,
    1720,  1721,   244,  1722,  1723,  1724,  1725,  4141,   755,   714,
     715,     0,     0,     0,     0,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,  4142,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,   134,   135,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,  1670,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,  1686,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,  1700,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,   213,  4140,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,  1712,   684,  1713,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,  4141,
     755,   714,   715,     0,     0,     0,     0,   779,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,   251,
      97,    98,    99,   100,   101,   102,   780,   103,   104,   734,
     781,     0,   106,   107,   108,   109,   782,   783,   111,   112,
     113,     0,   114,   784,   785,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,   133,   134,   135,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,  1670,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,  1673,     0,
    1674,     0,   464,   465,   466,   467,   468,   147,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,  1686,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,  1689,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,   173,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,  1693,   183,
     555,   184,     0,   556,   557,   558,  1694,  1695,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,  1700,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,   198,   590,   199,  1703,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,  1704,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,  1707,   653,   654,   218,   655,   656,   220,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,  1709,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,  1712,   684,  1713,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,  1716,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,
    1725,   249,   755,   714,   715,     0,     0,     0,     0,   779,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,  4785,    97,    98,    99,   100,   101,   102,   780,   103,
     104,   734,   781,     0,   106,   107,   108,   109,   782,   783,
     111,   112,   113,     0,   114,   784,   785,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,   131,   448,   449,   450,   133,   134,   135,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,  1670,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
    1673,     0,  1674,     0,   464,   465,   466,   467,   468,   147,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,  1679,
    1680,  1681,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,  1686,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,   168,     0,   169,   521,   522,   523,   524,     0,   525,
    1689,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,   173,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
    1693,   183,   555,   184,     0,   556,   557,   558,  1694,  1695,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,  1700,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,   198,   590,
     199,  1703,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,  1704,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,   211,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,  1707,   653,   654,   218,   655,   656,
     220,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,  1709,     0,
     672,   673,     0,   674,   225,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,  1712,   684,
    1713,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,  1716,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,   237,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,  1722,
    1723,  1724,  1725,   249,   755,   714,   715,     0,     0,     0,
       0,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,  5889,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,   134,
     135,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,   144,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,     0,     0,     0,
     151,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,   220,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,     0,
       0,     0,     0,     0,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,  5478,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,  4714,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0, -1799,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0, -1799,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
   -1799,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548, -1799,   549,   550,   551,   552,
     553,     0,     0,   554,   182, -1799,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189, -1799,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633, -1799,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,     0,     0,     0,     0,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,  1822,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,     0,     0,     0,     0,     0,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,  3944,
    3945,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,     0,     0,     0,     0,
       0,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,  3945,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,   216,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,   224,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,  2480,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,   238,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,     0,     0,
     250,     0,     0,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,   251,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,   216,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,   224,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,  2480,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,   238,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
       0,     0,   250,     0,     0,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,   251,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,     0,     0,     0,     0,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,  1801,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,     0,     0,     0,     0,     0,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
    3460,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,     0,     0,     0,     0,
       0,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,  4693,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,     0,     0,
       0,     0,   779,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,  5155,    97,    98,    99,   100,   101,
     102,   780,   103,   104,   734,   781,     0,   106,   107,   108,
     109,   782,   783,   111,   112,   113,     0,   114,   784,   785,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,   431,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
    1297,    45,     0,     0,     0,     0,     0,  1298,  1299,  1300,
     432,   433,   434,   435,   436,   437,   438,   439,   786,   440,
     441,   442,   787,   788,   789,   790,   791,   792,   793,   443,
     444,   794,   445,   446,   447,   131,   448,   449,   450,     0,
    1485,   135,  1486,  1487,   795,   451,   452,   453,   454,   455,
     456,   796,   797,   457,   458,  1488,  1489,   459,   799,   460,
     461,   462,   463,     0,   800,   144,   801,   464,   465,   466,
     467,   468,   147,   469,   470,   746,   803,   471,   472,   473,
     474,   475,   476,   804,   150,   477,   478,     0,   806,   807,
     808,   151,   809,   810,   811,   480,   481,   482,   483,   748,
     484,  1490,  1491,   485,   812,   486,   813,   487,   488,   489,
     490,   491,   492,   814,   493,   494,   495,   496,   815,   816,
     497,   498,  1492,   500,   501,   817,   502,   503,   504,   818,
     505,   506,   507,   819,   508,   509,   510,   511,     0,   512,
     513,   514,     0,   820,   515,   821,   516,   517,  1493,   518,
     822,   519,   823,   520,   168,   824,   169,   521,   522,   523,
     524,   825,   525,     0,   826,     0,   526,   527,   827,   528,
     529,   750,   530,   531,   173,   532,   533,   534,   535,   828,
     536,   537,   538,   539,   540,   541,   542,   829,   543,   175,
       0,     0,   544,   545,   546,  1495,  1496,   832,  1497,   833,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
     834,   835,   554,     0,   183,   555,   184,   836,   556,   557,
     558,   837,   838,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,  1498,
     190,  1499,   573,   574,   575,  4439,   839,   576,   577,   194,
     578,   840,     0,   579,  1500,   580,   581,   582,   841,   583,
     584,   842,   843,  4440,   586,   587,   844,   845,   588,   589,
       0,   198,   590,   199,     0,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   846,   600,   601,     0,   602,     0,
     603,   604,   605,   847,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,  1501,   616,   617,   618,   619,   848,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   849,   632,   633,   211,   634,   635,   636,   637,
     638,     0,   639,   640,   641,   642,   643,   644,   645,   753,
     646,   850,   647,   648,   649,   650,   651,   851,   653,   654,
    2693,   655,   656,   220,   657,   658,  1503,   659,   852,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,     0,   853,   672,   673,   854,   674,   225,   675,   676,
     677,   678,   679,   855,   680,  1504,  1505,     0,   857,   682,
     683,     0,   684,     0,   858,   685,   686,   687,   688,   689,
     690,   691,     0,   860,   692,   693,   694,   695,   696,   861,
     862,   697,   698,   699,   700,   701,     0,  1506,   864,   702,
     237,   703,   704,   705,   706,   865,   866,   707,   867,   868,
     708,   709,   710,   711,   712,   713,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   755,   714,   715,
       0,     0,     0,  1303,  1304,  1305,     0,  4441,  4442,  1308,
    1309,  1310,  1311,   779,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,   780,   103,   104,   734,   781,     0,   106,   107,
     108,   109,   782,   783,   111,   112,   113,     0,   114,   784,
     785,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,   431,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,  1297,    45,     0,     0,     0,     0,     0,  1298,  1299,
    1300,   432,   433,   434,   435,   436,   437,   438,   439,   786,
     440,   441,   442,   787,   788,   789,   790,   791,   792,   793,
     443,   444,   794,   445,   446,   447,   131,   448,   449,   450,
       0,  1485,   135,  1486,  1487,   795,   451,   452,   453,   454,
     455,   456,   796,   797,   457,   458,  1488,  1489,   459,   799,
     460,   461,   462,   463,     0,   800,   144,   801,   464,   465,
     466,   467,   468,   147,   469,   470,   746,   803,   471,   472,
     473,   474,   475,   476,   804,   150,   477,   478,     0,   806,
     807,   808,   151,   809,   810,   811,   480,   481,   482,   483,
     748,   484,  1490,  1491,   485,   812,   486,   813,   487,   488,
     489,   490,   491,   492,   814,   493,   494,   495,   496,   815,
     816,   497,   498,  1492,   500,   501,   817,   502,   503,   504,
     818,   505,   506,   507,   819,   508,   509,   510,   511,     0,
     512,   513,   514,     0,   820,   515,   821,   516,   517,  1493,
     518,   822,   519,   823,   520,   168,   824,   169,   521,   522,
     523,   524,   825,   525,     0,   826,     0,   526,   527,   827,
     528,   529,   750,   530,   531,   173,   532,   533,   534,   535,
     828,   536,   537,   538,   539,   540,   541,   542,   829,   543,
     175,     0,     0,   544,   545,   546,  1495,  1496,   832,  1497,
     833,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,   834,   835,   554,     0,   183,   555,   184,   836,   556,
     557,   558,   837,   838,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
    1498,   190,  1499,   573,   574,   575,  4877,   839,   576,   577,
     194,   578,   840,     0,   579,  1500,   580,   581,   582,   841,
     583,   584,   842,   843,  4440,   586,   587,   844,   845,   588,
     589,     0,   198,   590,   199,     0,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   846,   600,   601,     0,   602,
       0,   603,   604,   605,   847,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,  1501,   616,   617,   618,   619,
     848,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   849,   632,   633,   211,   634,   635,   636,
     637,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     753,   646,   850,   647,   648,   649,   650,   651,   851,   653,
     654,  2693,   655,   656,   220,   657,   658,  1503,   659,   852,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,     0,   853,   672,   673,   854,   674,   225,   675,
     676,   677,   678,   679,   855,   680,  1504,  1505,     0,   857,
     682,   683,     0,   684,     0,   858,   685,   686,   687,   688,
     689,   690,   691,     0,   860,   692,   693,   694,   695,   696,
     861,   862,   697,   698,   699,   700,   701,     0,  1506,   864,
     702,   237,   703,   704,   705,   706,   865,   866,   707,   867,
     868,   708,   709,   710,   711,   712,   713,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   755,   714,
     715,     0,     0,     0,  1303,  1304,  1305,     0,  4441,  4442,
    1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1297,     0,     0,     0,     0,     0,     0,  1298,  1299,
    1300,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,  1301,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,  1302,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,  1307,
    1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1297,     0,     0,     0,     0,     0,     0,  1298,  1299,
    1300,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,  1428,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,  1429,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,  1307,
    1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1297,     0,     0,     0,     0,     0,     0,  1298,  1299,
    1300,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,  1537,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,  1538,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,  1539,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,  1307,
    1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1297,     0,     0,     0,     0,     0,     0,  1298,  1299,
    1300,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,  2164,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,  2165,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,  1307,
    1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1297,     0,     0,     0,     0,     0,     0,  1298,  1299,
    1300,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,  1307,
    1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1297,     0,     0,     0,     0,     0,     0,  1298,  1299,
    1300,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,  3561,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,  3562,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,  1307,
    1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1297,     0,     0,     0,     0,     0,     0,  1298,  1299,
    1300,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,  5455,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,  1307,
    1308,  1309,  1310,  1311,   779,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,     0,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     786,   440,   441,   442,   787,   788,   789,   790,   791,   792,
     793,   443,   444,   794,   445,   446,   447,   131,   448,   449,
     450,   133,   134,   135,   136,   137,   795,   451,   452,   453,
     454,   455,   456,   796,   797,   457,   458,   798,   139,   459,
     799,   460,   461,   462,   463,   143,   800,   144,   801,   464,
     465,   466,   467,   468,   147,   469,   470,   802,   803,   471,
     472,   473,   474,   475,   476,   804,   150,   477,   478,   805,
     806,   807,   808,   151,   809,   810,   811,   480,   481,   482,
     483,   748,   484,   154,   155,   485,   812,   486,   813,   487,
     488,   489,   490,   491,   492,   814,   493,   494,   495,   496,
     815,   816,   497,   498,   499,   500,   501,   817,   502,   503,
     504,   818,   505,   506,   507,   819,   508,   509,   510,   511,
     163,   512,   513,   514,   165,   820,   515,   821,   516,   517,
     167,   518,   822,   519,   823,   520,   168,   824,   169,   521,
     522,   523,   524,   825,   525,   171,   826,   172,   526,   527,
     827,   528,   529,   750,   530,   531,   173,   532,   533,   534,
     535,   828,   536,   537,   538,   539,   540,   541,   542,   829,
     543,   175,   176,   830,   544,   545,   546,   831,   177,   832,
     178,   833,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,   834,   835,   554,   182,   183,   555,   184,   836,
     556,   557,   558,   837,   838,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,   839,   576,
     577,   194,   578,   840,   195,   579,   196,   580,   581,   582,
     841,   583,   584,   842,   843,   585,   586,   587,   844,   845,
     588,   589,   197,   198,   590,   199,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   846,   600,   601,   201,
     602,   202,   603,   604,   605,   847,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,   848,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   849,   632,   633,   211,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,   850,   647,   648,   649,   650,   651,   851,
     653,   654,   218,   655,   656,   220,   657,   658,   221,   659,
     852,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,   853,   672,   673,   854,   674,   225,
     675,   676,   677,   678,   679,   855,   680,   226,   227,   856,
     857,   682,   683,   228,   684,   229,   858,   685,   686,   687,
     688,   689,   690,   691,   859,   860,   692,   693,   694,   695,
     696,   861,   862,   697,   698,   699,   700,   701,   863,   236,
     864,   702,   237,   703,   704,   705,   706,   865,   866,   707,
     867,   868,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,   779,    86,    87,   731,    89,    90,    91,
     732,  2146,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,   780,   103,   104,   734,   781,     0,   106,   107,
     108,   109,   782,   783,   111,   112,   113,     0,   114,   784,
     785,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
       0,  1485,   135,  1486,  1487,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,  1488,  1489,   459,     0,
     460,   461,   462,   463,     0,     0,   144,     0,   464,   465,
     466,   467,   468,   147,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,     0,
       0,     0,   151,     0,     0,     0,   480,   481,   482,   483,
     748,   484,  1490,  1491,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,  1492,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,     0,
     512,   513,   514,     0,     0,   515,     0,   516,   517,  1493,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,     0,     0,     0,   526,   527,     0,
     528,   529,   750,   530,   531,   173,   532,   533,   534,   535,
    2689,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,  2690,     0,   544,   545,   546,  1495,  1496,     0,  1497,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,     0,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
    1498,   190,  1499,   573,   574,   575,     0,     0,   576,   577,
     194,   578,     0,     0,   579,  1500,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,  2691,   588,
     589,  2692,   198,   590,   199,     0,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,     0,   602,
       0,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,  1501,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,  2693,   655,   656,   220,   657,   658,  1503,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,  1504,  1505,     0,     0,
     682,   683,     0,   684,     0,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,     0,  1506,  2694,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   755,   714,
     715,     0,     0,    86,    87,   731,    89,    90,    91,   732,
    2695,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
       0,     0,    86,    87,   731,    89,    90,    91,   732,  1184,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,     0,
       0,    86,    87,   731,    89,    90,    91,   732,  5857,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   432,  1074,
     434,   435,   436,   437,   438,   439,  1075,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,  1076,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,  1077,   167,   518,     0,   519,
       0,  1078,     0,  1079,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,  1080,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,  1081,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,  1082,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,  1083,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,  1084,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,     0,     0,
       0,     0,     0,     0,     0,  1085,  1086,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   432,  1074,   434,   435,   436,   437,
     438,   439,  1075,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
    1108,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,  1077,   167,   518,     0,   519,     0,  1109,     0,  1079,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,  1080,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,  1081,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,  1082,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,  1083,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,  1084,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,     0,     0,     0,     0,     0,     0,
       0,  1085,  1086,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,   431,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,  1594,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,  1079,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,  1080,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
       0,     0,     0,     0,     0,     0,     0,  1085,  1086,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,   431,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,  1599,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,  1079,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,  1080,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,     0,     0,     0,     0,
       0,     0,     0,  1085,  1086,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,   431,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,   749,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,  1772,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,     0,     0,     0,  1154,  1773,    86,    87,
     731,    89,    90,    91,   732,  1155,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,  1156,   458,
    1127,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
    1157,     0,  1158,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,  1159,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,  1160,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,  1161,   635,   636,   637,   638,   213,   639,   640,   641,
    1162,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,  1163,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
    1164,   227,     0,     0,  1165,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,  1131,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
    1166,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   786,   440,   441,   442,   787,   788,   789,   790,   791,
     792,   793,   443,   444,   794,   445,   446,   447,   131,   448,
     449,   450,   133,   134,   135,   136,   137,   795,   451,   452,
     453,   454,   455,   456,   796,   797,   457,   458,   798,   139,
     459,   799,   460,   461,   462,   463,   143,   800,   144,   801,
     464,   465,   466,   467,   468,   147,   469,   470,   802,   803,
     471,   472,   473,   474,   475,   476,   804,   150,   477,   478,
     805,   806,   807,   808,   151,   809,   810,   811,   480,   481,
     482,   483,   748,   484,   154,   155,   485,   812,   486,   813,
     487,   488,   489,   490,   491,   492,   814,   493,   494,   495,
     496,   815,   816,   497,   498,   499,   500,   501,   817,   502,
     503,   504,   818,   505,   506,   507,   819,   508,   509,   510,
     511,   163,   512,   513,   514,   165,   820,   515,   821,   516,
     517,   167,   518,   822,   519,   823,   520,   168,   824,   169,
     521,   522,   523,   524,   825,   525,   171,   826,   172,   526,
     527,   827,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,   828,   536,   537,   538,   539,   540,   541,   542,
     829,   543,   175,   176,   830,   544,   545,   546,   831,   177,
     832,   178,   833,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,   834,   835,   554,   182,   183,   555,   184,
     836,   556,   557,   558,   837,   838,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,   839,
     576,   577,   194,   578,   840,   195,   579,   196,   580,   581,
     582,   841,   583,   584,   842,   843,   585,   586,   587,   844,
     845,   588,   589,   197,   198,   590,   199,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   846,   600,   601,
     201,   602,   202,   603,   604,   605,   847,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,   848,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   849,   632,   633,   211,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,   850,   647,   648,   649,   650,   651,
     851,   653,   654,   218,   655,   656,   220,   657,   658,   221,
     659,   852,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,   853,   672,   673,   854,   674,
     225,   675,   676,   677,   678,   679,   855,   680,   226,   227,
     856,   857,   682,   683,   228,   684,   229,   858,   685,   686,
     687,   688,   689,   690,   691,   859,   860,   692,   693,   694,
     695,   696,   861,   862,   697,   698,   699,   700,   701,   863,
     236,   864,   702,   237,   703,   704,   705,   706,   865,   866,
     707,   867,   868,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,   779,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,   780,   103,   104,   734,   781,     0,   106,   107,
     108,   109,   782,   783,   111,   112,   113,     0,   114,   784,
     785,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   786,
     440,   441,   442,   787,   788,   789,   790,   791,   792,   793,
     443,   444,   794,   445,   446,   447,   131,   448,   449,   450,
     133,   134,   135,   136,   137,   795,   451,   452,   453,   454,
     455,   456,   796,   797,   457,   458,   798,   139,   459,   799,
     460,   461,   462,   463,   143,   800,   144,   801,   464,   465,
     466,   467,   468,   147,   469,   470,   802,   803,   471,   472,
     473,   474,   475,   476,   804,   150,   477,   478,   805,   806,
     807,   808,   151,   809,   810,   811,   480,   481,   482,   483,
     748,   484,   154,   155,   485,   812,   486,   813,   487,   488,
     489,   490,   491,   492,   814,   493,   494,   495,   496,   815,
     816,   497,   498,   499,   500,   501,   817,   502,   503,   504,
     818,   505,   506,   507,   819,   508,   509,   510,   511,   163,
     512,   513,   514,   165,   820,   515,   821,   516,   517,   167,
     518,   822,   519,   823,   520,   168,   824,   169,   521,   522,
     523,   524,   825,   525,   171,   826,   172,   526,   527,   827,
     528,   529,   750,   530,   531,   173,   532,   533,   534,   535,
     828,   536,   537,   538,   539,   540,   541,   542,   829,   543,
     175,   176,   830,   544,   545,   546,   831,   177,   832,   178,
     833,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,   834,   835,   554,   182,   183,   555,   184,   836,   556,
     557,   558,   837,   838,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,   839,   576,   577,
     194,   578,   840,   195,   579,   196,   580,   581,   582,   841,
     583,   584,   842,   843,   585,   586,   587,   844,   845,   588,
     589,   197,   198,   590,   199,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   846,   600,   601,   201,   602,
     202,   603,   604,   605,   847,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
     848,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   849,   632,   633,   211,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,   850,   647,   648,   649,   650,   651,   851,   653,
     654,   218,   655,   656,   220,   657,   658,   221,   659,   852,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,   853,   672,   673,   854,   674,   225,   675,
     676,   677,   678,   679,   855,   680,   226,   227,   856,   857,
     682,   683,   228,   684,   229,   858,   685,   686,   687,   688,
     689,   690,   691,   859,   860,   692,   693,   694,   695,   696,
     861,   862,   697,   698,   699,   700,   701,   863,   236,   864,
     702,   237,   703,   704,   705,   706,   865,   866,   707,   867,
     868,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,  3633,   437,   438,   439,   786,   440,   441,
     442,   787,   788,   789,   790,   791,   792,   793,   443,   444,
     794,   445,   446,   447,   131,   448,   449,   450,   133,   134,
     135,   136,   137,   795,   451,   452,   453,   454,   455,   456,
     796,   797,   457,   458,   798,   139,   459,   799,   460,   461,
     462,   463,   143,   800,   144,   801,   464,   465,   466,   467,
     468,   147,   469,   470,   802,   803,   471,   472,   473,   474,
     475,   476,   804,   150,   477,   478,   805,   806,   807,   808,
     151,   809,   810,   811,   480,   481,   482,   483,   748,   484,
     154,   155,   485,   812,   486,   813,   487,   488,   489,   490,
     491,   492,   814,   493,   494,   495,   496,   815,   816,   497,
     498,   499,  3634,   501,   817,   502,   503,   504,   818,   505,
     506,   507,   819,   508,   509,   510,   511,   163,   512,   513,
     514,   165,   820,   515,   821,   516,   517,   167,   518,   822,
     519,   823,   520,   168,   824,   169,   521,   522,   523,   524,
     825,   525,   171,   826,   172,   526,   527,   827,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,   828,   536,
     537,   538,   539,   540,   541,   542,   829,   543,   175,   176,
     830,   544,   545,   546,   831,   177,   832,   178,   833,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,   834,
     835,   554,   182,   183,   555,   184,   836,   556,   557,   558,
     837,   838,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,   839,   576,   577,   194,   578,
     840,   195,   579,   196,   580,   581,   582,   841,   583,   584,
     842,   843,   585,   586,   587,   844,   845,   588,   589,   197,
     198,   590,   199,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   846,   600,   601,   201,   602,   202,   603,
     604,   605,   847,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,   848,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   849,   632,   633,   211,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
     850,   647,   648,   649,   650,   651,   851,  3635,   654,   218,
     655,   656,   220,   657,   658,   221,   659,   852,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,   853,   672,   673,   854,   674,   225,   675,   676,   677,
     678,   679,   855,   680,   226,   227,   856,   857,   682,   683,
     228,   684,   229,   858,   685,   686,   687,   688,   689,   690,
     691,   859,   860,   692,   693,   694,   695,   696,   861,   862,
     697,   698,   699,   700,   701,   863,   236,   864,   702,   237,
     703,   704,   705,   706,   865,   866,   707,   867,   868,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,   779,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,   780,   103,
     104,   734,   781,     0,   106,   107,   108,   109,   782,   783,
     111,   112,   113,     0,   114,   784,   785,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,   131,   448,   449,   450,   133,   134,   135,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,  1670,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
    1673,     0,  1674,     0,   464,   465,   466,   467,   468,   147,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,  1679,
    1680,  1681,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,  1686,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,   168,     0,   169,   521,   522,   523,   524,     0,   525,
    1689,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,   173,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
    1693,   183,   555,   184,     0,   556,   557,   558,  1694,  1695,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,  1700,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,   198,   590,
     199,  1703,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,  1704,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,   211,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,  1707,   653,   654,   218,   655,   656,
     220,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,  1709,     0,
     672,   673,     0,   674,   225,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,  1712,   684,
    1713,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,  1716,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,   237,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,  1722,
    1723,  1724,  1725,   249,   755,   714,   715,   779,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,   780,   103,   104,   734,
     781,     0,   106,   107,   108,   109,   782,   783,   111,   112,
     113,     0,   114,   784,   785,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,   133,   134,   135,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
     144,     0,   464,   465,   466,   467,   468,   147,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,     0,     0,     0,   151,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,   173,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,   198,   590,   199,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,   220,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,   134,   135,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,   144,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,     0,     0,     0,   151,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,  1477,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,   182,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,   220,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,   779,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,   780,   103,   104,   734,   781,     0,   106,   107,
     108,   109,   782,   783,   111,   112,   113,     0,   114,   784,
     785,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
     133,   134,   135,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,   144,     0,   464,   465,
     466,   467,   468,   147,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,     0,
       0,     0,   151,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,  1529,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,   182,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,   198,   590,   199,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,   220,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,   134,
     135,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,   144,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,     0,     0,     0,
     151,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,  1543,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,   220,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,   779,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,   780,   103,
     104,   734,   781,     0,   106,   107,   108,   109,   782,   783,
     111,   112,   113,     0,   114,   784,   785,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,   131,   448,   449,   450,   133,   134,   135,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,   144,     0,   464,   465,   466,   467,   468,   147,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,   150,   477,   478,     0,     0,     0,     0,   151,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,   168,     0,   169,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
    1547,   173,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
     182,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,   198,   590,
     199,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,   211,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
     220,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,   225,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,   237,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,   779,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,   780,   103,   104,   734,
     781,     0,   106,   107,   108,   109,   782,   783,   111,   112,
     113,     0,   114,   784,   785,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,     0,  1485,   135,  1486,  1487,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
    1488,  1489,   459,     0,   460,   461,   462,   463,     0,     0,
     144,     0,   464,   465,   466,   467,   468,   147,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,     0,     0,     0,   151,     0,     0,     0,
     480,   481,   482,   483,   748,   484,  1490,  1491,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,  1492,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,     0,   512,   513,   514,     0,     0,   515,
       0,   516,   517,  1493,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,     0,     0,
       0,   526,   527,     0,   528,   529,   750,   530,   531,   173,
     532,   533,   534,   535,  2689,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,  2690,     0,   544,   545,   546,
    1495,  1496,     0,  1497,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,     0,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,  1498,   190,  1499,   573,   574,   575,
       0,     0,   576,   577,   194,   578,     0,     0,   579,  1500,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,  2692,   198,   590,   199,     0,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,     0,   602,     0,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,  1501,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,     0,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,  2693,   655,   656,   220,   657,
     658,  1503,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
    1504,  1505,     0,     0,   682,   683,     0,   684,     0,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,     0,  1506,  2694,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   755,   714,   715,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,     0,  1485,   135,  1486,  1487,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,  1488,  1489,
     459,     0,   460,   461,   462,   463,     0,     0,   144,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,     0,     0,     0,   151,     0,     0,     0,   480,   481,
     482,   483,   748,   484,  1490,  1491,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,     0,   512,   513,   514,     0,     0,   515,     0,   516,
     517,  1493,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,     0,     0,     0,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,     0,     0,   544,   545,   546,  1495,  1496,
       0,  1497,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,     0,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1498,   190,  1499,   573,   574,   575,     0,     0,
     576,   577,   194,   578,  2789,     0,   579,  1500,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,     0,   198,   590,   199,     0,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
       0,   602,     0,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1501,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,     0,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,  2693,   655,   656,   220,   657,   658,  1503,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,  4543,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1504,  1505,
       0,     0,   682,   683,     0,   684,     0,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,     0,
    1506,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     755,   714,   715,   779,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,   780,   103,   104,   734,   781,     0,   106,   107,
     108,   109,   782,   783,   111,   112,   113,     0,   114,   784,
     785,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
       0,  1485,   135,  1486,  1487,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,  1488,  1489,   459,     0,
     460,   461,   462,   463,     0,     0,   144,     0,   464,   465,
     466,   467,   468,   147,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,     0,
       0,     0,   151,     0,     0,     0,   480,   481,   482,   483,
     748,   484,  1490,  1491,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,  1492,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,     0,
     512,   513,   514,     0,     0,   515,     0,   516,   517,  1493,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,     0,     0,     0,   526,   527,     0,
     528,   529,   750,   530,   531,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,     0,     0,   544,   545,   546,  1495,  1496,     0,  1497,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,     0,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
    1498,   190,  1499,   573,   574,   575,  2859,     0,   576,   577,
     194,   578,     0,     0,   579,  1500,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,     0,   198,   590,   199,     0,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,     0,   602,
       0,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,  1501,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,  1502,   655,   656,   220,   657,   658,  1503,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,  1504,  1505,     0,     0,
     682,   683,     0,   684,     0,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,     0,  1506,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   755,   714,
     715,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,     0,  1485,
     135,  1486,  1487,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,  1488,  1489,   459,     0,   460,   461,
     462,   463,     0,     0,   144,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,     0,     0,     0,
     151,     0,     0,     0,   480,   481,   482,   483,   748,   484,
    1490,  1491,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,     0,   512,   513,
     514,     0,     0,   515,     0,   516,   517,  1493,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,     0,     0,     0,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,     0,
       0,   544,   545,   546,  1495,  1496,     0,  1497,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,     0,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1498,   190,
    1499,   573,   574,   575,  4351,     0,   576,   577,   194,   578,
       0,     0,   579,  1500,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,     0,
     198,   590,   199,     0,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,     0,   602,     0,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1501,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
       0,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,  1502,
     655,   656,   220,   657,   658,  1503,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1504,  1505,     0,     0,   682,   683,
       0,   684,     0,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,     0,  1506,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   755,   714,   715,   779,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,   780,   103,
     104,   734,   781,     0,   106,   107,   108,   109,   782,   783,
     111,   112,   113,     0,   114,   784,   785,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,   131,   448,   449,   450,     0,  1485,   135,  1486,
    1487,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,  1488,  1489,   459,     0,   460,   461,   462,   463,
       0,     0,   144,     0,   464,   465,   466,   467,   468,   147,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,   150,   477,   478,     0,     0,     0,     0,   151,     0,
       0,     0,   480,   481,   482,   483,   748,   484,  1490,  1491,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,  1492,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,     0,   512,   513,   514,     0,
       0,   515,     0,   516,   517,  1493,   518,  5922,   519,     0,
     520,   168,     0,   169,   521,   522,   523,   524,     0,   525,
       0,     0,     0,   526,   527,     0,   528,   529,   750,   530,
     531,   173,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,   175,     0,     0,   544,
     545,   546,  1495,  1496,     0,  1497,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
       0,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,  1498,   190,  1499,   573,
     574,   575,     0,     0,   576,   577,   194,   578,     0,     0,
     579,  1500,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,     0,   198,   590,
     199,     0,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,     0,   602,     0,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,  1501,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,   211,   634,   635,   636,   637,   638,     0,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,  1502,   655,   656,
     220,   657,   658,  1503,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,     0,   674,   225,   675,   676,   677,   678,   679,
       0,   680,  1504,  1505,     0,     0,   682,   683,     0,   684,
       0,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,     0,  1506,     0,   702,   237,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   755,   714,   715,   779,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,   780,   103,   104,   734,
     781,     0,   106,   107,   108,   109,   782,   783,   111,   112,
     113,     0,   114,   784,   785,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,     0,  1485,   135,  1486,  1487,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
    1488,  1489,   459,     0,   460,   461,   462,   463,     0,     0,
     144,     0,   464,   465,   466,   467,   468,   147,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,     0,     0,     0,   151,     0,     0,     0,
     480,   481,   482,   483,   748,   484,  1490,  1491,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,  1492,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,     0,   512,   513,   514,     0,     0,   515,
       0,   516,   517,  1493,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,     0,     0,
       0,   526,   527,     0,   528,   529,   750,   530,  1494,   173,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,     0,     0,   544,   545,   546,
    1495,  1496,     0,  1497,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,     0,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,  1498,   190,  1499,   573,   574,   575,
       0,     0,   576,   577,   194,   578,     0,     0,   579,  1500,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,     0,   198,   590,   199,     0,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,     0,   602,     0,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,  1501,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,     0,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,  1502,   655,   656,   220,   657,
     658,  1503,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
    1504,  1505,     0,     0,   682,   683,     0,   684,     0,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,     0,  1506,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   755,   714,   715,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,     0,  1485,   135,  1486,  1487,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,  1488,  1489,
     459,     0,   460,   461,   462,   463,     0,     0,   144,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,     0,     0,     0,   151,     0,     0,     0,   480,   481,
     482,   483,   748,   484,  1490,  1491,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,     0,   512,   513,   514,     0,     0,   515,     0,   516,
     517,  1493,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,     0,     0,     0,   526,
     527,     0,   528,   529,   750,   530,  1555,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,     0,     0,   544,   545,   546,  1495,  1496,
       0,  1497,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,     0,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1498,   190,  1499,   573,   574,   575,     0,     0,
     576,   577,   194,   578,     0,     0,   579,  1500,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,     0,   198,   590,   199,     0,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
       0,   602,     0,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1501,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,     0,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,  1502,   655,   656,   220,   657,   658,  1503,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1504,  1505,
       0,     0,   682,   683,     0,   684,     0,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,     0,
    1506,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     755,   714,   715,   779,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,   780,   103,   104,   734,   781,     0,   106,   107,
     108,   109,   782,   783,   111,   112,   113,     0,   114,   784,
     785,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
       0,  1485,   135,  1486,  1487,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,  1488,  1489,   459,     0,
     460,   461,   462,   463,     0,     0,   144,     0,   464,   465,
     466,   467,   468,   147,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,     0,
       0,     0,   151,     0,     0,     0,   480,   481,   482,   483,
     748,   484,  1490,  1491,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,  1492,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,     0,
     512,   513,   514,     0,     0,   515,     0,   516,   517,  1493,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,     0,     0,     0,   526,   527,     0,
     528,   529,   750,   530,   531,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,     0,     0,   544,   545,   546,  1495,  1496,     0,  1497,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,     0,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
    1498,   190,  1499,   573,   574,   575,     0,     0,   576,   577,
     194,   578,     0,     0,   579,  1500,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,     0,   198,   590,   199,     0,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,     0,   602,
       0,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,  1501,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,  1502,   655,   656,   220,   657,   658,  1503,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,  1504,  1505,     0,     0,
     682,   683,     0,   684,     0,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,     0,  1506,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   755,   714,
     715,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,     0,  1485,
     135,  1486,  1487,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,  1488,  1489,   459,     0,   460,   461,
     462,   463,     0,     0,   144,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,     0,     0,     0,
     151,     0,     0,     0,   480,   481,   482,   483,   748,   484,
    1490,  1491,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,     0,   512,   513,
     514,     0,     0,   515,     0,   516,   517,  1493,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,     0,     0,     0,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,     0,
       0,   544,   545,   546,  1495,  1496,     0,  1497,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,     0,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1498,   190,
    1499,   573,   574,   575,     0,     0,   576,   577,   194,   578,
       0,     0,   579,  1500,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,     0,
     198,   590,   199,     0,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,     0,   602,     0,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1501,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
       0,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,  2693,
     655,   656,   220,   657,   658,  1503,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1504,  1505,     0,     0,   682,   683,
       0,   684,     0,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,     0,  1506,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   755,   714,   715,   779,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,   780,   103,
     104,   734,   781,     0,   106,   107,   108,   109,   782,   783,
     111,   112,   113,     0,   114,   784,   785,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,   131,   448,   449,   450,     0,  1485,   135,  1486,
    1487,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,  1488,  1489,   459,     0,   460,   461,   462,   463,
       0,     0,   144,     0,   464,   465,   466,   467,   468,   147,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,   150,   477,   478,     0,     0,     0,     0,   151,     0,
       0,     0,   480,   481,   482,   483,   748,   484,  1490,  1491,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,  1492,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,     0,   512,   513,   514,     0,
       0,   515,     0,   516,   517,  1493,   518,     0,   519,     0,
     520,   168,     0,   169,   521,   522,   523,   524,     0,   525,
       0,     0,     0,   526,   527,     0,   528,   529,   750,   530,
     531,   173,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,   175,     0,     0,   544,
     545,   546,  1495,  1496,     0,  1497,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
       0,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,  1498,   190,  1499,   573,
     574,   575,     0,     0,   576,   577,   194,   578,     0,     0,
     579,  1500,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,     0,   198,   590,
     199,     0,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,     0,   602,     0,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,  1501,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,   211,   634,   635,   636,   637,   638,     0,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,     0,   655,   656,
     220,   657,   658,  1503,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,     0,   674,   225,   675,   676,   677,   678,   679,
       0,   680,  1504,  1505,     0,     0,   682,   683,     0,   684,
       0,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,     0,  1506,     0,   702,   237,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   755,   714,   715,   779,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,   780,   103,   104,   734,
     781,     0,   106,   107,   108,   109,   782,   783,   111,   112,
     113,     0,   114,   784,   785,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,     0,     0,   135,     0,     0,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
       0,     0,   459,     0,   460,   461,   462,   463,     0,     0,
     144,     0,   464,   465,   466,   467,   468,   147,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,     0,     0,     0,   151,     0,     0,     0,
     480,   481,   482,   483,   748,   484,     0,     0,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,     0,   512,   513,   514,     0,     0,   515,
       0,   516,   517,     0,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,     0,     0,
       0,   526,   527,     0,   528,   529,   750,   530,   531,   173,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,     0,     0,   544,   545,   546,
       0,     0,     0,     0,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,     0,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,     0,   190,     0,   573,   574,   575,
       0,     0,   576,   577,   194,   578,     0,     0,   579,     0,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,     0,   198,   590,   199,     0,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,     0,   602,     0,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,     0,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,     0,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,     0,   655,   656,   220,   657,
     658,     0,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
       0,     0,     0,     0,   682,   683,     0,   684,     0,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,     0,     0,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     786,   440,   441,   442,   787,   788,   789,   790,   791,   792,
     793,   443,   444,   794,   445,   446,   447,   131,   448,   449,
     450,   133,   134,   135,   136,   137,   795,   451,   452,   453,
     454,   455,   456,   796,   797,   457,   458,     0,   139,   459,
     799,   460,   461,   462,   463,   143,   800,   144,   801,   464,
     465,   466,   467,   468,   147,   469,   470,   802,   803,   471,
     472,   473,   474,   475,   476,   804,   150,   477,   478,     0,
     806,   807,   808,   151,   809,   810,   811,   480,   481,   482,
     483,     0,   484,   154,   155,   485,   812,   486,   813,   487,
     488,   489,   490,   491,   492,   814,   493,   494,   495,   496,
     815,   816,   497,   498,   499,   500,   501,   817,   502,   503,
     504,   818,   505,   506,   507,   819,   508,   509,   510,   511,
     163,   512,   513,   514,   165,   820,   515,   821,   516,   517,
     167,   518,   822,   519,   823,   520,   168,   824,   169,   521,
     522,   523,   524,   825,   525,   171,   826,   172,   526,   527,
     827,   528,   529,     0,   530,   531,   173,   532,   533,   534,
     535,   828,   536,   537,   538,   539,   540,   541,   542,   829,
     543,   175,   176,     0,   544,   545,   546,     0,   177,   832,
     178,   833,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,   834,   835,   554,   182,   183,   555,   184,   836,
     556,   557,   558,   837,   838,   559,   560,   561,   562,   563,
     564,   565,   566,   567,     0,   568,   569,     0,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,   839,   576,
     577,   194,   578,   840,   195,   579,   196,   580,   581,   582,
     841,   583,   584,   842,   843,   585,   586,   587,   844,   845,
     588,   589,   197,   198,   590,   199,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   846,   600,   601,   201,
     602,   202,   603,   604,   605,   847,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,   848,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   849,   632,   633,   211,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,     0,   646,   850,   647,   648,   649,   650,   651,   851,
     653,   654,   218,   655,   656,   220,   657,   658,   221,   659,
     852,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,   853,   672,   673,   854,   674,   225,
     675,   676,   677,   678,   679,   855,   680,   226,   227,     0,
     857,   682,   683,   228,   684,   229,   858,   685,   686,   687,
     688,   689,   690,   691,     0,   860,   692,   693,   694,   695,
     696,   861,   862,   697,   698,   699,   700,   701,     0,   236,
     864,   702,   237,   703,   704,   705,   706,   865,   866,   707,
     867,   868,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,  1247,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,   431,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,  2729,   460,   461,   462,   463,   143,     0,     0,  2808,
     464,   465,   466,   467,   468,     0,   469,   470,   746,  2730,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,  2809,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,  2732,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,  2810,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,  2733,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,  2734,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,  2729,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,  2730,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,  2809,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,  2732,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,  3844,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,  2733,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,  2734,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,  1142,   438,   439,  1094,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
    1095,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,  1143,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,  1096,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,  1097,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,  1094,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,  1095,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,  3522,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,  1096,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,  1097,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,  2729,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,  2730,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,  2809,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
    2732,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,  2733,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,  2734,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,   431,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   744,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,   747,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,   749,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
    1094,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,  1095,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,  1096,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,  1097,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,   995,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   996,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     997,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,  2398,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,  2399,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,  2400,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,  2401,   520,
       0,     0,     0,  2402,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,  2403,  2404,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,  2405,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,  2406,   638,   213,   639,   640,
     641,  2407,   643,   644,   645,   753,   646,     0,  2408,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,  2409,   674,     0,  2410,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,  2411,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,  1095,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,  1096,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,  1097,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
    2387,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,   431,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
    3382,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
    3383,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,  2668,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,  3384,   674,     0,   675,  3385,
     677,  3386,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,  3387,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,   431,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   771,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,   749,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,   431,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   940,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,  1334,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,  1335,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
    1177,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,   431,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,  1468,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
    3614,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  3615,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,  3627,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,  3628,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,   431,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,  1001,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,   431,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,  1056,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,   431,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,  1112,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,  1177,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,  1292,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,  1293,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,  1775,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,  1965,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,  1177,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
    2020,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,  2021,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,  2251,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,  2387,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,  2668,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,  4714,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,  4728,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,  1124,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,  1126,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,  1127,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,  1128,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,  1129,   227,     0,     0,  1130,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,  1131,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,  1171,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
    1127,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,  1172,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
    1173,   227,     0,     0,  1174,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,  1131,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,  1190,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,  1317,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,  1327,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,  1345,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,  1413,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
    1419,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,  1435,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,  1438,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,  1440,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,  1483,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,  1549,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,  1551,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,  1561,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,  1564,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,  1567,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,  1786,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
    1156,   458,  1127,   139,  1787,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,  1160,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,  1161,   635,   636,   637,   638,   213,   639,
     640,   641,  1162,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,  1779,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,  1164,   227,     0,     0,  1165,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,  1131,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,  1166,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,  1915,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,  1916,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,  1126,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,  1127,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,  1131,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,  2198,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,  2236,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,  2238,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,  2311,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,  2313,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,  2315,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,  2437,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,  2633,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,     0,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,  3089,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,  3093,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,  3533,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,  3602,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,  3617,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,  3619,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,  3762,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,  3798,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,  1156,   458,  1127,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,  1160,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,  1161,   635,   636,   637,
     638,   213,   639,   640,   641,  1162,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,  1779,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,  1164,   227,     0,     0,  1165,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,  1131,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,  1166,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,  1127,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,  1131,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,  1156,   458,  1127,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,  1160,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
    1161,   635,   636,   637,   638,   213,   639,   640,   641,  1162,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
    1779,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,  2716,   676,   677,   678,   679,     0,   680,  1164,
     227,     0,     0,  1165,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
    1131,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,  1166,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,  1156,   458,  1127,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,  1160,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,  1161,   635,   636,
     637,   638,   213,   639,   640,   641,  2793,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,  2794,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,  1164,   227,     0,     0,
    2795,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,  1131,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,  1166,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,  1156,   458,  1127,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,  1160,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,  1161,   635,   636,   637,   638,   213,
     639,   640,   641,  2870,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,  2794,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,  1164,   227,     0,     0,  2795,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,  1131,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,  1166,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,  1156,   458,
    1127,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,  1160,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,  1161,   635,   636,   637,   638,   213,   639,   640,   641,
    2887,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,  2794,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
    1164,   227,     0,     0,  2795,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,  1131,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
    1166,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,  1156,   458,  1127,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
    1160,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,  1161,   635,
     636,   637,   638,   213,   639,   640,   641,  1162,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,  2794,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,  1164,   227,     0,
       0,  2795,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,  1131,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,  1166,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,     0,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
       0,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,     0,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,     0,    89,    90,    91,     0,     0,     0,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
       0,     0,     0,   106,   107,   108,   109,     0,   110,   111,
     112,   113, -2797,   114,   115,   116,     0,     0,     0,     0,
       0,   119,   120,     0,     0,     0,     0,   121,     0,     0,
       0,     0,     0,     0,     0,     0,   122,     0,   123,     0,
     124,   125,    35,     0,   426,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   131,     0,     0,     0,   133,   134,   135,   136,   137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    86,    87,     0,    89,    90,    91,     0,
       0,     0,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,     0,     0,     0,   106,   107,   108,
     109,     0,   110,   111,   112,   113, -2798,   114,   115,   116,
       0,     0,     0,     0,     0,   119,   120,     0,     0,     0,
       0,   121,     0,     0,     0,     0,     0,     0,     0,     0,
     122,     0,   123,     0,   124,   125,    35,     0,  1242,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   131,     0,     0,     0,   133,
     134,   135,   136,   137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    86,    87,     0,
      89,    90,    91,     0,     0,     0,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,     0,     0,
       0,   106,   107,   108,   109,     0,   110,   111,   112,   113,
       0,   114,   115,   116,     0,     0,     0,     0,     0,   119,
     120,     0,     0,     0,     0,   121,     0,     0,     0,     0,
       0,     0,     0,     0,   122,     0,   123,     0,   124,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   131,
       0,     0,     0,   133,   134,   135,   136,   137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,     0,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    86,    87,     0,    89,    90,    91,     0,     0,     0,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,     0,     0,     0,   106,   107,   108,   109,     0,
     110,   111,   112,   113,     0,   114,   115,   116,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   131,     0,     0,     0,   133,   134,   135,
     136,   137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,   134,
     135,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,     0,   139,   459,     0,   460,   461,
     462,   463,   143,     0,   144,     0,   464,   465,   466,   467,
     468,   147,   469,   470,     0,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,     0,     0,     0,
     151,     0,     0,     0,   480,   481,   482,   483,     0,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,  2363,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
       0,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
    2364,     0,   585,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,     0,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,   220,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,  2365,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,     0,   236,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   714,   715,     0,
       0,     0,     0,     0,    41,    42,  1872,  1873,  5702,     0,
       0,     0,     0,     0,     0,  5703,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,   128,   129,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
     134,   135,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,     0,   139,   459,     0,   460,
     461,   462,   463,   143,     0,   144,     0,   464,   465,   466,
     467,   468,   147,   469,   470,     0,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,     0,     0,
       0,   151,     0,     0,     0,   480,   481,   482,   483,     0,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,     0,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,     0,
     646,   216,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,   220,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,   224,   674,   225,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   235,   236,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,   238,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,   714,   715,
      35,   431,   250,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,   251,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,   134,   135,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,     0,
     139,   459,     0,   460,   461,   462,   463,   143,     0,   144,
       0,   464,   465,   466,   467,   468,   147,   469,   470,     0,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,     0,     0,     0,   151,     0,     0,     0,   480,
     481,   482,   483,     0,   484,   154,   155,   485,  2568,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,  2363,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,     0,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,   182,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,     0,   568,   569,     0,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,  2364,     0,   585,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,     0,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,   220,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,  2365,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
       0,   236,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,   714,   715,     0,     0,     0,     0,     0,    35,
     431,  1872,  1873,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,   134,   135,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,     0,   139,
     459,     0,   460,   461,   462,   463,   143,     0,   144,     0,
     464,   465,   466,   467,   468,   147,   469,   470,     0,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,     0,     0,     0,   151,     0,     0,     0,   480,   481,
     482,   483,     0,   484,   154,   155,   485,  2573,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,  2363,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,     0,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,   182,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,     0,   568,   569,     0,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,  2364,     0,   585,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,     0,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,   220,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,  2365,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,     0,
     236,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   714,   715,     0,     0,     0,     0,     0,    35,   431,
    1872,  1873,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,   133,   134,   135,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,     0,   139,   459,
       0,   460,   461,   462,   463,   143,     0,   144,     0,   464,
     465,   466,   467,   468,   147,   469,   470,     0,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
       0,     0,     0,   151,     0,     0,     0,   480,   481,   482,
     483,     0,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,  2363,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,     0,   530,   531,   173,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,     0,   568,   569,     0,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,  2364,     0,   585,   586,   587,     0,     0,
     588,   589,   197,   198,   590,   199,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,     0,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,   220,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,  2365,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,     0,   236,
       0,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
     714,   715,     0,     0,     0,     0,     0,    35,   431,  1872,
    1873,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
     133,   134,   135,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,     0,   139,   459,     0,
     460,   461,   462,   463,   143,     0,   144,     0,   464,   465,
     466,   467,   468,   147,   469,   470,     0,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,     0,
       0,     0,   151,     0,     0,     0,   480,   481,   482,   483,
       0,   484,   154,   155,   485,  3515,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,  2363,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,     0,   530,   531,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,   182,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,  2364,     0,   585,   586,   587,     0,     0,   588,
     589,   197,   198,   590,   199,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
       0,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,   220,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,  2365,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,     0,   236,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,   714,
     715,     0,     0,     0,     0,     0,    35,   431,  1085,  1086,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
     134,   135,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,     0,   139,   459,     0,   460,
     461,   462,   463,   143,     0,   144,     0,   464,   465,   466,
     467,   468,   147,   469,   470,     0,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,     0,     0,
       0,   151,     0,     0,   479,   480,   481,   482,   483,     0,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,     0,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,     0,
     646,     0,   647,   648,   649,   650,   651,   652,   653,   654,
     218,   655,   656,   220,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,   226,   227,   681,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,     0,   236,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,   714,   715,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,   134,   135,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,     0,
     139,   459,     0,   460,   461,   462,   463,   143,     0,   144,
       0,   464,   465,   466,   467,   468,   147,   469,   470,     0,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,     0,     0,     0,   151,     0,     0,   479,   480,
     481,   482,   483,     0,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,     0,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,   182,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,     0,   568,   569,     0,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,     0,   646,     0,   647,   648,   649,   650,
     651,   652,   653,   654,   218,   655,   656,   220,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
       0,   236,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   714,   715,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,   133,   134,   135,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
       0,   139,   459,     0,   460,   461,   462,   463,   143,     0,
     144,     0,   464,   465,   466,   467,   468,   147,   469,   470,
       0,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,     0,     0,     0,   151,     0,     0,     0,
     480,   481,   482,   483,     0,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,  2363,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,     0,   530,   531,   173,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,     0,   568,   569,
       0,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,  2364,     0,   585,   586,
     587,     0,     0,   588,   589,   197,   198,   590,   199,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,     0,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,   220,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,  2365,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,     0,   236,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   714,   715,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,   133,   134,   135,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,     0,   139,   459,     0,   460,   461,   462,   463,   143,
       0,   144,     0,   464,   465,   466,   467,   468,   147,   469,
     470,     0,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,     0,     0,     0,   151,     0,     0,
       0,   480,   481,   482,   483,     0,   484,   154,   155,   485,
    2553,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,     0,   530,   531,
     173,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,   182,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,     0,   568,
     569,     0,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,   198,   590,   199,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,     0,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,   220,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,     0,   236,     0,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   714,   715,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,   131,   448,   449,   450,   133,   134,   135,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,     0,   139,   459,     0,   460,   461,   462,   463,
     143,     0,   144,     0,   464,   465,   466,   467,   468,   147,
     469,   470,     0,     0,   471,   472,   473,   474,   475,   476,
       0,   150,   477,   478,     0,     0,     0,     0,   151,     0,
       0,     0,   480,   481,   482,   483,     0,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,   168,     0,   169,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,     0,   530,
     531,   173,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
     182,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,     0,
     568,   569,     0,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,   198,   590,
     199,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,   211,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,     0,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
     220,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,   225,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,     0,   236,     0,   702,   237,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   714,   715,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,   134,   135,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,     0,   139,   459,     0,   460,   461,   462,
     463,   143,     0,   144,     0,   464,   465,   466,   467,   468,
     147,   469,   470,     0,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,     0,     0,     0,   151,
       0,     0,     0,   480,   481,   482,   483,     0,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,     0,
     530,  2339,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
       0,   568,   569,     0,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,     0,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,   220,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,     0,   236,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   714,   715,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,  1321,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,   134,
     135,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,     0,   139,   459,     0,   460,   461,
     462,   463,   143,     0,   144,     0,   464,   465,   466,   467,
     468,   147,   469,   470,     0,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,     0,     0,     0,
     151,     0,     0,   479,   480,   481,   482,   483,     0,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
       0,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,     0,   646,
       0,   647,   648,   649,   650,   651,   652,   653,   654,   218,
     655,   656,   220,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,     0,   236,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   714,   715,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,  1341,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
     134,   135,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,     0,   139,   459,     0,   460,
     461,   462,   463,   143,     0,   144,     0,   464,   465,   466,
     467,   468,   147,   469,   470,     0,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,     0,     0,
       0,   151,     0,     0,   479,   480,   481,   482,   483,     0,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,     0,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,  1342,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,     0,
     646,     0,   647,   648,   649,   650,   651,   652,   653,   654,
     218,   655,   656,   220,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,     0,   236,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   714,   715,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
     133,   134,   135,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,     0,   139,   459,     0,
     460,   461,   462,   463,   143,     0,   144,     0,   464,   465,
     466,   467,   468,   147,   469,   470,     0,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,     0,
       0,     0,   151,     0,     0,   479,   480,   481,   482,   483,
       0,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,     0,   530,   531,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,   182,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,   198,   590,   199,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
       0,   646,     0,   647,   648,   649,   650,   651,   652,   653,
     654,   218,   655,   656,   220,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
    2952,     0,   697,   698,   699,   700,   701,     0,   236,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   714,
     715,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,   133,   134,   135,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,     0,   139,   459,
       0,   460,   461,   462,   463,   143,     0,   144,     0,   464,
     465,   466,   467,   468,   147,   469,   470,     0,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
       0,     0,     0,   151,     0,     0,   479,   480,   481,   482,
     483,     0,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,   171,  3985,   172,   526,   527,
       0,   528,   529,     0,   530,   531,   173,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,     0,   568,   569,     0,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,   198,   590,   199,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,     0,   646,     0,   647,   648,   649,   650,   651,   652,
     653,   654,   218,   655,   656,   220,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,     0,   236,
       0,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     714,   715,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,   134,   135,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,     0,   139,
     459,     0,   460,   461,   462,   463,   143,     0,   144,     0,
     464,   465,   466,   467,   468,   147,   469,   470,     0,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,     0,     0,     0,   151,     0,     0,   479,   480,   481,
     482,   483,     0,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,     0,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,   182,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,     0,   568,   569,     0,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,     0,   646,     0,   647,   648,   649,   650,   651,
     652,   653,   654,   218,   655,   656,   220,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,     0,
     236,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   714,   715,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,   134,   135,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,     0,
     139,   459,     0,   460,   461,   462,   463,   143,     0,   144,
       0,   464,   465,   466,   467,   468,   147,   469,   470,     0,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,     0,     0,     0,   151,     0,     0,   479,   480,
     481,   482,   483,     0,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,     0,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,   182,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,  1447,   564,   565,   566,   567,     0,   568,   569,     0,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,     0,   646,     0,   647,   648,   649,   650,
     651,   652,   653,   654,   218,   655,   656,   220,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
       0,   236,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   714,   715,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,   133,   134,   135,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
       0,   139,   459,     0,   460,   461,   462,   463,   143,     0,
     144,     0,   464,   465,   466,   467,   468,   147,   469,   470,
       0,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,     0,     0,     0,   151,     0,     0,   479,
     480,   481,   482,   483,     0,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,     0,   530,  1532,   173,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,     0,   568,   569,
       0,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,   198,   590,   199,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,     0,   646,     0,   647,   648,   649,
     650,   651,   652,   653,   654,   218,   655,   656,   220,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,     0,   236,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   714,   715,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,   133,   134,   135,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,     0,   139,   459,     0,   460,   461,   462,   463,   143,
       0,   144,     0,   464,   465,   466,   467,   468,   147,   469,
     470,     0,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,     0,     0,     0,   151,     0,     0,
     479,   480,   481,   482,   483,     0,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,     0,   530,  1545,
     173,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,   182,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,     0,   568,
     569,     0,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,   198,   590,   199,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,     0,   646,     0,   647,   648,
     649,   650,   651,   652,   653,   654,   218,   655,   656,   220,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,     0,   236,     0,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   714,   715,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,   131,   448,   449,   450,   133,   134,   135,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,     0,   139,   459,     0,   460,   461,   462,   463,
     143,     0,   144,     0,   464,   465,   466,   467,   468,   147,
     469,   470,     0,     0,   471,   472,   473,   474,   475,   476,
       0,   150,   477,   478,     0,     0,     0,     0,   151,     0,
       0,   479,   480,   481,   482,   483,     0,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,   168,     0,   169,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,     0,   530,
    1557,   173,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
     182,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,  1558,   564,   565,   566,   567,     0,
     568,   569,     0,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,   198,   590,
     199,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,   211,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,     0,   646,     0,   647,
     648,   649,   650,   651,   652,   653,   654,   218,   655,   656,
     220,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,   225,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,     0,   236,     0,   702,   237,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   714,   715,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
     128,   129,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,   134,   135,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,     0,   139,   459,     0,   460,   461,   462,
     463,   143,     0,   144,     0,   464,   465,   466,   467,   468,
     147,   469,   470,     0,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,     0,     0,     0,   151,
       0,     0,     0,   480,   481,   482,   483,     0,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,     0,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
       0,   568,   569,     0,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,     0,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,   220,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,     0,   236,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   714,   715,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,   134,
     135,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,     0,   139,   459,     0,   460,   461,
     462,   463,   143,     0,   144,     0,   464,   465,   466,   467,
     468,   147,   469,   470,     0,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,     0,     0,     0,
     151,     0,     0,     0,   480,   481,   482,   483,     0,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
       0,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,     0,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,   220,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,     0,   236,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   714,   715,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,     0,
       0,     0,     0,     0,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,     0,     0,   459,     0,   460,
     461,   462,   463,     0,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,     0,
     484,     0,     0,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,     0,   512,
     513,   514,     0,     0,   515,     0,   516,   517,     0,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,     0,     0,     0,   526,   527,     0,   528,
     529,     0,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
       0,     0,   544,   545,   546,     0,     0,     0,     0,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,     0,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,     0,
       0,     0,   573,   574,   575,     0,     0,   576,   577,     0,
     578,     0,     0,   579,     0,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
       0,     0,   590,     0,     0,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,     0,   602,     0,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,     0,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,     0,   639,   640,   641,   642,   643,   644,   645,     0,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
       0,   655,   656,     0,   657,   658,     0,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,     0,     0,     0,     0,   682,
     683,     0,   684,     0,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,     0,     0,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   714,   715
};

static const yytype_int16 yycheck[] =
{
       2,   115,    78,   224,   210,   965,   394,   905,    78,    78,
    1208,   251,  1328,   394,  1158,  1588,  1175,  1008,   900,   230,
      78,   378,  1095,  1096,  1097,  1344,   908,   166,  1101,   911,
      78,  1535,  1502,  1236,  1153,  1329,    84,  1277,  2072,   152,
    1618,  1951,  1360,   149,  1180,  1356,  1189,   161,   153,   188,
    3236,    78,  1181,  3098,  1995,  1654,  1165,  1008,  1505,    78,
    2353,  1441,  1490,  1491,  1988,    84,   891,  1354,  3606,   777,
    1050,  1062,  1500,  2012,   170,  2542,    78,   159,  3397,  2858,
    3451,    78,    84,   905,  2150,  1995,    88,  3579,   164,  3876,
    1520,  3042,  1295,  2232,  2001,    95,   115,  1416,   203,  3029,
    3920,  1420,   164,  3923,  4243,   105,  1425,   901,  2920,  3633,
    2136,  3635,  4243,   115,   210,  1434,   910,  2442,   232,  4188,
    3907,  2941,  1255,  3841,  1255,  3830,   130,  2697,  2698,  1448,
     924,   778,  3212,   366,  3824,  3460,   138,    93,   380,  4113,
    3830,   141,   161,   965,  1061,  1045,  4239,  1032,  4790,  4295,
     152,  4479,   209,  1289,   380,  2286,   156,   250,  4518,   161,
    4148,  1046,   219,  2102,  2103,  4522,  1866,  1867,  1868,   963,
    1161,  4531,  4535,  2426,   130,   969,  4142,   217,  1430,  2245,
    3425,  2536,  5139,  2583,  3326,  2613,  4532,  1030,   982,  2096,
    1033,  2591,  2615,  4521,  1446,  5197,   152,   153,  2337,  1601,
    1861,  1862,   166,  4976,  5024,  1027,   162,   209,  1929,  1572,
    1161,  1205,  1581,   232,  1980,   217,  3493,   219,  5217,  5341,
    5303,  5353,  5021,  1205,   188,    29,   115,  1363,  4209,  4147,
     232,  4149,  1488,  1489,  1250,  1251,  5155,  4076,  5157,    20,
    1053,     9,    86,  1499,   124,  1286,    70,   203,   110,    13,
    5023,    86,   147,  3032,  1682,  1683,    70,  2985,  5257,  2987,
      84,  5264,  5265,  2991,  1711,  2993,  2994,   885,   162,  2035,
      13,   132,   161,  1701,  3002,  3003,  3004,   132,  1319,  5555,
     115,    78,  1522,  1324,   187,  1328,  2052,   995,    70,    73,
      74,    75,    76,  1336,   132,   132,    80,    79,   101,    13,
     132,   132,    84,  1346,  5459,  5460,    73,    74,    75,    76,
     386,   132,   147,    80,  5494,    70,   386,   386,    73,    74,
      75,    76,  3464,    84,    79,    80,   132,    70,   386,    84,
      73,    74,    75,    76,   233,  1408,    79,    80,    81,    82,
      78,    84,   117,   232,   262,   117,   394,  2134,  2135,   114,
      73,    74,    75,    76,   238,    86,    70,    80,   282,   386,
     101,  3140,   101,  3142,   114,    88,    89,   108,   195,   108,
      73,    74,    75,    76,  3581,   394,   350,    80,   262,   141,
     154,   429,   238,   159,   192,  1588,   233,  5289,   145,   386,
     315,   344,   394,    73,    74,    75,    76,   159,   206,   232,
      80,   149,    97,   187,   141,   101,   414,   132,    88,    89,
     429,  3945,   108,   414,  5297,  1671,  1672,    73,    74,    75,
      76,    95,  1581,   149,    80,   432,   238,   429,    73,    74,
      75,    76,    88,    89,   138,    80,   216,  1580,   208,   238,
     101,  1697,   194,    88,    89,     0,   166,  1155,    69,   503,
    1830,   149,    49,    13,   238,   217,    77,    78,  5580,   416,
      73,    74,    75,    76,   503,  5192,   101,    80,   239,    78,
      67,   149,  5199,   235,   430,    88,    89,  5476,   149,  5755,
     217,   159,  1380,   491,   105,   106,  1804,   149,   159,    73,
      74,    75,    76,   238,  1376,   549,    80,   422,   235,   887,
    1382,  5420,   238,  1385,  1791,     2,   887,   192,   238,   403,
    2641,   206,   189,   238,    73,    74,    75,    76,   475,   238,
     300,    80,  5342,   186,   244,    73,    74,    75,    76,   220,
     132,   192,    80,    24,    73,    74,    75,    76,   371,   238,
    1365,    80,   549,   404,  5343,   219,    24,    78,   549,   404,
    2681,   245,  1942,   400,  2685,   213,  4607,  4608,  1380,  4610,
    4611,  4612,  4613,  4614,   180,   373,   404,   404,   681,  1560,
    1077,   398,   404,   404,  1081,  1082,  1083,   104,   552,    78,
      78,  5464,   235,   404,  1091,   342,  1789,  1730,  2058,   386,
     180,  1794,  1795,    78,  1753,  1731,   549,  1588,   404,   180,
     282,    73,    74,    75,    76,  1252,  1253,  1766,    80,  1560,
      73,    74,    75,    76,   376,   276,   237,    80,   239,    78,
    5522,    36,  1758,    38,   729,   730,  4331,   551,   512,    73,
      74,    75,    76,  3840,   552,   538,    80,  1796,  1797,   376,
    5762,  4331,    73,    74,    75,    76,   180,   180,   386,    80,
     549,  5653,   547,  5013,  1272,   458,   551,  1542,   552,    73,
      74,    75,    76,  5818,  5844,  4355,    80,  1658,   429,   549,
    5753,    70,  1990,  1590,    73,    74,    75,    76,   442,   681,
      79,    80,    81,    82,   498,    84,   470,   549,   115,  5965,
     455,   552,  5695,   418,   470,   470,   552,   552,   919,   442,
     441,   545,   441,  4490,    70,   455,  4680,  1658,  4246,   483,
     545,  1854,   493,    79,   552,   552,   540,   541,    84,  4707,
     552,   552,   470,   498,   486,   681,   498,   385,   442,   180,
     498,   552,    86,   368,   161,   502,   431,   549,   508,  1624,
     414,   493,  2529,   547,   470,   441,   552,  3526,  2067,   486,
    5570,  2070,  4718,   552,   538,  1640,  4722,  1570,   540,   541,
     434,   115,   543,   424,  5886,  1968,  5898,   551,   282,   883,
    1655,  5654,   470,   729,   730,  1978,  5659,   386,   549,   504,
    5579,   894,   549,  4764,  2078,  4624,   541,   278,  4706,  2041,
    4708,   426,   470,   147,  4512,  1786,   491,   540,   541,   470,
     278,  2191,   404,  1794,  1795,   232,   491,   552,   470,   472,
    5452,   542,   543,   544,   545,  2393,   552,   508,   495,   549,
      97,   777,  1062,  2134,  2135,  2136,   549,   462,  5827,   464,
     491,  2463,  1065,   552,    86,  1786,  2088,  2341,   428,   887,
    1820,  5840,   458,   956,   547,  2132,   549,   238,   551,  5971,
     549,  1208,   515,   189,  1848,   386,  2059,   132,   552,  2062,
    2063,    86,   944,   115,   883,  1881,  1848,  2808,   887,   549,
     552,  2778,   948,  5019,   401,  2303,  5795,   458,   948,   948,
     250,   883,   503,   238,    13,   887,  1107,   386,   386,   891,
     948,   549,   997,   549,    78,   147,  2400,    78,   900,   901,
      78,   386,    28,    78,   549,  1018,   908,  2411,   910,   911,
     342,  4449,  6034,  3725,   329,   170,  3867,   282,   238,   247,
     345,   948,   924,  1966,   458,   458,  3496,   386,  3498,   206,
     514,  2183,   330,  3400,  1581,  1074,   549,  1076,  5758,  1078,
      97,  5940,   262,  2141,  4436,  1084,  1987,  2854,  2974,   951,
     286,   535,  1058,   282,  4231,  1197,   282,  5756,   192,  2162,
    1181,   963,   282,   512,  5737,   549,    97,   969,   238,  1108,
    1109,  1197,  2374,  5975,  5976,   514,   240,   327,  2380,  2022,
     982,  2642,  6065,  2644,  5757,  1061,   345,  2350,  2709,  2358,
     549,  1212,   247,   329,   883,  2036,   535,   104,  5137,  1001,
    1062,   549,  3430,   552,  5332,   250,  1008,   458,  3431,   115,
     549,  1013,  2053,   219,   414,  3415,   166,  1019,   102,   187,
     166,  1023,  1024,   472,  3803,  3804,  2282,  2283,  1030,  5080,
    1032,  1033,  2798,  4567,  4568,  4569,  4570,  4571,   552,   995,
    5179,   997,   276,  1045,  1046,   350,  6003,  3081,   219,   206,
     386,  1053,   327,   344,  5193,   161,   250,  2487,   458,  1059,
    1062,   189,  5193,  4555,  1285,  4207,   515,  5887,    97,  2029,
      24,   239,   327,  6075,  3802,   206,  1076,   549,  1078,   470,
      34,   409,   327,   360,  1591,   282,   549,  1594,  1088,  5888,
    1597,   282,  1599,   491,   244,  1602,   383,  1190,   244,  1606,
    1056,   327,   378,   209,  1060,   549,  3461,   344,  1108,  1109,
    4355,   217,  1076,   219,  1078,   470,   380,   549,   549,  1159,
     182,   398,  5096,  1163,   549,  1187,   232,   497,   493,   404,
    4501,   109,  2275,   327,  1182,   549,    73,    74,    75,    76,
     288,   540,   541,    80,  1108,  1109,   512,   538,   274,  2722,
    1152,  1153,  5140,  1157,   431,   512,   431,  1159,   517,  1161,
     551,  1163,   330,  1182,   493,  3418,  2484,   493,  2241,   535,
     216,  5970,  3096,   493,   540,   541,   364,   206,  5144,   327,
    1182,   531,  5539,  5149,   138,  1187,  5152,  1189,   542,   543,
     544,   545,   254,   277,   344,   552,   181,  2356,   344,  1155,
     470,  1157,   386,   360,  5907,   386,   334,  2029,   386,   187,
    5538,   386,   467,  2531,  5353,  5572,   552,  2535,  2529,   496,
    5040,  5008,   458,  2693,   553,  5588,  5586,   187,   434,   360,
     156,    69,  5578,   553,   280,    73,    74,    75,    76,    77,
      78,   398,    80,  5571,  1358,   192,  4784,   552,  1250,  1251,
    5892,  5893,   497,   315,  3824,   405,   318,   491,   101,   405,
    3830,    83,   549,   434,  2408,  2409,     5,   398,    90,    91,
      92,   497,   198,   549,   431,  1332,  1333,  1279,   182,   182,
    3411,   266,  1279,   191,    97,    24,   434,   199,   540,   541,
     542,   543,   544,   545,   401,    34,   493,   209,  2441,  2442,
     431,  4825,   493,   497,   350,  2448,   180,   414,   553,   416,
     547,  2454,  2455,  2456,   551,   540,   541,   542,   543,   544,
     545,  2464,  2465,   149,   278,   493,  2469,   350,   339,   276,
    1332,  1333,   359,   159,    97,   241,    97,   182,   239,  1358,
     103,   228,   103,   491,   182,  2481,   187,  3917,  6051,   364,
     254,   254,   124,   364,  1356,  1357,  1358,  5450,   201,   113,
     422,   549,   512,  1365,  2344,   101,   512,   470,   475,   329,
    1372,  2362,   350,     7,  1376,   283,    10,    11,   240,  1461,
    1382,  2281,   111,  1385,   187,   458,  2697,    21,    22,    23,
     156,    25,    26,   206,  6036,  1397,    30,    31,    32,   138,
     550,    99,   238,   553,   550,   156,   178,   553,  5382,   254,
    1412,   315,   315,   300,   318,   318,   254,  5763,  2577,  2399,
    2318,   418,   120,  2403,  2309,  2307,   262,  2407,  5574,  3129,
    2410,   159,   198,   418,  2334,   538,   362,  4762,  2323,   485,
    2265,   107,   312,   206,  2361,   206,   282,   198,   360,   191,
    5416,  2336,   255,   327,  1456,  1457,   883,  2660,   418,   187,
     390,   289,   363,  2306,   339,   201,   205,   196,   530,  1358,
     315,   156,   457,   458,   101,   381,   549,   315,  2321,  5618,
     318,  2324,  2626,   414,   346,   122,   398,   549,    70,   364,
    1730,    73,    74,    75,    76,  2317,  2318,    79,    80,  4544,
    1502,  2461,    84,   275,  5478,   254,   260,   413,  5647,  5483,
    5484,   448,   449,   198,  1590,   446,  5647,   358,   422,   422,
     426,   238,  4602,  1911,   346,   152,   329,   550,  5233,   552,
    1911,   478,   339,   160,   549,   348,   437,   463,   549,   278,
    1542,   283,    69,  5233,   491,   262,   180,  2680,  5894,  2680,
      77,    78,   549,   459,   220,   327,  1053,   364,  1560,  2402,
     538,   188,  2405,  2406,   549,   282,   315,  1569,  1570,   547,
    1572,   549,   550,   551,   552,   505,  2892,   422,  1580,   277,
     472,   243,  1815,   424,   422,   187,  1588,  5656,  5657,   402,
     403,  1833,  1834,  1593,  1836,  1595,   362,   360,  1598,   360,
    1600,   329,  5320,  1603,  1604,  1605,    83,  1833,  1834,    86,
    1836,   362,   156,    90,    91,    92,  1616,   458,   431,    86,
     257,  5760,  1624,  5969,   549,   262,   530,   530,   255,  1850,
    1630,   158,  1632,  3137,  5980,   398,  1638,   398,  1640,  2461,
     267,   303,    69,   457,   226,   549,   192,   230,   420,   216,
      77,    78,   181,  1655,   198,  4467,  1658,   493,   499,   230,
     240,   228,   299,  2974,  3296,  3297,   233,  1669,   431,  3301,
     431,   512,  3596,   422,   549,  3709,   333,   362,   492,   409,
     147,  1637,   553,   431,   211,  2937,   320,   431,   249,  6035,
    4502,  4511,   530,  2896,   535,  4423,  1698,   463,   431,  4427,
    4428,  2904,  4430,  4028,  2907,   238,  3338,  3339,   549,   292,
     398,  2358,   463,   280,   536,   537,   538,   553,   540,   541,
     542,   543,   544,   545,  1726,  1727,  1728,  6073,  1730,   262,
     276,  2722,   334,   300,   359,   124,   552,   266,   372,  1236,
    1742,   268,   549,  2872,  2873,   553,   133,  2876,  1750,   282,
    6096,   250,   334,  5291,   141,   326,   375,  3783,  1255,  5898,
     187,  4331,   492,  3789,  2807,   262,   346,  5554,  1772,  1773,
    2968,  2969,  2970,   359,   341,   555,   493,   883,   463,   348,
     470,   438,   470,   350,  1786,  4355,  3038,  1789,   201,   178,
     203,   360,  1794,  1795,   470,  4574,   359,  4576,  1295,   436,
     462,   547,   464,  2882,   552,   551,   431,   284,   552,  3061,
    3062,  3063,  3064,  1861,  1862,  1929,  1772,  1773,   362,   552,
     447,  3073,  3729,   450,   385,     2,  3965,   489,   327,   398,
     190,   416,   179,  1835,  5552,  5974,   553,  1839,  1840,   366,
    5979,  1860,  1861,  1862,   470,   431,   480,    69,  5979,  2892,
    5568,   141,  1854,   472,   415,    77,    78,   375,  1860,  1861,
    1862,   360,   552,  1911,  5933,   400,  2764,   187,   431,   346,
     450,  1919,  2093,  5365,   233,  1879,   552,  2956,   424,  1881,
    2762,  1963,  2925,  2765,  2766,   244,   275,  5605,  5074,   418,
     475,   201,  1911,   203,   190,   477,   515,   187,   258,   398,
    1919,   398,   329,   262,   190,   402,    21,   334,  3037,  1911,
    1929,    88,   538,   233,  3057,  2958,   303,  1919,   485,   463,
    2805,  1923,   228,  1879,   288,   551,   339,  1929,   457,   458,
    2755,  1358,   167,   218,   431,   504,   158,  1939,   327,  6078,
    1942,   240,  2764,   161,  1946,   491,  5470,  6078,  2473,   547,
    5770,  2476,   242,  3531,   472,    70,   554,   484,   540,   541,
     493,  3900,   258,   327,  3903,   492,   313,  2675,   495,   316,
    3113,  1860,   258,   509,  3404,   152,    97,   512,  1980,   264,
     547,   158,   103,   550,   551,   203,  1988,   360,   210,    73,
      74,    75,    76,   493,   300,   189,    80,   515,   497,  3202,
     535,  5187,   189,  5189,   239,    73,    74,    75,    76,   186,
    2804,   315,    80,   493,   318,   512,   552,   552,  3091,   329,
     553,  5739,   386,  2025,   149,   398,  4805,  4806,    39,   339,
     201,   420,   203,  2035,   159,   341,   493,   272,   535,   329,
    1929,   360,  5361,  4994,   334,  4975,  2043,   493,   407,   549,
    2052,  2048,   287,  1159,   309,   226,  2058,  1163,   431,   536,
     537,   538,   297,   540,   541,   542,   543,   544,   545,   549,
     434,   512,  1569,  1570,  2188,  1572,  3504,   241,   360,   398,
     159,   380,  5012,   270,   306,   206,   376,  2881,   323,    69,
      70,  1588,   286,    73,    74,    75,    76,    77,    78,    79,
      80,   360,   392,   549,    84,   201,   350,   203,  5600,   344,
    3101,   552,   431,  5900,   161,   386,  2118,   416,   422,   216,
    2117,   360,   360,  5661,  2121,   402,   550,   491,   399,   553,
     226,   228,  2134,  2135,  2136,   329,   233,   360,   360,   398,
     327,   278,   329,   402,    73,    74,    75,    76,  5230,   431,
    3101,    80,  4964,  2155,   431,  3298,   427,  2270,   329,   398,
     398,  2955,  5880,   334,   243,  3156,    15,  3310,   339,  2188,
    2172,   243,   431,   408,   473,   398,   549,   421,   378,  2181,
     479,  4247,   158,   280,   239,   232,  2188,   266,  5559,  2191,
    5272,  2193,   386,   403,  2582,  3393,   486,  2418,   360,  3342,
      86,  2582,  3405,   300,   505,  3156,   461,   187,   431,  4937,
    2212,  4939,  4940,   360,   547,  4943,   338,   272,  2220,  3199,
     553,   431,   234,   199,   303,   512,  1332,  1333,  2434,   115,
    2232,   303,   287,   209,   489,   402,   398,  3380,   334,   461,
     312,   463,   297,   339,   341,  5963,   440,  2249,   535,   413,
     334,   398,  1358,   350,  3494,   419,   268,   512,   493,   514,
    2262,   147,   426,  2265,   431,   552,   334,  2269,  4302,   431,
     349,   475,   414,  2275,   416,  4742,   126,   538,   421,  2281,
      73,    74,    75,    76,   431,  2361,  5824,    80,  3582,  6076,
     551,  2293,  1789,  3402,   549,   459,   146,  1794,  1795,  2188,
    2362,   281,   512,  3881,  2306,  2307,   477,  2309,  2310,   243,
     160,  6029,   238,  3891,  3608,    70,   487,   481,  4048,  2321,
     290,  2323,  2324,   303,   118,   535,   240,  5646,   462,    84,
     464,  2333,  2334,   475,  2336,  2337,   262,  2433,    73,    74,
      75,    76,   552,   553,   228,    80,   140,  4077,  2350,   233,
    2426,  2353,  4293,   408,   398,   512,  2426,  2426,  2440,   273,
    2362,  4300,   212,  4302,  3246,   398,    33,  3249,  2426,   303,
    3252,  2371,  4279,  2373,  4513,  1872,  1873,  2377,   535,  2379,
    2494,   477,  2382,   462,   360,   464,  2386,   431,   485,  5201,
     462,   487,   464,   403,  3354,   104,   475,  5935,   431,  2426,
    2402,  1898,  1899,  2405,  2406,   334,   514,   486,    79,  4008,
     489,    69,    70,    84,  3405,  3240,   300,   489,   394,   128,
     233,   431,   398,  4055,  4056,  4057,  4058,   535,  4335,  4061,
    4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,  2441,
    2442,   549,   344,   256,   329,  2447,  2448,   349,   189,   334,
     179,  2453,  2454,  2455,  2456,   431,   390,   341,  2460,  2210,
    2462,  2463,  2464,  2465,  2466,  2467,   549,  2469,  4534,  2471,
    2472,  1968,  3783,  2475,  4767,  2494,  3184,   189,  3789,   228,
     514,  1978,  6020,  2234,   233,  4117,  4118,  2489,  2490,  2491,
    2492,  2493,  2494,  3873,  3941,  3942,  2498,   290,    99,   384,
    2502,   535,  1929,  2505,   681,   234,  2508,  2509,  2510,  2511,
    2512,  2513,  2514,  2515,  2516,  3834,  2518,   314,  2724,   120,
    2726,   233,  2584,  2585,  2526,  4828,   233,  2529,   462,   331,
     464,  4834,  3354,  5312,  2582,    83,   549,   309,    86,   268,
    3583,  3521,    90,    91,    92,   286,  5591,   233,  5276,   256,
     325,   300,  2036,   512,  2043,   489,  2777,  3548,   270,  2048,
     540,   541,  2059,  2582,    69,  2062,  2063,   400,   343,  2053,
     256,   505,    77,    78,   475,  3827,   535,   475,   309,   390,
    2582,    69,  2584,  2722,   313,  2587,   424,   316,   329,    77,
      78,   390,   341,   421,  2642,  2709,  2644,  3548,   167,   334,
     163,  2603,  2715,  3425,  2631,  2494,    83,   330,   331,  4519,
    2612,  2613,  5931,  4537,   425,   327,  3659,   329,   312,   344,
     458,  3824,   424,  2642,   349,  2644,   425,  3830,  2117,   312,
    1319,  5817,  2121,  3518,  3519,  1324,   138,   139,    18,    19,
    2642,  5453,  2644,   266,   552,   386,   418,   458,   556,   554,
    5462,  2872,  2873,   158,   360,  2876,   458,    37,    70,   458,
      40,   499,  2664,  5233,   340,  2162,  4244,  4245,   344,    70,
     239,   314,    73,    74,    75,    76,   552,   256,    79,    80,
     556,  2683,  2684,    84,  2686,   552,   553,   418,   394,   461,
    2709,  2693,   398,   544,   505,  2697,  2698,   499,   549,   475,
     551,   424,  2704,   272,   155,   210,   505,  2709,  2710,   548,
     512,   549,  2714,   552,   262,   505,  1323,   489,   287,  2675,
    2722,  5510,   421,  5512,  6043,   431,  2840,  5516,   297,  5518,
     461,   514,   128,   535,  1341,   458,   284,  1344,  2740,   544,
     512,  2743,   514,   462,   549,   464,   551,   549,   550,  2863,
     130,   553,   535,  2755,   323,    88,    89,  2759,   489,   309,
    2762,  2188,   290,  2765,  2766,  2878,   549,   555,   945,   548,
      84,  2773,   550,   552,  5563,   553,   499,   549,   549,  4097,
     551,   512,   162,   514,  2786,  5355,  6105,  3860,   550,   512,
     552,   547,  3677,   549,   418,   551,  2798,   550,   346,   552,
    4228,   306,  2804,  2805,   549,   547,  4840,   549,  2922,   549,
    3695,  2813,   535,   550,  4017,   552,  3037,  2836,   549,   344,
    2709,  2840,   202,  1929,   552,   226,   549,  4459,   550,   309,
     552,  1008,  1009,  1939,  2836,  2837,    88,    89,  2840,   408,
    3309,   128,  3311,  3312,  2863,  3836,   309,  3838,   505,   550,
     124,   552,   512,  2350,   514,   360,  2353,   118,   549,  2861,
     551,  2863,   550,  3992,   552,   550,  2868,   552,   418,   542,
     543,   544,  2874,   550,  1980,   552,  1053,  2879,   503,  2881,
    2882,   532,  4823,  2885,   550,  3836,   552,  3838,  2890,   551,
     512,  4178,   514,   398,   168,   105,   106,   402,  4216,   286,
     550,   309,   552,  2922,   550,   347,   552,  4050,  2910,  3023,
     347,   461,   313,  2915,   550,   316,   552,  2919,   309,   193,
    2922,   550,   550,   552,   552,  3916,   431,   344,   309,  2035,
    2932,   470,   309,   334,   233,  1112,   210,  3043,   418,   489,
     214,  4084,   550,  2945,   552,   532,  2052,  2836,   550,   347,
     552,  2840,   344,  2955,  2956,   418,   461,   118,   463,   358,
     234,   532,   512,   237,   514,  3916,  3851,   542,  3853,  1146,
    2972,  2973,  2974,   550,  2863,   552,  2978,   286,   252,  1156,
     237,   461,  4301,  1160,  1161,  1162,  4129,   110,   536,   537,
     538,   552,   540,   541,   542,   543,   544,   545,   461,   549,
     549,  3981,  3824,   550,  3023,   552,   129,   512,  3830,   489,
     418,  3013,  3014,   550,   550,    83,   552,  4153,    86,   414,
     415,  3023,    90,    91,    92,   424,   489,   418,  3030,   414,
     415,  4271,   512,  2922,   514,   552,   553,   418,  3040,   107,
     550,   418,   540,   541,   542,   543,   544,   115,   503,   512,
     309,   514,   550,   461,   122,  3057,   179,   180,  3298,   458,
     334,   550,   128,   552,   187,   414,   415,  2494,   342,   549,
     461,   414,   415,  1250,  1251,  3077,   477,   282,  1255,   147,
     461,   489,  2188,   550,   461,   552,   549,  5790,  5791,  3391,
      73,    74,    75,    76,  3096,  5913,  5914,    80,   489,  3101,
     499,   550,  3342,   552,   512,   550,   514,   552,   489,   238,
     384,  3113,   489,   512,  4433,  2612,  2613,  4411,   550,   242,
     552,   512,  4007,   514,   553,   550,   110,   552,  4331,   549,
     462,   512,   464,   514,  3023,   512,   535,   514,   542,   540,
     541,   549,   265,   462,   550,   464,   552,   131,   555,  3451,
     549,   212,  4355,   550,  3156,   552,    69,    70,   549,   418,
     550,   555,   552,  2660,    77,    78,   278,   550,   549,   552,
     470,    84,   549,   470,  3385,  3386,  3387,    73,    74,    75,
      76,   165,   470,  2680,    80,   470,  2683,  2684,    83,   257,
     313,    86,   549,   316,   262,    90,    91,    92,   470,   550,
    4670,   552,   461,  3317,   327,   550,   329,   552,  3210,  3323,
     540,   541,   542,   543,   544,  3455,   284,   285,   548,   110,
     115,  4419,    83,   128,  3226,    86,  3228,   122,  3184,   278,
     489,   299,   105,   106,  3236,   550,   359,   552,  3240,   284,
     224,  3243,   470,   550,  3246,   552,   550,  3249,   552,   550,
    3252,   552,   147,   512,   115,   514,  3258,   550,   550,   552,
     552,   122,   551,   549,   332,    83,  3268,   516,    86,   424,
     549,  3273,    90,    91,    92,   259,   549,   512,   346,   514,
     403,   349,  2709,   550,   398,   552,   147,   262,   221,   107,
     549,   549,   221,   166,  3296,  3297,  3298,   551,  3317,  3301,
     344,   262,   425,   458,  3323,   398,   290,  3309,  3310,  3311,
    3312,   295,   550,   186,   552,  3317,   550,   550,   552,   552,
    3322,  3323,   445,  3325,   447,  3327,   550,   450,   552,   221,
     344,   166,    73,    74,    75,    76,  3338,  3339,   262,    80,
    3342,   550,  3418,   552,   499,   329,   221,   220,  3418,  3418,
     550,   186,   552,   214,  3356,   233,  3358,   512,  3360,   550,
    3418,   552,   257,    73,    74,    75,    76,   262,   436,   550,
      80,   552,    73,    74,    75,    76,   344,   361,  3380,    80,
     535,   398,   550,  1560,   552,   220,   553,  4590,  2494,  3391,
     221,  3418,  1569,  1570,   549,  1572,   257,   298,   550,  2896,
     552,   262,   189,  3405,   299,   344,  4984,  2904,   493,  2836,
    2907,  1588,   550,  2840,   552,   549,   475,  4735,   402,   550,
    3422,   552,   406,   550,   314,   552,   549,  5337,  3317,   338,
     550,   415,   552,   421,  3323,  3437,  2863,   233,   299,   423,
    4758,    73,    74,    75,    76,   505,   290,   431,    80,  3451,
     550,   346,   552,   550,   550,   552,   552,  1634,   550,   443,
    5092,   550,   550,   552,   552,   533,   284,   451,   536,   537,
     538,   549,   540,   541,   542,   543,   544,   545,   550,   141,
     552,  1658,   329,   110,   552,   346,   550,   329,   552,   473,
      83,  3493,   516,    86,  3496,  2922,  3498,    90,    91,    92,
     550,  3503,   552,   550,   550,   552,   552,   344,   550,  4331,
     552,   550,   549,   552,  4657,   233,  3518,  3519,   550,   329,
     552,   394,  3524,   507,   550,   329,   552,   511,   346,   550,
     550,   552,   552,  4355,   550,   550,   552,   552,   550,   118,
     552,   436,   550,  3545,   552,   550,  3548,   552,   118,   480,
    3552,   424,   110,   329,   550,  1732,   552,   158,   550,   394,
     552,   550,   360,   552,  1741,   550,   155,   552,   550,  3571,
     552,   129,   550,   505,   552,   436,   233,   550,  1755,   552,
     550,   550,   552,   552,   550,   458,   552,   505,   550,   424,
     552,   550,   221,   552,  3596,   550,  3023,   552,   379,  4484,
    4485,   554,   221,  2709,  4584,  4585,  4586,  4587,  4588,  1786,
     221,   549,  1789,  1790,  3633,  3634,  3635,  1794,  1795,   502,
     550,   179,   552,   458,   372,   550,   499,   552,   549,  4832,
     503,  3633,  3634,  3635,  4753,   550,   221,   552,   533,   512,
     109,   536,   537,   538,   110,   540,   541,   542,   543,   544,
     545,   550,   550,   552,   552,  3657,  1202,  4723,  1204,  4725,
     549,   549,   535,   129,   499,  3667,   516,  3669,   221,   221,
     552,   221,   533,   221,   221,  3677,   549,   512,   221,   540,
     541,   542,   543,   544,   545,   221,   221,  3391,   233,  3910,
     221,   284,  2798,  3695,   221,   221,   221,   221,   344,   458,
     535,   549,   110,   298,  1881,  3202,   344,   265,   549,   549,
     233,   233,   233,   179,   549,  3829,   549,   549,   536,   537,
     538,   549,   540,   541,   542,   543,   544,   545,  5039,   549,
    2836,   356,   549,   549,  2840,   549,   549,   549,   549,   513,
     549,   549,   549,   549,  3633,  3634,  3635,  3451,   549,  5381,
     549,   110,   549,   346,   549,   313,  3758,  2863,   316,   549,
     549,  3875,   282,   549,   549,   549,   549,   549,  4125,   327,
     549,  3992,   552,  2879,   552,   170,  3778,   282,   284,   298,
     110,  3783,   552,   233,   341,   233,  4746,  3789,   339,   431,
     542,   278,   422,   186,   552,  3797,   492,   552,   538,   265,
     318,   359,    13,   552,   549,   549,   553,   549,   418,   470,
    3829,   470,   470,   504,   470,  3928,  2922,   551,   418,   470,
     470,  3823,  3824,   300,   418,   470,  3931,  3829,  3830,  5863,
      83,   470,   538,    86,  3836,   470,  3838,  4139,   159,   221,
    4142,   418,   344,   344,   295,   403,   470,   313,   423,  3851,
     316,  3853,   470,   334,   470,  4998,  3875,   461,   492,  3861,
     364,   327,   115,   339,   344,   344,   549,   425,  3895,   122,
     414,   470,   470,  3875,   255,   549,   159,   552,   360,  3906,
     221,   493,   262,  4123,   493,  5463,   470,   445,   344,   470,
    3317,   458,  4965,   359,   147,   458,  3323,  3899,   470,  2076,
     181,   470,  4142,   344,  3931,  2082,   470,   128,  3405,   470,
     470,   470,   128,   320,  3916,  3917,   470,  3023,   348,   418,
    4131,  4132,  4133,  4134,  4746,   383,  4906,  4907,   470,  4909,
     470,  3933,  3429,  3430,  5507,  4820,   470,   403,   470,   364,
    3829,  4243,   470,   536,   537,   538,   364,   540,   541,   542,
     543,   544,   545,   470,   470,   470,   470,   470,    78,   425,
       2,   214,   117,  3965,   461,   117,  5285,   470,   554,   418,
     552,   284,   470,   344,   470,  3931,  4090,   550,   284,   445,
     284,   284,   344,  3985,   284,   284,  3875,   516,   344,  5621,
     344,   284,    83,   284,  5498,    86,  5500,   284,   470,    90,
      91,    92,   512,   549,   257,  4007,   480,   110,  4010,   262,
      99,   221,  4897,   344,  5173,   221,   107,   329,   187,   512,
     493,   221,   221,   221,   344,   339,   504,   306,  4030,   110,
    5233,  4033,   329,   329,   329,   110,   233,  4039,  2215,   290,
     549,   420,  2219,  4045,   164,  4047,   299,   109,  4050,   468,
     470,   551,  4054,  4055,  4056,  4057,  4058,   549,   468,  4061,
    4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,   470,
     221,  4090,  4074,  4075,   221,   221,   547,  4079,   493,   547,
     493,   221,  4084,   221,   550,    13,  4088,   552,  4090,   338,
    4092,   333,   470,   346,   238,   549,   508,   320,  4100,   110,
     320,  4103,    86,  4105,   468,   552,   549,  4992,   247,   549,
     470,  4113,  4114,   229,   238,  4117,  4118,   552,   129,   472,
    4122,  4123,    83,   552,   166,    86,   550,  4129,   255,   538,
    5703,   251,   255,  5711,  5712,   549,   552,  4139,   280,   288,
    4142,   345,   434,   493,   110,    33,   188,   552,   550,     9,
     550,   353,  4154,   128,   115,   418,   550,   549,   493,   288,
     288,   122,   334,   334,   314,   470,  5310,   475,   179,   470,
     233,   505,   470,  2350,   549,   421,  2353,   290,  4566,   223,
     334,   344,   118,   436,   440,  4566,   147,   223,   329,   298,
     298,   298,   414,   284,   342,   470,   461,  4199,   223,  4501,
     552,  4090,   223,  5401,   398,   256,  3633,  3634,  3635,   344,
     344,  3317,   470,  4215,   428,   470,  4330,  3323,  4332,   386,
     350,   550,   493,  4362,   110,   284,   493,   342,    69,  4231,
     290,   242,   266,   221,  5194,   339,    77,    78,   233,   382,
    4354,  4243,   110,  5386,   538,   505,   459,   383,   538,   235,
     428,   339,   221,   214,   265,   346,   221,    98,   221,  4373,
     380,   549,   220,   549,   512,   339,   386,   110,   329,   543,
     290,   329,  4274,   344,   344,   253,  2453,  5855,   233,   253,
     533,  5592,   110,  5426,  5244,   547,   550,   540,   541,   542,
     543,   544,   545,   532,   532,   318,   257,   290,   550,   233,
      83,   262,   313,    86,  5507,   316,  4325,    90,    91,    92,
     550,  4330,   344,  4332,   550,   550,   327,   158,   428,   262,
     262,   262,   262,  4325,   107,   262,   552,  3824,  4330,  4331,
    4332,   516,    98,  3830,    83,  4354,   245,    86,   299,   470,
     552,   549,   238,   552,   317,   344,  5244,   512,   359,  5234,
     128,   552,  4354,  4355,  4373,   338,   475,   458,   290,   550,
     505,  5243,   550,   550,   238,   549,   115,   550,   550,   131,
     211,  4373,  5194,   122,  6006,   550,   550,  5950,   365,  6011,
     550,   238,   550,  2560,   356,   346,   552,  4389,   550,   550,
    4392,   549,   403,   470,   345,   532,   549,   509,   147,   355,
     345,   534,  3829,   165,   491,  5287,   308,  5723,   128,   509,
     266,  5233,   347,   499,   425,   344,  4718,   549,   344,   344,
    4722,   262,  5244,   549,   549,   221,   516,   268,   549,  5409,
     470,   553,   538,   195,   445,  4139,  4325,   470,  4142,   538,
    5420,  4330,   470,  4332,   549,   536,   537,   538,  3875,   540,
     541,   542,   543,   544,   545,   552,   550,  4459,   550,   552,
     274,   334,   224,   470,   329,  4354,   221,   348,   221,   431,
     423,   221,  5615,   423,   423,   436,   298,   266,   223,   470,
     493,   538,  4484,  4485,  4373,   552,  4488,  2664,   300,  5632,
     366,   366,  4494,  5636,   490,  5638,   418,   259,   418,  4501,
     470,   284,  4529,  2680,  5495,   310,  2683,  2684,   257,   310,
     470,  4513,   310,   262,   418,   418,  5507,   344,  4566,   329,
    4017,   431,  5502,   470,   470,   366,   470,  3633,  3634,  3635,
     221,   470,   470,   295,   117,  4537,  4538,  4539,   550,  4243,
     470,   550,   550,   470,   548,  2722,    83,  4566,   284,    86,
     299,   470,   470,    90,    91,    92,  4583,   470,   470,   470,
     284,   284,   284,   346,  4566,   250,   480,   329,   409,   550,
     107,   550,   533,   233,   118,   552,  4782,   400,   180,   540,
     541,   542,   543,   544,   545,  5658,   550,   233,   342,   110,
     221,  4593,   549,   552,   221,   233,   550,   346,   360,   361,
     344,   470,   250,    83,   493,   233,    86,   418,   493,   418,
     418,   418,   418,   347,  4616,   456,  2793,   548,   219,   552,
     219,   284,   284,   284,   428,  4627,   549,   284,   284,   284,
     284,   284,   547,   212,   238,   115,   398,    86,   356,   233,
     402,   504,   122,   484,   406,   552,   238,   509,   549,  5629,
     550,   492,   550,   415,   495,  4657,   550,   550,   550,   247,
     238,   423,   552,  4090,   535,  4667,  4668,   147,  4670,   431,
     549,   538,  4674,  4675,   552,   552,   345,  4679,  4680,   405,
     550,   443,  4684,   498,   550,  4687,  4688,   436,  4827,   451,
    4692,   550,   157,  2870,   549,  5655,  4698,  4836,   538,   480,
     233,   110,   493,   493,   290,   470,   274,   128,  4710,   461,
    2887,   221,  5703,   549,   447,   242,  4718,   480,   423,   470,
    4722,   418,   470,  3829,   470,   418,   550,   470,  4755,  4756,
     470,   550,   550,   398,   214,   512,  1840,   128,   499,   233,
     461,   223,   147,   221,   180,   507,   549,   284,   480,    83,
     550,  4753,    86,   536,   537,   538,   284,   540,   541,   542,
     543,   544,   545,   549,   284,  4767,   284,   284,   269,  3875,
     549,  2948,   288,   344,   470,   516,   552,   257,   393,   550,
     552,   115,   262,  4785,   533,   153,   461,   364,   122,   549,
     480,   540,   541,   542,   543,   544,   545,  4501,   470,    83,
     244,  4803,   549,   428,   180,  2982,  4825,   238,  2985,   346,
    2987,   550,   284,   147,  2991,   552,  2993,  2994,  4820,   299,
     548,    88,   552,  4825,   238,  3002,  3003,  3004,   948,   391,
     128,   550,   549,  5655,  4331,  5137,   550,   510,   550,   510,
    4842,   552,  5144,   356,   550,   549,   549,  5149,   550,   287,
    5152,   354,   287,   460,   549,  5846,  4858,   128,  4355,   351,
     339,  4863,   251,   480,   538,   470,   346,    83,  4870,   238,
      86,   512,   147,   263,    90,    91,    92,  5179,   256,   334,
     214,   268,   334,  3060,  4886,   128,   538,   461,   552,   470,
     141,  5193,   221,   552,   110,  4897,   284,   470,  4325,   166,
     470,   550,   549,  4330,   240,  4332,   238,   187,   110,   493,
     262,   339,   549,   428,   110,  3092,   235,   493,   233,   428,
     339,   188,   512,   257,  3101,   128,  4928,  4354,   262,   110,
     512,   238,   344,   549,   233,   282,  4825,   550,   271,   347,
     549,  1061,  1062,   238,  4441,  4442,  4373,   498,   391,  5831,
    3127,  4953,   549,   444,   550,   550,   436,   364,   549,  5950,
     549,   287,   549,   511,   159,   299,   202,  4969,   392,   344,
     550,   470,   110,   221,   549,   470,   233,   194,   550,  3156,
     549,   110,   549,   549,  4090,   549,   549,   255,   549,   334,
    4992,   311,   266,   549,   549,   428,  4998,   550,   180,   536,
     537,   538,   207,   540,   541,   542,   543,   544,   545,   110,
     508,  1053,   346,   348,  4718,   550,   415,   415,  4722,   480,
     442,   550,  5904,  5905,   442,   128,   538,   110,   128,   150,
     549,   498,  1074,   255,  1076,   549,  1078,  5039,   549,  5041,
     493,   549,  1084,  1085,  1086,   552,   461,   549,   233,    83,
     461,  5353,    86,   533,   327,   344,    90,    91,    92,   549,
     540,   541,   542,   543,   544,   545,  1108,  1109,   284,   461,
      80,   227,  5074,   550,   516,   549,   220,  1197,   549,   141,
     141,   347,   202,   512,   497,   512,    83,   391,   498,   549,
    5092,   549,   110,  4590,  5096,   552,   238,   461,   389,  5101,
     431,    83,   436,   334,    86,   207,   268,   344,    90,    91,
      92,   344,   549,   347,  5416,   428,  5118,  5119,   110,   110,
    5122,   347,   263,   549,   240,   107,   240,   550,   509,   128,
     346,  5352,   552,   115,   550,  5137,   414,   192,   491,    80,
     122,   428,  5144,   549,   414,   470,   550,  5149,   549,   217,
    5152,  5153,   351,   399,   549,   141,   549,  5159,  5160,    96,
     107,   147,   334,   549,   549,   147,   220,  5281,   552,   552,
     470,   238,  5172,   159,   414,   352,   150,  5179,   442,  5181,
     442,   240,   512,   549,   512,  5187,  5426,  5189,   240,   386,
    1795,  5193,  2120,  1291,  1236,  3041,  3405,  2849,  2925,   533,
    3608,   187,  4304,   189,  5846,  4330,   540,   541,   542,   543,
     544,   545,  6023,  1255,  5842,  1333,  2950,  3820,  1332,  4325,
    4435,  5520,  5701,  5950,  4330,  4482,  4332,  5337,  3405,  6111,
    6112,  5233,  5234,  4955,  5309,  3189,  3525,  5823,  5193,  5937,
    5731,  5243,  5730,  5865,  5974,  4742,  3529,  4530,  4354,  4515,
    5665,  4473,  3026,  1295,  4325,  3634,   242,  5559,  3026,  3871,
    1329,  4993,  5281,  4498,  5316,  3883,  3020,  4373,    83,  5324,
    4767,    86,  5952,  6109,  6093,   257,  5302,  3829,  3823,  5281,
     262,  5878,  2201,  5246,   270,  5287,  5481,  5314,  5674,  5249,
     188,  4593,  1625,  5449,  1641,  6040,  2247,  4537,  2698,  1410,
     115,  3503,   284,   285,  2262,  5592,  2317,   122,  1009,  2430,
    2429,  2429,   346,  3761,  1043,  4354,  5618,   299,  3875,  4373,
     536,   537,   538,  5350,   540,   541,   542,   543,   544,   545,
    5903,  6081,   147,  1946,  1176,  4832,    78,  2584,  5340,  2592,
    2362,  4517,    84,   329,  4757,  5647,    88,  2593,   334,  5175,
     332,  5353,  5816,  5355,  4213,  1583,  3172,  1819,  3422,  2463,
    1766,  2629,  3437,  2603,   346,  4157,  5808,  2471,  1843,  5640,
    4707,  3548,  1842,   115,  4142,  4724,  4740,  2628,  1845,  5381,
    5382,  5417,  5384,  4139,  5386,  5617,  1850,  5618,  6087,  4214,
     376,  5921,  5281,  6009,  4139,  5798,  5384,  4092,  4825,   214,
    5163,  5811,  3359,  5812,  5406,  3269,   392,  2523,  2978,  3357,
    5412,  2526,   681,  3928,  5416,  1465,  2664,  2256,  3102,   161,
    5422,  5781,   395,  1862,  5426,  1055,  2639,  1273,  1856,  2672,
    1637,  3399,  1253,  5137,  2673,  2680,  1253,  4220,  4741,  4221,
    5144,  1769,   257,  1860,  4182,  5149,  3185,   262,  5152,   428,
    2391,  5470,  2684,     2,   436,  5173,    -1,    -1,  5760,    -1,
      -1,  1087,  3639,    -1,    -1,    -1,    -1,  1569,  5470,    -1,
    1590,    -1,    -1,    -1,    -1,  5179,  5478,    -1,    -1,    -1,
      -1,  5483,  5484,    -1,   299,    -1,  5488,    -1,    -1,  5193,
     232,    -1,    -1,  5495,    -1,    -1,    -1,    -1,    -1,  2603,
     486,    -1,   536,   537,   538,  5507,   540,   541,   542,   543,
     544,   545,    -1,    -1,    -1,    -1,  3693,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1569,  1570,    -1,
    1572,   346,    -1,    -1,  5536,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5569,    -1,    -1,  1665,  1588,    -1,    -1,    -1,
      -1,   533,    -1,    -1,   536,   537,   538,  5559,   540,   541,
     542,   543,   544,   545,    -1,  1685,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5470,    -1,  3760,    -1,    -1,    -1,  5701,    -1,    -1,
    5592,  5593,    -1,    -1,    -1,  1715,  5898,    -1,    -1,    -1,
      -1,  5603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1730,    -1,    -1,  5615,    -1,    -1,  5618,  5644,    -1,  5621,
      -1,   436,    -1,    -1,    -1,  3802,    -1,    -1,    -1,    -1,
    5632,    -1,    -1,    -1,  5636,    -1,  5638,    -1,  5640,  3816,
      -1,    -1,    -1,    -1,    -1,  5647,    -1,  3824,    -1,  5353,
      -1,    -1,   394,  3830,    -1,    -1,    -1,    -1,    -1,  3836,
      -1,  3838,   131,    -1,  5666,    -1,    -1,    -1,  5165,    -1,
      -1,    -1,  5974,    -1,    -1,    -1,    -1,  5979,    -1,    -1,
      -1,    -1,  5701,    -1,    -1,  5799,    -1,   429,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,  5701,
      -1,  5703,    -1,    -1,    -1,    -1,    -1,  3884,    -1,    -1,
      -1,    -1,  5416,  1833,  1834,    -1,  1836,    -1,   533,  4825,
      -1,    -1,    -1,    -1,    -1,   540,   541,   542,   543,   544,
     545,    -1,    -1,    -1,    -1,    -1,  5233,    -1,  3915,  3916,
      -1,    -1,  5982,    -1,    -1,    -1,    -1,  1789,    -1,    -1,
    5752,    -1,  1794,  1795,    -1,   224,    -1,    -1,  5760,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3945,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6078,    -1,    -1,    -1,
    5799,    -1,    -1,    -1,    -1,    -1,    -1,  5789,  5790,  5791,
     259,    -1,    -1,    -1,    -1,    -1,  5798,  5799,    -1,    -1,
    5802,    -1,    -1,    -1,    -1,    -1,  5808,  1074,    -1,  1076,
      -1,  1078,  5701,    -1,    -1,  5817,    -1,  1084,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   295,  5903,  1870,  5831,
    1872,  1873,    -1,  5903,  5903,    -1,    -1,   131,    -1,    -1,
      -1,  1108,  1109,    -1,  5846,  5903,    -1,    -1,    -1,  1891,
      -1,    -1,  5879,    -1,  5281,  5559,  1898,  1899,    -1,    -1,
     329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,  5903,    -1,    -1,    -1,
      -1,    -1,  5884,    -1,    -1,    -1,    -1,  5889,    -1,    -1,
      -1,    -1,   361,    -1,    -1,    -1,  5898,    -1,    -1,    95,
      -1,   195,  5904,  5905,   100,  5907,  5982,    -1,    -1,    -1,
    5799,    -1,  5982,  5982,  5618,  5917,    -1,    -1,  6032,    -1,
      -1,  5923,  4099,    -1,  5982,    -1,  1968,    -1,    -1,    -1,
     224,    -1,    -1,   402,    -1,   404,  1978,   406,    -1,   135,
      -1,    -1,    -1,  5647,    -1,    -1,   415,    -1,  5950,    -1,
      -1,    -1,   148,    -1,   423,  5982,    -1,    -1,    -1,    -1,
      -1,    -1,   431,    -1,    -1,   259,    -1,   163,    -1,  1236,
      -1,    -1,  5974,    -1,   443,    -1,    -1,  5979,    -1,  6093,
      -1,    -1,   451,  1250,  1251,    -1,    -1,    -1,  1255,    -1,
      -1,    -1,    -1,    -1,    -1,  6109,  5493,  5494,    -1,    -1,
      -1,   295,    -1,    -1,  6006,  6081,    -1,  6009,   204,  6011,
    5507,  6081,  6081,  6032,    -1,    -1,  6018,  2059,    -1,   215,
    2062,  2063,    -1,  6081,    -1,    -1,    -1,    -1,  1295,   138,
    6032,    -1,    -1,    -1,    -1,   329,    -1,    -1,   507,   235,
      -1,    -1,    -1,  5470,   240,    -1,    -1,    -1,    -1,  6051,
      -1,    -1,    -1,    -1,  6081,    -1,  5760,    -1,    -1,  6061,
      -1,    -1,    -1,    -1,    -1,    -1,   360,   361,    -1,    -1,
      -1,    -1,    -1,    -1,  6093,    -1,  6078,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6091,
    6109,  6093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   398,    -1,    -1,  6109,   402,  6111,
    6112,    -1,   406,    -1,    -1,    -1,   312,    -1,    -1,    -1,
    2162,   415,    -1,    -1,    83,    -1,    -1,    86,    -1,   423,
      -1,    90,    91,    92,    -1,    -1,    -1,   431,    -1,    -1,
      -1,   883,    -1,  6032,    -1,   887,    -1,    -1,    -1,   443,
     346,    -1,    -1,    -1,  4331,    -1,   115,   451,   900,   901,
      -1,    -1,    -1,   122,    -1,    -1,   908,    -1,   910,   911,
      -1,    -1,    -1,    -1,    -1,  5281,    -1,    -1,  4355,    -1,
      -1,    -1,   924,   379,   380,    -1,  4363,    -1,   147,  4366,
      97,  4368,  3296,  3297,  5898,    -1,   103,  3301,    -1,    -1,
      -1,    -1,    -1,    -1,  6093,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2254,   507,    -1,    -1,   412,    -1,    -1,    -1,
    6109,   963,   418,    -1,    -1,    -1,    -1,   969,    -1,   425,
      -1,    -1,   428,  4410,  3338,  3339,    -1,  2279,   145,    -1,
     982,  2361,    -1,    -1,    -1,    -1,  4423,  2289,    -1,  2291,
    4427,  4428,    -1,  4430,    -1,  2297,    -1,    -1,  4435,  2301,
      -1,    -1,   458,    -1,    -1,    -1,  1008,    -1,    -1,   465,
    5974,    -1,    -1,    -1,  5701,  5979,    -1,   473,    -1,    -1,
      -1,  1023,  1024,    -1,   480,    -1,    -1,    97,  1030,    -1,
    1032,  1033,   199,   103,    -1,    -1,    -1,    -1,   257,   206,
     110,    -1,   209,   262,  1046,    -1,  2426,    -1,  2350,   505,
      -1,  2353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   129,
    1062,  1588,    -1,    -1,    -1,   284,   285,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,
     299,    -1,    -1,    -1,    -1,  5842,    -1,  5844,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4533,    -1,    -1,    -1,
      -1,   268,    -1,    -1,  5470,    -1,    -1,    -1,    -1,   179,
      -1,    -1,  5799,   332,  6078,    -1,    -1,    -1,    -1,  2499,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,   199,
    4567,  4568,  4569,  4570,  4571,    -1,   206,    -1,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2450,  2451,
      -1,    -1,    -1,    -1,    -1,  2457,  2458,   100,    -1,  1161,
     327,    -1,   329,    -1,   234,    -1,    -1,    -1,    -1,  4606,
    4607,  4608,   339,  4610,  4611,  4612,  4613,  4614,    -1,    97,
    1182,   348,    -1,    -1,  2486,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   360,    -1,   265,    -1,    -1,   268,    -1,
      -1,    69,    -1,    -1,    -1,    -1,   149,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    83,    -1,   436,    86,    -1,
      -1,    -1,    90,    91,    92,    -1,    -1,   145,    -1,    -1,
      -1,   398,    -1,    -1,   401,   402,    -1,    -1,   181,   107,
    2542,    -1,   110,   313,    -1,    -1,   316,   115,  1250,  1251,
      -1,  2631,    -1,    -1,   122,    -1,    -1,   327,    -1,   329,
      -1,   204,  1789,    -1,   431,    -1,  6023,  1794,  1795,   339,
      -1,    -1,   215,    -1,    -1,  6032,    -1,   195,   348,   147,
      -1,   199,    -1,    -1,    88,    -1,    -1,    -1,   206,   359,
     360,   209,   235,    -1,    -1,    -1,    -1,   240,    -1,    -1,
      -1,    -1,  4739,    -1,    -1,  4742,  4743,    -1,    -1,    -1,
    2612,  2613,    -1,    -1,   533,    -1,   234,   536,   537,   538,
      -1,   540,   541,   542,   543,   544,   545,    -1,   398,   496,
    4767,   401,   402,   403,    -1,  5701,  6093,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6032,    -1,    -1,   291,    -1,
     268,    -1,  6109,    -1,  1881,   425,  1358,    -1,  2660,    -1,
      -1,   431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    -1,    -1,    -1,  1376,   445,    -1,    -1,  2680,    -1,
    1382,  2683,  2684,  1385,    -1,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6093,    -1,    -1,   327,
      -1,   329,    -1,    -1,    -1,    -1,   284,   285,    -1,    -1,
    2722,   339,  6109,    -1,    -1,    -1,   496,    -1,    -1,    -1,
     348,   299,    -1,  5799,    -1,    -1,   379,   380,    -1,   110,
     383,  1968,   360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     131,    -1,    -1,    -1,   332,    -1,   409,    -1,    -1,   412,
      -1,    -1,    -1,    -1,    -1,   418,    -1,    -1,   346,    -1,
     398,   349,   425,   401,   402,    -1,    -1,    -1,    -1,  4926,
    4927,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
    4937,    -1,  4939,  4940,    -1,    -1,  4943,    -1,    -1,    -1,
     453,    -1,    -1,   431,  2816,   458,    -1,    -1,   461,    -1,
      -1,    -1,   891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   900,  2059,    -1,    -1,  2062,  2063,   480,    -1,   908,
    1542,    -1,   911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,  1560,    -1,
      -1,    -1,   505,    -1,    -1,    -1,    -1,  5004,   436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   496,    -1,
      -1,    -1,   951,    -1,    -1,    -1,  1588,    -1,   259,    -1,
      -1,    -1,    -1,    -1,  2896,    -1,    -1,    -1,    -1,    -1,
      -1,  5038,  2904,    -1,    -1,  2907,    -1,    -1,    -1,    -1,
      -1,    97,    -1,    -1,    -1,    -1,    -1,   103,    -1,   290,
      -1,    -1,  1624,    -1,   295,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,  2162,    -1,    -1,  1640,    -1,
      -1,    -1,    -1,  5080,  1013,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1655,  1023,    -1,  1658,    -1,   329,   145,
      -1,  1030,    -1,    -1,  1033,   533,  6032,    -1,   536,   537,
     538,    -1,   540,   541,   542,   543,   544,   545,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     361,  4055,  4056,  4057,  4058,    -1,    -1,  4061,  4062,  4063,
    4064,  4065,  4066,  4067,  4068,  4069,  4070,    -1,    -1,   195,
      -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,
     206,    -1,    -1,   209,  4088,    -1,    -1,  6093,    -1,    -1,
      -1,   402,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,
      -1,  1480,    -1,  6109,   415,    -1,    -1,    -1,   234,    -1,
      -1,    -1,   423,  4117,  4118,    -1,    -1,    -1,    -1,    -1,
     431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1507,    -1,
      -1,    -1,   443,  1019,    -1,    -1,    -1,    -1,    -1,    -1,
     451,    -1,   268,    -1,  1786,    -1,    -1,    -1,    -1,    -1,
      -1,  1530,  1794,  1795,    -1,    -1,  5233,    -1,    -1,  1045,
      -1,  1540,   473,    -1,    -1,  1544,    -1,    -1,    -1,  1548,
      -1,  1550,    -1,    -1,    -1,    -1,    -1,  1556,    -1,    -1,
      -1,    -1,    -1,  1562,  3126,  3127,  1565,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,    -1,    -1,  5276,
     511,   327,    -1,   329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,  1860,  1861,
    1862,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   360,    -1,    -1,    -1,    -1,  1881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3202,    78,    -1,    -1,    -1,    -1,    -1,    84,    -1,  1911,
      -1,    88,   398,    -1,    -1,   401,   402,  1919,  3298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1929,    83,    -1,
      -1,    86,    -1,    -1,    -1,    90,    91,    92,   115,    -1,
      -1,    -1,    -1,    -1,    -1,   431,    -1,    -1,    -1,    -1,
      -1,    -1,   107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,  3342,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    83,    -1,    -1,    86,    -1,    -1,  3359,
      90,    91,    92,    -1,   161,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,  3375,  1365,   107,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,  1376,    -1,    -1,
     496,  3391,   122,  1382,    -1,    -1,  1385,    -1,    -1,    83,
      -1,    -1,    86,    -1,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,   147,  3418,    -1,
     217,    -1,   219,   107,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   232,  5493,  5494,   122,    -1,
      97,    -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,
    5507,  3451,    -1,    -1,  5511,  3455,    -1,    -1,    -1,   116,
      -1,    -1,    -1,   147,  5521,    -1,    -1,  1456,  1457,    -1,
      -1,    -1,    -1,    -1,    -1,  4459,    -1,   901,  3400,    -1,
      -1,  3403,   257,  3405,    -1,    -1,   910,   262,   145,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,
     924,    -1,    -1,    -1,    -1,    -1,  1372,  3429,  3430,   284,
     285,    -1,    -1,  2660,    -1,    -1,    -1,  2664,    -1,    -1,
      -1,    -1,    -1,    -1,   299,   131,    -1,   257,    -1,    -1,
      -1,  1397,   262,  2680,    -1,    -1,    -1,    -1,    -1,   963,
     197,    -1,   199,    -1,    -1,   969,  1412,    -1,    -1,   206,
      -1,    -1,   209,    -1,   284,   285,    -1,   332,   982,   165,
      -1,    -1,    -1,    -1,    -1,    -1,  2188,    -1,    -1,   299,
      -1,   346,    -1,   257,   349,  2722,    -1,   234,   262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,
    2212,    -1,    -1,    -1,    -1,    -1,    -1,   394,  2220,    -1,
     284,   285,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2232,   268,    -1,    -1,    -1,   299,   346,    -1,   224,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5703,    -1,   332,    -1,
    5707,    -1,  5709,   259,    -1,    -1,  5713,  5714,    -1,    -1,
      -1,   436,   346,    -1,    -1,   349,    -1,    -1,    -1,    -1,
     327,    -1,   329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   339,    -1,  2306,  2307,    -1,  2309,  2310,   295,
      -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2321,
      -1,  2323,  2324,   360,    -1,    -1,   436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2336,  2337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   329,    -1,    -1,  4710,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2362,   398,    -1,    -1,   401,   402,    -1,    -1,    -1,  2896,
      -1,    -1,   436,    -1,   360,   361,    -1,  2904,   533,    -1,
    2907,   536,   537,   538,    -1,   540,   541,   542,   543,   544,
     545,    -1,  1638,    -1,   431,    97,    -1,   552,    -1,    -1,
    2402,   103,    -1,  2405,  2406,  5842,    -1,  5844,    -1,    -1,
      -1,    -1,   398,    -1,   116,    -1,   402,    -1,    -1,    -1,
     406,    -1,    -1,   533,    -1,    -1,   536,   537,   538,   415,
     540,   541,   542,   543,   544,   545,    -1,   423,    -1,    -1,
     550,    -1,    -1,   145,    -1,   431,  1250,  1251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,   496,
      -1,    -1,    -1,    -1,    -1,   451,    -1,    -1,    -1,   533,
      -1,    -1,   536,   537,   538,    -1,   540,   541,   542,   543,
     544,   545,    -1,    -1,    -1,    -1,   550,    -1,    -1,    -1,
      -1,    -1,  2494,    -1,    -1,   197,    -1,   199,    -1,    -1,
      -1,    -1,    -1,    -1,   206,    -1,    -1,   209,    -1,    -1,
      -1,    -1,    -1,  5950,    -1,  3895,    -1,    -1,    -1,    -1,
      -1,   507,  3824,    -1,    -1,    -1,  3906,    -1,  3830,    -1,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3931,  3854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,    -1,
      -1,    -1,    -1,  2312,    -1,    -1,    -1,    -1,    -1,    -1,
    2582,  2320,    -1,    -1,    -1,    -1,  6023,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6032,    -1,    -1,    -1,    -1,
      -1,  2340,    -1,    -1,    -1,    -1,    -1,    97,    -1,    -1,
      -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   327,    -1,   329,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3938,   339,    -1,    -1,
    2642,    -1,  2644,  3945,    97,    -1,   348,    -1,    -1,    -1,
     103,    -1,    -1,    -1,    -1,   145,  6093,   110,   360,    -1,
      -1,    -1,  2664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6109,    -1,    -1,  3202,   129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2686,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   145,    -1,    -1,    -1,   398,    -1,    -1,   401,
     402,    -1,  2704,    -1,    -1,    -1,   883,  2709,  2710,   199,
     887,    -1,  2714,    -1,    -1,  4017,   206,    -1,    -1,   209,
    2722,    -1,    -1,    -1,   901,    -1,   179,    -1,  5092,   431,
      -1,    -1,    -1,   910,    -1,    -1,    -1,  5101,  2740,    -1,
      -1,    -1,    -1,  4123,   234,    -1,   199,   924,    -1,    -1,
      -1,    -1,    -1,   206,    -1,    -1,   209,    -1,    -1,  4139,
    2762,    -1,  4142,  2765,  2766,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,  2025,
      -1,   234,    -1,    -1,  2786,    -1,   963,    -1,    -1,    -1,
      -1,    -1,   969,    -1,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2804,  2805,    -1,   982,    -1,    -1,    -1,    -1,
      -1,    -1,   265,    -1,    -1,   268,    -1,    -1,    -1,    97,
      -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,
      -1,  1008,    -1,    -1,  2836,  2837,    -1,   327,  2840,   329,
      -1,    -1,  2581,    -1,    -1,    -1,    -1,  1024,    -1,   339,
      -1,    -1,    -1,    -1,    -1,  1032,    -1,    -1,   348,  2861,
     313,  2863,    -1,   316,    -1,    -1,  2868,   145,    -1,  1046,
     360,    -1,  2874,    -1,   327,    -1,   329,    -1,  3405,  2881,
      -1,    -1,    -1,  2885,    -1,  1062,   339,    -1,  2890,    -1,
      -1,    -1,    -1,  2262,    -1,   348,  2265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   359,   360,  2910,  2155,
      -1,   401,   402,  2915,    -1,  4217,    -1,  2919,    -1,    -1,
    2922,   199,    -1,    -1,    -1,    -1,  2172,    -1,   206,    -1,
    2932,   209,    -1,    -1,    -1,    -1,    -1,  2306,  2307,    -1,
      -1,   431,    -1,  2945,    -1,   398,    -1,  2193,   401,   402,
     403,    -1,  2321,  2955,    -1,  2324,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,    -1,    -1,    -1,    -1,    -1,   431,    -1,
      -1,    -1,  1159,    -1,  1161,    -1,  1163,    -1,    -1,    -1,
     268,    97,   445,    -1,    -1,    -1,    -1,   103,    -1,    -1,
      -1,    -1,    -1,  2249,    -1,  1182,   496,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5381,    -1,    -1,
      -1,  3023,    -1,  2269,    -1,    -1,    -1,    -1,    -1,  4331,
      -1,    -1,    -1,  2402,    -1,  2281,  2405,  2406,    -1,   145,
      -1,    -1,  5406,   496,    -1,    -1,    -1,  2293,    -1,   327,
      -1,   329,    -1,  4355,    -1,    -1,    -1,    97,    -1,    -1,
    4362,   339,    -1,   103,    -1,    -1,    -1,    -1,    -1,    -1,
     348,    -1,    -1,  1250,  1251,    -1,    -1,  1881,    -1,    -1,
      -1,    -1,   360,    -1,    -1,    -1,    -1,  2333,  2334,    -1,
      -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,  3101,
     206,    -1,    -1,   209,    -1,   145,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     398,  4501,    -1,   401,   402,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,  4441,
    4442,    86,    -1,    -1,    -1,    90,    91,    92,    -1,  4529,
      -1,    -1,    -1,   431,  3156,  1332,  1333,    -1,    -1,   199,
      -1,    -1,   268,    -1,    -1,    -1,   206,    -1,    -1,   209,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,  1358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,  4583,    -1,    -1,    -1,    -1,  3210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   496,    -1,
      -1,   327,    -1,   329,    -1,    -1,  3228,    -1,   268,    -1,
      -1,    -1,    -1,   339,  3236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   348,  2489,  3246,    -1,    -1,  3249,    -1,    -1,
    3252,    -1,    83,    -1,   360,    86,    -1,  5621,    -1,    90,
      91,    92,    -1,    -1,    -1,  4567,  4568,  4569,  4570,  4571,
      -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,   327,  4590,   329,
      -1,   122,   398,    -1,    -1,   401,   402,  3824,    -1,   339,
      -1,    -1,    -1,  3830,    -1,    -1,    -1,    -1,   348,    -1,
      -1,    -1,   257,    -1,  2118,  3317,   147,   262,    -1,    -1,
     360,  3323,    -1,    -1,    -1,   431,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4718,   284,
     285,    -1,  4722,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,   398,    -1,
      -1,   401,   402,    -1,    -1,  1542,    -1,    -1,    -1,    -1,
    3109,    -1,    -1,    -1,    -1,  4755,  4756,  3116,    -1,    -1,
      -1,    -1,    -1,  1560,    -1,    -1,  2755,   332,    -1,    -1,
     496,   431,    -1,  2762,  3133,    -1,  2765,  2766,    -1,    -1,
      -1,   346,    -1,  3405,  3143,    -1,    -1,  3146,  2212,  3148,
    3149,  1588,    -1,  3152,    -1,    -1,  2220,    -1,    -1,  3158,
      -1,  3160,    -1,    -1,  3163,    -1,   257,    -1,  2232,    -1,
      -1,   262,    -1,    -1,  5798,    -1,    -1,    -1,    -1,    -1,
    4742,    -1,    -1,    -1,    -1,    -1,    -1,  1624,    -1,    -1,
      -1,    -1,    -1,   284,   285,    -1,   496,    -1,    -1,    -1,
      -1,    -1,    -1,  1640,    -1,  4767,    -1,    -1,   299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1655,    -1,
      -1,  1658,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4017,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3238,
      -1,   332,    -1,    -1,    -1,    -1,  2310,    -1,    -1,   115,
      -1,    -1,    -1,  2759,    -1,   346,  3518,  3519,   349,    -1,
      -1,    -1,    -1,    -1,    -1,  4827,    -1,  2773,    -1,    -1,
    4832,    -1,    -1,  2337,  4836,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3545,    -1,    -1,  3548,    -1,    -1,    -1,
      -1,    -1,    -1,  5917,    -1,   161,    -1,    -1,    -1,  4861,
    4862,    -1,    -1,    -1,  4866,  4867,    -1,  2813,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    -1,
      -1,   536,   537,   538,    -1,   540,   541,   542,   543,   544,
     545,    -1,    -1,   209,    -1,   436,    -1,    -1,    -1,  1786,
      -1,   217,    -1,   219,    -1,    -1,    -1,  1794,  1795,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,
      -1,  3633,  3634,  3635,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6006,    -1,    -1,    -1,    -1,  6011,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3657,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3677,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1860,  1861,  1862,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3695,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    -1,  1881,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,   550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1911,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1939,    -1,  5144,    -1,    -1,    -1,  3014,  5149,
      -1,    -1,  5152,    -1,    -1,    -1,  3778,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      83,    -1,    -1,    86,    -1,  3534,    97,    90,    91,    92,
      -1,    -1,   103,  1980,  4331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,    -1,  3829,  4355,   122,
      -1,    -1,    -1,    -1,  3836,  4362,  3838,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,  3851,
      -1,  3853,    -1,    -1,   147,    -1,    -1,    -1,  2035,    -1,
    2664,    -1,    -1,  5165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3240,    -1,  3875,    -1,  2052,    -1,  3246,    -1,  3618,
    3249,  3620,  2686,  3252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   199,    -1,
    2704,    -1,    -1,    -1,    -1,   206,  2710,    -1,   209,    -1,
    2714,    -1,    -1,    -1,  3916,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5233,    -1,   234,  5314,    -1,  2740,    -1,    -1,    -1,
      -1,  2118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3965,   257,    -1,    -1,   268,    -1,   262,
    5350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3226,    -1,  2786,  3985,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,    -1,    -1,    -1,  3243,    -1,    -1,
    2804,    -1,    -1,    -1,    -1,  4007,   299,    -1,  4010,    -1,
      -1,  2188,  3258,    -1,    -1,    -1,    -1,    -1,  3757,    -1,
      -1,    -1,  3391,    -1,  3763,    -1,   327,    -1,   329,    -1,
      -1,    -1,    -1,  2837,    -1,  2212,  5416,    -1,   339,   332,
      -1,    -1,    -1,  2220,    -1,    -1,  5426,   348,    -1,    -1,
      -1,    -1,    -1,   346,    -1,  2232,   349,  2861,    -1,   360,
      -1,    97,    -1,  4590,  2868,    -1,    -1,   103,    -1,    -1,
    2874,    -1,    -1,    -1,    -1,    -1,    -1,  2881,    -1,    -1,
      -1,  2885,  3451,    -1,    -1,    -1,  2890,    -1,  4090,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   398,    -1,    -1,
     401,   402,    -1,    -1,    -1,    -1,  2910,    -1,    -1,   145,
      -1,  2915,    -1,    -1,    -1,  2919,    -1,    -1,    83,    -1,
      -1,    86,    -1,    -1,    -1,    90,    91,    92,  2932,    -1,
     431,    -1,  2309,  2310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2945,   107,   436,    -1,    -1,  2323,    -1,    -1,    -1,
     115,  2955,    -1,    -1,    -1,    -1,    -1,   122,    -1,  2336,
    2337,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,
     206,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,  5559,
      -1,    -1,   147,    -1,    -1,  2362,    -1,    -1,    -1,  5569,
      -1,  5493,  5494,    -1,    -1,   496,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,  5507,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3953,    -1,  3955,    -1,  3957,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3966,    -1,    -1,
      -1,    -1,   268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,    -1,    -1,   536,   537,   538,    -1,   540,   541,   542,
     543,   544,   545,    -1,    -1,    -1,    -1,   550,    -1,    -1,
      -1,    -1,    -1,    -1,  5644,    -1,    -1,    -1,    -1,    -1,
    4009,    -1,  4274,    -1,    -1,    -1,    -1,   883,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   327,   257,   329,    -1,   901,    -1,   262,    -1,    -1,
    4827,  5603,    -1,   339,   910,  4832,  3552,    -1,    -1,  4836,
      -1,    -1,   348,    -1,    -1,    -1,    -1,  2494,   924,   284,
     285,    -1,    -1,  4325,   360,  3571,    -1,    -1,  4330,    -1,
    4332,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4354,    -1,    -1,    -1,    -1,   963,    -1,    -1,
      -1,    -1,   398,   969,    -1,   401,   402,   332,    -1,    -1,
      -1,  4373,    -1,    -1,    -1,    -1,   982,    -1,    -1,    -1,
      -1,   346,    -1,    -1,   349,    -1,    -1,  4389,    -1,    -1,
    4392,  5693,    -1,    -1,    -1,   431,    -1,    -1,    -1,    -1,
      -1,    -1,  1008,    -1,    -1,  2582,  3210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1024,    -1,
      -1,  3667,    83,  3669,  3228,    86,  1032,    -1,    -1,    90,
      91,    92,  3236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1046,    -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,  1062,    -1,    -1,    -1,
     496,   122,    -1,    -1,    -1,  2642,    -1,  2644,    -1,    -1,
      -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4484,  4485,    -1,    -1,   147,  2664,    -1,    -1,
      -1,    -1,  4494,    -1,    -1,    -1,    -1,    -1,    -1,  5879,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2686,
      -1,  4513,  3758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5903,    -1,    -1,    -1,  2704,    -1,    -1,
      -1,    -1,  2709,  2710,    -1,    -1,    -1,  2714,    -1,    -1,
    5842,    -1,  5844,    -1,    -1,  2722,    -1,    -1,    -1,    -1,
      -1,  3797,    -1,  1159,    -1,  1161,    -1,  1163,    -1,    -1,
      -1,    -1,    -1,  2740,  4566,    -1,    -1,    -1,   533,    -1,
      -1,   536,   537,   538,    -1,   540,   541,   542,   543,   544,
     545,    -1,    -1,    -1,    -1,   550,    -1,    -1,    -1,    -1,
      -1,  4593,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,   262,  5982,    -1,    -1,    -1,    -1,    -1,    -1,  2786,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2798,    -1,   284,   285,    -1,    -1,  2804,  2805,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,
      -1,    -1,    -1,    -1,  1250,  1251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3899,    -1,    -1,    -1,    -1,    -1,  2836,
    2837,    -1,    -1,  2840,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2861,   346,  2863,  3933,   349,    -1,
      -1,  2868,    -1,    -1,    -1,    -1,    -1,  2874,    -1,    -1,
      -1,  6081,  2879,    -1,  2881,    -1,  5233,    -1,  2885,    -1,
      -1,    -1,    -1,  2890,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6023,    -1,    -1,    -1,    -1,  1332,  1333,    -1,    -1,
    6032,    -1,    -1,  2910,    -1,    -1,    -1,    -1,  2915,    -1,
      -1,  3545,  2919,    -1,    -1,  2922,    -1,    -1,    -1,    -1,
      -1,    -1,  1358,    -1,    -1,  2932,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2945,    -1,
    4139,    -1,    -1,  4142,    -1,   436,    -1,    -1,  2955,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4033,    -1,    -1,
      83,  6093,    -1,    86,    -1,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6109,  4054,    -1,
      -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,  4820,    -1,
      -1,    -1,   115,  4825,    -1,    -1,    -1,    -1,    -1,   122,
      -1,    -1,    -1,  4079,    -1,    -1,    -1,    -1,    -1,  4578,
      -1,    -1,    -1,  4582,    -1,    -1,  3023,    -1,    -1,    -1,
      -1,    -1,    -1,  3657,   147,    -1,  4858,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4113,  4870,    -1,
      -1,    -1,   533,    -1,  4243,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,   550,
      -1,    -1,    -1,    -1,    -1,  4897,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1542,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1560,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,  5493,  5494,    -1,   262,
      -1,    -1,    -1,    -1,  3778,    -1,    -1,    -1,    -1,  3156,
    5507,    -1,  1588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4992,   284,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1624,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3210,  1640,    -1,    -1,    -1,    -1,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1655,
      -1,  3228,  1658,   346,    -1,    -1,   349,    -1,    -1,  3236,
      -1,    -1,  4801,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5074,    -1,    -1,    -1,  5603,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4843,  4844,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3317,    -1,    -1,   436,    -1,    -1,  3323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1786,  3985,    -1,    -1,    -1,  5187,    -1,  5189,  1794,  1795,
    4929,  4930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4010,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3405,    -1,
      -1,    -1,  5234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,  5243,  4488,   536,   537,   538,    -1,   540,   541,   542,
     543,   544,   545,    -1,  1860,    -1,    -1,   550,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    -1,    -1,    86,    -1,
      -1,    -1,    90,    91,    92,  1881,    -1,    -1,    -1,  5281,
      -1,    -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,   107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,  5048,
      -1,    -1,    -1,    -1,    -1,  5842,    -1,  5844,  5057,  5058,
      -1,    -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,  1939,  5073,    -1,    -1,    -1,    -1,    -1,
       5,  3518,  3519,    -1,    -1,    -1,    -1,    -1,    -1,  4718,
      -1,    -1,    -1,  4722,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3545,    34,
      35,  3548,    -1,    -1,  1980,    -1,    41,    42,    -1,    -1,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2035,
      -1,    -1,    -1,    -1,  4680,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,   262,    -1,  2052,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3633,  3634,  3635,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,   285,  5470,    -1,
    4274,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
    3657,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5495,    -1,    -1,  6023,    -1,    -1,    -1,
    3677,    -1,    -1,    -1,    -1,  5507,    -1,    -1,    -1,    -1,
      -1,    -1,  2118,    -1,   332,    -1,    -1,    -1,  3695,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4803,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2188,    -1,    -1,  4389,    -1,    -1,  4392,   254,
      -1,    -1,    -1,    -1,    -1,    -1,  4842,    -1,    -1,    -1,
    4969,  3778,    -1,    -1,    -1,    -1,  2212,    -1,    -1,    -1,
      -1,    -1,    -1,   278,  2220,    -1,    -1,  4863,   436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5377,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     315,    -1,  3829,   318,    -1,    -1,    -1,    -1,    -1,  3836,
      -1,  3838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,
      -1,    -1,    -1,    -1,  3851,    -1,  3853,    -1,    -1,    -1,
      -1,    -1,  4928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3875,  5701,
      -1,  5703,    -1,  2309,  2310,    -1,    -1,    -1,    -1,  4513,
      -1,    -1,  5451,    -1,    -1,   533,    -1,  2323,   536,   537,
     538,    -1,   540,   541,   542,   543,   544,   545,    -1,    -1,
    2336,  2337,   550,    -1,    -1,    -1,    -1,    -1,    -1,  3916,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2362,   422,    -1,    -1,
      -1,    -1,    -1,    -1,  5503,    -1,    -1,    -1,  5137,    -1,
      -1,    -1,    -1,    -1,    -1,  5144,    -1,    -1,    -1,    -1,
    5149,    -1,    -1,  5152,  5153,    -1,    -1,    -1,  3965,  4593,
      -1,    -1,    -1,    -1,    -1,  5041,    -1,  5799,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   470,    -1,    -1,  3985,    -1,
    5179,    -1,    -1,    -1,    -1,  5817,    -1,    -1,    -1,    -1,
     485,    -1,    -1,    -1,  5193,    -1,    -1,    -1,    -1,  5831,
    4007,    -1,    -1,  4010,    -1,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5846,    -1,    -1,    -1,    -1,    -1,
    5096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   538,  5243,   540,   541,   542,   543,   544,
      -1,    -1,   547,   548,   549,    -1,    -1,    -1,  2494,   554,
     555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    -1,
      -1,    86,  5904,  5905,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,  5287,    -1,
      -1,    -1,   107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5950,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      83,    -1,    -1,    86,    -1,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,  5353,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6032,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5416,    -1,    -1,
      -1,    -1,    -1,    -1,  4858,    -1,    -1,    -1,  2664,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4870,    -1,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,   262,    -1,    -1,
    2686,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6093,    -1,    -1,    -1,    -1,    -1,  4274,  2704,   284,
     285,    -1,    -1,  2709,  2710,    -1,    -1,  6109,  2714,  6111,
    6112,    -1,    -1,    -1,   299,    -1,  2722,    -1,    83,    -1,
      -1,    86,    -1,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,  2740,    -1,  5382,    -1,    -1,    -1,
      -1,    -1,   107,    -1,   257,    -1,    -1,   332,  4325,   262,
     115,    -1,    -1,  4330,    -1,  4332,    -1,   122,    -1,    -1,
      -1,   346,    -1,    -1,   349,    -1,    -1,  5536,    -1,    -1,
      -1,   284,   285,    -1,    -1,    -1,  5422,  4354,    -1,    -1,
    2786,    -1,   147,    -1,    -1,    -1,   299,    -1,    -1,    -1,
    5559,    -1,  2798,  5932,    -1,    -1,  4373,    -1,  2804,  2805,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4389,    -1,    -1,  4392,    -1,    -1,    -1,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2836,  2837,  5478,   346,  2840,    -1,   349,  5483,  5484,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5618,
      -1,   436,    -1,    -1,    -1,  2861,    -1,  2863,    -1,    -1,
      -1,    -1,  2868,    -1,    -1,    -1,    -1,    -1,  2874,    -1,
    5074,    -1,    -1,  2879,    -1,  2881,    -1,    -1,  5647,  2885,
      -1,    -1,    -1,    -1,  2890,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,   262,    -1,    -1,
      -1,    -1,    -1,    -1,  2910,    -1,    -1,  4484,  4485,  2915,
      -1,    -1,    -1,  2919,    -1,    -1,  2922,  4494,    -1,   284,
     285,    -1,    -1,   436,    -1,    -1,  2932,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,  4513,    -1,    -1,  2945,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5593,   533,  2955,
      -1,   536,   537,   538,    -1,   540,   541,   542,   543,   544,
     545,    -1,    -1,    -1,    -1,   550,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   346,    -1,  5187,   349,  5189,    -1,    83,    -1,  4566,
      86,  5760,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,
      -1,   107,    -1,    -1,    -1,    -1,  4593,  3023,    -1,   115,
     533,    -1,    -1,   536,   537,   538,   122,   540,   541,   542,
     543,   544,   545,    83,    -1,    -1,    86,   550,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   147,    -1,    -1,    -1,    -1,   216,   107,    -1,    -1,
      -1,    -1,  5831,    -1,    -1,   115,    -1,    -1,   228,    -1,
      -1,   436,   122,   233,    -1,    -1,    -1,    -1,   238,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,   247,    -1,    -1,
      -1,   251,    -1,    -1,    -1,  3101,    -1,   147,    -1,    83,
      -1,    -1,    86,    -1,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,  5884,    -1,    -1,    -1,    -1,
     280,    -1,    -1,   107,    -1,    -1,    -1,    -1,    -1,  5898,
      -1,   115,    -1,    -1,    -1,  5904,  5905,    93,   122,    -1,
     300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3156,    -1,    -1,    -1,    -1,    -1,  5802,    -1,    -1,    -1,
      -1,   257,    -1,   147,    -1,    -1,   262,    -1,   533,    -1,
      -1,   536,   537,   538,   130,   540,   541,   542,   543,   544,
     545,   341,   138,    -1,   344,   550,    -1,    -1,   284,   285,
     350,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,   299,  3210,  5974,    -1,   257,    -1,    -1,
    5979,    -1,   262,    -1,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3228,    -1,    -1,    -1,    -1,    -1,    -1,   185,
    3236,    -1,    -1,    -1,   284,   285,   332,   193,    -1,    -1,
      -1,    -1,    -1,  4820,    -1,   405,    -1,    -1,  4825,   299,
     346,    -1,   208,   349,   210,    -1,    -1,    -1,   214,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,   233,   262,    -1,
      -1,  4858,   332,    -1,    -1,    -1,    -1,    -1,   166,    -1,
      -1,    -1,    -1,  4870,    -1,    -1,   346,    -1,   458,   349,
     284,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6078,
      -1,  3317,    -1,    -1,    -1,   299,    -1,  3323,    -1,    -1,
    4897,    -1,  6091,    -1,    -1,   485,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   216,    -1,
     436,    -1,  6111,  6112,    -1,    -1,    -1,    -1,   332,   509,
     228,   511,   512,    -1,    -1,   233,    -1,    -1,    -1,    -1,
     238,    -1,   346,    -1,    -1,   349,   244,    -1,    -1,   247,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,   547,    -1,    -1,
     550,   551,    -1,   553,    -1,    -1,    -1,    -1,    -1,  3405,
      83,    -1,   280,    86,    -1,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,  4992,    -1,    -1,    -1,    -1,
      -1,    -1,   300,    -1,   107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,    -1,   533,    -1,   122,
     536,   537,   538,    -1,   540,   541,   542,   543,   544,   545,
      -1,    -1,   436,    -1,   550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   341,   147,    -1,   344,    -1,    -1,    -1,
      -1,    -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    -1,    -1,   536,   537,   538,    -1,
     540,   541,   542,   543,   544,   545,    -1,  5074,    -1,    -1,
     550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3518,  3519,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3545,
      -1,    -1,  3548,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      -1,    -1,   536,   537,   538,    -1,   540,   541,   542,   543,
     544,   545,    -1,    -1,    -1,    -1,   550,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,   262,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,    -1,    -1,    -1,   485,    -1,    -1,
    5187,    -1,  5189,  5817,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3633,  3634,  3635,
      -1,   509,    -1,   511,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,
      -1,  3657,    -1,    -1,    -1,    -1,    -1,  5234,    -1,    -1,
      -1,    -1,    -1,   346,    -1,    -1,   349,    -1,    -1,   547,
      -1,  3677,   550,   551,    -1,   553,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3695,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   681,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,    24,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    35,
      -1,    -1,  3778,    39,    -1,    41,    42,    -1,    -1,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,  3829,    -1,    -1,    -1,    -1,    -1,    -1,
    3836,    -1,  3838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3851,    -1,  3853,    -1,    -1,
     533,    -1,    -1,   536,   537,   538,    -1,   540,   541,   542,
     543,   544,   545,    -1,    -1,    -1,    -1,   550,    -1,  3875,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5470,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5507,    -1,    -1,    -1,    -1,   891,   892,   893,   894,    -1,
     896,    -1,    -1,    -1,   900,    -1,   902,   213,    -1,   905,
      -1,    -1,   908,    -1,    -1,   911,    -1,    -1,   914,  3965,
     916,    -1,    -1,   919,    -1,   231,    -1,   923,    -1,   925,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3985,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   943,   254,    -1,
      -1,    -1,    -1,   949,    -1,   951,    -1,    -1,   954,    -1,
     956,  4007,   958,    -1,  4010,    -1,    -1,    -1,    -1,   965,
      -1,    -1,   278,    -1,   970,    -1,   972,    -1,    -1,    -1,
      -1,    -1,    -1,   979,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,  1013,    -1,     5,
      -1,    -1,  1018,    -1,    -1,    -1,    -1,  1023,   334,    -1,
      -1,  1027,    -1,    -1,  1030,    -1,    -1,  1033,    24,    -1,
      -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,    34,    35,
      -1,    -1,    -1,  1049,    -1,    41,    42,    -1,    -1,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,  5701,    -1,  5703,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1107,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1122,    -1,  1124,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,   138,    -1,    86,    -1,  1152,  1153,    90,    91,
      92,  1157,  1158,    -1,   470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,   485,
      -1,  1177,  5799,   115,    -1,  1181,    -1,    -1,    -1,    -1,
     122,    -1,    -1,  1189,   500,    -1,    -1,    -1,    -1,    -1,
    5817,    -1,    -1,    -1,  1200,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   147,  1212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   530,    -1,    -1,   213,  4274,  5846,
      -1,    -1,   538,    -1,   540,   541,   542,   543,   544,    -1,
      -1,   547,   548,   549,   550,   231,   552,   553,   554,   555,
     556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4325,
      -1,    -1,    -1,    -1,  4330,    -1,  4332,    -1,    -1,  1285,
      -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1296,    -1,    -1,    -1,    -1,  1301,  1302,    -1,  4354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   257,    -1,  4373,    -1,   315,
     262,    -1,   318,  5950,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4389,    -1,    -1,  4392,    -1,   334,    -1,
      -1,    -1,   284,   285,    -1,    -1,    -1,    -1,    -1,    -1,
    1356,  1357,    -1,    -1,    -1,    -1,    -1,   299,    -1,  1365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1376,    -1,    -1,    -1,  1380,    -1,  1382,    -1,    -1,  1385,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     332,    -1,    -1,    -1,  1400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   346,  6032,    -1,   349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1422,    -1,    -1,    -1,
      -1,    -1,  1428,  1429,    -1,    -1,   422,    -1,  4484,  4485,
      -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,  4494,    -1,
      -1,    -1,    -1,    -1,  1450,  1451,  1452,    -1,  1454,    -1,
    1456,  1457,    83,    -1,    -1,    86,  1462,  4513,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,  6093,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   470,    -1,   107,    -1,    -1,    -1,
      -1,    -1,  6109,    -1,   115,    -1,   216,    -1,    -1,   485,
      -1,   122,    -1,    -1,   436,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,   233,   500,    -1,    -1,    -1,   238,    -1,
      -1,    -1,    -1,    -1,   244,    -1,   147,   247,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1535,
      -1,  1537,  1538,    -1,   530,    -1,    -1,  4593,    -1,    -1,
      -1,    -1,   538,    -1,   540,   541,   542,   543,   544,    -1,
     280,   547,   548,   549,   550,    -1,    -1,    -1,   554,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     300,    -1,    -1,    -1,  1580,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,    -1,    -1,    -1,    -1,   550,    -1,
      -1,   341,  1618,  1619,   344,    -1,    -1,  1623,    -1,  1625,
     350,    -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1651,    -1,    -1,  1654,    -1,
      -1,  1657,    -1,   284,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1669,    -1,    -1,    -1,    -1,   299,    -1,
      -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,   349,    -1,
    1726,  1727,  1728,    -1,  1730,    -1,    -1,    -1,   458,    83,
      -1,    -1,    86,    -1,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,  1750,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   107,    -1,   485,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,  4820,    -1,  1772,  1773,   122,  4825,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   509,
      -1,   511,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,  1801,    -1,    -1,    -1,    -1,
      -1,    -1,  4858,    -1,    -1,   436,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4870,    -1,    -1,   547,    -1,    -1,
     550,   551,    -1,   553,    -1,    -1,    -1,    -1,    -1,  1835,
      -1,    -1,    -1,  1839,  1840,    -1,    -1,    -1,    -1,    -1,
      -1,  4897,    -1,    -1,  1850,  1851,  1852,    -1,  1854,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1879,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   257,    -1,   536,   537,   538,   262,   540,
     541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,   550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     284,   285,    -1,    -1,    -1,    -1,  4992,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1994,  1995,
      -1,    -1,   346,    -1,    -1,   349,    -1,    -1,  2004,    -1,
      -1,  2007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5074,    -1,
      -1,    -1,    -1,  2029,    -1,  2031,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2054,    -1,
      -1,  2057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,    -1,    -1,    86,    -1,    -1,    -1,    90,    91,
      92,    -1,   436,    -1,    -1,    -1,    -1,  2093,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,  2104,  2105,
    2106,  2107,  2108,   115,    -1,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,  2122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,  2135,
    2136,  5187,    -1,  5189,    -1,   147,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2150,    -1,  2152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2164,  2165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5234,   533,
      -1,  2187,   536,   537,   538,    -1,   540,   541,   542,   543,
     544,   545,    -1,    -1,    -1,    -1,   550,    -1,    -1,    -1,
    2206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2222,  2223,  2224,  2225,
      -1,    -1,    -1,    -1,    -1,  5281,    -1,    -1,    -1,  2235,
      -1,    -1,    -1,    -1,    -1,    -1,  2242,    -1,    -1,  2245,
      -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
     262,    -1,    -1,    -1,    -1,    -1,  2262,    -1,    -1,  2265,
      -1,    -1,    -1,    -1,  2270,    -1,    -1,    -1,    -1,  2275,
      -1,    -1,   284,   285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5340,    -1,    -1,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2306,  2307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2317,  2318,    -1,    -1,  2321,    -1,    -1,  2324,    -1,
     332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   346,  2341,  2342,   349,    -1,    -1,
      -1,    -1,  2348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2393,    -1,    -1,
      -1,    -1,    -1,    -1,  2400,    -1,  2402,    -1,    -1,  2405,
    2406,    -1,  2408,  2409,    -1,  2411,    -1,    -1,    -1,    -1,
      -1,    -1,  2418,    -1,  5470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2428,    -1,   436,    -1,    -1,  2433,  2434,    -1,
      -1,  2437,    -1,    -1,    -1,  2441,  2442,    -1,    -1,  5495,
      -1,  2447,  2448,    -1,    -1,    -1,    -1,    -1,  2454,  2455,
    2456,  5507,    -1,    -1,  2460,  2461,  2462,  2463,  2464,  2465,
    2466,  2467,    -1,  2469,    -1,  2471,  2472,    -1,    -1,  2475,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2490,  2491,  2492,  2493,    -1,    -1,
      -1,  2497,  2498,    -1,    -1,    -1,  2502,    -1,    -1,  2505,
      -1,    -1,  2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,
    2516,    -1,  2518,    -1,    -1,    -1,    -1,    -1,    -1,  2525,
    2526,   533,    -1,  2529,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,    -1,    -1,    -1,    -1,   550,    -1,
      -1,    -1,    -1,    -1,    -1,  2551,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2583,    -1,    -1,
      -1,  2587,    -1,    -1,    -1,  2591,    -1,  2593,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2603,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2612,  2613,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2626,    -1,    -1,    -1,    -1,    -1,    -1,  2633,    -1,  2635,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5701,    -1,  5703,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    35,    -1,    -1,    -1,    -1,    -1,    41,    42,
      -1,    -1,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,  2715,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,  2724,    -1,
    2726,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2743,    -1,    -1,
      -1,    -1,    -1,  5799,    -1,    -1,    -1,    -1,    -1,  2755,
      -1,  2757,  2758,    -1,    -1,    -1,  2762,    -1,  2764,  2765,
    2766,  5817,  2768,    -1,  2770,   138,    -1,    -1,  2774,    -1,
      -1,  2777,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2816,  2817,    -1,    -1,    -1,    -1,    -1,    -1,  2824,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2833,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,    -1,    -1,    -1,    -1,    -1,  2852,    -1,    -1,    -1,
      -1,  2857,  2858,    -1,    -1,    -1,    -1,    -1,   231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2872,  2873,    -1,    -1,
    2876,    -1,  2878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5950,    -1,  2902,    -1,    -1,  2905,
      -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2926,  2927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2941,    -1,  2943,  2944,    -1,
      -1,    -1,   315,    -1,    -1,   318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   334,    -1,    -1,    -1,    -1,  2972,  2973,  2974,    -1,
      -1,    -1,  2978,    -1,    -1,    -1,  6032,    -1,  2984,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2992,    -1,    -1,  2995,
      -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3013,    -1,  3015,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3029,    -1,    -1,  3032,    -1,  3034,    -1,
      -1,  3037,    -1,    -1,    -1,  3041,    -1,  6093,  3044,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
    3056,  3057,    -1,  6109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3074,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3084,    -1,
    3086,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3102,   470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3113,    -1,    -1,
      -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3127,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,
      -1,  3137,    -1,  3139,  3140,  3141,  3142,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   538,    -1,   540,   541,   542,
     543,   544,    -1,    -1,   547,   548,   549,   550,    -1,    -1,
      -1,   554,    -1,  3189,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3240,    -1,    -1,    -1,    -1,    -1,
    3246,    -1,    -1,  3249,    -1,    -1,  3252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3261,    -1,    -1,    -1,    -1,
      -1,    -1,  3268,    -1,    -1,    -1,    -1,  3273,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    12,    -1,    14,    -1,    16,    17,    -1,    -1,
    3296,  3297,  3298,    -1,    -1,  3301,    -1,    27,    -1,    -1,
      -1,    -1,    -1,  3309,  3310,  3311,  3312,    -1,    -1,    -1,
      -1,    -1,    -1,    43,    44,    -1,  3322,    -1,    -1,  3325,
      -1,  3327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3338,  3339,    -1,    -1,  3342,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3354,    -1,
    3356,    -1,  3358,    -1,  3360,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,  3380,   105,   106,    -1,  3384,    -1,
      -1,    -1,    -1,    -1,    -1,  3391,    -1,    -1,    -1,    -1,
      -1,   121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3415,
      -1,    -1,   142,    -1,   144,   145,  3422,    -1,    -1,    -1,
      -1,   151,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3437,    -1,    -1,   164,    -1,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3451,    -1,    -1,    -1,  3455,
      -1,   181,  3458,   183,  3460,    83,   186,    -1,    86,    -1,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
     200,    -1,   202,    -1,    -1,    -1,   206,    -1,    -1,   107,
      -1,    -1,   212,    -1,    -1,    -1,    -1,   115,    -1,    -1,
     220,    -1,   222,    -1,   122,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,  3524,   147,
    3526,    83,    -1,    -1,    86,  3531,    -1,    -1,    90,    91,
      92,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,    -1,
      -1,    -1,  3558,   115,  3560,  3561,  3562,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   301,   302,    -1,    -1,    -1,    -1,   307,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,   319,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   374,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,   285,   388,    -1,
      -1,    -1,    -1,    -1,   394,   395,    -1,   397,    -1,  3675,
      -1,   299,   402,    -1,    -1,    -1,    -1,   407,    -1,    -1,
     410,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,    -1,    -1,   423,   424,   257,    -1,    -1,    -1,    -1,
     262,   431,    -1,    -1,   332,   435,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,   346,    -1,
      -1,   349,   284,   285,    -1,    -1,    -1,    -1,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,
     480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,    -1,
      -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,    -1,   499,
     332,    83,    -1,    -1,    86,    -1,    -1,  3783,    90,    91,
      92,    -1,   512,  3789,   346,    -1,    -1,   349,    -1,    -1,
      -1,    -1,  3798,    -1,    -1,   107,    -1,  3803,  3804,    -1,
      -1,    -1,    -1,   115,    -1,   535,    -1,    -1,   436,    -1,
     122,   373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
      -1,    -1,    -1,   553,    83,    -1,    -1,    86,    -1,    -1,
      -1,    90,    91,    92,    -1,   147,  3842,  3843,  3844,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,  3859,    -1,    -1,   115,    -1,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,  3881,  3882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3891,  3892,  3893,   147,    -1,
     452,  3897,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3910,   533,    -1,    -1,   536,   537,
     538,    -1,   540,   541,   542,   543,   544,   545,    -1,    -1,
     548,   233,  3928,    -1,    -1,    -1,   238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,  3945,
      -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
     262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3969,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   284,   285,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,    -1,    -1,  3992,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,
      -1,    -1,  4008,   262,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     332,    -1,    -1,    -1,  4030,   284,   285,    -1,    -1,    -1,
      -1,    -1,    -1,  4039,   346,    -1,    -1,   349,    -1,  4045,
     299,  4047,    -1,    -1,  4050,    -1,    -1,    -1,    -1,  4055,
    4056,  4057,  4058,    -1,    -1,  4061,  4062,  4063,  4064,  4065,
    4066,  4067,  4068,  4069,  4070,    -1,    -1,    -1,  4074,  4075,
      -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,  4084,    -1,
      -1,    -1,  4088,    -1,    -1,    -1,  4092,   346,    -1,    -1,
     349,    -1,    -1,    -1,  4100,    -1,    -1,  4103,    -1,  4105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,
       5,  4117,  4118,    -1,    -1,    -1,  4122,  4123,    -1,    -1,
      -1,  4127,    -1,  4129,   436,    -1,    -1,    -1,    -1,    24,
    4136,  4137,  4138,  4139,    -1,    -1,  4142,  4143,    -1,    34,
      35,  4147,  4148,  4149,    -1,    -1,    41,    42,  4154,    -1,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    -1,    -1,   436,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    -1,    -1,    84,
      -1,    -1,    -1,  4199,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4213,    -1,  4215,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,   493,    -1,    -1,  4243,  4244,  4245,
      -1,  4247,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4264,  4265,
    4266,  4267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,    -1,    -1,   536,   537,   538,
      -1,   540,   541,   542,   543,   544,   545,  4293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4312,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   231,   138,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
     161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4407,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,   219,    -1,
     315,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,
      -1,    -1,    -1,    -1,    -1,  4451,    -1,    -1,    -1,  4455,
      -1,  4457,    -1,  4459,    83,    -1,    -1,    86,    -1,    -1,
    4466,    90,    91,    92,    -1,    -1,  4472,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4482,    -1,   107,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
      -1,  4497,    -1,   122,    -1,  4501,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4519,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,  4530,    -1,    -1,   422,  4534,    -1,
      -1,    -1,  4538,  4539,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4567,  4568,  4569,  4570,  4571,  1019,    -1,  4574,    -1,
    4576,    -1,    -1,    -1,    -1,   470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     485,    -1,  1045,    83,    -1,    -1,    86,    -1,    -1,    -1,
      90,    91,    92,   232,    -1,   500,    -1,    -1,    -1,    -1,
    4616,    -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,  4627,    -1,    -1,    -1,   115,    -1,    -1,   257,    -1,
      -1,    -1,   122,   262,    -1,   530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   538,    -1,   540,   541,   542,   543,   544,
      -1,  4657,   547,   548,   549,   284,   285,   147,    -1,   554,
      -1,  4667,  4668,    -1,    -1,    -1,    -1,    -1,  4674,  4675,
     299,    -1,    -1,  4679,    -1,    -1,    -1,    -1,  4684,    -1,
      -1,  4687,  4688,    -1,    -1,    -1,  4692,  4693,    -1,    -1,
      -1,    -1,  4698,  4699,  4700,  4701,  4702,    -1,    -1,    -1,
    4706,  4707,  4708,   332,  4710,  4711,    -1,    -1,  4714,    -1,
      -1,    -1,  4718,    -1,    -1,    -1,  4722,   346,    -1,    -1,
     349,    -1,  4728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4746,    -1,   371,    -1,    -1,    -1,    -1,  4753,    -1,    -1,
      -1,  4757,    -1,    -1,    -1,    -1,  4762,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    83,   257,    -1,    86,
      -1,    -1,   262,    90,    91,    92,  4782,    -1,    -1,  4785,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   284,   285,    -1,    -1,   115,  4805,
    4806,    -1,    -1,    -1,    -1,   122,    -1,   436,    -1,   299,
      -1,    -1,    83,    -1,    -1,    86,    -1,  4823,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     147,  4837,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,
      -1,    -1,   332,    -1,   115,    -1,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,   346,    -1,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
    4886,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4908,  1356,   533,    -1,    -1,   536,   537,   538,
      -1,   540,   541,   542,   543,   544,   545,  4923,    -1,  1372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,    -1,    -1,    -1,  1397,   262,   436,  4953,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1412,
      -1,    -1,    -1,  4969,    -1,    -1,    -1,   284,   285,  4975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4984,    -1,
      -1,    -1,   299,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,   262,  4998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5010,    -1,  5012,    -1,    -1,    -1,
      -1,    -1,    -1,   284,   285,   332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,   346,
      -1,    -1,   349,    -1,    -1,    -1,    -1,  5043,    -1,    -1,
    5046,    -1,    -1,   533,    -1,    -1,   536,   537,   538,  1502,
     540,   541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,   349,    -1,
      -1,    -1,   883,    -1,    -1,    -1,  5092,    -1,    -1,    -1,
     891,    -1,    -1,    -1,    -1,  5101,   367,    -1,    -1,   900,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   908,    -1,    -1,
     911,    -1,  5118,  5119,    -1,    -1,  5122,    -1,    -1,   436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5137,    -1,    -1,  5140,    -1,    -1,    -1,  5144,    -1,
      -1,    -1,    -1,  5149,    -1,    -1,  5152,  5153,    -1,  5155,
     951,  5157,    -1,  5159,  5160,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5179,    -1,  5181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1638,    -1,  5193,  5194,  5195,
    5196,  5197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1013,    -1,    -1,    -1,   533,    -1,  1019,   536,
     537,   538,  1023,   540,   541,   542,   543,   544,   545,  1030,
      -1,    -1,  1033,    -1,    -1,    -1,    -1,  5243,  5244,    -1,
      -1,    -1,    -1,    -1,  1045,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,    -1,
      -1,  5287,    -1,    -1,  5290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5302,    -1,    -1,  5305,
      -1,    -1,    -1,    -1,  5310,    -1,  5312,    -1,    -1,    -1,
      -1,    -1,  5318,    -1,    -1,    -1,    -1,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    93,    -1,    95,  5333,    -1,    -1,
      -1,  5337,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5351,  5352,  5353,    -1,    -1,
      -1,  1152,  1153,    -1,    -1,    -1,    -1,    -1,  1159,    -1,
      -1,   130,  1163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,  5381,    -1,    -1,  5384,    -1,
    5386,    -1,    -1,   152,   153,    -1,    -1,   156,  1189,    -1,
      -1,    -1,    -1,   162,    -1,    -1,    -1,   166,    -1,    -1,
    5406,    -1,    -1,    -1,    -1,    -1,  5412,    -1,    -1,    -1,
    5416,    -1,    -1,    -1,  5420,    -1,    -1,    -1,    -1,   188,
    5426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5435,
      -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5461,    -1,  5463,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1923,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5498,  5499,  5500,  5501,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5536,  1332,  1333,    -1,    -1,  1988,    -1,    83,    -1,    -1,
      86,    -1,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,  5559,    -1,  1356,  1357,  1358,    -1,    -1,
      -1,   107,    -1,    -1,  1365,    -1,    -1,    -1,    -1,   115,
      -1,  1372,  2025,    -1,    -1,  1376,   122,    -1,    -1,    -1,
      -1,  1382,    -1,    -1,  1385,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1397,    -1,    -1,    -1,
      -1,   147,    -1,    -1,    -1,  2058,    -1,    -1,    -1,  5615,
      -1,  1412,  5618,    -1,    -1,  5621,    -1,    -1,    -1,  5625,
      -1,    -1,    -1,    -1,    -1,    -1,  5632,    -1,    -1,    -1,
    5636,    -1,  5638,    -1,  5640,    -1,    -1,    -1,    -1,    -1,
      -1,  5647,    -1,    -1,    -1,    -1,    -1,  5653,    -1,  5655,
      -1,    -1,    -1,    -1,    -1,  1456,  1457,    -1,    -1,    -1,
    5666,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2134,  2135,  2136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1502,  2155,    -1,    -1,  5711,  5712,    -1,    -1,    -1,
      -1,   257,    -1,    -1,    -1,    -1,   262,    -1,    -1,  2172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5742,    -1,   284,   285,
    2193,    -1,  5748,    -1,    -1,    -1,  5752,    -1,    -1,    -1,
      -1,    -1,    -1,   299,  5760,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5781,    -1,    -1,    -1,  1580,
      -1,    -1,    -1,  5789,  5790,  5791,   332,    -1,    -1,  5795,
      -1,    -1,  5798,    -1,    -1,    -1,  2249,    -1,    -1,    -1,
     346,    -1,  5808,   349,    -1,  5811,    -1,    -1,    -1,    -1,
    5816,    -1,    -1,    -1,    -1,    -1,  2269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5831,    -1,    -1,  2281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1638,    -1,    -1,
    2293,    -1,  5848,    -1,    -1,    -1,    -1,    -1,    -1,  5855,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1669,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5884,    -1,
    2333,  2334,    -1,  5889,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    -1,  5898,    -1,    -1,    -1,    -1,  1698,  5904,  5905,
      -1,  5907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5917,   681,    -1,    -1,  5921,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1726,  1727,  1728,    -1,  1730,
      -1,    -1,    -1,    -1,    -1,    -1,  5942,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    -1,  1750,
      86,    -1,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
     729,   730,    -1,    -1,    -1,    -1,    -1,    -1,  5974,  5975,
    5976,   107,    -1,  5979,   110,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,    -1,    -1,   122,   533,    -1,    -1,
     536,   537,   538,    -1,   540,   541,   542,   543,   544,   545,
    6006,    -1,    -1,    -1,    -1,  6011,    -1,    -1,   777,    -1,
      -1,   147,  6018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1835,    -1,  2489,    -1,  1839,  1840,
      -1,    -1,    -1,    -1,    -1,  6051,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1854,    -1,  6061,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6075,
      -1,    -1,  6078,    -1,    -1,    -1,  2529,    -1,    -1,    -1,
      -1,  6087,    -1,    -1,    -1,  6091,    -1,    -1,    -1,    -1,
      -1,    -1,    83,    -1,    -1,    86,    -1,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,  6111,  6112,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,
      -1,   257,  1923,    -1,   115,    -1,   262,    -1,  1929,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,  1939,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    -1,  1980,
      86,    -1,    -1,    -1,    90,    91,    92,  1988,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,    -1,    -1,    -1,    -1,   115,
     346,    -1,    -1,   349,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2025,   994,   995,    -1,   997,    -1,
      -1,    -1,    -1,    -1,  2035,    -1,    -1,    -1,    -1,    -1,
    2693,   147,    -1,    -1,  2697,  2698,    -1,    -1,    -1,    -1,
      -1,  2052,    -1,    -1,    -1,    -1,    -1,  2058,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1056,    -1,    -1,
    1059,  1060,    -1,   284,   285,    -1,    -1,    -1,    -1,    -1,
     436,    -1,    -1,    -1,    -1,  1074,  2759,  1076,   299,  1078,
      -1,    -1,    -1,    -1,    -1,  1084,    -1,    -1,    -1,  1088,
    2773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2134,  2135,  2136,    -1,    -1,    -1,  1108,
    1109,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   257,    -1,    -1,  2155,   346,   262,    -1,   349,    -1,
    2813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2172,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,
    2181,    -1,    -1,    -1,    -1,    -1,  1155,  2188,  1157,    -1,
      -1,    -1,  2193,   299,    -1,    -1,    -1,   533,    -1,    -1,
     536,   537,   538,    -1,   540,   541,   542,   543,   544,   545,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     346,    -1,    -1,   349,    -1,   436,    -1,    -1,  2249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2262,    -1,    -1,  2265,    -1,    -1,  1236,  2269,    -1,
      -1,    -1,    -1,    -1,  2275,   466,    -1,    -1,    -1,    -1,
    2281,  1250,  1251,    -1,    -1,  1254,    -1,    -1,    -1,    -1,
      -1,    -1,  2293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2306,  2307,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2321,  2974,    -1,  2324,    -1,    -1,  1295,    -1,    -1,    -1,
     436,    -1,  2333,  2334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,    -1,
      -1,  3014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2402,    -1,    -1,  2405,  2406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    -1,    -1,
     536,   537,   538,    -1,   540,   541,   542,   543,   544,   545,
    2441,  2442,    -1,  3096,    -1,    -1,  2447,  2448,    -1,    -1,
      -1,    -1,    -1,  2454,  2455,  2456,    -1,    -1,    -1,  2460,
      -1,  2462,  2463,  2464,  2465,  2466,  2467,    -1,  2469,    -1,
    2471,  2472,    -1,    -1,  2475,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2489,  2490,
    2491,  2492,  2493,  2494,    -1,    -1,    -1,  2498,    -1,    -1,
      -1,  2502,    -1,    -1,  2505,    -1,    -1,  2508,  2509,  2510,
    2511,  2512,  2513,  2514,  2515,  2516,    -1,  2518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2526,    -1,    -1,  2529,    -1,
      83,    -1,    -1,    86,    -1,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,
      -1,    -1,    -1,  3226,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2587,    -1,    -1,    -1,
    3243,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2603,    -1,    -1,  3258,    -1,    -1,    -1,    -1,
      -1,  2612,  2613,    -1,    -1,    -1,    -1,    -1,    -1,  1588,
      -1,    -1,    -1,    -1,  1593,    -1,  1595,    -1,    -1,  1598,
      -1,  1600,    -1,    -1,  1603,  1604,  1605,    -1,    -1,    -1,
    1609,    -1,    -1,    -1,    -1,    -1,    -1,  1616,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1630,    -1,  1632,    -1,    -1,    -1,    -1,  1637,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2693,    -1,    -1,    -1,  2697,  2698,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,  2709,   262,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2743,    -1,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2755,    -1,    -1,    -1,  2759,    -1,
      -1,  2762,    -1,    -1,  2765,  2766,    -1,    -1,    -1,    -1,
      -1,    -1,  2773,    -1,    -1,    -1,    -1,    -1,    -1,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1761,   346,    -1,    -1,   349,  2798,    -1,    -1,
      -1,    -1,    -1,  1772,  1773,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1789,    -1,    -1,    -1,    -1,  1794,  1795,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2836,    -1,    -1,    -1,  2840,
    3493,    -1,    -1,  3496,    -1,  3498,    -1,    -1,    -1,    -1,
    3503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,
      -1,    -1,  2863,   100,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,    -1,    -1,  2879,    -1,
      -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,  3552,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1879,   148,  1881,    -1,    -1,    -1,    -1,    -1,  3571,    -1,
      -1,  2922,  1891,    -1,    -1,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3596,   181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,  2972,  2973,  2974,    -1,    -1,    -1,  2978,   215,    -1,
     533,    -1,    -1,   536,   537,   538,   223,   540,   541,   542,
     543,   544,   545,    -1,    -1,    -1,    -1,    -1,   235,  1968,
      -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,  1978,
     247,    -1,  3013,  3014,  3667,    -1,  3669,    -1,    -1,    -1,
      -1,    -1,  3023,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3057,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2059,    -1,    -1,  2062,  2063,  3096,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3758,    -1,    -1,    -1,   346,
      -1,    -1,  3113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3783,    -1,   369,    -1,    -1,    -1,  3789,    -1,    -1,    -1,
      -1,    -1,   379,   380,  3797,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3824,   409,    -1,    -1,   412,    -1,  3830,    -1,   416,
      -1,   418,    -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,
      -1,   428,    -1,  2162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,    -1,    -1,    -1,    -1,    -1,   453,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,  3226,    -1,    -1,   465,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   473,    -1,   475,  3240,
      -1,    -1,  3243,   480,    -1,  3246,  3899,    -1,  3249,    -1,
      -1,  3252,    -1,    -1,    -1,   492,    -1,  3258,    -1,    -1,
      -1,    -1,    -1,    -1,  3917,    -1,    -1,  3268,   505,    -1,
      -1,    -1,  3273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3296,  3297,  3298,    -1,    -1,
    3301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3309,  3310,
    3311,  3312,    -1,    -1,    -1,    -1,  3317,    -1,    -1,    -1,
      -1,  3322,  3323,    -1,  3325,    -1,  3327,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3338,  3339,    -1,
      -1,  3342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3356,    -1,  3358,    -1,  3360,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,    -1,
      -1,   100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3380,
    4033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,
      -1,  4054,  2371,   100,  2373,    -1,   135,    -1,  2377,    -1,
    2379,    -1,    -1,  2382,    -1,   112,    -1,  2386,    -1,   148,
     149,  3422,  2391,    -1,    -1,    -1,  4079,    -1,    -1,    -1,
     159,    -1,    -1,    -1,   163,    -1,  3437,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3451,   148,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4113,    -1,   159,    -1,    -1,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,    -1,   215,    -1,    -1,    -1,
     187,    -1,  3493,    -1,   223,  3496,    -1,  3498,    -1,    -1,
      -1,    -1,  3503,    -1,    -1,    -1,   235,   204,    -1,    -1,
      -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,   215,    -1,
      -1,    -1,    -1,  3524,    -1,    -1,   223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
     247,  3552,    -1,    -1,    -1,    -1,  2525,    -1,    -1,    -1,
      -1,    -1,   291,  2532,    -1,    -1,    -1,    -1,    -1,   266,
    3571,    -1,    -1,  2542,    -1,    -1,    -1,    -1,  4231,    -1,
      -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   312,    -1,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3633,  3634,  3635,    -1,    -1,    -1,    -1,    -1,
     369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,
     379,   380,   349,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3667,    -1,  3669,    -1,
      -1,    -1,   369,    -1,    -1,    -1,    -1,    -1,  4331,    -1,
     409,    -1,    -1,   412,    -1,    -1,   383,   416,    -1,   418,
      -1,  2660,    -1,   390,    -1,  2664,   425,    -1,    -1,   428,
      -1,  2670,  4355,  2672,    -1,    -1,  2675,    -1,    -1,    -1,
      -1,    -1,   409,    -1,    -1,    -1,    -1,    -1,   447,    -1,
      -1,   418,    -1,    -1,   453,    -1,    -1,    -1,   425,   458,
      -1,   428,   461,    -1,    -1,    -1,   465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   473,    -1,   475,    -1,    -1,    -1,
     447,   480,    -1,  2722,    -1,    -1,   453,  3758,    -1,    -1,
      -1,   458,    -1,    -1,   461,   462,    -1,   464,   465,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   505,    -1,   475,    -1,
      -1,    -1,  3783,   480,    -1,    -1,    -1,    -1,  3789,   486,
      -1,    -1,   489,    -1,    -1,   492,  3797,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3824,    -1,    -1,    -1,    -1,  3829,  3830,
      -1,    -1,    -1,    -1,    -1,  4488,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3875,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4537,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3917,    -1,    -1,    -1,
      -1,    -1,    -1,   163,    -1,    -1,    -1,  2896,    -1,    -1,
      -1,    -1,  3933,    -1,    -1,  2904,    -1,    -1,  2907,    -1,
      -1,   181,    -1,    -1,    -1,    -1,    -1,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   223,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
     240,    -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4670,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,  4680,    -1,  4030,
      -1,    -1,  4033,    -1,    -1,    -1,    -1,    -1,  4039,    -1,
      -1,    -1,    -1,    -1,  4045,    -1,  4047,    -1,    -1,  4050,
      -1,   291,    -1,  4054,  4055,  4056,  4057,  4058,    -1,    -1,
    4061,  4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,
      -1,    -1,   312,  4074,  4075,    -1,    -1,    -1,  4079,    -1,
      -1,    -1,    -1,  4084,   138,    -1,    -1,  4088,    -1,  4090,
      -1,  4092,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4100,
      -1,    -1,  4103,    -1,  4105,    -1,   346,    -1,    -1,    -1,
      -1,    -1,  4113,  4114,    -1,    -1,  4117,  4118,    -1,    -1,
      -1,  4122,  4123,    -1,    -1,    -1,    -1,    -1,  4129,   369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,   379,
     380,  4142,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
    4803,    -1,    -1,  4154,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,   219,    -1,    -1,    -1,   409,
      -1,    -1,   412,    -1,    -1,    -1,   416,    -1,   418,    -1,
      -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,   428,  4842,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4199,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,    -1,    -1,
    4863,    -1,    -1,   453,  4215,  3184,  3185,   457,   458,    -1,
      -1,   461,    -1,    -1,    -1,   465,    -1,    -1,    -1,    -1,
    4231,    -1,    -1,  3202,    -1,   475,    -1,    -1,    -1,    -1,
     480,    -1,  4243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4928,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4325,    -1,    -1,    -1,    -1,  4330,
    4331,  4332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4354,  4355,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5039,    -1,  5041,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3400,    -1,    -1,    -1,    -1,  3405,    -1,    -1,    -1,
      -1,    -1,    -1,  5096,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4537,  4538,  4539,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4616,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4627,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4657,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4667,  4668,    -1,  4670,
      -1,    -1,    -1,  4674,  4675,    -1,    -1,    -1,  4679,  4680,
      -1,    -1,    -1,  4684,    -1,    -1,  4687,  4688,    -1,    -1,
      -1,  4692,    -1,    -1,    -1,    -1,    -1,  4698,    -1,    -1,
      -1,    -1,  5355,    -1,    -1,    -1,    -1,    -1,    -1,  4710,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4718,    -1,    -1,
      -1,  4722,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5382,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4785,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4825,  5478,    -1,    -1,    -1,    -1,
    5483,  5484,    -1,    -1,    -1,    -1,    -1,   891,    -1,    -1,
      -1,  4842,    -1,    -1,    -1,    -1,   900,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   908,  3824,    -1,   911,    -1,    -1,
      -1,  3830,  4863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4886,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   951,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4928,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5592,
    5593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4953,    -1,    -1,    -1,    -1,    -1,    -1,  1013,
      -1,    -1,  3931,    -1,    -1,  1019,    -1,    -1,  4969,  1023,
      -1,    -1,    -1,    -1,    -1,    -1,  1030,    -1,    -1,  1033,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1045,    -1,    -1,    -1,    -1,    -1,  4998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5039,    -1,
    5041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4017,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5092,    -1,    -1,    -1,  5096,    -1,    -1,  1152,  1153,
    5101,    -1,    -1,    -1,    -1,  1159,    -1,    -1,    -1,  1163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5118,  5119,    -1,
      -1,  5122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1189,  5137,    -1,    -1,    -1,
      -1,    -1,    -1,  5144,    -1,    -1,    -1,    -1,  5149,  5802,
      -1,  5152,  5153,    -1,    -1,    -1,    -1,    -1,  5159,  5160,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5179,    -1,
    5181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1332,  1333,
    5281,    -1,    -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1356,  1357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1365,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,
      -1,    -1,  1376,    -1,    -1,    -1,    -1,    -1,  1382,    -1,
      -1,  1385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1397,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5353,    -1,  5355,    -1,    -1,    -1,  1412,    -1,
      -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5381,  5382,    -1,  5384,    -1,  5386,  4355,    -1,    -1,    -1,
      -1,    -1,    -1,  4362,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1456,  1457,    -1,  5406,    -1,    -1,    -1,    -1,
      -1,  5412,    -1,    -1,    -1,  5416,    -1,    -1,    -1,    -1,
      -1,  5422,    -1,    -1,    -1,  5426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1502,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5470,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5478,    -1,    -1,
      -1,    -1,  5483,  5484,    -1,    -1,    -1,  5488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5536,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5559,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1638,    -1,    -1,    -1,    -1,    -1,
      -1,  5592,  5593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5615,  1669,    -1,  5618,    -1,    -1,
    5621,  4590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5632,    -1,    -1,    -1,  5636,    -1,  5638,    -1,  5640,
      -1,    -1,    -1,    -1,  1698,    -1,  5647,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5666,    -1,    -1,    -1,    -1,
      -1,    -1,  1726,  1727,  1728,    -1,  1730,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1750,    -1,    -1,    -1,
    5701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5760,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4742,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1835,    -1,    -1,    -1,  1839,  1840,    -1,  5789,  5790,
    5791,    -1,    -1,    -1,    -1,    -1,    -1,  5798,  5799,    -1,
    1854,  5802,    -1,    -1,    -1,    -1,    -1,  5808,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4827,    -1,
      -1,    -1,    -1,  4832,    -1,    -1,    -1,  4836,    -1,  1923,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5884,    -1,  1939,    -1,    -1,  5889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5898,    -1,    -1,
      -1,    -1,    -1,  5904,  5905,    -1,  5907,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5917,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1980,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1988,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2025,    -1,  5974,    -1,    -1,    -1,    -1,  5979,    -1,
      -1,  2035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2052,    -1,
      -1,    -1,    -1,    -1,  2058,  6006,    -1,    -1,    -1,    -1,
    6011,    -1,    -1,    -1,    -1,    -1,    -1,  6018,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6078,    -1,    -1,
    2134,  2135,  2136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6091,    -1,  6093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2155,    -1,    -1,    -1,    -1,    -1,    -1,  6109,    -1,
    6111,  6112,    -1,    -1,    -1,    -1,    -1,    -1,  2172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5172,    -1,    -1,    -1,    -1,  2262,    -1,
      -1,  2265,    -1,    -1,    -1,  2269,    -1,    -1,    -1,    -1,
      -1,  2275,    -1,    -1,    -1,    -1,    -1,  2281,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2306,  2307,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5233,    -1,    -1,  2321,    -1,    -1,
    2324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2333,
    2334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2402,    -1,
      -1,  2405,  2406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2441,  2442,    -1,
      -1,    -1,    -1,  2447,  2448,    -1,    -1,    -1,    -1,    -1,
    2454,  2455,  2456,    -1,    -1,    -1,  2460,    -1,  2462,  2463,
    2464,  2465,  2466,  2467,    -1,  2469,    -1,  2471,  2472,    -1,
      -1,  2475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2489,  2490,  2491,  2492,  2493,
      -1,    -1,    -1,    -1,  2498,    -1,    -1,    -1,  2502,    -1,
      -1,  2505,    -1,    -1,  2508,  2509,  2510,  2511,  2512,  2513,
    2514,  2515,  2516,    -1,  2518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2526,    -1,    -1,  2529,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5493,  5494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2587,    -1,    -1,    -1,    -1,  5507,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2603,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2612,  2613,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5603,    -1,    -1,    -1,    -1,  2693,
      -1,    -1,    -1,  2697,  2698,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2743,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2755,    -1,    -1,    -1,  2759,    -1,    -1,  2762,    -1,
      -1,  2765,  2766,    -1,    -1,    -1,    -1,    -1,    -1,  2773,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2798,    -1,   892,   893,    -1,    -1,
     896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     916,    -1,    -1,    -1,    -1,    -1,    -1,   923,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   954,    -1,
      -1,    -1,   958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2879,   972,    -1,    -1,    -1,
      -1,    -1,    -1,   979,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5842,    -1,  5844,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2972,  2973,
    2974,    -1,    -1,    -1,  2978,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3013,
    3014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3057,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6023,    -1,    -1,    -1,    -1,  3113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1301,  1302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3240,    -1,    -1,  3243,
      -1,    -1,  3246,    -1,    -1,  3249,    -1,    -1,  3252,    -1,
      -1,    -1,    -1,    -1,  3258,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3268,    -1,    -1,    -1,    -1,  3273,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3296,  3297,  3298,    -1,    -1,  3301,    -1,    -1,
      -1,    -1,    -1,    -1,  1400,  3309,  3310,  3311,  3312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3322,    -1,
      -1,  3325,    -1,  3327,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1428,  1429,  3338,  3339,    -1,    -1,  3342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3356,    -1,  3358,    -1,  3360,    -1,  1454,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3391,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1537,  1538,    -1,    -1,    -1,    -1,  3451,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3493,
      -1,    -1,  3496,    -1,  3498,    -1,    -1,    -1,    -1,  3503,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3552,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3571,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3667,    -1,  3669,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   891,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     908,    -1,    -1,   911,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   951,  3758,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3783,
      -1,    -1,    -1,    -1,    -1,  3789,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3797,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1013,    -1,    -1,    -1,    -1,
    3824,  1019,    -1,    -1,    -1,  1023,  3830,    -1,    -1,    -1,
      -1,    -1,  1030,    -1,    -1,  1033,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1045,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2007,    -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3933,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1152,  1153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2104,  2105,
    2106,  2107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,  4033,
      -1,    -1,    -1,    -1,    -1,  4039,    -1,    -1,    -1,    -1,
      -1,  4045,    -1,  4047,    -1,    -1,  4050,    -1,    -1,    -1,
    4054,  4055,  4056,  4057,  4058,    -1,    -1,  4061,  4062,  4063,
    4064,  4065,  4066,  4067,  4068,  4069,  4070,    -1,  2164,  2165,
    4074,  4075,    -1,    -1,    -1,  4079,    -1,    -1,    -1,    -1,
    4084,    -1,    -1,    -1,  4088,    -1,    -1,    -1,  4092,    -1,
      -1,  2187,    -1,    -1,    -1,    -1,  4100,    -1,    -1,  4103,
      -1,  4105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4113,
    4114,    -1,    -1,  4117,  4118,    -1,    -1,    -1,  4122,  4123,
      -1,    -1,    -1,    -1,    -1,  4129,  2222,  2223,  2224,  2225,
      -1,    -1,    -1,    -1,    -1,  4139,    -1,    -1,  4142,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1356,  1357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,    -1,
      -1,    -1,    -1,    -1,  1372,    -1,    -1,    -1,  1376,    -1,
      -1,    -1,    -1,    -1,  1382,    -1,    -1,  1385,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4199,    -1,    -1,    -1,  1397,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4215,    -1,    -1,  1412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4243,
      -1,    -1,    -1,    -1,    -1,    -1,  2342,    -1,    -1,    -1,
      -1,    -1,  2348,    -1,    -1,    -1,    -1,    -1,  1456,  1457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4488,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4501,    -1,    -1,
    1698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1726,  1727,
    1728,    -1,  1730,  4537,  4538,  4539,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4616,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4627,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1835,    -1,    -1,
      -1,  1839,  1840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4657,    -1,    -1,  1854,    -1,    -1,    -1,
      -1,  2757,  2758,  4667,  4668,    -1,  4670,    -1,    -1,    -1,
    4674,  4675,  2768,    -1,  2770,  4679,  4680,    -1,  2774,    -1,
    4684,    -1,    -1,  4687,  4688,    -1,    -1,    -1,  4692,    -1,
      -1,    -1,    -1,    -1,  4698,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4710,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4718,    -1,    -1,    -1,  4722,    -1,
      -1,    -1,    -1,    -1,    -1,  1923,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4753,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4803,
      -1,    -1,    -1,    -1,    -1,    -1,  2902,    -1,    -1,  2905,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4842,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4863,
    2058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4886,    -1,    -1,    -1,    -1,    -1,  2984,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2992,    -1,    -1,  2995,
      -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3015,
      -1,    -1,    -1,    -1,  4928,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2134,  2135,  2136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4953,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2155,    -1,    -1,
    3056,    -1,    -1,    -1,    -1,  4969,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2181,    -1,    -1,    -1,    -1,  3084,    -1,
      -1,    -1,    -1,    -1,  4998,  2193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5039,    -1,  5041,    -1,    -1,
      -1,    -1,    -1,  3139,    -1,  3141,    -1,    -1,    -1,    -1,
      -1,  2249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2262,    -1,    -1,  2265,    -1,    -1,
      -1,  2269,    -1,    -1,    -1,    -1,    -1,  2275,    -1,    -1,
      -1,    -1,    -1,  2281,    -1,    -1,    -1,    -1,  5092,    -1,
      -1,    -1,  5096,    -1,    -1,  2293,    -1,  5101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2306,  2307,
      -1,    -1,    -1,    -1,  5118,  5119,    -1,    -1,  5122,    -1,
      -1,    -1,    -1,  2321,    -1,    -1,  2324,    -1,    -1,    -1,
      -1,    -1,    -1,  5137,    -1,  2333,  2334,    -1,    -1,    -1,
    5144,    -1,    -1,    -1,    -1,  5149,    -1,    -1,  5152,  5153,
      -1,    -1,    -1,    -1,    -1,  5159,  5160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5179,    -1,  5181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2402,    -1,    -1,  2405,  2406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5243,
      -1,    -1,    -1,  2441,  2442,    -1,    -1,    -1,    -1,  2447,
    2448,    -1,    -1,    -1,    -1,    -1,  2454,  2455,  2456,    -1,
      -1,    -1,  2460,    -1,  2462,  2463,  2464,  2465,  2466,  2467,
      -1,  2469,    -1,  2471,  2472,    -1,    -1,  2475,    -1,    -1,
      -1,    -1,    -1,  5287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2489,  2490,  2491,  2492,  2493,    -1,    -1,    -1,    -1,
    2498,    -1,    -1,    -1,  2502,    -1,    -1,  2505,    -1,    -1,
    2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,    -1,
    2518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2526,    -1,
      -1,  2529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5353,
      -1,  5355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5381,  5382,    -1,
    5384,    -1,  5386,    -1,    -1,    -1,    -1,    -1,    -1,  2587,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5406,    -1,    -1,  2603,    -1,    -1,  5412,    -1,
      -1,    -1,  5416,    -1,  2612,  2613,    -1,    -1,  5422,    -1,
      -1,    -1,  5426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3558,    -1,  3560,  3561,  3562,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5478,    -1,    -1,    -1,    -1,  5483,
    5484,    -1,    -1,    -1,  5488,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2693,    -1,    -1,    -1,  2697,
    2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2743,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5559,    -1,  2755,    -1,    -1,
      -1,  2759,    -1,    -1,  2762,    -1,    -1,  2765,  2766,    -1,
      -1,    -1,    -1,    -1,    -1,  2773,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5592,  5593,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5615,    -1,    -1,  5618,  2813,    -1,  5621,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5632,    -1,
      -1,    -1,  5636,    -1,  5638,    -1,  5640,    -1,    -1,    -1,
      -1,    -1,    -1,  5647,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5752,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5760,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2972,  2973,  2974,    -1,    -1,    -1,
    2978,    -1,    -1,    -1,    -1,  5789,  5790,  5791,    -1,    -1,
      -1,    -1,    -1,    -1,  5798,    -1,    -1,    -1,  5802,    -1,
      -1,    -1,    -1,    -1,  5808,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3013,  3014,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5831,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3057,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3969,    -1,    -1,    -1,    -1,    -1,    -1,
    5884,    -1,    -1,    -1,    -1,  5889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5898,    -1,    -1,    -1,  3096,    -1,
    5904,  5905,    -1,  5907,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5917,    -1,  3113,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5974,    -1,    -1,    -1,    -1,  5979,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6006,    -1,    -1,    -1,    -1,  6011,    -1,    -1,
      -1,    -1,    -1,    -1,  6018,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3226,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3240,    -1,    -1,  3243,    -1,  6051,  3246,    -1,
      -1,  3249,    -1,    -1,  3252,    -1,    -1,  6061,    -1,    -1,
    3258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3268,    -1,    -1,    -1,  6078,  3273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6091,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3296,  3297,
    3298,    -1,    -1,  3301,    -1,    -1,    -1,  6111,  6112,    -1,
      -1,  3309,  3310,  3311,  3312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3322,    -1,    -1,  3325,    -1,  3327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3338,  3339,    -1,    -1,  3342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,    -1,
    3358,    -1,  3360,    -1,    -1,    -1,    -1,    -1,  4264,  4265,
    4266,  4267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3451,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3493,    -1,    -1,  3496,    -1,
    3498,    -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3524,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3552,  4451,    -1,    -1,    -1,    -1,
      -1,  4457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3571,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,  3596,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3667,
     238,  3669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3783,    -1,    -1,    -1,    -1,
      -1,  3789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3797,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3824,    -1,    -1,    -1,
      -1,    -1,  3830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3917,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3933,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4908,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4923,    -1,    -1,
      -1,    -1,  4030,    -1,    -1,  4033,    -1,    -1,    -1,    -1,
      -1,  4039,    -1,    -1,    -1,    -1,    -1,  4045,    -1,  4047,
      -1,    -1,  4050,    -1,    -1,    -1,  4054,  4055,  4056,  4057,
    4058,    -1,    -1,  4061,  4062,  4063,  4064,  4065,  4066,  4067,
    4068,  4069,  4070,    -1,    -1,    -1,  4074,  4075,    -1,    -1,
      -1,  4079,    -1,    -1,    -1,    -1,  4084,    -1,    -1,    -1,
    4088,    -1,    -1,    -1,  4092,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4100,    -1,    -1,  4103,    -1,  4105,    -1,    -1,
      -1,    -1,    -1,    -1,  5010,  4113,  4114,    -1,    -1,  4117,
    4118,    -1,    -1,    -1,  4122,  4123,    -1,    -1,    -1,    -1,
      -1,  4129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4139,    -1,    -1,  4142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4154,    -1,    -1,    -1,
      -1,   729,   730,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   777,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5195,
    5196,  5197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     898,    -1,    -1,  4331,    -1,    -1,    -1,    -1,   906,    -1,
      -1,   909,    -1,    -1,   912,   913,    -1,   915,    -1,   917,
      -1,    -1,   920,    -1,   922,    -1,    -1,  4355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   952,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   960,    -1,    -1,    -1,    -1,    -1,    -1,   967,
     968,    -1,    -1,   971,    -1,   973,   974,    -1,    -1,    -1,
     978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   995,    -1,   997,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1014,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5351,    -1,    -1,    -1,    -1,
      -1,  4459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1039,    -1,  1041,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1050,  1051,    -1,    -1,    -1,    -1,    -1,    -1,
    4488,    -1,  1060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4537,
    4538,  4539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5499,    -1,  5501,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4616,    -1,
      -1,    -1,  1190,    -1,    -1,    -1,    -1,  1152,  1153,  4627,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4657,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4667,
    4668,    -1,  4670,    -1,    -1,    -1,  4674,  4675,    -1,    -1,
      -1,  4679,  4680,    -1,    -1,    -1,  4684,    -1,    -1,  4687,
    4688,    -1,    -1,    -1,  4692,    -1,  1264,    -1,    -1,  1267,
    4698,  1269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4710,    -1,  1282,    -1,    -1,    -1,    -1,    -1,
    4718,    -1,    -1,    -1,  4722,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4753,    -1,  5653,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4785,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1369,    -1,    -1,    -1,  4803,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1381,    -1,    -1,    -1,    -1,  1386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1396,    -1,
      -1,  1356,  1357,  1401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1409,    -1,    -1,  4842,    -1,  5742,  1415,    -1,    -1,
    1418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4863,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4886,    -1,
    1458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5848,    -1,    -1,  4953,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5039,    -1,  5041,    -1,    -1,  5942,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1627,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5975,
    5976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5092,    -1,    -1,    -1,  5096,    -1,
      -1,    -1,    -1,  5101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5118,  5119,    -1,    -1,  5122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5137,
      -1,    -1,    -1,    -1,  1669,    -1,  5144,    -1,    -1,    -1,
      -1,  5149,    -1,    -1,  5152,  5153,    -1,    -1,    -1,    -1,
      -1,  5159,  5160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1698,    -1,    -1,    -1,    -1,    -1,  6075,
      -1,  5179,    -1,  5181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5193,    -1,    -1,    -1,    -1,
      -1,  1726,  1727,  1728,    -1,  1730,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1750,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5243,    -1,    -1,    -1,    -1,
      -1,  1819,  1820,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1835,    -1,    -1,    -1,  1839,  1840,  1884,    -1,    -1,  1887,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1895,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1912,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5353,    -1,  5355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5381,  5382,    -1,  5384,    -1,  5386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1964,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5406,    -1,
      -1,    -1,    -1,    -1,  5412,    -1,    -1,    -1,  5416,    -1,
      -1,    -1,    -1,    -1,  5422,    -1,    -1,    -1,  5426,    -1,
    1019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1045,    -1,    -1,    -1,
      -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5478,    -1,    -1,    -1,    -1,  5483,  5484,    -1,    -1,    -1,
    5488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5592,  5593,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,
    2135,  2136,    -1,    -1,    -1,    -1,    -1,  5615,    -1,    -1,
    5618,    -1,    -1,  5621,    -1,    -1,    -1,    -1,    -1,  2197,
      -1,    -1,    -1,    -1,  5632,    -1,    -1,    -1,  5636,    -1,
    5638,    -1,  5640,    -1,    -1,  1019,    -1,    -1,    -1,  5647,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5666,    -1,
      -1,  1045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5752,    -1,    -1,    -1,  2326,    -1,
    2328,    -1,  5760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2344,  2345,    -1,  2347,
      -1,    -1,    -1,  1372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5789,  5790,  5791,    -1,    -1,    -1,    -1,    -1,    -1,
    5798,    -1,    -1,    -1,  5802,    -1,    -1,    -1,  1397,    -1,
    5808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2387,
      -1,    -1,    -1,  1412,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2399,    -1,  5831,    -1,  2403,    -1,    -1,    -1,  2407,
      -1,    -1,  2410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5884,    -1,    -1,    -1,
      -1,  5889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5898,    -1,    -1,    -1,    -1,    -1,  5904,  5905,    -1,  5907,
      -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,    -1,  5917,
      -1,    -1,  2447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2460,    -1,  2462,    -1,    -1,
    2465,  2466,  2467,    -1,    -1,    -1,    -1,  2472,    -1,    -1,
    2475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2532,  2490,  2491,  2492,  2493,    -1,
      -1,    -1,    -1,  2498,    -1,    -1,  5974,  2502,    -1,    -1,
    2505,  5979,    -1,  2508,  2509,  2510,  2511,  2512,  2513,  2514,
    2515,  2516,    -1,  2518,    -1,    -1,    -1,    -1,  1372,    -1,
      -1,  2526,    -1,    -1,  2529,    -1,    -1,    -1,  6006,    -1,
      -1,    -1,    -1,  6011,    -1,    -1,    -1,    -1,    -1,    -1,
    6018,    -1,    -1,  1397,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1412,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1638,
      -1,    -1,    -1,  6051,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2587,  6061,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6078,    -1,    -1,    -1,    -1,    -1,    -1,  2612,  2613,    -1,
      -1,    -1,    -1,  6091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2675,    -1,    -1,
      -1,    -1,    -1,  6111,  6112,    -1,    -1,    -1,    -1,  2687,
    2688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1502,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2706,  2707,
      -1,  1019,    -1,  2711,  2712,    -1,    -1,    -1,  2716,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2730,    -1,    -1,    -1,    -1,  1045,    -1,  2737,
      -1,    -1,    -1,  2741,  2742,    -1,    -1,  2745,  2746,    -1,
      -1,    -1,    -1,    -1,  2752,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2767,
    1789,  2769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2743,    -1,
    2788,    -1,    -1,    -1,    -1,  2793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2806,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2815,    -1,    -1,
    2818,    -1,    -1,  2821,  2822,  2823,    -1,    -1,    -1,    -1,
    2828,  2829,    -1,    -1,  1638,    -1,    -1,    -1,    -1,    -1,
    2838,    -1,    -1,    -1,    -1,  2843,    -1,    -1,    -1,    -1,
    2848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2862,    -1,    -1,    -1,    -1,    -1,
      -1,  2869,  2870,    -1,    -1,    -1,    -1,  2875,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2886,  2887,
      -1,    -1,    -1,  2891,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1923,  2903,    -1,    -1,  2906,    -1,
      -1,    -1,    -1,  2911,    -1,    -1,    -1,    -1,  2916,  2917,
      -1,    -1,    -1,  2921,    -1,    -1,  2924,    -1,    -1,    -1,
    2928,  2929,  2930,  2931,    -1,  2933,    -1,    -1,    -1,    -1,
      -1,    -1,  1019,    -1,    -1,    -1,    -1,    -1,  2946,  2947,
      -1,  2949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2959,  2960,    -1,    -1,    -1,    -1,    -1,  1045,  1988,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2972,  2973,  2974,
      -1,    -1,    -1,  2978,    -1,    -1,  3024,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2058,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3052,    -1,    -1,    -1,  3013,    -1,
      -1,    -1,    -1,    -1,  1372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1397,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1923,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2193,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1988,    -1,  3184,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,    -1,
      -1,  3199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2249,    -1,    -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2269,    -1,    -1,    -1,  2058,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2281,    -1,  3262,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2293,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3268,  2333,  2334,    -1,    -1,  3273,    -1,
    1397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1638,    -1,    -1,    -1,    -1,  1412,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2155,    -1,    -1,  3309,    -1,  3311,  3312,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3322,  2172,    -1,
    3325,    -1,  3327,    -1,    -1,    -1,    -1,  2181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3356,    -1,  3358,    -1,  3360,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2269,    -1,  3422,    -1,    -1,
    2489,    -1,    -1,    -1,    -1,    -1,    -1,  2281,    -1,    -1,
      -1,    -1,  3437,    -1,    -1,    -1,    -1,    -1,    -1,  2293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,  2333,
    2334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,
      -1,    -1,  3550,    -1,    -1,    -1,    -1,    -1,  3556,    -1,
      -1,  1638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3524,
      -1,    -1,    -1,    -1,    -1,    -1,  3574,  3575,    -1,    -1,
      -1,  3579,    -1,    -1,    -1,    -1,  3584,  3585,  3586,    -1,
    3588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3611,    -1,  1923,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3621,  3622,  3623,  3624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3658,    -1,    -1,  3661,  3662,  3663,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2693,    -1,    -1,    -1,  2697,  2698,
    1988,  3679,    -1,    -1,    -1,  2489,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2058,    -1,    -1,    -1,  2773,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3810,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3783,    -1,
      -1,    -1,    -1,    -1,  3789,    -1,    -1,    -1,    -1,  3837,
      -1,    -1,    -1,    -1,    -1,    -1,  1923,  2155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2193,    -1,    -1,    -1,  2693,
      -1,  3889,    -1,  2697,  2698,    -1,  3894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3925,    -1,    -1,
      -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2249,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,
      -1,    -1,    -1,    -1,    -1,  2759,    -1,    -1,    -1,    -1,
      -1,  2269,    -1,    -1,  3962,    -1,  3964,    -1,    -1,  2773,
      -1,    -1,    -1,  2281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2058,    -1,  3981,    -1,  2293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3014,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2333,  2334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4030,    -1,  3096,  2155,    -1,
      -1,    -1,    -1,    -1,  4039,    -1,    -1,    -1,    -1,    -1,
    4045,    -1,  4047,    -1,    -1,  2172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2193,    -1,    -1,  4074,
    4075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1019,    -1,    -1,    -1,    -1,    -1,    -1,  4092,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4100,    -1,    -1,  4103,    -1,
    4105,    -1,    -1,    -1,    -1,    -1,  1045,    -1,    -1,  4114,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4122,  4123,    -1,
      -1,    -1,  2249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2269,    -1,    -1,    -1,    -1,    -1,    -1,  4154,
      -1,    -1,    -1,    -1,  2281,    -1,    -1,  3226,    -1,    -1,
    3014,    -1,    -1,    -1,    -1,    -1,  2293,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3258,
      -1,    -1,    -1,    -1,  4199,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4250,    -1,  4252,    -1,  2333,  2334,    -1,    -1,
    4215,  4259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3096,  4291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4370,  4371,  4372,    -1,    -1,    -1,    -1,  4377,
    4378,  4379,  4380,    -1,    -1,  2693,  4384,  4385,    -1,  2697,
    2698,    -1,  4390,  4391,    -1,  4393,  4394,  4395,  4396,  4397,
    4398,    -1,  4400,    -1,  1019,    -1,    -1,    -1,    -1,    -1,
      -1,  4409,  2489,    -1,  4412,  4413,    -1,    -1,    -1,    -1,
      -1,    -1,  3226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4436,  3243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2759,    -1,    -1,  3258,    -1,    -1,    -1,    -1,    -1,
    4458,    -1,    -1,    -1,    -1,  2773,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3493,    -1,    -1,  3496,    -1,  3498,
      -1,    -1,    -1,  1372,  3503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,  1397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1412,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3571,    -1,    -1,    -1,    -1,  4555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,
      -1,    -1,    -1,  4538,  4539,    -1,  4584,  4585,  4586,  4587,
    4588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4597,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1502,    -1,    -1,  2693,    -1,    -1,    -1,
    2697,  2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3667,    -1,
    3669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4616,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2759,    -1,    -1,    -1,    -1,    -1,    -1,  3493,
      -1,    -1,  3496,    -1,  3498,    -1,  2773,    -1,    -1,  3503,
      -1,    -1,    -1,    -1,    -1,    -1,  3014,    -1,    -1,    -1,
      -1,    -1,  4667,  4668,    -1,    -1,    -1,    -1,    -1,  4674,
    4675,    -1,    -1,    -1,  4679,    -1,    -1,    -1,    -1,  4684,
      -1,    -1,  4687,  4688,    -1,    -1,  2813,  4692,    -1,  3758,
      -1,    -1,    -1,  4698,    -1,    -1,    -1,    -1,  3552,  1638,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3571,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3797,    -1,
      -1,    -1,  1397,    -1,    -1,    -1,    -1,    -1,  3096,    -1,
      -1,    -1,  3596,    -1,    -1,    -1,    -1,  1412,  4753,    -1,
      -1,    -1,    -1,    -1,    -1,  3824,    -1,    -1,    -1,    -1,
      -1,  3830,    -1,  4811,    -1,    -1,    -1,  4815,  4816,  4817,
    4818,    -1,    -1,  4821,    -1,    -1,    -1,    -1,    -1,    -1,
    4785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4853,  4854,  4855,    -1,  4857,
      -1,  4859,  4860,  3667,    -1,  3669,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4871,  4872,    -1,    -1,    -1,    -1,    -1,
    3899,    -1,    -1,    -1,    -1,    -1,    -1,  1502,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3917,    -1,
    4898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4906,  4907,
      -1,  4909,    -1,    -1,  3933,    -1,    -1,    -1,  3226,    -1,
      -1,    -1,    -1,  4921,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4886,    -1,    -1,    -1,  3243,    -1,  3014,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3258,    -1,    -1,    -1,  3758,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3797,    -1,    -1,    -1,    -1,  4953,  4997,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4033,    -1,    -1,    -1,    -1,  3096,
    3824,    -1,    -1,  1638,    -1,    -1,  3830,    -1,  5026,    -1,
      -1,  1019,    -1,    -1,  1923,  4054,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1045,    -1,    -1,
    4079,    -1,  5060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4113,  3899,    -1,    -1,    -1,  1988,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3933,
      -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5142,    -1,    -1,    -1,    -1,  3226,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5157,
      -1,    -1,    -1,  5118,  5119,    -1,  3243,  5122,    -1,  2058,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3258,    -1,    -1,    -1,  3493,    -1,    -1,  3496,    -1,
    3498,    -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5159,  5160,    -1,    -1,    -1,    -1,
      -1,    -1,  4231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5181,    -1,    -1,  4033,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5235,    -1,    -1,
      -1,    -1,    -1,    -1,  3552,    -1,    -1,    -1,    -1,    -1,
    4054,    -1,    -1,    -1,    -1,  5253,    -1,    -1,    -1,    -1,
    5258,  5259,    -1,  3571,    -1,    -1,  2155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4079,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2172,    -1,    -1,    -1,    -1,  3596,    -1,
      -1,    -1,  2181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2193,    -1,    -1,    -1,  1923,  4113,
      -1,    -1,  4331,  5311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5330,    -1,    -1,    -1,  4355,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3667,
    2249,  3669,    -1,    -1,    -1,    -1,    -1,  5365,    -1,    -1,
      -1,    -1,    -1,  1988,    -1,    -1,    -1,  5375,    -1,    -1,
    2269,    -1,    -1,    -1,  1372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2293,    -1,    -1,    -1,    -1,  1397,
    2025,  5409,    -1,    -1,    -1,    -1,  3493,    -1,    -1,  3496,
      -1,  3498,  5420,    -1,  1412,    -1,  3503,  4231,    -1,  5384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2058,  2333,  2334,  5444,    -1,    -1,    -1,
    3758,    -1,    -1,    -1,    -1,    -1,    -1,  5412,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5466,  4488,
      -1,  5426,    -1,    -1,    -1,  3552,    -1,    -1,    -1,  5477,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3797,
      -1,    -1,    -1,    -1,  3571,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1502,    -1,  3824,    -1,  4537,  3596,
      -1,    -1,  3830,   902,    -1,    -1,    -1,  4331,    -1,    -1,
      -1,    -1,    -1,  5488,    -1,   914,    -1,    -1,    -1,    -1,
    2155,    -1,  5540,    -1,    -1,    -1,   925,    -1,    -1,    -1,
      -1,  4355,    -1,    -1,    -1,    -1,    -1,  2172,    -1,    -1,
      -1,    -1,    -1,    -1,   943,    -1,  2181,    -1,    -1,    -1,
     949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3667,  3899,  3669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2489,    -1,  5600,    -1,    -1,    -1,    -1,    -1,    -1,  3917,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3933,    -1,    -1,    -1,    -1,
      -1,  5629,    -1,    -1,  2249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1638,  4670,    -1,    -1,  2269,    -1,    -1,    -1,    -1,    -1,
      -1,  4680,    -1,    -1,    -1,  5663,  2281,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,    -1,
    5678,  3758,    -1,    -1,  4488,  5640,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5666,    -1,    -1,    -1,    -1,    -1,    -1,  2333,  2334,
    3797,    -1,    -1,    -1,    -1,  4033,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4537,  5732,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1122,    -1,    -1,  4054,  3824,  5746,    -1,
      -1,    -1,    -1,  3830,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1158,
      -1,    -1,    -1,    -1,  4803,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5752,  1177,    -1,
      -1,    -1,    -1,    -1,  2693,  4113,    -1,    -1,  2697,  2698,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1200,  3899,  4842,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5830,    -1,  5789,  5790,  5791,    -1,    -1,    -1,
    3917,    -1,    -1,    -1,  4863,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5808,    -1,    -1,  3933,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4670,    -1,    -1,    -1,
    2759,    -1,    -1,    -1,  2489,    -1,  4680,  5875,    -1,    -1,
      -1,    -1,    -1,    -1,  2773,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4928,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1296,    -1,    -1,
      -1,    -1,    -1,  4231,  2813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5889,  1923,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5907,    -1,    -1,    -1,  4033,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5962,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4054,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4803,
    1988,    -1,  4079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5041,  4331,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4113,  2025,  4842,    -1,
      -1,    -1,    -1,  1422,    -1,    -1,    -1,  4355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4863,
      -1,    -1,    -1,  6018,    -1,    -1,    -1,    -1,    -1,    -1,
    2058,  1450,  1451,  1452,    -1,    -1,    -1,  5096,  2693,    -1,
      -1,    -1,  2697,  2698,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6051,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6061,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4928,  3014,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2759,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4231,    -1,    -1,    -1,  2773,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4488,    -1,    -1,    -1,  2172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2181,    -1,    -1,    -1,    -1,  2813,    -1,
      -1,    -1,    -1,    -1,    -1,  2193,    -1,  3096,    -1,    -1,
      -1,    -1,    -1,    -1,  5233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4537,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5041,    -1,    -1,
      -1,    -1,    -1,    -1,  1623,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,
      -1,  2249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1654,    -1,    -1,  4355,    -1,
      -1,  2269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5096,  2281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5355,  3226,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2333,  2334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4670,  5382,    -1,    -1,    -1,    -1,    -1,  3258,
      -1,    -1,  4680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3014,
      -1,    -1,    -1,  5422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1801,    -1,    -1,    -1,    -1,    -1,    -1,  5233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5478,
    4537,    -1,    -1,    -1,  5483,  5484,    -1,    -1,    -1,    -1,
      -1,    -1,  1851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4803,    -1,    -1,    -1,    -1,
      -1,  2489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4842,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5355,    -1,    -1,    -1,  4863,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5593,    -1,    -1,    -1,  5382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4670,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4680,  3493,    -1,    -1,  3496,    -1,  3498,
      -1,  3226,    -1,    -1,  3503,  1994,    -1,    -1,  5422,    -1,
    4928,    -1,    -1,    -1,    -1,  2004,    -1,    -1,  3243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1742,    -1,    -1,  3258,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5478,  2054,    -1,    -1,  2057,  5483,
    5484,    -1,  3571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2693,    -1,  3596,    -1,  2697,
    2698,    -1,    -1,    -1,  1816,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4803,    -1,    -1,  2108,
      -1,    -1,    -1,  5041,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4842,    -1,    -1,    -1,    -1,
      -1,  2759,    -1,  2152,    -1,    -1,    -1,    -1,  3667,    -1,
    3669,    -1,    -1,  5802,    -1,  2773,  4863,    -1,  5096,  5593,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2813,    -1,  2206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4928,    -1,    -1,    -1,    -1,  2235,    -1,    -1,    -1,
      -1,    -1,    -1,  2242,    -1,    -1,    -1,    -1,    -1,  3758,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,
      -1,  3496,    -1,  3498,    -1,    -1,    -1,    -1,  3503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3797,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3824,    -1,  3552,    -1,    -1,
      -1,  3830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3571,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5041,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2359,  3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5096,
      -1,    -1,    -1,    -1,    -1,    -1,  3014,    -1,  3917,  2408,
    2409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2140,    -1,
      -1,    -1,  2144,    -1,  3933,    -1,    -1,  5355,    -1,  2428,
      -1,    -1,  3667,    -1,  3669,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3096,    -1,
      -1,    -1,    -1,    -1,  5422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3758,  4033,    -1,  2525,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4054,    -1,    -1,    -1,    -1,
    5478,    -1,  2551,    -1,    -1,  5483,  5484,    -1,    -1,    -1,
      -1,    -1,  3797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2583,    -1,    -1,    -1,    -1,  3824,
      -1,    -1,  2591,    -1,  2593,  3830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4113,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3226,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2626,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5355,    -1,
      -1,    -1,    -1,    -1,  3899,  5593,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3917,    -1,    -1,  5382,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3933,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4231,  2445,    -1,  5422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2459,    -1,    -1,
      -1,  2463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2477,  2478,  2479,    -1,    -1,
    2482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5478,    -1,    -1,    -1,    -1,  5483,  5484,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4033,    -1,
      -1,    -1,  2524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2817,  4054,
      -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2833,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4079,    -1,  4355,    -1,    -1,    -1,
      -1,    -1,    -1,  2852,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5802,    -1,    -1,  2599,  4113,    -1,
      -1,    -1,    -1,    -1,    -1,  3493,    -1,    -1,  3496,  2611,
    3498,    -1,    -1,    -1,  2616,  3503,  5593,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2926,  2927,    -1,
      -1,    -1,    -1,    -1,     6,     7,    -1,     9,    10,    11,
      -1,    -1,    -1,    15,  3552,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    -1,    -1,    -1,    30,    31,
      32,    33,    -1,  3571,    36,    37,    38,    -1,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4488,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3596,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4231,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4537,    -1,
      -1,    -1,    -1,    -1,    -1,  3034,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,  3667,
      -1,  3669,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   167,  4331,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    -1,  5802,    -1,    -1,    -1,    -1,
      -1,    -1,   184,   185,    -1,    -1,    -1,    -1,    -1,    -1,
    4355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
    3758,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,
      -1,  4670,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,
      -1,  4680,    -1,    -1,   246,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,  3797,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     272,   273,    -1,    -1,    -1,    -1,    -1,   279,    -1,   281,
      -1,    -1,   284,   285,    -1,   287,  3824,    -1,    -1,    -1,
      -1,    -1,  3830,    -1,   296,   297,    -1,   299,    -1,    -1,
      -1,  3230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     322,   323,   324,  4488,    -1,    -1,   328,    -1,    -1,    -1,
     332,    -1,    -1,   335,    -1,   337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   353,   354,    -1,   356,   357,    -1,    -1,    -1,    -1,
      -1,  3899,    -1,    -1,  4803,    -1,    -1,    -1,   370,    -1,
     372,    -1,  4537,    -1,    -1,    -1,    -1,    -1,    -1,  3917,
      -1,    -1,    -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3933,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4842,    -1,    -1,   408,    -1,    -1,    -1,
      -1,    -1,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4863,    -1,    -1,    -1,    -1,    -1,
      -1,   433,    -1,    -1,   436,    -1,    -1,   439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   454,    -1,    -1,  3384,    -1,    -1,   460,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,
      -1,    -1,   474,    -1,   476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3415,    -1,    -1,  4928,
      -1,    -1,    -1,    -1,    -1,  4033,    -1,    -1,   500,    -1,
      -1,   503,    -1,    -1,    -1,  4670,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4680,  4054,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4113,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4803,  3291,
      -1,  3293,    -1,    -1,  3296,  3297,    -1,  3299,    -1,  3301,
      -1,    -1,    -1,  3305,    -1,    -1,  3308,  5096,    -1,    -1,
      -1,  3313,    -1,    -1,    -1,    -1,    -1,  3319,    -1,    -1,
      -1,    -1,  3324,    -1,    -1,    -1,    -1,  4842,    -1,  3331,
    3332,  3333,  3334,    -1,    -1,    -1,  3338,  3339,    -1,  3341,
      -1,    -1,    -1,  4231,    -1,    -1,    -1,    -1,  4863,    -1,
      -1,  3353,    -1,  3355,    -1,    -1,    -1,    -1,    -1,    -1,
    3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,  3370,  3371,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3675,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4928,  3416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4331,  5233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5041,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3539,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3842,  3843,  3844,  5355,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3859,  5096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5382,    -1,    -1,    -1,    -1,    -1,    -1,
    4488,    -1,    -1,  3882,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3892,  3893,    -1,    -1,    -1,  3897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4537,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5478,
      -1,    -1,    -1,    -1,  5483,  5484,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4008,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4670,    -1,    -1,  3787,  3788,    -1,    -1,    -1,
    3792,    -1,  4680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5593,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3825,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4136,  4137,  4138,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5382,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4803,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4842,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5478,    -1,    -1,    -1,    -1,  5483,  5484,
      -1,    -1,    -1,    -1,    -1,  4863,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5802,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4029,    -1,    -1,
      -1,    -1,    -1,  4035,    -1,    -1,    -1,    -1,    -1,    -1,
    4928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4051,
    4052,    -1,    -1,  4055,  4056,  4057,  4058,    -1,    -1,  4061,
    4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,  4071,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4093,    -1,    -1,  4096,    -1,  4098,    -1,    -1,  4101,
    4102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4116,  4117,  4118,  4119,    -1,  4121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5041,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5096,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5802,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4699,  4700,  4701,  4702,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5478,    -1,    -1,    -1,    -1,  5483,  5484,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4617,    -1,    -1,    -1,  4621,
    4622,  4623,    -1,    -1,    -1,    -1,    -1,  4629,  4630,  4631,
    4632,    -1,    -1,    -1,    -1,  4637,  4638,  4639,  4640,  4641,
    4642,  4643,  4644,  4645,  4646,  4647,  4648,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4673,    -1,    -1,  4676,    -1,  4678,    -1,    -1,    -1,
    4682,    -1,    -1,  4685,  4686,    -1,    -1,  4689,  4690,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5593,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4736,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4765,  5043,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5802,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4956,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5305,    -1,    -1,    -1,
      -1,  5310,    -1,    -1,  5036,  5037,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5086,    -1,    -1,    -1,    -1,  5091,
    5092,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5106,    -1,  5108,    -1,    -1,    -1,
    5112,  5113,  5114,    -1,    -1,  5117,    -1,    -1,  5120,  5121,
      -1,    -1,    -1,  5125,    -1,    -1,    -1,  5129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5461,     6,     7,    -1,     9,    10,    11,  5191,
      -1,    -1,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    -1,    -1,    -1,    30,    31,    32,
      33,    -1,    35,    36,    37,    38,    -1,    40,    41,    42,
      -1,    -1,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    -1,    69,    -1,    -1,    -1,
      -1,    -1,  5254,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5292,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,
     123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5380,  5381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,    -1,    -1,    -1,  5396,  5397,  5398,    -1,   221,    -1,
      -1,    -1,   225,    -1,  5406,    -1,    -1,    -1,   231,    -1,
      -1,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,
      -1,  5433,  5434,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5448,    -1,    -1,   272,
     273,    -1,    -1,    -1,    -1,    -1,   279,    -1,   281,    -1,
      -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,   297,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,
     323,   324,    -1,    -1,    -1,   328,    -1,    -1,    -1,   332,
      -1,    -1,   335,    -1,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     353,   354,    -1,   356,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,
      -1,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5607,    -1,    -1,    -1,    -1,
     433,    -1,    -1,   436,    -1,    -1,   439,    -1,    -1,  5621,
      -1,    -1,  5624,    -1,    -1,    -1,  5628,    -1,    -1,    -1,
      -1,   454,    -1,    -1,    -1,    -1,    -1,   460,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,   474,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5677,    -1,   500,    -1,    -1,
     503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   556,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5796,    -1,  5798,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5829,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5910,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6006,    -1,    -1,    -1,    -1,  6011,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,  6057,    -1,    -1,  6060,    54,
    6062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,  6088,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,     3,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
     555,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
      -1,   105,   106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,   118,    -1,    -1,   121,   122,   123,
     124,   125,   126,    -1,    -1,    -1,   130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,   142,    -1,
     144,   145,   146,    -1,   148,    -1,    -1,   151,    -1,   153,
      -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     164,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,   181,    -1,   183,
     184,   185,   186,    -1,    -1,    -1,    -1,    -1,   192,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,   202,    -1,
      -1,    -1,   206,    -1,    -1,    -1,    -1,    -1,   212,   213,
      -1,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,    -1,
      -1,   225,    -1,    -1,   228,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,
     244,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,   273,
      -1,    -1,   276,    -1,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   296,   297,    -1,   299,    -1,   301,   302,    -1,
      -1,    -1,    -1,   307,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,   322,   323,
     324,    -1,    -1,    -1,   328,    -1,    -1,   331,   332,    -1,
      -1,   335,    -1,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,
     354,    -1,   356,   357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,   372,    -1,
     374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   387,   388,    -1,    -1,    -1,    -1,    -1,
     394,   395,    -1,   397,    -1,    -1,    -1,    -1,   402,    -1,
      -1,    -1,    -1,   407,   408,    -1,   410,    -1,    -1,    -1,
     414,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,   423,
     424,    -1,    -1,    -1,    -1,    -1,    -1,   431,    -1,   433,
      -1,   435,   436,    -1,    -1,   439,    -1,    -1,    -1,    -1,
      -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     454,    -1,    -1,    -1,   458,    -1,   460,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,    -1,
     474,    -1,   476,    -1,   478,    -1,   480,    -1,    -1,    -1,
      -1,   485,    -1,    -1,   488,    -1,    -1,   491,    -1,    -1,
     494,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,   503,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
      -1,   535,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
      -1,     9,    10,    11,    -1,   549,    -1,    15,    -1,   553,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    -1,
      -1,    -1,    30,    31,    32,    33,    -1,    35,    36,    37,
      38,    -1,    40,    41,    42,    -1,    -1,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      -1,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   272,   273,    -1,    -1,    -1,    -1,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,   297,
      -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,   323,   324,    -1,    -1,    -1,
     328,    -1,    -1,    -1,   332,    -1,    -1,   335,    -1,   337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   353,   354,    -1,   356,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   370,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     408,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,   436,    -1,
      -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,    -1,   460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,   474,    -1,   476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,    -1,    -1,   503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,   556,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,   109,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,    -1,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,    -1,    -1,    -1,    -1,    -1,    -1,   540,
     541,   542,    -1,    -1,    -1,    -1,    -1,    -1,   549,   550,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,    -1,
     535,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,   550,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,   550,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,    -1,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,    -1,    -1,    -1,    -1,    -1,    -1,   540,   541,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   549,   550,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,   109,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,    -1,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,    -1,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,    -1,    -1,    -1,
      -1,    -1,    -1,   540,   541,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   549,   550,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,    -1,   297,   298,   299,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,    -1,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,    -1,
     371,    -1,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,    -1,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,
     531,   532,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   550,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,    -1,   297,
     298,   299,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,    -1,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,    -1,   371,    -1,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,    -1,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   550,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,    -1,
     535,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,    -1,
      -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,   542,    -1,    -1,    -1,    -1,    -1,    -1,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,    -1,
      -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,    -1,
      -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,    -1,
      -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,    -1,
      -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,    -1,
      -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,    -1,
      -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   549,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   549,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   549,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,    -1,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
      -1,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   549,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,   346,   347,   348,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   549,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   549,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,   549,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,   549,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   549,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   550,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    77,    78,
      -1,    80,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,   548,
     549,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      77,    78,    -1,    80,    -1,    -1,    -1,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   549,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   549,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   549,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   549,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     549,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   549,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   549,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    -1,
      83,    84,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
      -1,    -1,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,   481,   482,
     483,   484,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,   531,   532,
      -1,    -1,    -1,   536,   537,   538,    -1,   540,   541,   542,
     543,   544,   545,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,    -1,    -1,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
     482,   483,   484,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,   531,
     532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,   542,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,    -1,   297,   298,   299,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,    -1,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,    -1,   371,
      -1,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,    -1,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,   531,
     532,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
     542,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,   542,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,   542,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   540,   541,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   540,   541,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   540,   541,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,    -1,     4,   538,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,    -1,   297,
     298,   299,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,    -1,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,    -1,   371,    -1,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,    -1,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   530,   531,   532,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,    -1,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,    -1,   297,   298,   299,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,    -1,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
      -1,   371,    -1,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,    -1,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     530,   531,   532,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,    -1,    -1,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,    -1,   297,   298,   299,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,    -1,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,    -1,   371,
      -1,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,    -1,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,   531,
     532,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,    -1,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,    -1,   297,   298,   299,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,    -1,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,    -1,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,    -1,   371,    -1,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
      -1,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   530,   531,   532,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,    -1,    -1,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
      -1,   297,   298,   299,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,    -1,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,    -1,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,    -1,   371,    -1,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,    -1,    -1,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,   500,    -1,   502,   503,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   530,   531,   532,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,    -1,    -1,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,    -1,   297,
     298,   299,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,    -1,    -1,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,    -1,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,    -1,   371,    -1,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,    -1,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,   500,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   530,   531,   532,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,    -1,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,    -1,   297,   298,   299,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,    -1,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,    -1,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
      -1,   371,    -1,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,    -1,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     530,   531,   532,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,    -1,    -1,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,    -1,   297,   298,   299,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,    -1,    -1,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,    -1,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,    -1,   371,
      -1,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,    -1,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,   531,
     532,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,    -1,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,    -1,   297,   298,   299,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
      -1,    -1,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,    -1,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,    -1,   371,    -1,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
      -1,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   530,   531,   532,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,    -1,    -1,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
      -1,   297,   298,   299,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,    -1,    -1,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,    -1,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,    -1,   371,    -1,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,    -1,    -1,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,   500,    -1,   502,   503,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   530,   531,   532,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,    -1,    -1,   124,    -1,    -1,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,    -1,    -1,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,    -1,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,    -1,    -1,   275,   276,   277,
      -1,    -1,    -1,    -1,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,    -1,   297,
     298,   299,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,    -1,    -1,   336,    -1,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,    -1,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,    -1,   371,    -1,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,    -1,   434,   435,   436,   437,
     438,    -1,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,    -1,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,    -1,    -1,    -1,   472,   473,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    -1,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    74,    75,    76,
      77,    78,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,    -1,   149,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,   486,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
     166,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,   166,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    77,    78,    -1,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,   486,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,   458,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    72,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,   110,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,   110,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,   110,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,    -1,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,    -1,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,    -1,     9,    10,    11,    -1,    -1,    -1,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      -1,    -1,    -1,    30,    31,    32,    33,    -1,    35,    36,
      37,    38,    39,    40,    41,    42,    -1,    -1,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,
     237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   272,   273,    -1,    -1,    -1,
      -1,    -1,   279,    -1,   281,    -1,    -1,   284,   285,    -1,
     287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,
     297,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   322,   323,   324,    -1,    -1,
      -1,   328,    -1,    -1,    -1,   332,    -1,    -1,   335,    -1,
     337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   353,   354,    -1,   356,
     357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   370,    -1,   372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   408,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,   436,
      -1,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,
      -1,    -1,    -1,   460,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   468,   469,    -1,    -1,    -1,    -1,   474,    -1,   476,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   500,    -1,    -1,   503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     6,     7,    -1,     9,    10,    11,    -1,
      -1,    -1,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    -1,    -1,    -1,    30,    31,    32,
      33,    -1,    35,    36,    37,    38,    39,    40,    41,    42,
      -1,    -1,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,
     123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,
      -1,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,
     273,    -1,    -1,    -1,    -1,    -1,   279,    -1,   281,    -1,
      -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,   297,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,
     323,   324,    -1,    -1,    -1,   328,    -1,    -1,    -1,   332,
      -1,    -1,   335,    -1,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     353,   354,    -1,   356,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,
      -1,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     433,    -1,    -1,   436,    -1,    -1,   439,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   454,    -1,    -1,    -1,    -1,    -1,   460,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,
      -1,   474,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,
     503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,     6,     7,    -1,
       9,    10,    11,    -1,    -1,    -1,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    -1,    -1,
      -1,    30,    31,    32,    33,    -1,    35,    36,    37,    38,
      -1,    40,    41,    42,    -1,    -1,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    -1,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   272,   273,    -1,    -1,    -1,    -1,    -1,
     279,    -1,   281,    -1,    -1,   284,   285,    -1,   287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,   297,    -1,
     299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   322,   323,   324,    -1,    -1,    -1,   328,
      -1,    -1,    -1,   332,    -1,    -1,   335,    -1,   337,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   353,   354,    -1,   356,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   370,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   387,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   433,    -1,    -1,   436,    -1,    -1,
     439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,
      -1,   460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   468,
     469,    -1,    -1,    -1,    -1,   474,    -1,   476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    -1,    -1,   503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     6,     7,    -1,     9,    10,    11,    -1,    -1,    -1,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    -1,    -1,    -1,    30,    31,    32,    33,    -1,
      35,    36,    37,    38,    -1,    40,    41,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,
     125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,   273,    -1,
      -1,    -1,    -1,    -1,   279,    -1,   281,    -1,    -1,   284,
     285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,   297,    -1,   299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,   323,   324,
      -1,    -1,    -1,   328,    -1,    -1,    -1,   332,    -1,    -1,
     335,    -1,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,   354,
      -1,   356,   357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   370,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,
      -1,   436,    -1,    -1,   439,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,
      -1,    -1,    -1,    -1,    -1,   460,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   468,   469,    -1,    -1,    -1,    -1,   474,
      -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,   503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
      -1,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    69,   531,   532,    -1,
      -1,    -1,    -1,    -1,    77,    78,   540,   541,   542,    -1,
      -1,    -1,    -1,    -1,    -1,   549,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,   105,   106,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,   531,   532,
      69,    70,   535,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    -1,    -1,    84,   549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,    -1,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    69,
      70,   540,   541,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    69,    70,
     540,   541,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,    -1,   255,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,   500,
      -1,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
     531,   532,    -1,    -1,    -1,    -1,    -1,    69,    70,   540,
     541,    73,    74,    75,    76,    77,    78,    -1,    80,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,    -1,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,   531,
     532,    -1,    -1,    -1,    -1,    -1,    69,    70,   540,   541,
      73,    74,    75,    76,    77,    78,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,   531,   532,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,    -1,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    69,   531,   532,    -1,    73,    74,    75,    76,    77,
      78,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,   500,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    69,   531,   532,    -1,    73,    74,    75,    76,
      77,    78,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,    -1,   255,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,   500,    -1,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    69,   531,   532,    -1,    73,    74,    75,
      76,    77,    78,    -1,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,    -1,   255,
     256,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,   500,    -1,   502,   503,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    69,   531,   532,    -1,    73,    74,
      75,    76,    77,    78,    -1,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,    -1,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    69,   531,   532,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
      -1,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    69,   531,   532,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    69,   531,   532,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,    -1,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,    -1,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    69,   531,
     532,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,   500,
      -1,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    69,
     531,   532,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      69,   531,   532,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,    -1,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    69,   531,   532,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,   500,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    69,   531,   532,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,    -1,   255,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,   500,    -1,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    69,   531,   532,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,    -1,   255,
     256,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,   500,    -1,   502,   503,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    69,   531,   532,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
     105,   106,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,    -1,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    69,   531,   532,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
      -1,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    69,   531,   532,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,    -1,    -1,    -1,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,   145,    -1,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,    -1,    -1,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,    -1,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,   250,    -1,   252,
     253,    -1,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
      -1,    -1,   275,   276,   277,    -1,    -1,    -1,    -1,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,    -1,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,    -1,   319,   320,   321,    -1,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,    -1,
     333,    -1,    -1,   336,    -1,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
      -1,    -1,   355,    -1,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,    -1,   371,    -1,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
      -1,   434,   435,    -1,   437,   438,    -1,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,    -1,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,    -1,    -1,    -1,    -1,   472,
     473,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,    -1,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   558,  1218,     0,     5,    24,    34,    35,    39,    41,
      42,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    71,    73,    74,    75,
      76,    77,    78,    79,    80,    84,   138,   213,   231,   254,
     278,   315,   318,   334,   422,   470,   485,   500,   530,   538,
     540,   541,   542,   543,   544,   547,   548,   549,   550,   552,
     553,   554,   555,   556,  1208,  1219,  1247,  1249,  1340,  1350,
    1351,  1353,  1359,  1360,  1248,     3,     6,     7,     8,     9,
      10,    11,    12,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    25,    26,    27,    30,    31,    32,    33,
      35,    36,    37,    38,    40,    41,    42,    43,    44,    48,
      49,    54,    63,    65,    67,    68,    93,   103,   105,   106,
     115,   118,   121,   122,   123,   124,   125,   126,   130,   139,
     142,   144,   145,   146,   148,   151,   153,   155,   164,   166,
     167,   174,   181,   183,   184,   185,   186,   200,   202,   206,
     212,   213,   220,   221,   222,   225,   228,   231,   237,   239,
     244,   246,   248,   257,   261,   272,   273,   279,   281,   284,
     285,   287,   296,   297,   299,   301,   302,   307,   319,   322,
     323,   324,   328,   331,   332,   335,   337,   353,   354,   356,
     357,   370,   372,   374,   387,   388,   394,   395,   397,   402,
     407,   408,   410,   414,   417,   423,   424,   431,   433,   435,
     436,   439,   445,   454,   458,   460,   468,   469,   474,   476,
     478,   480,   485,   488,   494,   499,   500,   503,   512,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     535,   549,   559,   560,   561,   567,   568,   570,   571,   572,
     573,   575,   579,   591,   596,   597,   600,   601,   602,   625,
     628,   629,   645,   689,   692,   695,   696,   697,   705,   711,
     713,   715,   716,   719,   722,   723,   727,   736,   740,   741,
     742,   743,   746,   748,   749,   750,   751,   759,   760,   780,
     784,   786,   787,   788,   798,   800,   807,   808,   811,   812,
     813,   814,   815,   823,   825,   829,   834,   838,   839,   847,
     848,   851,   856,   869,   896,   899,   900,   901,   906,   909,
     911,   913,   915,   916,   921,   922,   925,   926,   927,   931,
     932,   935,   936,   939,   940,   941,   948,   950,   951,   952,
     957,   959,   960,   966,   967,   968,   969,   970,   971,   972,
     974,   975,   977,   978,   980,   983,   986,   995,  1001,  1004,
    1006,  1015,  1017,  1022,  1027,  1031,  1032,  1033,  1034,  1035,
    1036,  1039,  1074,  1215,  1216,  1220,  1222,  1223,  1240,  1241,
    1242,  1243,  1254,  1256,  1260,  1261,  1262,  1263,  1264,  1266,
    1268,  1270,  1271,  1272,  1273,  1275,  1280,  1281,  1285,  1286,
    1295,  1297,  1298,  1299,  1302,  1307,  1310,  1315,  1317,  1318,
    1321,  1323,  1326,  1335,  1353,  1361,    71,  1243,  1251,  1252,
      13,    70,    93,    94,    95,    96,    97,    98,    99,   100,
     102,   103,   104,   112,   113,   115,   116,   117,   119,   120,
     121,   128,   129,   130,   131,   132,   133,   136,   137,   140,
     142,   143,   144,   145,   150,   151,   152,   153,   154,   156,
     157,   160,   161,   162,   163,   164,   165,   168,   169,   177,
     178,   179,   180,   181,   183,   186,   188,   190,   191,   192,
     193,   194,   195,   197,   198,   199,   200,   203,   204,   205,
     206,   207,   209,   210,   211,   213,   214,   215,   217,   218,
     219,   220,   222,   223,   224,   227,   229,   230,   232,   234,
     236,   240,   241,   242,   243,   245,   249,   250,   252,   253,
     255,   256,   258,   259,   260,   261,   263,   264,   265,   266,
     267,   268,   269,   271,   275,   276,   277,   283,   286,   288,
     289,   290,   291,   292,   295,   298,   301,   302,   303,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   316,   317,
     319,   320,   321,   325,   326,   327,   330,   331,   333,   336,
     338,   339,   340,   342,   343,   346,   347,   348,   351,   352,
     355,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     368,   369,   371,   373,   374,   375,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   388,   389,   390,   391,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   406,   407,   409,   410,   411,   412,   413,   415,
     416,   417,   418,   419,   420,   421,   423,   425,   426,   427,
     428,   429,   430,   431,   432,   434,   435,   437,   438,   440,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   456,   457,   459,   461,   462,   463,   464,   465,
     467,   470,   472,   473,   475,   478,   479,   480,   481,   482,
     483,   484,   487,   488,   489,   490,   491,   494,   495,   496,
     497,   498,   502,   504,   505,   506,   507,   510,   513,   514,
     515,   516,   517,   518,   531,   532,  1210,  1211,  1213,  1214,
    1215,  1216,  1233,  1234,  1345,  1347,  1351,  1353,    28,   274,
    1296,     8,    12,    14,    27,    43,    44,    48,    49,    54,
      63,    65,    67,    68,   101,   138,   158,   170,   182,   187,
     254,   315,   318,   422,   499,   530,  1201,  1214,  1215,  1235,
    1282,  1283,  1325,  1326,  1327,  1331,  1336,  1337,  1338,  1347,
    1353,   101,  1028,  1200,  1235,  1331,  1344,    13,  1028,     5,
      24,    28,    34,    35,    41,    42,   101,   105,   106,   107,
     108,   109,   110,   111,   114,   127,   134,   135,   138,   141,
     147,   149,   158,   159,   166,   170,   171,   172,   173,   175,
     176,   177,   187,   189,   196,   201,   202,   208,   212,   216,
     226,   228,   233,   235,   238,   244,   247,   251,   262,   270,
     274,   278,   280,   282,   293,   294,   300,   304,   305,   329,
     334,   341,   344,   345,   349,   350,   367,   376,   392,   405,
     424,   430,   441,   455,   458,   466,   470,   471,   477,   485,
     486,   492,   493,   499,   501,   508,   509,   511,   512,  1214,
    1217,  1327,  1328,  1329,  1333,  1334,  1335,  1336,  1338,    24,
      34,   138,   278,  1322,    36,    38,   329,  1255,   472,   515,
     953,   100,   148,   163,   181,   187,   204,   215,   223,   235,
     240,   247,   266,   291,   312,   346,   369,   379,   380,   383,
     409,   412,   416,   418,   425,   428,   447,   453,   457,   458,
     461,   465,   475,   480,   492,   505,   712,  1283,   186,   953,
    1133,  1206,  1216,  1325,  1328,  1331,  1332,  1336,  1337,  1353,
     101,  1028,   503,   988,   344,   375,   953,   124,   549,   636,
      95,   100,   112,   135,   148,   159,   181,   187,   204,   215,
     223,   235,   243,   247,   303,   346,   349,   369,   383,   409,
     418,   428,   447,   453,   461,   462,   464,   465,   475,   480,
     486,   489,   492,   646,   694,   803,   857,   870,  1201,  1224,
    1225,  1226,  1235,  1351,  1353,    13,   101,   374,  1200,  1235,
    1239,   446,  1028,   101,   368,   426,   462,   464,   290,   907,
     908,  1351,    95,   100,   112,   135,   148,   163,   181,   204,
     215,   223,   235,   240,   247,   266,   312,   346,   359,   369,
     380,   383,   409,   412,   416,   418,   425,   428,   447,   453,
     458,   461,   465,   473,   475,   480,   492,   505,   712,   816,
     817,   818,   953,   555,  1265,  1329,   258,  1239,   166,   186,
     220,   503,   549,   692,   695,   986,   996,  1004,  1006,  1015,
    1022,  1027,  1031,  1220,    94,   101,   119,   230,   236,   238,
     262,   292,   326,   377,   396,   540,   541,   835,   836,  1028,
    1208,  1209,  1345,  1347,   101,   166,   392,   424,   840,   841,
     842,  1331,   235,  1331,  1205,  1351,   458,  1042,   119,   236,
     835,  1331,   472,  1239,   359,   312,   181,   266,   418,   457,
     458,   549,   917,   918,   417,  1331,   101,   138,   429,   468,
     472,   499,   583,   592,   593,  1214,  1215,  1325,  1330,  1336,
    1338,  1353,    98,   244,   840,   841,   375,   953,  1331,   289,
     101,   201,  1044,  1045,     4,    13,   136,   158,   160,   303,
     321,   409,   418,   429,   468,   472,   518,   580,   581,   582,
     583,   101,   429,   468,   472,   583,   472,   345,  1085,  1198,
    1331,  1042,  1319,  1329,   542,  1331,   239,   549,   989,   549,
     390,  1037,  1038,  1200,  1037,  1032,  1033,  1036,   553,   549,
     988,   216,   280,   350,   485,  1046,  1047,  1032,  1034,  1035,
     192,   276,   491,   552,   121,   559,  1263,  1266,  1262,  1258,
     553,  1267,  1269,     5,    24,    34,   138,   205,   278,  1274,
     182,   254,   315,   318,   422,   530,   549,  1128,  1129,  1246,
    1250,  1340,    71,  1243,  1200,  1235,  1354,   187,  1224,    20,
     493,   543,  1239,  1239,  1354,   493,  1287,  1288,  1289,    24,
     278,   278,  1333,    18,    19,    37,    40,   130,   162,   202,
    1324,  1324,    15,  1263,   886,  1206,   820,  1331,   820,  1201,
     378,   820,   475,  1200,   180,   458,   874,  1206,  1216,  1331,
    1210,  1211,   101,   256,  1198,   338,   505,    83,    90,    91,
      92,   143,   227,   536,   537,   538,   540,   541,   542,   543,
     544,   545,   903,   905,  1162,  1163,  1331,   256,  1200,   874,
    1200,   101,  1210,  1211,   874,  1200,  1200,   256,  1198,  1200,
     820,  1200,   402,   431,   101,   256,  1085,  1200,   421,  1200,
     820,   101,   310,  1210,  1211,   256,  1198,   290,    33,   189,
     286,   329,   386,   954,   955,   956,   549,   547,   551,  1189,
    1191,  1198,  1204,  1331,    95,   100,   135,   148,   149,   159,
     163,   181,   204,   215,   223,   235,   240,   266,   291,   312,
     346,   369,   380,   383,   409,   412,   416,   418,   425,   428,
     447,   453,   458,   461,   465,   473,   475,   480,   505,   712,
     826,   827,  1351,  1003,  1006,  1015,  1022,  1031,  1198,   314,
    1206,  1200,   549,   256,   820,   475,  1201,   820,   475,   256,
    1200,   180,   458,   462,   464,  1210,   462,   464,   143,   227,
     903,   400,  1200,  1200,  1210,   256,   576,  1331,   256,  1200,
     256,   820,  1200,  1200,   421,  1200,   820,   310,  1210,   390,
     425,   458,   505,   312,   163,   266,   240,   380,   416,   473,
     479,   706,    83,  1227,  1228,   554,  1347,  1354,   101,  1239,
    1353,  1029,   590,  1213,  1351,   908,   314,   256,   886,   887,
    1200,   256,   912,   256,  1201,   123,   125,   126,   138,   139,
     184,   185,   205,   231,   256,   278,   279,   281,   322,   324,
     337,   387,   433,   439,   468,   469,   500,   822,  1107,  1109,
    1111,  1113,  1115,  1117,  1118,  1119,  1121,  1122,  1123,  1125,
    1126,  1325,  1332,  1336,  1337,  1353,   475,   180,   458,   256,
     873,   874,   256,  1211,  1212,   155,   505,   143,   227,   256,
     904,   905,   128,   256,   873,   256,  1212,   256,   873,   256,
    1200,   256,  1200,   421,   912,   256,   822,   256,   310,  1212,
     290,   256,   819,   820,   256,  1199,  1200,   256,  1200,   549,
     555,  1355,  1356,  1357,  1358,  1360,  1265,    69,  1235,  1284,
     549,  1005,   646,  1028,   996,   986,   997,   998,   999,  1213,
     988,  1209,   836,   837,   101,   836,  1028,  1209,   837,   101,
     836,  1028,  1209,   837,   837,   837,  1209,  1208,  1208,   282,
     493,  1289,  1290,  1364,  1366,  1028,   837,   378,   549,   549,
     666,   666,   666,   344,   470,   552,   666,   418,  1085,  1086,
     836,  1028,   836,  1028,   552,   949,  1351,   238,   549,  1002,
     128,   505,   503,   919,   920,  1198,  1200,  1331,   118,   532,
     286,   551,   347,   347,   344,   238,  1351,   470,   233,   830,
     344,    81,    82,    83,    85,   109,   123,   125,   126,   134,
     135,   138,   139,   146,   148,   171,   172,   173,   174,   175,
     176,   177,   184,   185,   187,   221,   225,   226,   231,   246,
     248,   279,   281,   296,   304,   305,   322,   324,   329,   334,
     335,   337,   346,   357,   370,   387,   414,   430,   439,   454,
     468,   469,   474,   476,   477,   486,   492,   500,   520,   521,
     522,   523,   525,   526,   527,   528,   533,   540,   541,   542,
     549,  1032,  1110,  1113,  1116,  1117,  1118,  1120,  1121,  1122,
    1125,  1126,  1130,  1132,  1133,  1134,  1136,  1158,  1159,  1160,
    1164,  1183,  1188,  1195,  1196,  1206,  1207,  1208,  1331,  1343,
    1345,  1347,  1348,  1349,  1350,  1351,  1194,  1195,   470,   538,
    1354,  1351,   470,   538,  1283,   101,   598,  1197,  1198,   429,
     580,   187,   589,  1351,   590,  1351,   118,   140,   580,   532,
     440,   955,   347,   238,   470,   538,   118,   532,   286,  1364,
     956,   549,  1198,   542,  1191,  1086,  1335,   237,   239,   503,
     981,   982,   986,  1353,   237,   990,  1130,  1167,  1037,   552,
     549,   991,   550,   550,   503,   984,   985,   992,   993,   994,
    1198,   101,   201,  1043,  1043,   128,  1043,   228,   233,   300,
     341,  1050,  1052,  1053,  1068,  1070,  1071,  1072,  1046,  1047,
     238,   282,  1085,  1087,   549,   553,  1257,   542,  1276,  1277,
    1279,   555,   555,    24,   278,   278,   470,   470,   470,   470,
     549,   470,   540,   541,   703,  1209,  1244,  1350,   212,   110,
    1231,   128,  1234,  1234,   282,  1289,  1291,   282,  1289,  1290,
    1291,   498,  1300,  1301,  1347,    13,    82,   442,   540,   541,
    1208,  1292,  1293,  1294,  1343,  1345,  1349,  1350,  1351,  1352,
     278,   284,   470,  1200,  1200,     6,   162,  1200,  1324,  1279,
     360,   398,   431,   549,   884,   360,   394,   398,   431,   551,
     821,   360,   398,   431,   158,   210,   306,   360,   398,   431,
     461,   463,   512,   591,   594,   961,   962,   963,   964,  1353,
     852,    97,   206,   360,   398,   431,   496,   607,  1200,    97,
     206,   431,   491,   574,   516,   256,  1085,   131,   165,   195,
     224,   259,   295,   329,   360,   361,   398,   406,   415,   423,
     431,   443,   451,   507,   591,   595,   889,   897,   549,   871,
    1191,   398,   574,   262,   221,    97,   103,   116,   145,   195,
     199,   206,   209,   234,   268,   327,   329,   339,   348,   360,
     398,   401,   402,   431,   496,   603,   605,   606,   730,   703,
     101,   256,  1198,   820,   820,   549,   902,   360,   431,   551,
     221,   344,   195,   360,   398,   431,   897,    97,   206,   360,
     398,   431,   262,   569,   398,   512,   535,   562,   569,   195,
     360,   398,   431,   897,   344,   360,   398,   221,   110,   129,
     179,   265,   313,   316,   327,   359,   398,   403,   425,   431,
     445,   603,   700,   701,   360,   398,   504,   730,   738,   360,
     398,   431,   158,   199,   209,   360,   394,   398,   431,   593,
     581,   583,   262,   221,   116,   197,   398,   431,   603,   604,
     360,   398,   402,   431,   156,   198,   362,   463,   344,    97,
     103,   206,   360,   398,   431,   626,   627,   569,   233,   398,
     562,   569,   221,   398,   431,   603,  1200,   553,   298,   189,
     345,   517,   552,   954,   101,   201,   501,   542,   550,   879,
    1130,  1168,  1169,  1332,  1130,  1190,   542,  1203,  1333,  1189,
     493,   979,   344,   314,   886,   549,  1200,  1107,   475,   180,
     458,   874,   338,   505,   143,   227,   905,  1200,   874,   874,
    1200,   421,   233,  1200,  1107,   290,   820,  1200,   550,   666,
    1200,   549,   793,   884,   141,  1107,   329,   238,   549,   789,
    1200,   562,   110,   973,  1200,   329,   562,   516,   256,  1198,
     562,   820,   820,   789,   489,   646,   344,   233,   933,   934,
     562,   329,   118,   577,   329,   480,   737,   329,   991,   158,
     360,   714,   156,   198,   362,   463,    99,   120,   277,   761,
     110,   789,   233,   256,   562,   505,   256,  1198,   256,   690,
    1198,  1198,   505,   820,   155,   858,  1206,  1206,  1200,   233,
     712,    72,  1229,  1331,   554,  1230,  1227,   124,   178,   275,
     327,   420,   221,   132,   404,   552,   608,   608,   221,   549,
     221,   502,  1124,  1124,  1124,   549,  1112,  1112,   372,   549,
    1114,   221,   138,   139,  1124,  1112,  1109,   514,   535,   549,
    1127,   549,  1127,   552,   608,   109,  1108,   549,   182,   318,
     530,   549,  1128,   821,  1112,   516,   221,   552,   608,   221,
     552,   256,   819,   256,   820,   256,   820,   221,   552,   608,
    1212,   221,   608,   221,   221,   608,   221,   608,   221,   156,
     198,   362,   463,   233,   221,   608,   221,   233,   256,   256,
     590,   221,   552,   608,   221,   552,   608,   221,   344,   550,
    1356,  1357,  1355,   552,   556,  1167,  1288,  1363,  1364,   458,
    1029,   550,   552,   226,   344,   477,   587,   590,   703,  1000,
     996,   837,  1028,   837,  1028,  1366,  1367,   837,  1028,   837,
    1028,  1367,   837,  1028,  1028,  1028,   837,    13,   442,  1339,
    1342,  1347,  1028,   549,   667,   668,  1331,   667,   101,   181,
     204,   235,   240,   290,   291,   380,   412,   418,   425,   458,
     461,   480,   843,  1197,  1212,   842,  1200,   262,   552,  1018,
    1028,  1028,  1351,  1284,  1107,  1170,   110,  1212,   858,   550,
     552,   298,  1331,   233,   233,   843,  1212,   417,  1331,   590,
     344,   549,   547,  1032,  1171,  1130,  1187,   549,   549,   233,
     549,   549,  1032,   549,   549,   549,   549,   549,   549,  1130,
     549,   549,   549,   549,   549,   549,   549,   549,  1032,   549,
     549,   549,   549,   549,   549,   549,   549,  1130,  1130,  1130,
     499,  1032,  1130,  1167,  1191,  1351,   549,  1351,    83,    86,
      90,    91,    92,   107,   110,   115,   122,   147,   257,   262,
     284,   285,   299,   332,   346,   349,   436,   533,   536,   537,
     538,   540,   541,   542,   543,   544,   545,  1162,  1164,  1166,
    1353,   513,  1145,   356,  1130,   282,   552,  1040,  1364,   549,
    1351,  1191,    21,  1346,  1347,  1192,  1040,   340,   344,  1316,
    1316,     9,   498,  1303,  1304,  1306,  1283,  1283,   190,   258,
     599,   552,   140,   187,   590,   110,   187,   303,   588,   703,
    1126,  1351,  1353,  1351,   161,   203,  1142,   170,   187,   584,
     585,   587,   703,   187,   584,  1364,  1364,   298,  1198,   162,
     403,   824,   284,   550,   552,   988,   550,   552,  1038,  1199,
     110,   550,   552,   552,   991,  1034,  1034,  1048,  1049,  1130,
    1034,   230,   326,  1059,   288,   327,   386,   434,   491,   101,
    1054,  1130,   540,   541,  1055,  1056,  1130,  1132,  1068,  1069,
    1053,  1052,  1050,  1051,   233,  1071,   339,  1073,  1050,  1068,
    1087,  1007,  1198,   110,  1331,   431,  1167,  1276,   542,   552,
     553,  1334,  1253,  1256,  1253,   278,   182,   254,   315,  1129,
     315,  1129,  1129,   318,  1208,   315,   318,   422,  1350,  1350,
     552,  1245,   186,  1283,   492,  1232,  1234,  1200,   442,  1208,
    1305,  1347,   552,   538,  1200,    13,  1208,  1350,  1208,  1350,
     552,  1263,  1200,   549,   549,  1335,   470,   470,   418,   262,
     273,   350,   353,   433,   501,   542,   877,   878,   879,   881,
     883,   885,  1107,  1332,   470,   504,   470,   418,  1203,   551,
     470,   470,   418,   300,   470,   470,   461,   580,   360,   961,
     963,   538,   965,   233,   244,   262,   407,   853,   854,   141,
     159,   217,   235,   376,   486,   663,   664,   159,   187,   329,
     470,   159,   470,   187,   329,   418,   159,   199,   209,   360,
     398,   785,   418,   720,    95,   100,   135,   148,   163,   204,
     215,   235,   240,   312,   346,   380,   412,   418,   425,   428,
     458,   465,   473,   480,   505,   712,  1200,   221,   398,   431,
     603,   344,   703,   344,   423,   295,   470,  1331,   470,   334,
     703,   191,   283,   418,   429,   472,   582,   404,   431,   889,
     898,   550,   872,   877,   470,   492,   461,  1198,   149,   217,
     256,   653,   663,  1331,   149,   159,   923,   364,   344,   344,
     414,   416,   475,   159,   923,   104,   401,   414,   416,   475,
     414,  1198,   234,   268,   339,   820,   549,   470,   470,   255,
     549,   612,   309,   461,   489,   512,   514,   612,   159,   552,
     360,   262,   221,   195,   398,   431,   603,   493,   493,   328,
    1107,   470,   418,   549,   903,  1200,  1198,   344,   470,   470,
     418,   898,   458,   458,   470,   470,   458,   789,   181,   431,
     594,   470,   564,   594,   344,   470,   470,   418,   898,  1198,
     470,   470,  1198,  1109,   703,   128,   702,   703,   703,   179,
     313,   316,   128,   470,   562,   320,   418,   562,   327,   701,
     470,   470,   334,  1351,   730,   470,   470,   418,  1351,   470,
     383,   470,   383,   789,   461,  1085,   364,   364,   159,   470,
     923,   418,   470,   470,   612,   612,   820,   820,   820,   820,
    1198,   117,   498,   117,   117,   470,   117,   470,   498,   418,
     552,   594,   492,   747,  1211,   470,   564,   594,  1198,   470,
     418,   360,   398,   386,   399,   427,   586,   954,  1168,  1168,
    1169,   550,    88,    89,   552,  1046,  1047,   548,   554,  1204,
    1331,  1198,   284,  1107,   344,   284,   516,   284,   703,   820,
     820,   284,   344,   284,   284,   344,   156,   198,   362,   463,
    1107,   344,   284,   284,   284,   470,   512,   637,   480,   794,
     795,  1353,   789,   549,   110,   221,   820,   790,   791,  1333,
      99,   961,  1107,   344,   221,   717,  1200,   329,   364,   549,
     563,   803,   493,   390,   505,  1198,   101,   458,   512,   893,
     563,   221,  1211,   166,   244,   578,   645,   696,   760,   838,
     856,   957,   221,  1351,   738,   739,   221,   344,  1351,  1211,
     306,   820,   820,   820,   820,   339,   192,   276,   478,   491,
     762,   763,   213,   385,   549,   747,   329,   563,  1198,   329,
     698,   700,   329,   110,   339,   364,   549,   666,   666,   256,
     693,  1198,   233,   256,   859,  1204,   549,   875,   875,   110,
    1107,   290,   551,  1208,  1230,   512,   514,  1030,   420,   887,
     886,  1107,  1201,   549,  1167,  1208,   822,  1124,  1124,   109,
    1108,   468,   468,  1208,  1208,  1107,   547,   547,  1208,   470,
     470,  1208,  1112,   873,   874,  1212,  1211,   221,   608,   221,
     493,   221,   493,   904,   905,   608,   873,  1212,   873,  1200,
    1200,  1107,   822,  1212,   747,   221,   221,   608,   819,   820,
    1199,  1200,  1200,   820,   550,   556,  1358,   550,  1364,  1365,
    1288,  1198,   178,   996,   998,  1028,  1028,  1367,  1028,  1028,
    1367,  1028,  1028,  1200,    13,   552,  1346,   667,   550,   552,
     550,   241,   381,   413,   426,   459,  1199,   819,   180,   428,
     873,  1199,   338,   873,   873,  1199,  1197,  1197,  1199,   819,
     470,   512,   849,   216,   300,   744,   745,    95,   219,   414,
     434,  1019,  1085,   333,  1020,   550,   552,  1003,   470,  1198,
     917,   918,   920,   841,   840,   841,   238,   245,   850,  1331,
     100,   149,   181,   204,   215,   235,   240,   291,   312,   380,
     383,   409,   412,   418,   425,   453,   458,   461,   480,   505,
     712,   831,   832,  1167,   548,  1167,  1171,  1172,   508,  1184,
    1185,  1130,  1167,   549,  1208,  1208,   182,   254,   315,   318,
     422,   530,  1173,  1174,  1351,  1353,  1167,  1167,  1167,  1208,
    1208,  1130,   903,  1130,  1175,   414,   540,   541,   549,  1131,
    1132,  1164,  1177,   550,  1167,  1130,  1167,  1178,  1130,   127,
     238,   294,   471,  1130,  1167,  1181,  1167,   320,  1132,  1130,
    1140,  1141,  1142,   320,  1130,  1142,   550,   552,  1208,  1128,
    1107,  1130,  1130,  1130,  1130,  1333,   468,   114,   455,  1193,
     820,  1130,   549,  1032,  1182,   201,   203,   226,   329,   334,
     339,   477,   487,  1130,   549,  1130,   470,   122,   257,   262,
     299,   436,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,   101,   108,   441,  1161,   247,   229,  1146,   414,
     549,  1158,   243,   303,   458,   462,   464,   489,  1041,  1198,
    1196,   238,  1075,  1168,  1200,  1347,  1189,  1075,  1305,   552,
     538,  1198,   472,   549,  1351,   552,  1364,   550,   255,   255,
     608,  1263,   994,   982,   986,   987,  1130,   550,   549,   994,
     985,   992,   552,   111,   196,   493,   867,   414,   415,   540,
     541,  1056,  1058,  1132,   434,   288,   345,   552,  1057,  1208,
    1350,  1057,   414,   415,  1058,  1197,   333,   438,  1021,  1069,
    1051,   493,  1016,   187,   358,   549,  1008,  1031,   110,  1331,
     549,  1023,  1024,  1025,  1331,   550,   553,  1277,  1108,   556,
    1256,   556,   550,   703,   550,    33,  1233,  1308,  1309,  1347,
    1301,  1306,  1354,  1292,  1108,  1341,  1357,  1341,  1108,  1211,
    1200,  1200,   353,   128,  1332,   550,   879,   881,   878,   881,
    1332,   350,   550,   552,   821,  1211,  1200,  1200,  1203,  1211,
    1200,  1200,  1211,  1201,  1200,   187,   587,  1209,   409,   492,
     840,   418,   244,   840,   549,  1200,   493,   860,   288,   288,
     493,   549,   688,   256,  1200,   334,  1211,  1200,  1200,  1130,
     334,  1200,  1200,   104,   401,   470,   470,  1200,   470,   721,
     314,   886,   549,   820,   820,  1107,   475,   180,   458,   874,
     505,   143,   227,   905,   874,   874,  1200,   820,  1200,   820,
     421,   233,  1107,   820,   290,   250,   327,   360,   398,   497,
     724,   725,   726,  1085,   470,   923,   418,   334,   223,   191,
     283,  1211,  1200,   344,  1200,   550,   552,  1210,  1212,  1200,
     398,   603,   256,   653,   329,  1107,  1200,  1208,  1331,  1198,
    1200,   223,   298,  1200,   101,   492,  1200,   256,  1200,   256,
    1331,   416,   475,   416,   475,   298,  1200,   101,   492,  1200,
     298,   414,  1198,    97,   206,   431,   731,   732,   733,   734,
    1333,  1211,  1200,   187,   239,   330,   493,   611,   614,   615,
    1333,  1200,   342,   145,   342,  1200,   606,   470,   461,  1198,
     344,   470,   923,   418,  1202,  1331,  1202,   552,   550,   552,
    1211,  1200,   928,   929,  1333,   344,   398,   470,   755,   223,
    1211,  1200,  1200,  1086,  1086,  1211,  1200,  1086,  1201,  1210,
     158,   211,   268,   366,   484,   492,   495,   565,  1353,   223,
    1211,  1200,  1200,   398,  1211,  1200,   398,   431,   603,   700,
     703,   820,  1200,   703,   820,  1200,   703,  1211,  1200,  1211,
    1200,  1200,  1211,   893,  1200,   937,   938,  1333,  1200,   398,
     431,   603,   604,  1198,  1198,  1200,  1200,  1200,  1200,  1211,
    1200,    97,   103,   206,   360,   398,   431,   360,   398,   431,
     789,   398,   431,   398,   431,   195,   398,  1099,  1331,   256,
     799,  1331,   256,  1331,  1211,  1200,  1200,  1351,  1200,    97,
     627,   428,  1210,   398,   431,   603,  1200,  1200,   470,   470,
     154,   483,   386,   552,  1046,  1046,  1046,  1130,  1130,   501,
    1169,   550,  1130,  1190,   334,   828,  1351,   110,   204,   820,
     828,   828,   284,   493,   493,   828,   820,   828,   828,   820,
     290,   820,   828,   828,   828,   382,   631,   342,   238,   470,
     630,   266,   550,   552,   538,  1130,  1107,   820,   550,   552,
     538,   762,   655,  1333,  1200,   132,   238,   418,   504,   718,
     725,   726,   221,   339,   299,   647,   649,   651,   653,   660,
     663,    98,   262,   409,   456,   565,   566,   233,  1202,   505,
    1198,   110,   756,   459,  1086,   789,   576,  1331,   577,   349,
     646,  1200,   235,   820,  1167,   383,  1351,   789,   789,   789,
     789,   339,   344,   349,   549,   789,  1097,  1098,  1099,   428,
     221,   549,   221,   221,   220,  1221,   820,   339,   647,  1331,
     512,   514,   684,   512,   613,   329,   110,   666,  1351,   329,
     344,   550,   876,   877,   882,   110,   290,   406,   473,   511,
     888,   889,   890,   888,   344,   290,   590,  1229,   543,   253,
     253,   233,   608,   110,  1167,   550,   550,   608,   547,   532,
     532,   550,   550,  1208,   548,   549,  1208,  1331,  1351,  1362,
     550,   550,   608,   819,   820,  1202,   820,  1202,   608,   608,
     608,   608,   290,   608,   428,   233,   590,   608,   608,   344,
     608,  1030,  1354,  1342,   550,   668,   262,   262,   262,   262,
     262,   516,  1199,   703,   704,   247,   844,   845,  1211,    98,
     850,   470,   549,   238,   219,   434,   219,   434,   414,   491,
     317,  1107,  1211,   512,   691,  1198,  1200,   238,   344,   844,
     128,   608,   886,  1107,   475,   458,   874,   338,   505,   874,
     874,  1107,   290,   820,  1200,   550,   548,   548,   552,  1130,
     208,  1185,  1186,   110,   550,  1130,   550,   550,   550,   238,
     550,   550,   550,   550,   550,   552,   550,   367,  1176,   550,
     549,  1131,  1131,  1167,    86,    90,    91,    92,   262,   284,
     346,   536,   537,   538,   540,   541,   542,   543,   544,   545,
    1164,  1131,   550,   550,   233,   238,  1179,  1180,   550,   110,
    1181,  1167,  1181,  1181,   238,   550,   550,  1333,   365,  1144,
     110,   550,   552,  1130,  1333,   552,  1130,  1192,  1130,   550,
     532,  1131,  1131,   214,  1167,   238,   201,   203,   226,   334,
     339,   477,   487,   549,   214,   903,  1130,   455,  1193,  1130,
    1182,  1130,   470,   549,  1032,   549,   549,   355,  1150,   549,
    1167,   462,   464,   462,   464,  1198,  1042,  1042,  1042,   293,
     415,   529,   549,  1032,  1076,  1077,  1078,  1085,  1090,  1100,
    1133,  1135,  1136,  1331,   509,  1095,  1046,  1095,     7,    10,
      11,    21,    22,    23,    25,    26,    30,    31,    32,   180,
     320,   372,   480,  1311,  1312,  1314,  1304,  1305,   955,  1208,
    1128,   585,  1108,   994,  1003,  1049,   346,  1162,  1165,   534,
     868,  1208,  1350,  1058,   345,   491,  1055,   308,  1076,   509,
    1096,   499,   457,   492,  1009,  1010,  1011,  1331,   344,  1012,
    1331,  1025,  1026,   552,  1075,   538,  1192,   554,  1259,   553,
     552,   538,    29,  1320,   550,   550,   553,   885,   821,   881,
     881,   128,   883,   544,  1212,  1212,   344,  1199,   347,   344,
    1130,   664,  1202,   549,   549,   549,   688,   266,   667,   778,
     221,   608,   470,  1211,  1200,   590,  1200,  1107,  1200,   516,
     820,   820,   820,   820,   156,   198,   362,   463,  1107,  1200,
     707,  1200,   250,   497,   470,   470,   707,   724,   730,   398,
     431,   603,  1200,  1200,  1200,   274,  1200,   334,   877,   359,
     431,   470,   329,   221,   348,   728,   778,   431,    97,   206,
     402,   403,   431,   607,   616,   617,   730,   924,  1200,   423,
     221,   608,   221,   608,  1200,  1200,  1200,  1200,   423,   423,
     298,   733,   734,   733,   550,   552,   735,  1351,   266,   550,
     552,   538,   551,  1211,  1200,   398,   431,   603,   223,  1200,
    1200,  1200,   360,   398,   431,    97,   206,   360,   398,   431,
    1107,   328,  1107,   550,   552,   538,  1198,   470,  1212,   493,
     752,  1200,   300,   366,   334,  1351,   366,  1212,   490,  1200,
     470,   470,   418,   552,   893,   359,   431,   159,   470,   923,
     418,   187,   233,   618,   470,   470,   310,   310,   310,   470,
     470,   418,   470,   470,   418,   470,   418,   470,   418,   344,
     470,   608,  1107,   329,  1351,   431,   924,   221,   608,   470,
     470,  1200,   470,   418,  1211,  1200,   550,   550,   550,  1169,
     548,  1107,   820,   284,   828,  1202,  1202,   284,   284,  1200,
     284,   448,   449,   632,  1351,   631,   250,   795,  1353,   328,
     346,   540,   541,   703,   792,   881,  1165,  1217,  1351,   550,
     550,   238,   789,   791,   792,   344,   141,   147,   159,   187,
     189,   242,   270,   329,   334,   376,   392,   486,   656,   657,
     659,   220,   508,   562,   590,  1200,   590,   728,  1198,  1198,
    1198,   550,   552,  1212,   247,   409,  1212,  1208,   480,  1198,
     666,  1353,   233,   757,   118,   577,   400,   458,   737,   180,
     991,   238,   937,   613,   667,  1198,   763,   796,   797,  1351,
     550,   552,  1200,   233,   667,  1198,  1198,  1200,  1031,   549,
     648,  1198,   550,   342,   612,   342,   344,   685,   612,   110,
     221,  1031,   613,   470,   221,  1085,   550,   552,   187,   538,
     891,  1351,   590,   458,   880,   881,   233,   892,   890,   192,
     276,   424,   491,   946,  1200,   250,  1225,  1031,  1239,  1107,
     550,  1208,  1127,  1127,   548,  1362,   549,   540,   541,   542,
     543,   544,   548,   608,   493,   608,   493,   608,  1200,  1200,
     747,   608,   820,   233,   418,   418,   418,   418,   418,  1199,
     552,  1211,   512,   552,   846,   347,  1086,   428,   219,   219,
     180,   327,  1212,   843,   608,  1211,   284,   284,   284,   703,
     284,   284,   284,   284,   284,  1171,   466,  1130,   212,  1107,
     550,  1130,  1130,  1130,  1179,   550,  1167,   552,  1107,  1131,
    1131,  1131,  1131,   201,   203,   329,   339,  1131,  1131,  1131,
    1131,  1131,  1131,  1131,  1131,  1131,  1131,  1130,  1130,  1180,
    1179,  1107,   550,   550,   550,  1167,   550,   552,   128,  1132,
     550,  1333,  1141,   373,   452,  1143,   550,   552,   504,  1137,
     110,   550,  1351,  1130,   107,   107,  1130,   550,  1130,   238,
     549,  1170,  1130,   550,   214,  1131,  1131,   214,   214,  1130,
    1130,  1047,   509,   549,  1151,  1331,   550,  1167,   552,  1042,
    1042,  1042,  1042,  1198,  1198,  1198,  1032,  1090,  1100,   238,
     549,  1032,  1077,  1078,   110,  1079,  1080,  1331,   552,   167,
     239,   272,   287,   297,   323,   408,  1082,  1080,   110,  1079,
    1081,  1331,  1080,   535,  1094,  1191,  1130,   247,  1060,   550,
    1060,   552,   538,   550,  1320,   550,   549,   868,   230,   292,
     345,   170,  1130,   405,  1014,   498,   550,   552,  1192,   157,
    1014,   550,   552,  1024,  1096,  1130,  1208,   538,  1278,  1309,
    1314,   550,   544,   885,   480,   241,   413,   419,   426,   459,
     481,   855,   233,   855,   550,   549,   671,   672,   862,  1135,
    1331,   667,   667,   778,  1204,   550,   189,   270,   327,   329,
     779,  1200,  1200,   110,  1200,   493,   493,   820,   820,   820,
     820,   290,   821,  1211,  1200,   470,   923,   418,   470,   274,
     128,   461,  1200,   221,   653,   549,   655,   447,   242,   255,
     329,   612,   562,   180,   242,   329,   447,   450,   612,   701,
     431,   617,   480,  1200,  1331,   423,   732,  1200,   615,   792,
    1333,   359,   431,   470,   923,   418,  1200,   470,   470,   470,
     418,   240,   346,   450,   801,   802,   240,   346,   809,   810,
     470,   470,   418,   550,   550,   550,   929,   328,   703,   881,
     930,  1165,  1217,  1351,   398,  1200,   549,   512,   753,  1209,
    1351,  1351,  1351,  1200,  1200,  1200,   938,   128,   461,  1200,
    1200,  1200,  1200,   499,  1200,  1200,   233,   233,   400,   233,
     256,  1211,  1200,  1200,  1211,  1200,  1200,  1200,  1200,  1200,
    1200,   223,  1200,   147,   609,   221,    99,   120,   480,  1331,
    1200,  1351,   730,  1200,  1200,  1046,   550,   284,   828,   284,
     284,   828,   828,   284,   828,   562,   632,   707,   778,   512,
     514,   820,  1198,   549,   820,  1200,  1131,   104,   128,   658,
     190,   258,   189,   334,   288,  1198,   893,   240,   380,   774,
     781,   782,  1331,   717,   364,   549,   648,   661,   269,   678,
     651,  1212,  1212,  1107,   549,   613,   101,   192,   276,   424,
     491,   758,   470,   754,  1211,  1198,   739,   516,   344,  1076,
     893,   393,   764,   550,   552,  1099,   728,   747,   550,   698,
     339,   364,   549,  1005,   691,   650,   652,   654,   663,  1331,
     364,   679,   680,   648,   678,   153,   461,   686,  1031,   693,
     691,   686,  1351,  1204,   860,   882,  1130,  1130,   552,   549,
     888,   480,   552,   470,   549,   707,    83,  1236,   550,   548,
     550,  1263,  1362,  1362,  1362,  1362,  1362,  1202,  1202,   608,
     428,   608,  1199,  1199,  1199,  1199,  1199,   703,   244,   845,
     550,  1200,   180,   850,   238,   334,   833,  1351,   833,   833,
     284,   833,   833,   833,   833,   833,  1130,   550,   550,  1180,
     550,  1130,   238,   201,   203,   339,   549,   550,   519,  1139,
    1167,   391,   128,   510,   510,   550,  1130,   327,  1130,   552,
    1138,  1109,  1130,  1130,  1130,  1170,   550,  1130,   107,   107,
    1130,  1130,   214,   550,   550,  1130,  1152,  1331,   550,  1130,
    1198,  1198,  1198,  1198,  1080,  1081,  1080,   549,   524,  1132,
     550,  1331,   549,  1077,   287,   354,  1083,  1077,  1083,   287,
    1082,  1083,   287,   460,  1088,   549,  1331,   549,   351,   128,
     251,  1067,  1351,  1067,  1312,   541,  1305,  1313,  1350,  1351,
    1351,   903,   339,  1195,  1031,   358,  1031,  1011,   344,   549,
    1013,   538,  1025,  1014,  1358,   480,   550,   470,   840,   238,
     778,  1130,   550,   552,   512,   147,   865,   865,   550,   550,
     263,   669,   190,   258,   268,   189,   495,   608,  1107,  1202,
    1202,  1200,  1200,  1200,  1200,  1200,  1212,  1200,   653,   729,
     733,  1209,   658,   256,   334,   703,   658,   334,  1209,  1331,
    1107,   608,   608,   538,   128,   461,  1200,  1200,  1200,  1200,
    1211,  1200,  1200,  1208,  1208,  1107,   552,  1208,  1208,   552,
    1211,  1200,  1200,   470,  1130,   141,  1212,  1200,   470,   470,
     238,   262,   512,  1199,  1199,   820,  1199,   221,  1200,   820,
    1351,  1351,  1107,   608,   608,   550,   284,   828,   828,   828,
     828,   549,   633,   634,   493,   638,   639,   240,   273,   240,
     238,   777,  1130,   329,   657,   187,   110,   893,   666,   493,
     687,  1206,   107,   220,   262,   339,   647,   618,   218,   264,
     549,   428,   493,   667,   110,  1212,   752,   577,   549,   235,
    1200,  1167,   325,   343,   765,   766,   767,   233,   770,  1351,
     428,   613,   820,   339,   647,   691,   550,   552,   512,   655,
     128,   684,   618,   679,   192,   206,   373,  1200,   512,   958,
     110,   238,   344,   549,  1351,   879,   894,   895,  1332,  1107,
     233,  1198,   238,   470,   914,   271,   708,  1237,  1331,   608,
     550,   608,   608,  1200,   347,   282,   608,   844,   833,   550,
    1131,   238,   549,  1170,   549,   550,   552,   550,  1132,   391,
     550,   498,   444,   550,   550,   550,  1130,  1130,  1130,   550,
     364,  1153,   550,  1091,  1092,  1135,   549,  1144,  1079,   549,
    1199,  1077,   344,   493,  1084,  1077,   287,  1077,  1206,  1098,
     549,  1098,  1331,   169,   248,   411,   549,  1061,  1062,  1063,
    1064,  1065,  1066,  1130,  1130,   511,  1147,  1147,  1208,  1350,
     550,  1028,  1365,  1009,   159,   861,   862,   202,  1130,   844,
     344,   844,   550,   669,   672,   346,   903,   820,   820,   866,
     866,   392,   669,   549,   893,   550,   470,   431,  1020,   550,
     552,   110,   221,   609,   792,  1212,  1200,   470,   549,   874,
     903,   905,   802,   549,   549,   810,  1200,   550,   549,   431,
    1020,  1200,  1200,   549,   549,   549,   512,   535,   976,   400,
     976,   976,   233,   609,   828,   640,   641,  1333,   124,   168,
     193,   210,   214,   234,   237,   252,   334,   342,   384,   635,
     562,   194,   874,   110,   910,   910,  1198,   778,   550,   255,
     687,   311,   670,   266,   549,   782,   774,   549,  1198,   550,
     428,   101,   152,   160,   188,   255,   267,   447,   450,   662,
     662,  1197,  1200,  1202,   550,  1031,   753,   180,   728,   238,
     766,   414,   458,   768,   207,   771,   508,   773,  1200,   110,
     648,  1198,   550,   652,   348,   681,  1214,  1353,   685,   679,
     684,   415,   415,   133,   141,   303,  1031,   820,  1085,   861,
     881,   550,   552,   480,  1095,   442,   442,   550,   707,   327,
     497,   709,   710,   538,  1238,  1200,   608,  1131,  1170,   550,
    1140,  1167,   128,   327,   531,   128,  1046,   550,   552,   110,
    1093,   187,  1105,  1106,  1131,   150,  1199,   550,  1130,   549,
    1077,  1084,   549,   550,  1098,   550,   549,   432,   549,   550,
     552,  1148,  1149,  1331,   498,  1200,   550,   552,   330,   491,
     846,   855,   608,   865,   893,   549,   867,   867,  1198,   893,
     667,   687,  1200,   461,   733,   255,   493,   610,   431,  1020,
    1200,  1170,   233,   805,   805,  1170,  1170,  1130,   461,   226,
     313,   316,   334,   477,   621,   623,   624,   703,  1351,   621,
     622,   619,   620,  1213,   819,   820,   819,   820,  1199,   608,
     550,   552,   542,   549,   587,   642,   703,   973,  1351,   973,
     329,   334,   384,   973,   973,   633,  1351,   910,   113,   260,
     233,   327,   665,   549,   699,   239,   363,   437,   344,   674,
     675,   676,   461,   550,  1206,    80,   783,   648,   678,  1200,
     550,   728,   227,   804,   613,   958,   516,  1076,   973,   414,
     446,   772,   549,   220,   728,  1031,   679,   648,   678,   655,
     549,   686,   684,   685,   141,   347,   141,   691,   860,   550,
     888,   894,  1107,   202,   512,   512,   497,   707,  1208,  1345,
    1353,    83,   728,   550,   550,   550,   391,   498,  1167,   249,
     385,   415,  1154,  1094,  1091,   549,  1131,   550,   552,   110,
    1101,  1102,  1331,   550,  1199,  1167,   550,  1167,   549,  1167,
    1062,   552,   110,  1031,  1095,   862,   431,   238,   866,   687,
     903,   868,   868,   666,   687,   550,   778,  1200,   699,  1130,
     461,   550,   350,   421,   389,   806,   806,   550,   550,   550,
    1200,   550,   552,   550,   552,   550,   552,  1208,   976,   641,
     587,   643,   644,  1351,  1351,   334,   667,   542,   667,  1351,
    1351,   207,   268,   700,   192,   491,   344,   676,   344,   675,
    1200,   549,   550,   552,   618,   428,   728,   820,   110,   110,
    1200,   769,  1331,  1130,   774,   958,   684,   618,   679,   549,
     682,   683,  1135,  1331,   685,   686,   347,   347,   549,   263,
     863,   102,   277,   947,   240,   240,  1237,   122,   170,   482,
    1130,  1155,  1156,  1155,  1155,   550,  1098,   552,  1106,  1333,
     550,   552,   233,  1107,   550,   550,   550,  1061,   550,  1149,
    1151,  1023,   844,   867,   509,   673,   550,   670,   778,  1020,
    1200,   874,   128,  1020,   470,   624,   621,   619,   820,   550,
     552,   667,   414,   550,   132,   327,   404,   431,   677,   677,
     550,    80,   428,  1200,   801,  1031,   728,   550,  1206,   685,
     679,   684,  1130,   550,   552,   865,   865,   686,   861,   549,
     613,   330,   549,   942,   944,   948,  1006,  1015,  1022,  1031,
     874,   874,  1156,   414,   232,   371,   232,   371,   217,  1157,
    1157,  1157,   550,  1132,  1102,   351,   187,   329,   334,  1103,
    1104,  1353,   399,  1089,   550,  1095,   608,   868,   549,   778,
     674,  1020,   820,   549,   644,   773,    96,   187,   334,  1200,
     728,   958,   549,   686,   684,   685,   550,   683,   866,   866,
     550,   862,   864,   686,   943,   944,   945,  1032,  1033,   552,
     552,   107,   170,   247,   327,   467,  1144,  1131,   334,  1104,
    1131,   549,  1130,   778,   623,   220,   728,   775,   776,  1208,
    1333,  1350,  1351,   685,   686,   865,   863,   550,   552,  1095,
     550,   553,   470,   238,  1156,   414,   352,   150,  1130,   550,
     550,   774,   550,   552,   686,   866,   613,   862,   945,   442,
     442,  1101,   550,  1206,   776,   686,   512,   512,   550,   549,
    1095,   240,   240,   775,   874,   874,   550
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   557,   558,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   560,   561,   562,
     562,   562,   563,   563,   564,   564,   565,   565,   565,   565,
     565,   565,   565,   565,   565,   566,   566,   566,   566,   566,
     566,   567,   568,   568,   569,   569,   570,   570,   570,   570,
     571,   571,   571,   571,   571,   571,   572,   573,   574,   574,
     575,   575,   575,   575,   576,   576,   577,   577,   578,   578,
     578,   578,   578,   578,   579,   579,   579,   580,   580,   580,
     581,   581,   581,   581,   582,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   583,   583,   584,   584,   585,
     585,   586,   586,   586,   586,   587,   587,   587,   587,   588,
     588,   588,   588,   588,   588,   588,   589,   589,   589,   590,
     590,   591,   592,   592,   592,   592,   593,   593,   594,   594,
     595,   595,   596,   596,   596,   596,   596,   597,   598,   598,
     599,   599,   600,   601,   601,   601,   601,   601,   602,   602,
     602,   602,   602,   602,   602,   602,   602,   602,   602,   602,
     602,   602,   602,   602,   602,   602,   602,   603,   603,   604,
     604,   605,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   607,
     607,   608,   608,   608,   609,   609,   610,   610,   611,   611,
     611,   611,   612,   613,   613,   614,   614,   615,   615,   615,
     615,   616,   616,   617,   617,   617,   617,   618,   618,   618,
     618,   619,   620,   620,   621,   621,   621,   621,   621,   622,
     622,   623,   623,   624,   624,   624,   625,   626,   626,   627,
     627,   627,   627,   628,   628,   629,   629,   630,   630,   631,
     631,   632,   632,   632,   633,   633,   634,   634,   635,   635,
     635,   635,   635,   635,   635,   635,   635,   635,   635,   635,
     635,   635,   636,   636,   637,   637,   638,   638,   639,   639,
     640,   640,   641,   642,   642,   642,   642,   642,   643,   643,
     644,   645,   645,   645,   645,   645,   645,   646,   646,   646,
     646,   646,   646,   646,   646,   647,   647,   648,   648,   649,
     649,   650,   650,   651,   651,   651,   652,   652,   653,   654,
     654,   655,   655,   656,   656,   656,   656,   657,   657,   657,
     657,   657,   657,   657,   657,   658,   658,   659,   659,   659,
     659,   660,   661,   661,   661,   662,   662,   662,   662,   662,
     662,   662,   662,   663,   663,   664,   664,   664,   664,   664,
     664,   664,   665,   665,   666,   666,   667,   667,   668,   669,
     669,   670,   670,   670,   670,   671,   671,   672,   672,   673,
     673,   674,   674,   674,   674,   674,   675,   676,   677,   677,
     677,   677,   677,   678,   678,   679,   679,   680,   681,   681,
     682,   682,   683,   683,   683,   684,   684,   684,   684,   685,
     685,   685,   685,   686,   686,   687,   687,   688,   689,   689,
     690,   691,   691,   691,   692,   692,   693,   694,   694,   695,
     696,   696,   697,   697,   698,   698,   699,   699,   700,   700,
     701,   701,   701,   701,   701,   701,   701,   701,   701,   701,
     701,   701,   701,   701,   702,   702,   703,   703,   703,   703,
     704,   704,   705,   705,   706,   706,   707,   707,   708,   708,
     709,   709,   710,   710,   711,   711,   712,   712,   713,   714,
     714,   715,   715,   716,   716,   717,   717,   718,   718,   718,
     718,   719,   720,   720,   721,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   723,   724,   724,   724,   724,   725,   725,
     726,   726,   727,   727,   728,   728,   729,   729,   730,   731,
     731,   732,   732,   732,   732,   733,   734,   735,   736,   736,
     737,   737,   738,   738,   739,   739,   740,   740,   740,   741,
     741,   741,   741,   742,   742,   743,   744,   744,   745,   745,
     746,   746,   747,   747,   748,   748,   749,   750,   751,   752,
     752,   753,   753,   754,   754,   755,   755,   756,   756,   757,
     757,   758,   758,   758,   758,   758,   759,   760,   760,   761,
     761,   761,   762,   762,   763,   763,   763,   763,   763,   764,
     764,   765,   765,   766,   767,   767,   768,   768,   769,   770,
     770,   771,   771,   772,   772,   773,   773,   774,   774,   775,
     775,   775,   776,   776,   776,   776,   777,   777,   778,   778,
     779,   779,   779,   779,   779,   779,   780,   780,   781,   781,
     782,   783,   783,   784,   785,   785,   785,   785,   786,   787,
     788,   788,   788,   788,   788,   788,   788,   788,   788,   788,
     788,   788,   788,   788,   788,   788,   789,   790,   790,   791,
     791,   792,   792,   792,   792,   792,   792,   793,   794,   794,
     795,   796,   796,   797,   797,   798,   798,   798,   798,   799,
     799,   800,   801,   801,   802,   802,   802,   802,   802,   803,
     803,   804,   804,   805,   805,   805,   806,   806,   807,   808,
     808,   809,   809,   810,   810,   811,   811,   812,   812,   813,
     814,   815,   815,   815,   815,   815,   815,   815,   815,   815,
     815,   815,   815,   816,   816,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   816,   817,   817,   817,   817,
     817,   817,   817,   818,   818,   818,   819,   819,   820,   820,
     821,   821,   822,   822,   823,   824,   824,   824,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   827,   828,   828,   829,   829,   829,   829,   829,
     829,   829,   829,   829,   830,   830,   831,   831,   831,   831,
     831,   831,   832,   832,   832,   832,   832,   832,   832,   832,
     833,   833,   834,   834,   834,   834,   834,   834,   834,   834,
     834,   834,   834,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   836,   836,   837,
     837,   838,   839,   839,   840,   840,   840,   840,   840,   841,
     841,   842,   842,   842,   842,   843,   843,   843,   843,   843,
     843,   843,   843,   843,   843,   843,   843,   843,   843,   843,
     843,   843,   843,   843,   843,   844,   844,   845,   845,   846,
     846,   847,   848,   848,   849,   849,   850,   850,   851,   852,
     852,   853,   853,   853,   854,   854,   854,   855,   855,   855,
     855,   855,   855,   856,   856,   857,   857,   858,   858,   859,
     859,   860,   860,   861,   861,   862,   862,   862,   863,   863,
     864,   864,   865,   865,   866,   866,   867,   867,   867,   868,
     868,   868,   869,   869,   869,   869,   870,   870,   871,   871,
     872,   872,   873,   873,   874,   874,   874,   874,   875,   875,
     876,   876,   877,   877,   877,   877,   877,   878,   878,   878,
     878,   878,   879,   880,   881,   881,   881,   882,   882,   882,
     883,   884,   884,   884,   884,   885,   885,   886,   887,   887,
     888,   888,   889,   889,   889,   889,   889,   889,   889,   889,
     889,   889,   889,   889,   889,   889,   889,   889,   890,   890,
     890,   890,   890,   891,   891,   892,   892,   893,   893,   894,
     895,   895,   896,   896,   896,   897,   897,   898,   898,   899,
     899,   899,   899,   899,   899,   900,   900,   901,   901,   902,
     902,   902,   902,   903,   903,   904,   904,   905,   906,   907,
     907,   908,   908,   909,   909,   909,   910,   910,   910,   911,
     912,   912,   913,   914,   914,   914,   914,   915,   916,   916,
     916,   916,   917,   917,   918,   918,   918,   919,   919,   920,
     921,   921,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   923,   923,   924,   924,   925,
     925,   925,   925,   925,   925,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   927,   928,   928,   929,   929,   930,   930,   930,
     930,   930,   931,   931,   931,   931,   931,   931,   931,   931,
     931,   931,   931,   931,   931,   931,   931,   931,   931,   931,
     931,   931,   931,   931,   931,   931,   932,   933,   933,   934,
     934,   935,   935,   935,   935,   936,   937,   937,   938,   939,
     939,   939,   939,   939,   939,   940,   940,   941,   942,   942,
     942,   943,   943,   944,   944,   944,   944,   944,   945,   945,
     946,   946,   946,   946,   947,   947,   947,   948,   949,   949,
     950,   951,   951,   952,   952,   952,   952,   952,   952,   952,
     952,   952,   952,   952,   952,   952,   952,   953,   953,   953,
     954,   954,   954,   954,   954,   955,   955,   955,   956,   956,
     957,   957,   957,   957,   958,   958,   958,   958,   959,   960,
     961,   961,   962,   962,   963,   963,   963,   964,   964,   964,
     964,   964,   964,   964,   965,   965,   966,   966,   966,   967,
     968,   968,   969,   970,   970,   971,   972,   972,   972,   972,
     972,   972,   972,   973,   973,   974,   975,   975,   975,   975,
     975,   975,   976,   976,   977,   978,   978,   978,   979,   979,
     980,   980,   981,   981,   982,   982,   982,   982,   982,   983,
     983,   984,   984,   985,   986,   986,   987,   987,   988,   988,
     989,   989,   990,   990,   991,   991,   992,   993,   993,   994,
     994,   995,   995,   995,   995,   996,   996,   996,   996,   996,
     996,   996,   996,   996,   997,   997,   998,   999,   999,  1000,
    1000,  1000,  1001,  1001,  1002,  1002,  1003,  1003,  1003,  1003,
    1004,  1004,  1005,  1005,  1006,  1007,  1007,  1008,  1008,  1008,
    1008,  1008,  1009,  1009,  1010,  1010,  1011,  1012,  1012,  1012,
    1013,  1013,  1013,  1014,  1014,  1015,  1016,  1016,  1017,  1018,
    1018,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1020,
    1020,  1021,  1021,  1021,  1022,  1023,  1023,  1024,  1024,  1025,
    1026,  1026,  1027,  1028,  1028,  1029,  1029,  1029,  1029,  1029,
    1030,  1030,  1030,  1031,  1031,  1032,  1032,  1033,  1033,  1033,
    1033,  1033,  1033,  1033,  1033,  1034,  1034,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1036,  1036,  1036,  1037,  1037,  1038,
    1039,  1039,  1040,  1040,  1040,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1042,  1042,  1043,  1043,  1043,  1044,
    1044,  1045,  1045,  1046,  1046,  1047,  1048,  1048,  1049,  1049,
    1050,  1050,  1050,  1050,  1051,  1051,  1052,  1052,  1052,  1052,
    1053,  1053,  1054,  1054,  1055,  1056,  1056,  1056,  1057,  1057,
    1058,  1058,  1059,  1059,  1060,  1060,  1061,  1061,  1062,  1062,
    1062,  1062,  1062,  1063,  1064,  1065,  1066,  1067,  1067,  1068,
    1068,  1069,  1069,  1070,  1070,  1071,  1072,  1072,  1072,  1072,
    1073,  1073,  1074,  1074,  1075,  1075,  1076,  1076,  1077,  1077,
    1077,  1077,  1077,  1077,  1077,  1077,  1077,  1077,  1078,  1078,
    1078,  1078,  1078,  1078,  1079,  1079,  1079,  1079,  1080,  1080,
    1081,  1081,  1081,  1081,  1081,  1082,  1082,  1082,  1082,  1083,
    1083,  1084,  1084,  1085,  1085,  1085,  1085,  1086,  1086,  1087,
    1087,  1087,  1088,  1089,  1089,  1090,  1090,  1091,  1092,  1092,
    1093,  1093,  1094,  1094,  1095,  1095,  1096,  1096,  1096,  1097,
    1097,  1098,  1098,  1099,  1100,  1100,  1101,  1101,  1102,  1102,
    1102,  1103,  1103,  1104,  1104,  1104,  1104,  1105,  1105,  1106,
    1106,  1107,  1107,  1107,  1107,  1107,  1107,  1108,  1108,  1108,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1110,  1110,  1110,
    1110,  1111,  1111,  1112,  1112,  1113,  1113,  1113,  1113,  1113,
    1113,  1113,  1113,  1113,  1113,  1113,  1114,  1114,  1115,  1115,
    1116,  1116,  1117,  1118,  1119,  1119,  1120,  1120,  1121,  1122,
    1123,  1123,  1123,  1123,  1123,  1123,  1124,  1124,  1125,  1125,
    1125,  1125,  1126,  1127,  1127,  1127,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1129,  1129,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1131,  1131,  1131,  1131,
    1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,
    1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,
    1131,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,
    1132,  1132,  1132,  1132,  1132,  1133,  1133,  1133,  1133,  1133,
    1133,  1133,  1134,  1134,  1135,  1135,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1137,  1137,
    1138,  1138,  1138,  1138,  1139,  1140,  1140,  1141,  1141,  1142,
    1142,  1143,  1143,  1143,  1144,  1144,  1144,  1144,  1145,  1145,
    1146,  1146,  1147,  1147,  1148,  1148,  1149,  1150,  1150,  1150,
    1151,  1152,  1152,  1153,  1153,  1154,  1154,  1154,  1154,  1155,
    1155,  1156,  1156,  1156,  1156,  1156,  1157,  1157,  1157,  1157,
    1157,  1158,  1158,  1158,  1159,  1159,  1160,  1161,  1161,  1161,
    1162,  1162,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1164,  1164,  1165,  1165,  1166,  1166,
    1166,  1166,  1166,  1166,  1167,  1167,  1168,  1168,  1169,  1169,
    1169,  1170,  1170,  1171,  1171,  1171,  1172,  1172,  1173,  1173,
    1174,  1174,  1174,  1174,  1174,  1174,  1174,  1174,  1175,  1175,
    1176,  1177,  1177,  1178,  1178,  1178,  1178,  1178,  1178,  1179,
    1180,  1181,  1181,  1181,  1182,  1182,  1183,  1184,  1184,  1185,
    1186,  1186,  1187,  1187,  1188,  1188,  1189,  1189,  1189,  1189,
    1190,  1190,  1191,  1191,  1192,  1192,  1193,  1193,  1194,  1194,
    1195,  1195,  1196,  1196,  1196,  1196,  1197,  1197,  1198,  1198,
    1199,  1199,  1200,  1201,  1202,  1203,  1204,  1205,  1206,  1206,
    1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,  1207,
    1207,  1207,  1207,  1207,  1207,  1208,  1209,  1209,  1209,  1209,
    1210,  1211,  1211,  1211,  1212,  1212,  1213,  1213,  1213,  1213,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,
    1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,
    1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,
    1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,
    1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1218,  1218,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1221,  1220,  1222,  1223,
    1223,  1223,  1223,  1224,  1224,  1224,  1224,  1225,  1225,  1226,
    1227,  1228,  1228,  1229,  1229,  1229,  1230,  1230,  1231,  1231,
    1232,  1232,  1233,  1233,  1233,  1233,  1234,  1234,  1234,  1235,
    1236,  1236,  1237,  1237,  1238,  1238,  1238,  1238,  1239,  1239,
    1240,  1241,  1242,  1243,  1243,  1244,  1245,  1245,  1246,  1246,
    1246,  1246,  1246,  1248,  1247,  1249,  1250,  1251,  1251,  1252,
    1252,  1252,  1252,  1253,  1253,  1255,  1254,  1257,  1256,  1258,
    1256,  1256,  1259,  1259,  1260,  1260,  1260,  1261,  1261,  1261,
    1261,  1262,  1262,  1263,  1263,  1263,  1263,  1263,  1263,  1264,
    1264,  1264,  1265,  1267,  1266,  1268,  1269,  1268,  1270,  1270,
    1271,  1271,  1272,  1272,  1273,  1273,  1273,  1273,  1273,  1273,
    1273,  1273,  1273,  1274,  1274,  1274,  1274,  1274,  1274,  1274,
    1274,  1274,  1274,  1275,  1275,  1276,  1276,  1277,  1278,  1278,
    1279,  1279,  1279,  1280,  1281,  1282,  1282,  1282,  1282,  1283,
    1283,  1283,  1284,  1284,  1285,  1285,  1286,  1287,  1287,  1288,
    1288,  1289,  1289,  1290,  1290,  1291,  1292,  1292,  1293,  1293,
    1293,  1294,  1294,  1294,  1294,  1294,  1294,  1294,  1294,  1294,
    1295,  1295,  1295,  1295,  1295,  1296,  1296,  1297,  1298,  1299,
    1300,  1300,  1301,  1302,  1303,  1303,  1304,  1305,  1305,  1306,
    1307,  1308,  1308,  1309,  1310,  1311,  1311,  1312,  1313,  1313,
    1313,  1313,  1313,  1314,  1314,  1314,  1314,  1314,  1314,  1314,
    1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1315,  1315,
    1316,  1316,  1317,  1317,  1317,  1319,  1318,  1320,  1320,  1322,
    1321,  1323,  1323,  1323,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1325,  1325,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1327,  1327,
    1327,  1327,  1327,  1327,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1329,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1331,  1331,  1331,  1331,  1331,  1331,  1331,  1332,  1332,  1332,
    1332,  1332,  1332,  1333,  1333,  1333,  1333,  1333,  1333,  1333,
    1333,  1333,  1333,  1333,  1334,  1334,  1334,  1334,  1334,  1335,
    1335,  1335,  1335,  1336,  1336,  1336,  1336,  1336,  1336,  1336,
    1337,  1337,  1337,  1338,  1338,  1338,  1338,  1338,  1338,  1339,
    1339,  1340,  1341,  1341,  1342,  1342,  1343,  1344,  1345,  1346,
    1346,  1346,  1347,  1348,  1349,  1350,  1351,  1351,  1351,  1351,
    1351,  1352,  1353,  1353,  1353,  1354,  1354,  1355,  1355,  1355,
    1356,  1356,  1357,  1357,  1358,  1358,  1359,  1359,  1359,  1359,
    1359,  1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,
    1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,
    1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,
    1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,
    1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,  1360,
    1360,  1360,  1360,  1360,  1360,  1360,  1360,  1361,  1361,  1361,
    1361,  1362,  1362,  1362,  1362,  1362,  1362,  1362,  1362,  1362,
    1362,  1363,  1363,  1363,  1363,  1364,  1364,  1365,  1365,  1366,
    1366,  1367,  1367
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     5,     1,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     5,     0,     3,     5,     5,     5,     5,
       3,     5,     3,     5,     3,     5,     5,     6,     1,     1,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     5,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
       4,     6,    10,    13,     4,     6,     4,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     1,     3,     4,
       3,     3,     2,     5,     3,     6,     4,     6,     6,     6,
       6,     5,     5,     6,     9,     4,     5,     7,     6,     4,
       8,     4,     2,     4,     3,     6,     4,     3,     3,     3,
       3,     2,     2,     3,     4,     4,     3,     3,     3,     3,
       3,     3,     4,     4,     3,     2,     3,     2,     2,     3,
       3,     2,     2,     3,     4,     4,     4,     5,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     1,     1,
       1,     3,     3,     2,     0,     1,     3,     3,     1,     5,
       3,     1,     2,     1,     3,     2,     3,     6,     6,    10,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     9,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       3,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    12,    15,    11,    14,    13,    16,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     5,     1,     2,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     8,     3,     9,     4,
      10,    11,     2,     0,     3,     0,     1,     3,     1,     4,
       0,     2,     2,     2,     0,     1,     3,     3,     6,     4,
       0,     1,     1,     2,     2,     0,     3,     3,     2,     1,
       1,     2,     2,     4,     0,     1,     0,     6,     1,     1,
       1,     3,     3,     3,     5,     2,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     8,    11,
       5,     2,     3,     0,     8,    11,     4,     1,     0,     6,
       5,     8,     4,     6,     1,     0,     3,     0,     1,     2,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     0,     1,     2,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     5,     7,     1,     0,     7,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       1,     5,     2,     0,     2,     7,     6,    10,     6,     6,
       6,     6,     7,     6,     9,     9,     6,     6,     6,     7,
       6,     8,     8,     8,     8,     6,     6,     7,     7,     8,
       6,     9,     6,     7,     2,     2,     2,     2,     1,     2,
       1,     0,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,    13,
       2,     0,     2,     2,     1,     0,     5,     4,     4,    11,
      14,    12,    15,     5,     7,    11,     2,     1,     4,     0,
       8,    11,     1,     1,     7,     9,     8,    10,     8,     4,
       0,     5,     0,     2,     0,     2,     0,     2,     0,     2,
       0,     1,     1,     1,     1,     1,     8,    16,    20,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     2,
       0,     1,     2,     4,     1,     1,     1,     1,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     2,     0,     0,     2,
       2,     1,     2,     2,     2,     2,    11,    13,     1,     3,
       5,     1,     3,     5,     1,     2,     2,     1,     8,     4,
       5,     4,     4,     4,     3,     7,     8,     6,     6,     6,
       6,     6,     4,     7,     5,     8,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     3,
       3,     1,     0,     1,     3,     7,     9,     9,     8,     3,
       0,    13,     1,     3,     5,     5,     3,     6,     2,     1,
       0,     2,     0,     2,     4,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     6,     4,     6,     8,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     1,
       1,     1,     3,     3,     3,     3,     2,     2,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     2,
       2,     3,     1,     3,     5,     2,     2,     0,     6,     6,
       6,     6,     6,     6,     6,     8,     9,     8,     6,     6,
       8,     9,     8,     9,     9,     7,    10,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     2,     3,     3,     3,
       3,     2,     1,     2,     1,     3,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     8,     8,     8,     8,     8,
       8,     9,     8,     8,     2,     0,     1,     2,     1,     1,
       1,     2,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     3,     4,     5,     4,     5,     3,
       4,     3,     4,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     4,     4,     4,     4,     1,     1,     1,
       0,     7,     7,    10,     1,     1,     2,     4,     5,     1,
       3,     2,     2,     2,     2,     1,     2,     2,     4,     3,
       2,     2,     2,     2,     2,     2,     3,     2,     2,     2,
       5,     5,     5,     5,     5,     1,     3,     1,     2,     3,
       0,     6,     6,     9,     3,     0,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,     1,     1,    15,    18,     1,     0,     1,     0,     1,
       0,     2,     0,     1,     3,     5,     5,     7,     4,     0,
       1,     3,     2,     0,     1,     0,     1,     1,     0,     2,
       2,     0,     8,    11,     6,     6,     2,     0,     3,     2,
       1,     3,     1,     3,     2,     1,     1,     2,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     3,     3,     5,     6,     1,     3,     2,     1,     3,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     1,     2,     2,     2,     1,     2,     2,     2,
       2,     1,     1,     1,     3,     3,     5,     2,     0,     2,
       1,     3,     5,     5,     5,     1,     2,     1,     0,     4,
       6,     4,     6,     4,     6,     4,     6,     4,     6,     3,
       5,     5,     5,     1,     3,     1,     3,     2,     2,     1,
       2,     1,     2,    11,    10,    10,     2,     2,     0,     9,
       2,     0,    10,    11,    11,     5,     5,     8,     3,     3,
       6,     6,     1,     1,     1,     1,     1,     1,     3,     1,
       5,     5,     6,     6,     6,     6,     6,     8,     8,     6,
       6,     7,     9,     9,     8,    10,     6,     6,     6,     6,
       6,     6,     6,     8,     6,     8,     6,     8,     7,     9,
       6,     8,     7,     9,     8,    10,     9,    11,     8,    10,
       9,    11,     8,     8,     7,     6,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       7,     7,     9,     8,     7,     6,     6,     6,     6,     6,
       6,     6,     9,     9,     6,     6,     6,     8,     6,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     7,     1,     3,     3,     3,     1,     1,     1,
       1,     1,     6,     6,     6,     6,     6,     6,     7,     7,
       6,     9,     9,     6,     6,     6,     6,     6,     6,     8,
       8,     8,     6,     7,     6,     6,     5,     1,     0,     3,
       3,     5,     6,     6,     6,     8,     1,     3,     1,     5,
       5,     6,     7,     4,     4,     4,     6,    13,     1,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     1,     0,     3,     2,     0,
       2,     2,     2,     2,     3,     3,     2,     2,     2,     2,
       3,     2,     5,     4,     3,     3,     3,     1,     1,     0,
       3,     2,     2,     1,     2,     1,     3,     2,     1,     0,
       9,    11,    12,    14,     3,     4,     4,     0,     2,     5,
       1,     0,     1,     2,     3,     3,     3,     1,     2,     1,
       1,     1,     1,     1,     1,     0,     5,     4,     6,     4,
       3,     5,     5,     4,     4,     6,     4,     6,     6,     5,
       7,     9,     6,     1,     0,     6,    11,    11,    11,    13,
       9,    11,     1,     1,    10,     4,     2,     5,     2,     0,
       6,     5,     1,     3,     1,     1,     1,     1,     1,     3,
       5,     1,     3,     1,     1,     1,     1,     0,     1,     0,
       1,     0,     1,     0,     3,     0,     2,     1,     3,     1,
       0,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     0,     5,     4,     3,     0,     1,     1,     1,     1,
       4,     9,     3,     0,     7,     1,     3,     1,     4,     4,
       7,     2,     1,     1,     1,     3,     2,     8,     5,     0,
       4,     3,     0,     3,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     1,     2,     0,     8,     1,     3,     3,     5,     2,
       1,     3,     7,     1,     1,     0,     3,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     9,     1,
       2,     4,     4,     4,     2,     2,     3,     1,     3,     6,
       1,     0,     2,     1,     0,     3,     3,     4,     4,     4,
       4,     3,     2,     1,     1,     0,     1,     1,     0,     1,
       5,     1,     0,     1,     0,     3,     1,     3,     4,     3,
       2,     2,     1,     1,     1,     0,     2,     4,     5,     4,
       2,     3,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     3,     0,     1,     3,     1,     1,
       1,     1,     1,     2,     4,     4,     5,     2,     0,     1,
       3,     1,     0,     1,     2,     3,     2,     4,     2,     3,
       2,     0,     4,     5,     2,     0,     1,     3,     2,     3,
       2,     3,     2,     3,     2,     3,     1,     4,     3,     4,
       5,     4,     5,     4,     5,     2,     4,     1,     1,     0,
       1,     4,     5,     4,     0,     2,     2,     2,     1,     1,
       0,     4,     2,     1,     2,     2,     4,     1,     3,     1,
       2,     3,     6,     4,     0,     2,     6,     2,     1,     3,
       4,     0,     2,     0,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     7,    12,     1,     3,     2,     3,
       3,     1,     2,     2,     2,     2,     1,     1,     3,     3,
       2,     2,     3,     5,     6,     2,     3,     3,     4,     0,
       1,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     4,     1,
       2,     2,     1,     3,     3,     2,     1,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     6,     7,     3,     4,
       4,     6,     2,     3,     4,     1,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     5,     6,     6,     7,     3,
       4,     1,     1,     2,     4,     1,     1,     1,     2,     2,
       2,     2,     1,     1,     4,     3,     5,     6,     8,     6,
       6,     4,     4,     1,     1,     1,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     6,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     7,     2,     3,
       3,     3,     4,     0,     4,     1,     3,     3,     1,     1,
       1,     2,     2,     0,     2,     4,     4,     6,     5,     0,
       5,     0,     2,     0,     1,     3,     3,     2,     2,     0,
       6,     1,     0,     3,     0,     3,     3,     3,     0,     1,
       4,     2,     2,     2,     2,     2,     3,     2,     2,     3,
       0,     4,     3,     5,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     1,     4,     1,     4,
       1,     2,     1,     2,     1,     3,     1,     3,     1,     3,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     0,     1,     2,     0,     2,     1,     0,     1,     0,
       1,     3,     3,     2,     1,     1,     1,     3,     1,     2,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     6,     2,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     4,     3,
       2,     1,     1,     1,     1,     1,     0,     8,     2,     5,
       3,     2,     2,     3,     7,     1,     1,     1,     0,     2,
       2,     1,     0,     1,     3,     1,     2,     0,     2,     0,
       2,     0,     1,     3,     4,     3,     1,     1,     1,     1,
       2,     0,     2,     4,     0,     2,     2,     2,     1,     1,
       7,     3,     1,     1,     1,     1,     2,     0,     1,     3,
       3,     3,     3,     0,     4,     5,     5,     0,     1,     1,
       1,     2,     2,     1,     2,     0,     7,     0,     5,     0,
       4,     2,     2,     0,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     2,     1,     3,
       2,     2,     3,     0,     5,     1,     0,     5,     2,     2,
       1,     1,     1,     2,     2,     3,     1,     2,     2,     3,
       3,     4,     2,     1,     2,     1,     1,     2,     2,     3,
       1,     1,     1,     1,     0,     1,     3,     5,     0,     2,
       0,     1,     2,     3,     2,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     2,     2,     3,     0,     1,     2,
       1,     4,     3,     4,     3,     2,     1,     3,     1,     1,
       1,     1,     2,     2,     1,     2,     2,     1,     1,     1,
       4,     4,     4,     4,     4,     1,     0,     3,     3,     4,
       1,     3,     3,     4,     1,     3,     3,     1,     1,     1,
       6,     1,     3,     3,     6,     1,     3,     3,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     4,
       1,     1,     4,     4,     3,     0,     7,     1,     0,     0,
       7,     3,     4,     3,     1,     1,     1,     2,     3,     5,
       2,     2,     5,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     0,     1,     2,     1,     2,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       1,     2,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     2,
       3,     1,     3,     3,     3,     3,     3,     3,     1,     1,
       4,     0,     2,     2,     1,     2,     1,     0,     1,     1,
       1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1620 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33928 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1622 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33934 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1624 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33940 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1626 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33946 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1628 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33952 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1630 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33958 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1632 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33964 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1634 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33970 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1636 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33976 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1638 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33982 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1640 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33988 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1642 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33994 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1644 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34000 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34006 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34012 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34018 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1652 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34024 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1654 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34030 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34036 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34042 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34048 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34054 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34060 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34066 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1668 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34072 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1670 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34078 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1672 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34084 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1674 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34090 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1676 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34096 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1678 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34102 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1680 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34108 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1682 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34114 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1684 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34120 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1686 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34126 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1688 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 34148 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34154 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34160 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34166 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1712 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34172 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1714 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34178 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1716 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34184 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1718 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34190 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1720 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34196 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34202 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1724 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34208 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1726 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34214 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1728 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34220 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1730 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34226 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1732 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34232 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1734 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34238 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1736 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34244 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1738 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34250 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1740 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34256 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1742 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34262 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1744 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34268 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1746 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34274 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1748 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34280 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1750 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34286 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1752 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34292 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1754 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34298 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1756 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34304 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1758 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34310 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1760 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34316 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1762 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34322 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1764 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34328 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1766 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34334 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1768 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34340 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1770 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34346 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1772 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34352 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1774 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34358 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1776 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34364 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1778 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 34372 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1782 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 34378 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1784 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34384 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1786 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34390 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1788 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 34396 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1790 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34402 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1792 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34408 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1794 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34414 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1796 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34420 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1798 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34426 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1800 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34432 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1802 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34438 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1804 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34444 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1806 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34450 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1808 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34456 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1810 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34462 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1812 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34468 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1814 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34474 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1816 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34480 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1818 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 34486 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1820 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34492 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1822 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 34498 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1824 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34504 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1826 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34510 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1828 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34516 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1830 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34522 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1832 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34528 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1834 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34534 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1836 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34540 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1838 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34546 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1840 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34552 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1842 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34558 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1844 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 34569 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1851 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34575 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1853 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34581 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1855 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34587 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1857 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34593 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1859 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34599 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1861 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34605 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1863 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34611 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1865 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34617 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1867 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34623 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1869 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34629 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1871 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34635 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1873 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34645 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1879 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34651 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1881 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34657 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1883 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34663 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1885 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34669 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1887 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34675 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1889 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34681 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1891 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34687 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1893 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34693 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1895 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 34703 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1901 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34717 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1911 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 34725 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1915 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 34735 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1921 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 34743 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1925 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 34757 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1935 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34771 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1944 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 34777 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1946 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34795 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1960 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 34806 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1967 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 34816 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1973 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 34831 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1984 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34841 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1990 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34854 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1999 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 34865 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 2006 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 34875 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 2012 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 34888 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 2021 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 34899 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 2028 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 34910 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2035 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34916 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("call"),(yyvsp[0].str));
}
#line 34924 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34932 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 34940 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 34948 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34955 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34963 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34970 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34978 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34985 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 34993 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 35001 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 35009 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2106 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 35018 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 35026 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 35034 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 35042 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 35050 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35058 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35066 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 35074 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 35082 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 35090 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 35098 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 35106 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35114 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35122 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35130 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35137 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 35145 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35153 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35161 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35169 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35177 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 35185 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 35193 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 35201 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 35209 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 35217 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 35225 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35233 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 35241 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 35249 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 35257 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35265 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35273 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2278 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35282 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2283 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35291 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35299 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35306 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35314 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35321 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35329 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35337 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35345 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35353 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35361 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35369 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35377 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 35385 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 35393 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 35401 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 35409 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35417 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35425 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35433 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 35441 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35449 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 35457 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 35465 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2399 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 35474 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35482 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 35490 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 35498 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 35506 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 35514 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 35522 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 35530 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35538 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35546 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35554 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35562 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35570 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2464 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 35584 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 35592 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 35600 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 35608 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 35616 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 35624 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 35632 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 35640 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35648 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35656 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35664 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35672 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35680 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35688 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 35696 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 35704 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35712 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 35720 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35727 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35735 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35743 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 35751 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35759 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 35767 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 35775 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 35783 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35791 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35799 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35807 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35815 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35823 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35831 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 35839 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 35847 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 35855 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 35863 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2657 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 35872 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35880 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35888 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35896 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 35904 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 35912 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 35920 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 35928 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 35936 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 35944 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 35952 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 35960 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35968 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35976 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35984 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35992 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36000 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36008 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36016 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36024 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36032 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36040 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36048 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36056 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36064 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36072 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36080 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36088 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36096 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36104 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36112 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36120 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36128 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36136 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("detach partition"),(yyvsp[0].str));
}
#line 36144 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("attach partition"),(yyvsp[0].str));
}
#line 36152 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 36160 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 36168 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 36176 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 36184 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36192 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 36200 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 36208 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 36216 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 36224 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 36232 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 36240 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 36248 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 36256 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36264 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 36272 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 36280 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36288 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36296 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36304 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36312 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 36320 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36328 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 36336 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36344 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36352 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 36360 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 36368 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 36376 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 36384 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 36392 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 36400 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 36408 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 36416 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 36424 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 36432 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 36440 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 36448 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 36456 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 36464 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 36472 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 3002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 36480 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 3006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 36488 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 3010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 36496 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 3014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 36504 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 3018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 36512 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 3022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 36520 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 3026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 36528 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36536 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 36544 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 36552 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 36560 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 36568 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 36576 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 36584 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 36592 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 36600 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36608 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 36616 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 36624 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 36632 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36640 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36647 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 36655 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36662 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 36670 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36677 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 36685 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 36693 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 36701 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 36709 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36717 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36725 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36732 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36740 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36748 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36756 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36764 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36772 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 36780 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36788 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36796 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 36804 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36812 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 36820 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 36828 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values with ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36836 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36844 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36852 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 36860 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36868 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36876 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36884 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36892 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36900 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 36908 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 36916 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 36924 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36932 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36940 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36948 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36956 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 36964 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 36972 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36980 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36988 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36996 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37004 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37012 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37020 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37028 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37036 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3370 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 37045 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 37053 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3383 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37065 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37073 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 37081 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 37089 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 37097 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37104 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37112 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 37120 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 37128 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37136 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37144 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37152 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37159 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 37167 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 37175 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 37183 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37191 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37199 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 37207 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 37215 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37223 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37231 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 37239 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 37247 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 37255 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 37263 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 37271 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 37279 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37286 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 37294 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37301 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 37309 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37316 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 37324 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37331 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37339 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37347 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37355 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37363 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37371 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 37379 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37387 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37394 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37402 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37410 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37418 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37426 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37434 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37442 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37450 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37458 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37466 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 37474 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 37482 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 37490 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 37498 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 37506 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 37514 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 37522 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37529 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37537 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37544 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37552 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37559 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37567 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37575 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37583 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37591 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37599 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37607 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37615 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37623 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37631 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37639 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37647 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 37655 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37663 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37670 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37678 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37686 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37694 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 37702 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 37710 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37718 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37726 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37734 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37742 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 37750 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 37758 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37766 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 37774 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 37782 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 37790 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 37798 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 37806 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 37814 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37822 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 37830 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 37838 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37845 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 37853 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 37861 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 37869 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 37877 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 37885 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 37893 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 37901 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 37909 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37917 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37925 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37933 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("unique ("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37941 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37949 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("primary key ("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37957 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37965 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("exclude"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37973 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37981 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 37989 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37996 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38004 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38011 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38019 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38027 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38035 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38043 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38050 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 38058 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4044 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 38067 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 38075 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38082 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38090 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38098 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 38106 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38114 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38122 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38129 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38137 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38145 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38153 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38161 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38168 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 38176 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 38184 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 38192 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 38200 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 38208 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 38216 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 38224 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38232 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38239 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38247 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38254 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38262 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38270 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38278 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38286 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38294 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38302 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38310 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38318 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 38326 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 38334 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 38342 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38349 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 38357 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 38365 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 38373 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38380 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38388 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38395 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 38403 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38410 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 38418 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38426 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38434 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38442 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 38450 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 38458 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38465 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38473 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38481 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38489 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 38497 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38504 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38512 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38520 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38528 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38536 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38544 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38552 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38559 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38567 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38574 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38582 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38590 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38598 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 38606 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 38614 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 38622 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38630 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 38638 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 38646 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 38654 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 38662 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 38670 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 38678 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38686 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 38694 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38702 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 38710 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38717 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38725 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 38733 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 38741 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38749 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38757 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38765 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 38773 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38781 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 38789 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38796 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38804 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38812 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 38820 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38827 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 38835 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 38843 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38851 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38858 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38866 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38874 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 38882 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38889 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38897 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 38905 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38912 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 38920 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 38928 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38936 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38944 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38952 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38959 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38967 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 38975 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38983 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 38991 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 38999 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39007 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39014 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 39022 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 39030 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 39038 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39046 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 39054 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 39062 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 39070 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 39078 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 39086 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 39094 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 39102 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 39110 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("procedure"),(yyvsp[0].str));
}
#line 39118 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("routine"),(yyvsp[0].str));
}
#line 39126 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 39134 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 39142 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 39150 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 39158 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 39166 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 39174 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 39182 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 39190 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 39198 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 39206 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 39214 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 39222 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 39230 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 39238 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 39246 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39254 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 39262 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 39270 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 39278 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 39286 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39294 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39302 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39310 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39317 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39325 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39333 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39341 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39348 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39356 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39364 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39372 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39380 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39388 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39396 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 39404 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 39412 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 39420 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39428 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39436 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39444 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39452 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39460 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 39468 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39475 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 39483 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 39491 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39499 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39506 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39514 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39522 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39530 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39538 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39546 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39554 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39562 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39570 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39578 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39586 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 39594 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 39602 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39610 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39617 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39625 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39633 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39641 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 39649 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 39657 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 39665 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39673 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39681 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39689 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39697 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39704 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39712 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39719 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 39727 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39734 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 39742 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39749 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39757 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39764 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 39772 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39779 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39787 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 39795 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 39803 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 39811 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 39819 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 39827 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39835 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(16,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39843 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 39851 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 39859 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 39867 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39875 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 39883 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 39891 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 39899 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 39907 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 39915 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 39923 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 39931 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39938 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39946 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39954 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39962 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 39970 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 39978 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39986 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 39994 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40002 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40010 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40017 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 40025 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40032 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 40040 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 40048 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40056 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40063 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 40071 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 40079 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40087 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40095 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40102 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40110 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40118 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40126 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40134 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 40142 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40149 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40156 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40164 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 40172 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 40180 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 40188 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 40196 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 40204 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 40212 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 40220 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 40228 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40236 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40244 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40252 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 40260 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 40268 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40276 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 40284 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 40292 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 40300 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 40308 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5614 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40317 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5623 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40326 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40334 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40342 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40350 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40358 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 40366 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40374 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40382 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 40390 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40398 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40406 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40414 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40422 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40430 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40438 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 40446 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 40454 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40462 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40470 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40478 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40486 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40494 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40502 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40510 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40518 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40526 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40534 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 40542 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40550 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40558 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40566 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40574 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40582 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40589 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40597 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40605 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40613 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 40621 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 40629 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40637 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 40645 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40652 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40660 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40668 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40676 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40684 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40692 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40700 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40708 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 40716 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 40724 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40731 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 40739 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40746 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 40754 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 40762 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40769 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5923 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 40778 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40785 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 40793 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 40801 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 40809 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40817 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40825 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40833 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40841 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40849 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40857 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40865 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40873 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40881 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40889 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40897 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40905 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40913 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40921 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40929 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40937 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40945 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40953 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40961 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40969 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40977 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40985 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 40993 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 41001 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 41009 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 41017 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 41025 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 41033 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 41041 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 41049 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 41057 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 41065 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 41073 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 41081 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 41089 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 41097 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 41105 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 41113 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 41121 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 41129 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 41137 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 41145 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 41153 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 41161 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 41169 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41177 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41185 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41193 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41201 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 41209 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 41217 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41225 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41233 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 41241 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 41249 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41256 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41264 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41272 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41280 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41288 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41296 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41304 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41312 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41320 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41328 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41336 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41344 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41352 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41360 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41368 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41376 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41384 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41392 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41400 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 41408 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 41416 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 41424 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 41432 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 41440 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 41448 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 41456 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 41464 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 41472 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 41480 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 41488 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 41496 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 41504 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 41512 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 41520 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 41528 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 41536 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 41544 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 41552 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 41560 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 41568 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 41576 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 41584 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 41592 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 41600 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 41608 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41616 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41624 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 41632 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41640 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41648 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41656 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41664 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 41712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 41727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 41735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 41743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 41751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 41759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 41767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 41775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 41783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 41791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 41799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 41807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 41815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 41823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 41847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 41855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 41863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6578 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 41871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6582 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 41881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6588 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 41891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6594 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 41901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6600 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 41911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6606 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 41921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6612 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 41931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6618 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 41941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6624 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 41951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6634 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 41966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6645 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6656 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6667 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6678 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6689 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6700 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6716 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6732 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6748 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6759 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6775 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6786 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6802 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 42194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 42202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 42265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 42305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 42313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 42321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 42353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 42361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 42369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 42377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("procedure"),(yyvsp[0].str));
}
#line 42385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("routine"),(yyvsp[0].str));
}
#line 42393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 42401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 42409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 42417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 42425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 42433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 42441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 42449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 42457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 42465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 42473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all procedures in schema"),(yyvsp[0].str));
}
#line 42481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all routines in schema"),(yyvsp[0].str));
}
#line 42489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 42521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 42529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 42568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 42583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 42621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 42629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 42637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 42669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 42677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 42685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 42693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 42701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 42709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("index"),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(16,mm_strdup("create"),(yyvsp[-16].str),mm_strdup("index"),(yyvsp[-14].str),mm_strdup("if not exists"),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 42733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 42748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 42864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 42894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 42902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 42917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 42925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("function"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("returns"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("function"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("returns table ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("procedure"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 42972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 42995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 43075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 43139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 43147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 43155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 43163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 43171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 43203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 43211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 43227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 43235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7522 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 43244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 43252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 43340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 43348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 43356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 43364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 43372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 43380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 43388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 43396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 43404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 43412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 43420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 43428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 43436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 43444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 43460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 43476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 43484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 43492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 43524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 43532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 43540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 43738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 43754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 43786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 43818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 43834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 43842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 43850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 43858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 43881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 43904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 43912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 43920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 43928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 43976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 43984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 43992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 44000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 44008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 44040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 44048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 44480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 44495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 44798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 45038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for table"),(yyvsp[0].str));
}
#line 45069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for all tables");
}
#line 45077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 45085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("add table"),(yyvsp[0].str));
}
#line 45093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("set table"),(yyvsp[0].str));
}
#line 45101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("drop table"),(yyvsp[0].str));
}
#line 45109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 45149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 45157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 45165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 45181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 45189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 45221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 45245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 45316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 45332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 45340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 45348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 45356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 45379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 45394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 45402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 45410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 45418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 45434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 45442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 45450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 45458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 45466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 45474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 45482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 45490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 45498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 45506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 45514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 45522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 45530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 45538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 45553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 45561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 45569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 8968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 45577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 8972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 45585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 8980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 8984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 8988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 8996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9015 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9020 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 45666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 45674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 45682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 45697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 45760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 45776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 45784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 45792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 45800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 45808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 45816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 45824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 45839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 45855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 45871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 45879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 45887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 45895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 45903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 45927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 45935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 45943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 45967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 45975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 46030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 46038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 46046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 46054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 46078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 46086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 46094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("vacuum"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 46149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 46157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 46165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 46213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 46221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 46229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 46252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 46267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 46282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 46351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 46367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9621 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 46520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9627 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 46530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 46583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 46646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 46662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 46670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 46678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 46686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 46726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 46749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 46764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 46787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 46810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 46825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 46833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 46841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 46849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 46857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 46865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 46873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 46881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 46889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 46904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 46912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 46951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 46959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9958 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 47036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10015 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 47056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 47071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 47079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 47087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 47095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10050 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 47106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 47114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 47122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 47266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 47298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 47306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 47314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10220 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 47362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 47439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 47455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 47478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 47493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 47539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 47626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10400 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 47635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 47643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 47651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 47659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 47739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 47747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 47755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 47763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 47771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 47842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 47874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 47897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 47944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 47952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 47960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 47968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 47976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 48007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10724 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10731 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 48132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 48156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 48164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 48180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 48258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 48266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 48274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 48282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 48290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 48313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 48329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 48337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 48471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 48486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 11000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 11007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 48501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 11011 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 48510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 11016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 11023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 11027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 11034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 11038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 11046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 11054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 11058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 11066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 11070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 11078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 11082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 11086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 48612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 11094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 11098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 11106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 11110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 48644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 11114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 48652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 11118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 48660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 11126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 11130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 48692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11150 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 48698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11152 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 48704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 48712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 48720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 48728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 48736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11174 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 48750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11184 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 48764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11194 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 48774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 48901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 48909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 48917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 48925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 48933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 48941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 48949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 48957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 48965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 48973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 48981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 49044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 49100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 49108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 49116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 49124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 49132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 49140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 49148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 49171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 49187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 49195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 49203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 49211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 49226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 49234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 49242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 49250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 49258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 49274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 49282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 49290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 49298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 49306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 49314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 49322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 49337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 49361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 49369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 49377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 49385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 49393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 49401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 49409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 49417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 49425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 49433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 49441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 49449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 49457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 49465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 49473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 49481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 49489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 49529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 49537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 49545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 49553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 49569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 49585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 49601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 49617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 49633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 49649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 49657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 49665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 49673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 49681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 49689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 49697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 49705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 49713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 49721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 49729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 49737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 49745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 49801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 49809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11811 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 49834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 49842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 49850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 49858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 49874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 49882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 49890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 49898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 49906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 49914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 49922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 49930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 49938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 49946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 49954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 49962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 49970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 49978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 49986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 50018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 50026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 50050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 50058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 50090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 50130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 50138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 50146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 50178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 12000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 12004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 12008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 12012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 12016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 12020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 50226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 12028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 50274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 50282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 50298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 50314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 50330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 50346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 50378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 50386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 50602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 50610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 50618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 50626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 50634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 50673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 50689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 50697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 50705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 50713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 50728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 50736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 50744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 50752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 50790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 50821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 50829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 50837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 50875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("range"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rows"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("groups"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 50929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 50937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 50945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 50953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 50961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 50969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude current row");
}
#line 50977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude group");
}
#line 50985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude ties");
}
#line 50993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude no others");
}
#line 51001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 51024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 51048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 51064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 51072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 51080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 51104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 51112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 51120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 51128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 51136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 51144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 51152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 51160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 51168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 51176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 51184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 51192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 51248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 51256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 51264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 51272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 51320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 51328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 51368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 51392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 51415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 51423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 51431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 51439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 51447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 51455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 51487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 51495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51502 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51510 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51526 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51534 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 51557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 51565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 51573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 51581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 51613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 51637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 51645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 51691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 51699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 13000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 13004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 13012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 13015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 13023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 51769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 13027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 13034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 13038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 13045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 13049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 13057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 51815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 13061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 13065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 13069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 51839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 13077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 13081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 13089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 13093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 13101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 13105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 13113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 13121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 13129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 13137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 13145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 13153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 13161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 13165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 13173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 13177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 13181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 13185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 13189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 51991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 13193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 13197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 13201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 13205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 13209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 13213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 52039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 13217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 52047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 13221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 52055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 13224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 13225 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13231 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 52073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13240 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 52095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 52103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 52127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 52135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 52191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 52199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 52207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 52215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 52223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 52231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 52239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 52247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 52255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 52263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 52271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 52279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 52287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 52295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 52303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 52311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 52319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 52327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 52335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 52343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 52351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("call");
}
#line 52359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 52367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 52375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 52383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 52391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 52399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 52407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 52415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 52423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 52431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 52439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 52447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 52455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 52463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 52471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 52479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 52487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 52495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 52503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 52511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 52519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 52527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 52535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 52543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 52551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 52559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 52567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 52575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 52583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 52591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 52599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 52607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 52615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 52623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 52631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 52639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 52647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 52655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 52663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 52671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 52679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 52687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 52695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 52703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 52711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 52719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 52727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 52735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 52743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 52751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 52759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 52767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 52775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 52783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 52791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 52799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 52807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 52815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 52823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 52831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 52839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 52847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 52855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 52863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 52871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 52879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 52887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 52895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 52903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 52911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 52919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 52927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("groups");
}
#line 52935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 52943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 52951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 52959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 52967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 52975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 52983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 52991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 52999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 53007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("include");
}
#line 53015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 53023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 53031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 53039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 53047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 53055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 53063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 53071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 53079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 53087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 53095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 53103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 53111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 53119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 53127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 53135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 53143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 53151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 53159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 53167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 53175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 53183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 53191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 53199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 53207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 53215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 53223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 53231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 53239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 53247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 53255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 53263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 53271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 53279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 53287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 53295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 53303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 53311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 53319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 53327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 53335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 53343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 53351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 53359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 53367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 53375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 53383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 53391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 53399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 53407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 53415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 53423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 53431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("others");
}
#line 53439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 53447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 53455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 53463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 53471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 53479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 53487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 53495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 53503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 53511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 53519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 53527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 53535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 53543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 53551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 53559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 53567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 14002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 53575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 14006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 53583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 14010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 53591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 14014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 53599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 14018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedures");
}
#line 53607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 14022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 53615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 14026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 53623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 14030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 53631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 14034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 53639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 14038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 53647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 14042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 53655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 14046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 53663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 14050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 53671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 14054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 53679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 14058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 53687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 14062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 53695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 14066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 53703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 14070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 53711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 14074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 53719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 14078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 53727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 14082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 53735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 14086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 53743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 14090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 53751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 14094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 53759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 14098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 53767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 14102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 53775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 14106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 53783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 14110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 53791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 14114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 53799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 14118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 53807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 53815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routine");
}
#line 53823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 53831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 53839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 53847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 53855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 53863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 53871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 53879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 53887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 53895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 53903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 53911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 53919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 53927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 53935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 53943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 53951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 53959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 53967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 53975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 53983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 53991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 53999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 54007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 54015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 54023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 54031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 54039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 54047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 54055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 54063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 54071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 54079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 54087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 54095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 54103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 54111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 54119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 54127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 54135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 54143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 54151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ties");
}
#line 54159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 54167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 54175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 54183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 54191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 54199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 54207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 54215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 54223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 54231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 54239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 54247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 54255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 54263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 54271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 54279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 54287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 54295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 54303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 54311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 54319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 54327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 54335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 54343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 54351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 54359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 54367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 54375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 54383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 54391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 54399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 54407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 54415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 54423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 54431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 54439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 54447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 54455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 54463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 54471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 54479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 54487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 54495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 54503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 54511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 54519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 54527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 54535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 54543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 54551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 54559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 54567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 54575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 54583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 54591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 54599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 54607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 54615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 54623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 54631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 54639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 54647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 54655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 54663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 54671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 54679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 54687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 54695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 54703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 54711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 54719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 54727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 54735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 54743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 54751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 54759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 54767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 54775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 54783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 54791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 54799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 54807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 54815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 54823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 54831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 54839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 54847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 54855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 54863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 54871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 54879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 54887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 54895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 54903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 54911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 54919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 54927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 54935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 54943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 54951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 54959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 54967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 54975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 54983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 54991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 54999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 55007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 55015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 55023 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 55031 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 55039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 55047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 55055 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 55063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 55071 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 55079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 55087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 55095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 55103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 55111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 55119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 55127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 55135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 55143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 55151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 55159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 55167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 55175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 55183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 55191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 55199 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 55207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 55215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 55223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 55231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 55239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 55247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 55255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 55263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 55271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 55279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 55287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 55295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 55303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 55311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 55319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 55327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 55335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 55343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 55351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 55359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 55367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 55375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 55383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 55391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 55399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 55407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 55415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 55423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 55431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 55439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 55447 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 55455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 55463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 55471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 55479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 55487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 55495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 55503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 55511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 55519 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 55527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 55535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 55543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 55551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 55559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 55567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 55575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 55583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 55591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15035 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 55597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15038 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 55607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15044 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 55613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15045 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 55619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15046 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 55625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15048 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 55640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15060 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 55646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15061 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 55657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15070 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 55671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15085 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 55677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15087 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 55683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15090 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 55689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15092 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 55695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15096 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 55711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15108 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 55731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15124 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15128 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 55752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15138 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15139 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15143 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 55778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15155 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 55789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15163 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 55813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 55819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 55825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15173 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 55843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 55855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15185 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 55861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 55867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 55873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15191 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 55879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15195 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 55890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15202 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 55901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15209 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 55919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15225 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 55955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15259 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 55969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15272 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 55983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15276 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 55997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15288 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15290 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 56009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15292 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 56015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 56021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15298 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 56039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15311 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15319 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 56108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15380 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 56118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15394 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15397 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 56160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15402 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 56166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15403 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 56172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15404 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 56178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15411 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 56184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15413 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 56194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15420 "preproc.y" /* yacc.c:1646  */
    {}
#line 56200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15422 "preproc.y" /* yacc.c:1646  */
    {}
#line 56206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15424 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15425 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15428 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15429 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15439 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 56264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15445 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 56276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15455 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 56290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15465 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 56298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15469 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 56312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15479 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 56320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15483 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 56328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 56334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15489 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15493 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15494 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 56352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15495 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 56358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 56370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 56376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 56388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15505 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15509 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 56406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15517 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 56427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15534 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 56439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15542 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 56466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15565 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 56576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15671 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 56612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 56618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 56624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15709 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 56630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15713 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 56636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15716 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 56647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15723 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 56693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15766 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15768 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 56709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15774 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 56720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15783 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 56730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15789 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 56739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15796 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 56748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15801 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 56756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15806 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 56762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15807 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 56768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15810 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 56774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15811 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 56780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15812 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 56786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15813 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 56792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15814 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 56798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15815 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 56804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15817 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 56816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15825 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 56828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15832 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 56834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15835 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 56840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15836 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 56846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15837 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 56852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15838 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 56858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15839 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 56864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15841 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 56876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15849 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 56888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15856 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 56894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 15857 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 56900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 15858 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 56906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15866 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 15868 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 56923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 15877 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 57012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15964 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15966 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 57027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15972 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15973 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 57039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15974 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 57045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15981 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 57054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15989 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15992 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15993 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 57072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15994 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 57078 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15995 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 57084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15998 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 57090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15999 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 57096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 16000 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 16004 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 16006 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 57114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 16013 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 16014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 57126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 16021 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 57136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 16028 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 16029 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 16032 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 16033 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 16037 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 57169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 16042 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 57178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 16049 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 57187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 16054 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 57196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 16061 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 57205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 16070 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 57216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 16076 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 16077 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 16080 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 16081 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 57240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 16082 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 57246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 16083 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 16084 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 57258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 16085 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 57264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 16086 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 16087 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 16088 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 16095 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 57293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 16102 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 57309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 16114 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 57319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 16120 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 57330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 16127 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 57340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 16134 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 57346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 16135 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 16148 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 16159 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 16170 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 57376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 16178 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 57382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 16183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 57388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 16191 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 57396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 16197 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 16205 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 57416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 16210 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 57422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 16218 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 57428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 16225 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 57434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 16229 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 57440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 16237 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 57448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 16243 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 16252 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 57468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 16257 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 57481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 16267 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 57494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 16277 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 57508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 16288 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 57514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 16289 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 57520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 16290 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 57526 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 16291 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 57532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 16292 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 57538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 16293 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 57544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 16294 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 57550 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 16295 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 57556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 16296 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 57562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 16297 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 57568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 16298 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 57574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 16299 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 57580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 16300 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 57586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 16301 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 57592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 16302 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 57598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 16309 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 16310 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 16313 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 57616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 16314 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 57622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 16321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 16322 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 16323 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 16330 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 57650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 16336 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 57663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 16346 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 57669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 16347 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 16354 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 57685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 16360 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 57747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 16424 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 57757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 16430 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 57767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 16436 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 57777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 16444 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 57787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 16450 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 57797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 16456 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 57807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 16462 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 57817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 16468 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 57827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 16474 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 57837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 16480 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 57847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 16486 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_CONTINUE;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 57857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 16492 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 57867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 16498 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 57877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 16508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 16509 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 16512 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 57895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 16513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 57901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 16514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 57907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 16515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 57913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2990:
#line 16516 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 57919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2991:
#line 16517 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 57925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2992:
#line 16518 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 57931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2993:
#line 16519 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 57937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2994:
#line 16520 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 57943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2995:
#line 16521 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 57949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2996:
#line 16522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 57955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2997:
#line 16523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 57961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2998:
#line 16524 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 57967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2999:
#line 16525 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 57973 "preproc.c" /* yacc.c:1646  */
    break;

  case 3000:
#line 16526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 57979 "preproc.c" /* yacc.c:1646  */
    break;

  case 3001:
#line 16527 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 57985 "preproc.c" /* yacc.c:1646  */
    break;

  case 3002:
#line 16528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 57991 "preproc.c" /* yacc.c:1646  */
    break;

  case 3003:
#line 16529 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 57997 "preproc.c" /* yacc.c:1646  */
    break;

  case 3004:
#line 16530 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 58003 "preproc.c" /* yacc.c:1646  */
    break;

  case 3005:
#line 16531 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 58009 "preproc.c" /* yacc.c:1646  */
    break;

  case 3006:
#line 16532 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 58015 "preproc.c" /* yacc.c:1646  */
    break;

  case 3007:
#line 16533 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 58021 "preproc.c" /* yacc.c:1646  */
    break;

  case 3008:
#line 16536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 58027 "preproc.c" /* yacc.c:1646  */
    break;

  case 3009:
#line 16537 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 58033 "preproc.c" /* yacc.c:1646  */
    break;

  case 3010:
#line 16538 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 58039 "preproc.c" /* yacc.c:1646  */
    break;

  case 3011:
#line 16539 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 58045 "preproc.c" /* yacc.c:1646  */
    break;

  case 3012:
#line 16540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 58051 "preproc.c" /* yacc.c:1646  */
    break;

  case 3013:
#line 16541 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 58057 "preproc.c" /* yacc.c:1646  */
    break;

  case 3014:
#line 16545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 58063 "preproc.c" /* yacc.c:1646  */
    break;

  case 3015:
#line 16546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 58069 "preproc.c" /* yacc.c:1646  */
    break;

  case 3016:
#line 16547 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 58075 "preproc.c" /* yacc.c:1646  */
    break;

  case 3017:
#line 16548 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 58081 "preproc.c" /* yacc.c:1646  */
    break;

  case 3018:
#line 16549 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 58087 "preproc.c" /* yacc.c:1646  */
    break;

  case 3019:
#line 16550 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 58093 "preproc.c" /* yacc.c:1646  */
    break;

  case 3020:
#line 16551 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 58099 "preproc.c" /* yacc.c:1646  */
    break;

  case 3021:
#line 16554 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58105 "preproc.c" /* yacc.c:1646  */
    break;

  case 3022:
#line 16557 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58111 "preproc.c" /* yacc.c:1646  */
    break;

  case 3023:
#line 16558 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58117 "preproc.c" /* yacc.c:1646  */
    break;

  case 3024:
#line 16559 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58123 "preproc.c" /* yacc.c:1646  */
    break;

  case 3025:
#line 16560 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58129 "preproc.c" /* yacc.c:1646  */
    break;

  case 3026:
#line 16561 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58135 "preproc.c" /* yacc.c:1646  */
    break;

  case 3027:
#line 16562 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58141 "preproc.c" /* yacc.c:1646  */
    break;

  case 3028:
#line 16563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 58147 "preproc.c" /* yacc.c:1646  */
    break;

  case 3029:
#line 16564 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 58153 "preproc.c" /* yacc.c:1646  */
    break;

  case 3030:
#line 16577 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58159 "preproc.c" /* yacc.c:1646  */
    break;

  case 3031:
#line 16578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58165 "preproc.c" /* yacc.c:1646  */
    break;

  case 3032:
#line 16579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58171 "preproc.c" /* yacc.c:1646  */
    break;

  case 3033:
#line 16580 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58177 "preproc.c" /* yacc.c:1646  */
    break;

  case 3034:
#line 16581 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58183 "preproc.c" /* yacc.c:1646  */
    break;

  case 3035:
#line 16582 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 58189 "preproc.c" /* yacc.c:1646  */
    break;

  case 3036:
#line 16583 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 58195 "preproc.c" /* yacc.c:1646  */
    break;

  case 3037:
#line 16588 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58201 "preproc.c" /* yacc.c:1646  */
    break;

  case 3038:
#line 16589 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58207 "preproc.c" /* yacc.c:1646  */
    break;

  case 3039:
#line 16590 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58213 "preproc.c" /* yacc.c:1646  */
    break;

  case 3040:
#line 16591 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58219 "preproc.c" /* yacc.c:1646  */
    break;

  case 3041:
#line 16592 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58225 "preproc.c" /* yacc.c:1646  */
    break;

  case 3042:
#line 16593 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58231 "preproc.c" /* yacc.c:1646  */
    break;

  case 3043:
#line 16599 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58237 "preproc.c" /* yacc.c:1646  */
    break;

  case 3044:
#line 16600 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58243 "preproc.c" /* yacc.c:1646  */
    break;

  case 3045:
#line 16601 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 58249 "preproc.c" /* yacc.c:1646  */
    break;

  case 3046:
#line 16602 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 58255 "preproc.c" /* yacc.c:1646  */
    break;

  case 3047:
#line 16603 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 58261 "preproc.c" /* yacc.c:1646  */
    break;

  case 3048:
#line 16604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 58267 "preproc.c" /* yacc.c:1646  */
    break;

  case 3049:
#line 16605 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 58273 "preproc.c" /* yacc.c:1646  */
    break;

  case 3050:
#line 16606 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 58279 "preproc.c" /* yacc.c:1646  */
    break;

  case 3051:
#line 16607 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 58285 "preproc.c" /* yacc.c:1646  */
    break;

  case 3052:
#line 16608 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58291 "preproc.c" /* yacc.c:1646  */
    break;

  case 3053:
#line 16609 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58297 "preproc.c" /* yacc.c:1646  */
    break;

  case 3054:
#line 16612 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58303 "preproc.c" /* yacc.c:1646  */
    break;

  case 3055:
#line 16613 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58309 "preproc.c" /* yacc.c:1646  */
    break;

  case 3056:
#line 16614 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58315 "preproc.c" /* yacc.c:1646  */
    break;

  case 3057:
#line 16615 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58321 "preproc.c" /* yacc.c:1646  */
    break;

  case 3058:
#line 16616 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 58327 "preproc.c" /* yacc.c:1646  */
    break;

  case 3059:
#line 16619 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58333 "preproc.c" /* yacc.c:1646  */
    break;

  case 3060:
#line 16620 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58339 "preproc.c" /* yacc.c:1646  */
    break;

  case 3061:
#line 16621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58345 "preproc.c" /* yacc.c:1646  */
    break;

  case 3062:
#line 16622 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58351 "preproc.c" /* yacc.c:1646  */
    break;

  case 3063:
#line 16625 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 58357 "preproc.c" /* yacc.c:1646  */
    break;

  case 3064:
#line 16626 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 58363 "preproc.c" /* yacc.c:1646  */
    break;

  case 3065:
#line 16627 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 58369 "preproc.c" /* yacc.c:1646  */
    break;

  case 3066:
#line 16628 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 58375 "preproc.c" /* yacc.c:1646  */
    break;

  case 3067:
#line 16629 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 58381 "preproc.c" /* yacc.c:1646  */
    break;

  case 3068:
#line 16630 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 58387 "preproc.c" /* yacc.c:1646  */
    break;

  case 3069:
#line 16631 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 58393 "preproc.c" /* yacc.c:1646  */
    break;

  case 3070:
#line 16648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58399 "preproc.c" /* yacc.c:1646  */
    break;

  case 3071:
#line 16649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58405 "preproc.c" /* yacc.c:1646  */
    break;

  case 3072:
#line 16650 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 58411 "preproc.c" /* yacc.c:1646  */
    break;

  case 3073:
#line 16653 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 58417 "preproc.c" /* yacc.c:1646  */
    break;

  case 3074:
#line 16654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 58423 "preproc.c" /* yacc.c:1646  */
    break;

  case 3075:
#line 16655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 58429 "preproc.c" /* yacc.c:1646  */
    break;

  case 3076:
#line 16656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 58435 "preproc.c" /* yacc.c:1646  */
    break;

  case 3077:
#line 16657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 58441 "preproc.c" /* yacc.c:1646  */
    break;

  case 3078:
#line 16658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 58447 "preproc.c" /* yacc.c:1646  */
    break;

  case 3081:
#line 16665 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 58456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3082:
#line 16671 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 58462 "preproc.c" /* yacc.c:1646  */
    break;

  case 3083:
#line 16672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58468 "preproc.c" /* yacc.c:1646  */
    break;

  case 3084:
#line 16676 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 58474 "preproc.c" /* yacc.c:1646  */
    break;

  case 3085:
#line 16678 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 58480 "preproc.c" /* yacc.c:1646  */
    break;

  case 3086:
#line 16683 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 58492 "preproc.c" /* yacc.c:1646  */
    break;

  case 3087:
#line 16693 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 58505 "preproc.c" /* yacc.c:1646  */
    break;

  case 3088:
#line 16704 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 58514 "preproc.c" /* yacc.c:1646  */
    break;

  case 3089:
#line 16710 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 58520 "preproc.c" /* yacc.c:1646  */
    break;

  case 3090:
#line 16711 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 58526 "preproc.c" /* yacc.c:1646  */
    break;

  case 3091:
#line 16712 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 58532 "preproc.c" /* yacc.c:1646  */
    break;

  case 3092:
#line 16716 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 58567 "preproc.c" /* yacc.c:1646  */
    break;

  case 3093:
#line 16748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58573 "preproc.c" /* yacc.c:1646  */
    break;

  case 3094:
#line 16750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58579 "preproc.c" /* yacc.c:1646  */
    break;

  case 3095:
#line 16752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58585 "preproc.c" /* yacc.c:1646  */
    break;

  case 3096:
#line 16756 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 58599 "preproc.c" /* yacc.c:1646  */
    break;

  case 3097:
#line 16766 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 58613 "preproc.c" /* yacc.c:1646  */
    break;

  case 3098:
#line 16776 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 58627 "preproc.c" /* yacc.c:1646  */
    break;

  case 3099:
#line 16785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58633 "preproc.c" /* yacc.c:1646  */
    break;

  case 3100:
#line 16786 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58639 "preproc.c" /* yacc.c:1646  */
    break;

  case 3101:
#line 16789 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58645 "preproc.c" /* yacc.c:1646  */
    break;

  case 3102:
#line 16791 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58651 "preproc.c" /* yacc.c:1646  */
    break;

  case 3103:
#line 16792 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 58657 "preproc.c" /* yacc.c:1646  */
    break;

  case 3104:
#line 16793 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58663 "preproc.c" /* yacc.c:1646  */
    break;

  case 3105:
#line 16797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 58669 "preproc.c" /* yacc.c:1646  */
    break;

  case 3106:
#line 16799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 58675 "preproc.c" /* yacc.c:1646  */
    break;

  case 3107:
#line 16806 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58681 "preproc.c" /* yacc.c:1646  */
    break;

  case 3108:
#line 16807 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 58687 "preproc.c" /* yacc.c:1646  */
    break;

  case 3109:
#line 16809 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 58693 "preproc.c" /* yacc.c:1646  */
    break;

  case 3110:
#line 16812 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58699 "preproc.c" /* yacc.c:1646  */
    break;

  case 3111:
#line 16814 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 58705 "preproc.c" /* yacc.c:1646  */
    break;

  case 3112:
#line 16817 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58711 "preproc.c" /* yacc.c:1646  */
    break;

  case 3113:
#line 16818 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 58717 "preproc.c" /* yacc.c:1646  */
    break;

  case 3114:
#line 16821 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58723 "preproc.c" /* yacc.c:1646  */
    break;

  case 3115:
#line 16822 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 58729 "preproc.c" /* yacc.c:1646  */
    break;

  case 3116:
#line 16825 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58735 "preproc.c" /* yacc.c:1646  */
    break;

  case 3117:
#line 16826 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 58741 "preproc.c" /* yacc.c:1646  */
    break;

  case 3118:
#line 16827 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 58747 "preproc.c" /* yacc.c:1646  */
    break;

  case 3119:
#line 16828 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 58753 "preproc.c" /* yacc.c:1646  */
    break;

  case 3120:
#line 16829 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 58759 "preproc.c" /* yacc.c:1646  */
    break;

  case 3121:
#line 16832 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58765 "preproc.c" /* yacc.c:1646  */
    break;

  case 3122:
#line 16833 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58771 "preproc.c" /* yacc.c:1646  */
    break;

  case 3123:
#line 16834 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58777 "preproc.c" /* yacc.c:1646  */
    break;

  case 3124:
#line 16835 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58783 "preproc.c" /* yacc.c:1646  */
    break;

  case 3125:
#line 16836 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 58789 "preproc.c" /* yacc.c:1646  */
    break;

  case 3126:
#line 16837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 58795 "preproc.c" /* yacc.c:1646  */
    break;

  case 3127:
#line 16838 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 58801 "preproc.c" /* yacc.c:1646  */
    break;

  case 3128:
#line 16839 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 58807 "preproc.c" /* yacc.c:1646  */
    break;

  case 3129:
#line 16840 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 58813 "preproc.c" /* yacc.c:1646  */
    break;

  case 3130:
#line 16841 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 58819 "preproc.c" /* yacc.c:1646  */
    break;

  case 3131:
#line 16842 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 58825 "preproc.c" /* yacc.c:1646  */
    break;

  case 3132:
#line 16843 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 58831 "preproc.c" /* yacc.c:1646  */
    break;

  case 3133:
#line 16844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58837 "preproc.c" /* yacc.c:1646  */
    break;

  case 3134:
#line 16845 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 58843 "preproc.c" /* yacc.c:1646  */
    break;

  case 3135:
#line 16846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 58849 "preproc.c" /* yacc.c:1646  */
    break;

  case 3136:
#line 16847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 58855 "preproc.c" /* yacc.c:1646  */
    break;

  case 3137:
#line 16848 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 58861 "preproc.c" /* yacc.c:1646  */
    break;

  case 3138:
#line 16849 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 58867 "preproc.c" /* yacc.c:1646  */
    break;

  case 3139:
#line 16850 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 58873 "preproc.c" /* yacc.c:1646  */
    break;

  case 3140:
#line 16851 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 58879 "preproc.c" /* yacc.c:1646  */
    break;

  case 3141:
#line 16852 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 58885 "preproc.c" /* yacc.c:1646  */
    break;

  case 3142:
#line 16853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 58891 "preproc.c" /* yacc.c:1646  */
    break;

  case 3143:
#line 16854 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 58897 "preproc.c" /* yacc.c:1646  */
    break;

  case 3144:
#line 16855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 58903 "preproc.c" /* yacc.c:1646  */
    break;

  case 3145:
#line 16856 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 58909 "preproc.c" /* yacc.c:1646  */
    break;

  case 3146:
#line 16857 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 58915 "preproc.c" /* yacc.c:1646  */
    break;

  case 3147:
#line 16858 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 58921 "preproc.c" /* yacc.c:1646  */
    break;

  case 3148:
#line 16859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 58927 "preproc.c" /* yacc.c:1646  */
    break;

  case 3149:
#line 16860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 58933 "preproc.c" /* yacc.c:1646  */
    break;

  case 3150:
#line 16861 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 58939 "preproc.c" /* yacc.c:1646  */
    break;

  case 3151:
#line 16862 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 58945 "preproc.c" /* yacc.c:1646  */
    break;

  case 3152:
#line 16863 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 58951 "preproc.c" /* yacc.c:1646  */
    break;

  case 3153:
#line 16864 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 58957 "preproc.c" /* yacc.c:1646  */
    break;

  case 3154:
#line 16865 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 58963 "preproc.c" /* yacc.c:1646  */
    break;

  case 3155:
#line 16866 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 58969 "preproc.c" /* yacc.c:1646  */
    break;

  case 3156:
#line 16867 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 58975 "preproc.c" /* yacc.c:1646  */
    break;

  case 3157:
#line 16868 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 58981 "preproc.c" /* yacc.c:1646  */
    break;

  case 3158:
#line 16869 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 58987 "preproc.c" /* yacc.c:1646  */
    break;

  case 3159:
#line 16870 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 58993 "preproc.c" /* yacc.c:1646  */
    break;

  case 3160:
#line 16871 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 58999 "preproc.c" /* yacc.c:1646  */
    break;

  case 3161:
#line 16872 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 59005 "preproc.c" /* yacc.c:1646  */
    break;

  case 3162:
#line 16873 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 59011 "preproc.c" /* yacc.c:1646  */
    break;

  case 3163:
#line 16874 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 59017 "preproc.c" /* yacc.c:1646  */
    break;

  case 3164:
#line 16875 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 59023 "preproc.c" /* yacc.c:1646  */
    break;

  case 3165:
#line 16876 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 59029 "preproc.c" /* yacc.c:1646  */
    break;

  case 3166:
#line 16877 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 59035 "preproc.c" /* yacc.c:1646  */
    break;

  case 3167:
#line 16878 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 59041 "preproc.c" /* yacc.c:1646  */
    break;

  case 3168:
#line 16879 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 59047 "preproc.c" /* yacc.c:1646  */
    break;

  case 3169:
#line 16880 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 59053 "preproc.c" /* yacc.c:1646  */
    break;

  case 3170:
#line 16881 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 59059 "preproc.c" /* yacc.c:1646  */
    break;

  case 3171:
#line 16882 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 59065 "preproc.c" /* yacc.c:1646  */
    break;

  case 3172:
#line 16883 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 59071 "preproc.c" /* yacc.c:1646  */
    break;

  case 3173:
#line 16884 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 59077 "preproc.c" /* yacc.c:1646  */
    break;

  case 3174:
#line 16885 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 59083 "preproc.c" /* yacc.c:1646  */
    break;

  case 3175:
#line 16886 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 59089 "preproc.c" /* yacc.c:1646  */
    break;

  case 3176:
#line 16887 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 59095 "preproc.c" /* yacc.c:1646  */
    break;

  case 3177:
#line 16890 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59101 "preproc.c" /* yacc.c:1646  */
    break;

  case 3178:
#line 16891 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59107 "preproc.c" /* yacc.c:1646  */
    break;

  case 3179:
#line 16892 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 59113 "preproc.c" /* yacc.c:1646  */
    break;

  case 3180:
#line 16893 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 59119 "preproc.c" /* yacc.c:1646  */
    break;

  case 3181:
#line 16896 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59125 "preproc.c" /* yacc.c:1646  */
    break;

  case 3182:
#line 16897 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 59131 "preproc.c" /* yacc.c:1646  */
    break;

  case 3183:
#line 16898 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 59137 "preproc.c" /* yacc.c:1646  */
    break;

  case 3184:
#line 16899 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 59143 "preproc.c" /* yacc.c:1646  */
    break;

  case 3185:
#line 16900 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 59149 "preproc.c" /* yacc.c:1646  */
    break;

  case 3186:
#line 16901 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 59155 "preproc.c" /* yacc.c:1646  */
    break;

  case 3187:
#line 16902 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 59161 "preproc.c" /* yacc.c:1646  */
    break;

  case 3188:
#line 16903 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59167 "preproc.c" /* yacc.c:1646  */
    break;

  case 3189:
#line 16904 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59173 "preproc.c" /* yacc.c:1646  */
    break;

  case 3190:
#line 16905 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 59183 "preproc.c" /* yacc.c:1646  */
    break;

  case 3191:
#line 16912 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 59189 "preproc.c" /* yacc.c:1646  */
    break;

  case 3192:
#line 16913 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 59195 "preproc.c" /* yacc.c:1646  */
    break;

  case 3193:
#line 16914 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 59201 "preproc.c" /* yacc.c:1646  */
    break;

  case 3194:
#line 16915 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 59207 "preproc.c" /* yacc.c:1646  */
    break;

  case 3195:
#line 16918 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 59213 "preproc.c" /* yacc.c:1646  */
    break;

  case 3196:
#line 16919 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59219 "preproc.c" /* yacc.c:1646  */
    break;

  case 3197:
#line 16922 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 59225 "preproc.c" /* yacc.c:1646  */
    break;

  case 3198:
#line 16923 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59231 "preproc.c" /* yacc.c:1646  */
    break;

  case 3199:
#line 16926 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59237 "preproc.c" /* yacc.c:1646  */
    break;

  case 3200:
#line 16928 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 59250 "preproc.c" /* yacc.c:1646  */
    break;

  case 3201:
#line 16938 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 59256 "preproc.c" /* yacc.c:1646  */
    break;

  case 3202:
#line 16939 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 59262 "preproc.c" /* yacc.c:1646  */
    break;


#line 59266 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 16942 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
